import 'i18n.dart';

/// The translations for Turkish (`tr`).
class I18nTr extends I18n {
  I18nTr([String locale = 'tr']) : super(locale);

  @override
  String get numSb404 => 'Yolunu kaybettin. Bu sayfa mevcut değil.';

  @override
  String about250Sbblock8722Sb18722Sbtext(Object appName) {
    return '$appName\'ta bizim amacımız, herkesin kendi yerel para birimini Monero ile her yerde takas etmesine olanak sağlamak için, güvenli ve kullanımı kolay kişiden kişiye bir platform oluşturmaktır. Kullanıcılarımız, tercih ettikleri ödeme yöntemini (ör. banka havalesi, nakit, PayPal gibi çevrimiçi ödeme işlemcisi, hediye kartları vb.) belirli bir ticarette Monero satıcısı olan kullanıcıdır ve satıcı, alıcıdan ödemeyi aldığını onayladığında alıcıya Monero\'yu gönderir ve bunun üzerine tahkim teminatı satıcıya iade edilir. $appName, ortaya çıkabilecek herhangi bir anlaşmazlığa arabuluculuk yapmak için de adım atabilir.';
  }

  @override
  String about250Sbblock8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return '$appName\'ta amacımız, herkesin kendi yerel para birimini kripto para birimiyle her yerde takas etmesine olanak sağlamak için güvenli ve kullanımı kolay kişiden kişiye bir platform oluşturmaktır. Kullanıcılarımız, tercih ettikleri ödeme yöntemini (ör. banka havalesi, nakit, PayPal gibi çevrimiçi ödeme işlemcisi, hediye kartları vb.) belirli bir ticarette kripto para satıcısı olan kullanıcıdır ve satıcı, alıcıdan ödemeyi aldığını onayladığında kripto para birimini alıcıya gönderir ve bunun üzerine tahkim teminatı satıcıya iade edilir. $appName, ortaya çıkabilecek herhangi bir anlaşmazlığa arabuluculuk yapmak için de adım atabilir.';
  }

  @override
  String get about250Sbblock8722Sb18722Sbtitle => 'Görevimiz';

  @override
  String about250Sbblock8722Sb28722Sbtext(Object appName) {
    return '$appName\'da insanlarla ticaret yapıyorsunuz. Merkezi kripto para borsalarının aksine, doğrudan başka bir kişiyle ticaret yaparsınız. Kurumsal bir ek yük olmadığı için bu, süreci yalın ve hızlı hale getirir. Monero\'nuzu anında alırsınız. Ayrıca $appName, kullanıcı topluluğunun desteklediği her ödeme yöntemini destekleyerek, geleneksel bankacılığa erişimi olmayan kullanıcıların da Monero alıp satabilmelerini mümkün kılar. $appName, her işlem için satıcının Monero alıcısını korumak için bir tahkim bonosu göndermesini gerektirir.';
  }

  @override
  String about250Sbblock8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return '$appName\'te insanlarla uğraşıyorsunuz. Merkezi kripto para borsalarının aksine, doğrudan başka bir kişiyle ticaret yaparsınız. Kurumsal ek yük olmadığı için bu, süreci yalın ve hızlı hale getirir. Kripto para biriminizi anında alırsınız. Ayrıca $appName, kullanıcı topluluğunun desteklediği her ödeme yöntemini destekleyerek, geleneksel bankacılığa erişimi olmayan kullanıcıların da kripto para ticareti yapabilmesini mümkün kılar. Her işlem için $appName, kripto para alıcısını korumak için satıcının bir tahkim senedi göndermesini gerektirir.';
  }

  @override
  String get about250Sbblock8722Sb28722Sbtitle => 'Farkımız Ne';

  @override
  String get about250Sbcontact8722Sbbtn => 'Bize Ulaşın';

  @override
  String get about250Sbtitle => 'Hakkımızda';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuy8722Sbbtn => 'Satın Almak';

  @override
  String get ad8722Sblisting8722Sbtable250Sbbuyer => 'Alıcı';

  @override
  String get ad8722Sblisting8722Sbtable250Sbdistance => 'Mesafe';

  @override
  String get ad8722Sblisting8722Sbtable250Sblimits => 'Limitler';

  @override
  String get ad8722Sblisting8722Sbtable250Sblocation => 'Konum';

  @override
  String get ad8722Sblisting8722Sbtable250Sbmethod => 'Ödeme yöntemi';

  @override
  String ad8722Sblisting8722Sbtable250Sbprice(Object assetSymbol) {
    return 'Fiyat/$assetSymbol';
  }

  @override
  String get ad8722Sblisting8722Sbtable250Sbsell8722Sbbtn => 'Satmak';

  @override
  String get ad8722Sblisting8722Sbtable250Sbseller => 'Satıcı';

  @override
  String get ad8722Sblisting8722Sbtable250Sbshow8722Sbmore => 'Daha fazla göster...';

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore8722Sbby8722Sbuser(Object user) {
    return '$user tarafından bu türden daha fazla reklam göster...';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbshow8722Sbmore250Sball8722Sbin8722Sbcountry8722Sbor8722Sbcurrency(Object countryOrcurrency) {
    return 'Hepsi $countryOrcurrency içinde';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbhide(Object username) {
    return '$username\'in benzer reklamlarını gizle';
  }

  @override
  String ad8722Sblisting8722Sbtable250Sbsimilar8722Sbads8722Sbtoggle8722Sblabel250Sbshow(Object numberOfSimilarAds, Object username) {
    return '$username tarafından $numberOfSimilarAds benzer reklam daha göster';
  }

  @override
  String get ad8722Sbpage250Sbcant8722Sbsend8722Sbtrade8722Sbrequest => 'Şu anda bu reklam için takas isteğinde bulunulamıyor';

  @override
  String get ad8722Sbpage250Sbedit8722Sbad8722Sbbtn => 'Reklamı düzenle';

  @override
  String get ad8722Sbpage250Sberror250Sbtitle => 'ticaret isteği hatası';

  @override
  String ad8722Sbpage250Sbfirst8722Sbtime8722Sblimit8722Sbtip(Object firstTimelimitxmr) {
    return 'Bu tüccar, onunla ilk ticaret için maksimum $firstTimelimitxmr izin verir.';
  }

  @override
  String ad8722Sbpage250Sbfluctuations8722Sbtip(Object assetSymbol) {
    return 'Fiyat ve döviz kuru dalgalanmaları nedeniyle işlemin gerçek $assetSymbol tutarının şu anda gösterilen miktardan biraz farklı olabileceğini lütfen unutmayın.';
  }

  @override
  String ad8722Sbpage250Sbfor8722Sbtrusted(Object username) {
    return 'Yalnızca $username tarafından güvenilen kullanıcılar için';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location, Object user, Object currency) {
    return '$currency ile $location\'te $user\'e $assetName\'i nakit olarak satın';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location, Object user, Object currency) {
    return '$currency ile $user\'ten $location cinsinden nakit parayla $assetName satın alın';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return '$currency ile $paymentMethod${detail} kullanarak $assetName sat';
  }

  @override
  String ad8722Sbpage250Sbheading8722Sbonline8722Sbsell(Object assetName, Object paymentMethod, Object detail, Object currency) {
    return '$paymentMethod${detail} ile $currency kullanarak $assetName satın alın';
  }

  @override
  String ad8722Sbpage250Sbhidden8722Sbwarning8722Sb0(Object editAd) {
    return 'Bu reklamın görünürlüğü gizli olarak ayarlandı. Bunu $editAd sayfasından değiştirebilirsiniz.';
  }

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb08722Sbedit8722Sbad => 'Reklamı düzenle';

  @override
  String get ad8722Sbpage250Sbhidden8722Sbwarning8722Sb1 => 'Bu reklam şu anda aktif değil. Lütfen diğer tekliflere bakın veya daha sonra tekrar gelin.';

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy => 'satın almak';

  @override
  String ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbbuy57Sbsell(Object buyOrsell) {
    return '$buyOrsell için ne kadar diliyorsun?';
  }

  @override
  String get ad8722Sbpage250Sbhow8722Sbmuch8722Sbdo8722Sbyou8722Sbwish8722Sbto8722Sbsell => 'satmak';

  @override
  String get ad8722Sbpage250Sbinfo250Sbpayment8722Sbwindow => 'Ödeme penceresi';

  @override
  String get ad8722Sbpage250Sbinfo250Sbtrade8722Sblimits => 'Ticaret limitleri';

  @override
  String get ad8722Sbpage250Sbinfo250Sbuser => 'kullanıcı';

  @override
  String ad8722Sbpage250Sblimit8722Sbto8722Sbamounts(Object amounts, Object currency) {
    return 'Bu tacirin olası işlem miktarları $amounts $currency ile sınırlıdır.';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbamount8722Sbtip(Object minimumAmount) {
    return 'Bu ilan ile en az $minimumAmount değerinde işlem yapmalısınız.';
  }

  @override
  String ad8722Sbpage250Sbmin8722Sbfeedback8722Sbtip(Object minimumFeedbackscore) {
    return 'Bu tüccar, ticaret yapmak için en az $minimumFeedbackscore geri bildirim puanı gerektiriyor.';
  }

  @override
  String get ad8722Sbpage250Sbreport8722Sbad => 'Bir bilet açarak bu ilanı bildirin';

  @override
  String ad8722Sbpage250Sbrequest8722Sbtrade250Sbmin8722Sbrequired8722Sbbalance(Object amount, Object appName) {
    return 'Bu işlem için %1 tahkim koruma ücretini karşılamak için $appName tahkim tahvili cüzdanınızda $amount olması gerekir.';
  }

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbaccept8722Sbprice => 'Fiyatı kabul et ve devam et';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbamount => 'Yeni işlem tutarı';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbnew8722Sbprice => 'Yeni fiyat';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbold8722Sbprice => 'Eski fiyat';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbselect8722Sbadjustment => 'Şunun için ticaret miktarını ayarlayın:';

  @override
  String get ad8722Sbpage250Sbrequest8722Sbtrade250Sbprice8722Sbchanged250Sbtitle => 'fiyat değişti';

  @override
  String get ad8722Sbpage250Sbselect8722Sbamount => 'Miktarı seçin...';

  @override
  String get ad8722Sbpage250Sbsend8722Sbtrade8722Sbrequest8722Sbbtn => 'ticaret isteği gönder';

  @override
  String get ad8722Sbpage250Sbshow8722Sbon8722Sbmap => 'haritada göster';

  @override
  String get ad8722Sbpage250Sbsign8722Sbup8722Sbbtn => 'Ticarete başlamak için kaydolun';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbbtn => 'Şartları kabul edin ve ticarete başlayın';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbsubtitle => 'Bu tüccarın şartlarını kabul ediyor musunuz?';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbtitle => 'şartları oku';

  @override
  String ad8722Sbpage250Sbterms8722Sbof8722Sbtrade(Object username) {
    return '$username ile ticaret şartları';
  }

  @override
  String get ad8722Sbpage250Sbtips => 'İpuçları';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb0 => 'İlanı okuyun ve şartları kontrol edin.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb1 => 'Fiziksel nakit alınıp satılıyorsa bir buluşma yeri ve temas zamanı önerin.';

  @override
  String get ad8722Sbpage250Sbtips8722Sbtext8722Sb2 => 'Dolandırıcılara dikkat! Profil geri bildirimlerini kontrol edin ve yeni oluşturulan hesaplarla ilgili ekstra dikkatli olun.';

  @override
  String ad8722Sbpage250Sbtips8722Sbtext8722Sb3(Object assetName) {
    return 'Yuvarlama ve fiyat dalgalanmalarının nihai $assetName tutarı değiştirebileceğini unutmayın. $assetName tutarı, girdiğiniz ticaret para birimi tutarına göre hesaplanır.';
  }

  @override
  String get ad250Sbconfirmation250Sbaccept8722Sbterms8722Sbbtn => 'Şartları kabul et';

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress(Object asset) {
    return 'Yerleşim $asset cüzdan adresini sağlayın';
  }

  @override
  String ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbsubtitile(Object asset) {
    return 'Adres, satın aldığınız $asset\'i almak için kullanılacaktır. Adresin doğru olduğundan ve cüzdana erişiminiz olduğundan emin olun, aksi takdirde madeni paralar geri alınamayacak şekilde kaybolabilir.';
  }

  @override
  String get ad250Sbconfirmation250Sbprovide8722Sbaddress250Sbyou8722Sbown => 'İşleme başlayarak, alıcı cüzdanın size ait olduğunu onaylamış olursunuz.';

  @override
  String get ad250Sbdeleted => 'Bu reklam silindi';

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return '$assetName\'i $country cinsinden nakit karşılığında satın';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sblocal8722Sbsell8722Sbheading(Object assetName, Object country) {
    return '$country ile $assetName satın alın';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbbuy8722Sbheading(Object assetName, Object country) {
    return '$assetName\'i çevrimiçi olarak $country\'te satın';
  }

  @override
  String ad250Sbhomepage8722Sblisting250Sbonline8722Sbsell8722Sbheading(Object assetName, Object country) {
    return '$assetName\'i çevrimiçi olarak $country\'te satın alın';
  }

  @override
  String ad250Sblinks250Sbsubtitle(Object appName, Object assetName) {
    return 'Aradığınız fırsatı bulamadınız mı? Bu $appName listelemelerinde buna benzer daha fazla $assetName ticaret anlaşması var:';
  }

  @override
  String get ad250Sblinks250Sbtitle => 'Bu reklama sahip listeler';

  @override
  String get ad250Sblisting250Sbinsufficient8722Sbbalance => 'Tüccarın bakiyesi yetersiz';

  @override
  String get ad250Sbno8722Sbmax8722Sbamount => 'herhangi bir miktar ';

  @override
  String get ad250Sbno8722Sbmin8722Sbamount => 'kadar ';

  @override
  String get ad250Sbno8722Sbterms => 'Ticaret şartı belirtilmedi. ';

  @override
  String ad250Sbnotice250Sbprotected(Object link) {
    return 'Bu işlem bir $link tarafından korunmaktadır';
  }

  @override
  String get ad250Sbnotice250Sbprotected250Sblink => 'tahkim bağı';

  @override
  String get ad250Sbself8722Sbvacation8722Sbnotice => 'Şu anda tatilde olduğunuz için bu reklamı herkes göremez. Bunu ayarlardan veya kontrol panelinden değiştirebilirsiniz.';

  @override
  String get ad250Sbverified8722Sbemail => 'Bu reklamla işlem açmak için e-posta adresinizin doğrulanması gerekiyor';

  @override
  String address8722Sbinput250Sbbuyer8722Sbsettlement8722Sbaddress250Sblabel(Object asset) {
    return 'Hesaplaşma $asset cüzdan adresi';
  }

  @override
  String get affiliate250Sbbanner250Sbcode => 'Başlık kodu:';

  @override
  String affiliate250Sbbanner250Sbtext(Object appName, Object linebreak, Object iframe) {
    return 'Afişler, satış ortağınızla birlikte $appName\'i tanıtır. Bloglarınıza ve web sitelerinize HTML banner\'ları ekleyebilirsiniz. Reklamınız için $linebreak  $iframe banner (boyut 234 x 60 piksel, yarım banner ünitesi):';
  }

  @override
  String get affiliate250Sbbanner250Sbtitle => 'Afiş';

  @override
  String get affiliate250Sbenable8722Sbbtn => 'Bağlı kuruluş programını etkinleştir';

  @override
  String affiliate250Sbenabled(Object refCode, Object appName) {
    return 'Ortaklık programınız etkinleştirildi ve $refCode ortaklık etiketinizi herhangi bir $appName URL\'sine ekleyerek komisyon kazanabilirsiniz.';
  }

  @override
  String affiliate250Sbexample250Sbtext(Object assetName, Object appName, Object assetSymbol, Object linebreak, Object support) {
    return '$appName üzerinde kayıtlı $assetName alıcısı ve satıcısı olmak üzere iki kullanıcı alırsınız ve bunlar 100 $assetSymbol değerinde bir ticaret yaparlar. Her iki katılımcıdan da $appName alım satım ücretlerinden %20 komisyon, toplamda $appName ücretinin %40\'ı kadar komisyon kazanırsınız. Kazanılan toplamınız 0,4 $assetSymbol. Yalnızca işlem sürecimizden geçen kesinleşmiş satışlar önemlidir. Ödemeler günlük olarak yapılır. $linebreak  $appName $support her türlü sorunuzda size yardımcı olmaya fazlasıyla isteklidir.';
  }

  @override
  String get affiliate250Sbexample250Sbtext8722Sbsupport => 'destek';

  @override
  String get affiliate250Sbexample250Sbtitle => 'komisyon örneği';

  @override
  String get affiliate250Sbinstructions8722Sb0 => 'Üyelik, herhangi bir kullanıcı sizin referans kodunuzla bir bağlantıdan siteye girdikten sonra kaydolduğunda kaydedilir.';

  @override
  String get affiliate250Sbinstructions8722Sblink8722Sbtype8722Sbregular8722Sbsubtitle => 'Düzenli:';

  @override
  String affiliate250Sbinstructions8722Sbtext(Object appName) {
    return '$appName bağlantılarından herhangi birini kullanabilirsiniz, örneğin:';
  }

  @override
  String get affiliate250Sbinstructions8722Sbtitle => 'Örnek bağlantılar';

  @override
  String affiliate250Sblogged8722Sbout(Object signUp, Object logIn) {
    return 'Bağlı kuruluş programını $signUp veya $logIn\'ten sonra etkinleştirebilirsiniz.';
  }

  @override
  String get affiliate250Sblogged8722Sbout8722Sblog8722Sbin => 'giriş yapmak';

  @override
  String get affiliate250Sblogged8722Sbout8722Sbsign8722Sbup => 'üye olmak';

  @override
  String get affiliate250Sbpayouts250Sbnone => 'Henüz ödeme yok';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdate => 'Tarih';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription => 'Tanım';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbdescription8722Sbtext => 'Ortaklık programı komisyon ödemesi';

  @override
  String get affiliate250Sbpayouts250Sbtable250Sbreceived => 'Alınan ';

  @override
  String get affiliate250Sbpayouts250Sbtitle => 'ödemeler';

  @override
  String affiliate250Sbref8722Sbcode(Object refCode) {
    return 'Yönlendirme kodunuz: $refCode';
  }

  @override
  String affiliate250Sbterms250Sbtext(Object appName, Object assetName) {
    return '• Ülke listesi veya ödeme yöntemi listesi gibi herhangi bir sayfaya veya $appName üzerindeki herhangi bir şeye bağlantı verebilirsiniz. <br/>• Satış ortaklığı linkiniz üzerinden siteye gelen ve işlem yapan kullanıcılardan $assetName kazanacaksınız. <br/>• Ödemeler günlük olarak $appName cüzdanınıza $assetName olarak yapılacaktır. <br/>• Komisyonlar, kullanıcının kaydından itibaren bir yıl süreyle ödenecektir. Komisyon, yeni kullanıcının $appName için getirdiği gelire bağlıdır (ticaret ücretleri). <br/>• Aktif kuponlarınız varsa, belirli bir dönem için toplam kupon indirimleriniz, aynı dönem için bağlı kuruluş kazancınızdan düşülecektir. Belirli bir dönem için toplam indirim tutarınız, aynı dönem için bağlı kuruluş kazancınıza eşit veya bundan büyükse, söz konusu dönem için herhangi bir bağlı kuruluş kazancı almazsınız. <br/>• Yanıltıcı reklamlar gibi her türlü hileli oyun yasaktır. <br/>• Spam yapmak yasaktır. İstenmeyen e-posta gönderme, forumlarda/reddit\'te abonelikten çıkmış özel veya genel mesajlar, abonelikten çıkmış toplu posta vb. göndermeyi içerir. <br/>• Ortakları yakalamak için bir web sitesine gizli iframe\'ler eklemek yasaktır. Yalnızca bağlı kuruluş iframe\'lerine veya web sayfasına doğrudan bağlantılara izin verilir. <br/>• $appName, herhangi bir zamanda herhangi bir bağlı kullanıcıyı devre dışı bırakma hakkına sahiptir. Şartları ihlal ederseniz, ortaklık programınız sonlandırılacaktır.';
  }

  @override
  String affiliate250Sbterms250Sbtext57Sbagoradesk(Object appName) {
    return '• Ülke listesi veya ödeme yöntemi listesi gibi herhangi bir sayfaya veya $appName üzerindeki herhangi bir şeye bağlantı verebilirsiniz. <br/>• Affiliate link kaydınız üzerinden siteye gelen ve işlem yapan kullanıcılardan kripto para kazanacaksınız. <br/>• Ödemeler, ilgili kripto para birimlerinde $appName cüzdanınıza günlük olarak yapılacaktır. <br/>• Komisyonlar, kullanıcının kaydından itibaren bir yıl süreyle ödenecektir. Komisyon, yeni kullanıcının $appName için getirdiği gelire bağlıdır (ticaret ücretleri). <br/>• Yanıltıcı reklamlar gibi her türlü faul oyunu yasaktır. <br/>• Spam yapmak yasaktır. Spam, forumlarda/reddit\'te abone olunmamış özel veya genel mesajların gönderilmesini, abonelikten çıkmış toplu postayı vb. içerir. <br/>• Üyeleri yakalamak için bir web sitesine gizli iframe\'ler eklemek yasaktır. Yalnızca bağlı kuruluş iframe\'lerine veya web sayfasına doğrudan bağlantılara izin verilir. <br/>• $appName, herhangi bir bağlı kullanıcıyı herhangi bir zamanda devre dışı bırakma hakkına sahiptir. Şartları ihlal ederseniz, ortaklık programınız sonlandırılacaktır.';
  }

  @override
  String get affiliate250Sbterms250Sbtitle => 'Ortaklık programı şartları';

  @override
  String get affiliate250Sbtitle => 'Ortaklık Programı';

  @override
  String affiliate250Sbusers250Sbtext(Object number) {
    return 'Şu anda $number kullanıcıları için bir satış ortağı olarak kayıtlısınız ve bunlar tarafından yapılan tüm işlemlerden komisyon kazanacaksınız.';
  }

  @override
  String get affiliate250Sbusers250Sbtitle => 'Kullanıcılar';

  @override
  String get agoradesk250Sbad8722Sbpage250Sbhow8722Sbmuch8722Sbnotional8722Sbamount250Sbor => 'veya';

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sball => 'TÜM İLANLARI GÖSTER';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbads250Sbcoin(Object assetSymbol) {
    return '$assetSymbol YALNIZCA REKLAMLAR';
  }

  @override
  String get agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sball => 'HEPSİNİ GÖSTER ↓';

  @override
  String agoradesk250Sbasset8722Sbfilter8722Sbtoggle250Sbcoin(Object assetSymbol) {
    return 'YALNIZCA $assetSymbol';
  }

  @override
  String get agoradesk250Sbasset250Sblabel => 'Kripto para varlığı';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuy => 'satın almak';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbbuyer => 'alıcı';

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral(Object buy_or_sell_button_name) {
    return '\'$buy_or_sell_button_name\' düğmesine bastıktan sonra, ticaret şartları da dahil olmak üzere reklam hakkında daha fazla bilgi göreceksiniz. Takas talebini göndermeden önce bunları okuyun, onlarla aynı fikirde değilseniz bir önceki sayfaya dönebilir ve başka bir ilan seçebilirsiniz.';
  }

  @override
  String agoradesk250Sbguide250Sbad8722Sbpage250Sbgeneral250Sbhow8722Sbto8722Sbstart(Object asset, Object buy_or_sell) {
    return 'Ticareti başlatmak için, $buy_or_sell için ne kadar $asset istediğinizi yazın ve ticareti başlatmak için \'Ticaret talebi gönder\' düğmesine tıklayın.';
  }

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbsell => 'satmak';

  @override
  String get agoradesk250Sbguide250Sbad8722Sbpage250Sbseller => 'satıcı';

  @override
  String get agoradesk250Sbguide250Sbbtc8722Sbas8722Sban8722Sbexample => 'Bu kılavuzun amacı doğrultusunda, BTC\'yi temel para birimi olarak kullanacağız, ancak aynı kurallar XMR için de geçerlidir.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbbuyer => 'Nasıl ödeme yapmak istediğinizden emin değilseniz, ödeme yönteminiz olarak \"Tüm çevrimiçi teklifler\"i seçin.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sball8722Sbmethods8722Sbseller => 'Nasıl ödeme almak istediğinizden emin değilseniz, ödeme yönteminiz olarak \"Tüm çevrimiçi teklifler\"i seçin.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbbuy8722Sbtab8722Sbname => 'Satın almak';

  @override
  String agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbad8722Sbtype(Object buy_or_sell_tab_name) {
    return 'Sol sütunda \'$buy_or_sell_tab_name\' sekmesini seçmelisiniz. Ülkeyi, para birimini, ödeme yöntemini değiştirmek veya gerekli tutarı belirtmek isterseniz, \'Arama menüsünü göster\' düğmesine tıklayın, istediğiniz parametreleri seçin ve ara düğmesine basın.';
  }

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbchoose8722Sbasset => 'Ardından, reklamlar tablosunun üzerindeki satırda ilgili sekmeye basarak ticaret yapmak istediğiniz kripto para birimini seçin. Bu örnek için BTC\'yi seçeceğiz.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbmain8722Sbpage => 'Ana sayfaya gidin.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsearch8722Sbresults => 'Site, bölgenizde bulunan tüccarları listeleyecektir.';

  @override
  String get agoradesk250Sbguide250Sbsearch250Sbsell8722Sbtab8722Sbname => 'Satmak';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbbuy => 'Satın almak';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbcoins => 'Ticaret paraları';

  @override
  String get agoradesk250Sbindex250Sbad8722Sbselectors250Sbsell => 'Satmak';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbitm8722Sbotm8722Sbseparator250Sbcurrent8722Sbmarket8722Sbprice => 'Market fiyatı';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmor250Sbbutton => 'Daha fazla yükle...';

  @override
  String get agoradesk250Sbindex250Sbads8722Sbtable250Sbload8722Sbmore250Sbloading => 'Lütfen bekle';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbcta => 'Şimdi Bitcoin ticaretine başlamak için ücretsiz kaydolun';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbcontent => 'Tahkim standartlarımız çok yüksektir, çünkü<strong> anlaşmazlıklarda kanıt olarak ekran görüntülerini veya diğer kolayca tahrif edilebilir belgeleri kabul etmiyoruz</strong>. Bu nedenle, büyük miktarda dolandırıcıyı platformumuzda çöp toplamaya çalışmaktan caydırabiliyoruz. Kullanıcı raporlarına hızla yanıt veririz ve dolandırıcılık faaliyetinde ani artışların olduğu bölgelerde uyarılar yayınlarız.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbdisputes250Sbtitle => 'dolandırıcılık önleme';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb0 => 'KYC/AML veya doğrulama yok';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb1 => 'Herhangi bir para birimi, herhangi bir ödeme yöntemi, her yerde';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb10(Object nojs) {
    return '$nojs (Tor veya I2P\'den erişirken varsayılan olarak yüklenir)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb108722Sb1 => 'Sitenin JavaScript olmayan sürümü';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb11 => 'Google engellendiğinde tamamen çalışır';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb12(Object affiliate) {
    return '$affiliate - ticaret yapan kullanıcıları davet ederek komisyon kazanın';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb128722Sb1 => 'Ortaklık Programı';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb13 => 'Çok dilli: İngilizce, Rusça, Çince (hem basitleştirilmiş hem de geleneksel), İtalyanca, Portekizce ve İspanyolca dillerini destekliyoruz';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb14(Object telegram) {
    return '$telegram aracılığıyla mobil bildirimler, böylece sadece işlemleriniz hakkında anlık bildirimler almak için telefonunuza başka bir uygulama yüklemek zorunda kalmazsınız (LocalBitcoins bu özelliği bizden sonra uygulamaya koydu)';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb15 => 'Markdown kullanımıyla güzel reklamlar';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb16 => '2FA (Google Authenticator veya andOTP gibi TOTP uygulamalarıyla)';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb17 => 'BTC dışındaki para birimlerini çekme ';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb18 => 'Fiyat formüllerinin kullanılması yoluyla karmaşık fiyatlandırma mekanizmaları';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb19 => 've dahası...';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb2 => 'Çevrimiçi Bitcoin ticareti';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb20(Object api) {
    return 'Kolay geçiş için LocalBitcoins API\'sinden sonra modellenen tamamen işlevsel $api';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb208722Sb1 => 'API';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb3 => 'Çevrimdışı nakit yüz yüze Bitcoin ticareti';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb4 => 'Tüm çevrimiçi işlemlerde tam tahkim bonosu koruması';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb5 => 'Para yatırma ücreti yok, adil para çekme ücreti';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb6 => 'Hızlı ve duyarlı destek';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb7 => 'Kayıt sırasında e-posta yok';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb8 => 'soğan portalı';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures8722Sb9 => 'I2P portalı';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfeatures250Sbtitle => 'AgoraDesk\'in özellikleri şunları içerir:';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbcontent => '<i>LocalBitcoins</i>\'den farklı olarak, tahkim tahvili cüzdanımıza/bono cüzdanımıza Bitcoin yatırdığınızda veya çekerken fahiş ücretler almıyoruz. <strong> para yatırma ücreti yoktur ve para çekme ücreti, normal bir işlemde </strong> ödeyeceğiniz ücrete çok yakındır. Diğer AgoraDesk kullanıcılarının cüzdanlarına yapılan transferler hiçbir ücrete tabi değildir.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbfees250Sbtitle => 'Adil ücretler';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbhtml8722Sbdescription => 'KYC/AML veya doğrulama olmadan eşler arası Bitcoin ticareti yapmak için bir LocalBitcoins analogu mu arıyorsunuz? AgoraDesk, Monero\'nun LocalBitcoins eşdeğeri olan LocalMonero\'nun arkasındaki ekip tarafından oluşturulan, Bitcoin ticareti için yeni bir P2P platformudur. LocalBitcoins\'in eskiden sağladığı hızlı ve kolay Bitcoin ticaret deneyimini ve daha fazlasını sunuyoruz.';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbintroduction(Object lbc, Object lm) {
    return 'KYC/AML veya doğrulama olmadan eşler arası Bitcoin ticareti yapmak için bir $lbc analogu mu arıyorsunuz? AgoraDesk, Monero\'nun LocalBitcoins eşdeğeri olan $lm\'in arkasındaki ekip tarafından oluşturulan, Bitcoin ticareti için yeni bir P2P platformudur.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbcontent => 'AgoraDesk, orijinal LocalBitcoins\'i bu kadar popüler yapan basitliği ve anlaşılırlığı korumaya kendini adamıştır. <strong> KYC/AML kullanmıyoruz ve kullanmayı da düşünmüyoruz</strong>. KYC/AML kavramının, bizimki gibi ve <i>dünya gezegeninde daha fazla yasal yol kalmayıncaya kadar, eşler arası tezgah üstü takas fikrine tamamen aykırı olduğuna kesinlikle inanıyoruz. </i> KYC/AML\'yi uygulamaktan kaçınmak için size sorunsuz bir deneyim sunmak için yasal olarak elimizden gelen her şeyi yapacağız.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbno8722Sbkyc250Sbtitle => 'KYC/AML yok';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbcontent => ' AgoraDesk, gizlilik odaklı Monero topluluğunda geçmişe sahip bir ekip tarafından yapıldığından, AgoraDesk, LocalMonero\'nun sahip olduğu aynı gizlilik odaklı eğilimi miras alır. Google hizmetlerini tamamen engelleyen bir kullanıcı, platformumuzu sorunsuz bir şekilde kullanabilecektir. <strong> Platformumuz JavaScript</strong> olmadan da tamamen işlevseldir; bu, JavaScript\'in çalışmasını gerektiren diğer platformlarda <i>asla</i> elde edilemeyecek bir güvenlik ve gizlilik düzeyi sağlar.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbnojs250Sbtitle => 'JavaScript olmadan çalışır';

  @override
  String agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent(Object tor_link, Object advanced_routing, Object i2p_link, Object dont_ask_email) {
    return 'Sitemize $tor_link (bizim $advanced_routing kullanımımız sayesinde maksimum performans için ayarlanmıştır) ve hatta bir $i2p_link aracılığıyla kolayca erişilebilir. Bu, yalnızca gerçek IP\'nizi bizden gizleyebilmenizi sağlamakla kalmaz (zaten hesabınızla asla ilişkilendirmiyoruz), aynı zamanda herhangi bir nedenle normal alan adımıza erişemezseniz, erişmeniz için başka yollar da olacaktır. servisimiz. Gizliliğinize çok değer veriyoruz $dont_ask_email.';
  }

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbadvanced8722Sbrouting => 'gelişmiş soğan yönlendirme özellikleri';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbi2p8722Sblink => 'I2P portalı';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbno8722Sbemail => 'kayıt olurken bir e-posta vermenizi bile istemiyoruz';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbcontent250Sbtor8722Sblink => 'Tor portalı';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbprivacy250Sbtitle => 'Gizlilik merkezli, sansüre dayanıklı';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsubtitle => 'LocalBitcoins\'in eskiden sağladığı hızlı ve kolay Bitcoin ticaret deneyimini ve daha fazlasını sunuyoruz.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbcontent => 'Destek ekibimiz hızlı, duyarlı ve her zaman memnun etmeye hevesli. <strong> 24 saat içinde yanıtlanmayan bir destek biletimiz hiç olmadı</strong>. Sosyal medya aracılığıyla her zaman kolayca ulaşılabilir durumdayız, eleştirilerinizi dikkatle dinliyor ve iyi kullanıcı önerilerini rekor sürede hayata geçiriyoruz.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbsupport250Sbtitle => 'yıldız desteği';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtitle => 'LocalBitcoins Alternatifi';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbcontent => 'Tıpkı LocalBitcoins gibi, <strong> herhangi bir ödeme yöntemini, herhangi bir para birimini, her yerde</strong> destekliyoruz. Ödeme yöntemlerini kaldırmıyoruz ve <i>LocalBitcoins\'in</i> aksine, <strong>yüz yüze nakit işlemlerini</strong> tamamen destekliyoruz. Tüm işlemlerimiz tahkim teminatı ile korunmaktadır. Bir ticaret başlamadan önce fonların tahkimde tutulmasını zorunlu kılmamız sayesinde, platformun popülerliği ve satıcılar için tekrar müşteriler için gerekli olan alıcı için sorunsuz ve hızlı bir deneyim sağlıyoruz.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrading250Sbtitle => 'Güvenli ve sorunsuz ticaret';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbcontent => 'LocalMonero iki yılı aşkın bir süredir faaliyet gösteriyor, 2018\'deki Büyük Kripto Para Piyasası Çöküşünden sağ çıktı ve <strong>topluluk odaklı özenli hizmeti</strong> aracılığıyla <i>son derece yüksek <strong>güvenilir</strong> isimlerinden biri oldu şüpheci</i> Monero topluluğu.';

  @override
  String get agoradesk250Sblbc8722Sbalternative250Sbtrust250Sbtitle => 'topluluk tarafından güvenilir';

  @override
  String get agoradesk250Sbleft8722Sbmenu250Sbtrade => 'Ticaret';

  @override
  String get agoradesk250Sblink8722Sbfrom8722Sblocalmonero => 'BTC Ticareti';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbbuy => 'Nakit karşılığında madeni para satın alın (yerel olarak)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sblocal8722Sbsell => 'Nakit karşılığında madeni para sat (yerel olarak)';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbbuy => 'Çevrimiçi madeni para satın alın';

  @override
  String get agoradesk250Sbpost8722Sbad250Sbtrade8722Sbtype250Sbnojs250Sbonline8722Sbsell => 'Çevrimiçi madeni para sat';

  @override
  String agoradesk250Sbstart250Sbcoins(Object appName) {
    return '$appName madeni para ticareti kılavuzları';
  }

  @override
  String get agoradesk250Sbtrade250Sbaction250Sberror8722Sbdialog250Sbcontent => 'İşleminiz bir hataya neden oldu, lütfen sayfayı yeniden yükleyin.';

  @override
  String agoradesk250Sbtrade250Sboption250Sbcall250Sbseller250Sbconfirm8722Sbpayment8722Sband8722Sbrelease(Object date) {
    return 'Alıcı, ödemeyi $date tarihinde tamamlandı olarak işaretledi. Parayı aldığınızdan emin olun ve işlemi sonlandırın.';
  }

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbbuyer250Sbtitle => 'satıcıya ödeme yap';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbfive250Sbseller250Sbtitle => 'Alıcının ödemesini bekliyorum';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbcall250Sbstep8722Sbsix250Sbseller250Sbtitle => 'Ödemeyi Onayla';

  @override
  String get agoradesk250Sbtrade250Sboption250Sblast8722Sbstep250Sbtitle => 'Ticaret tamamlandı';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayer8722Sbcancel8722Sbnotice => 'Bir hata mı yaptınız yoksa başka bir tüccar mı denemek istiyorsunuz? Parayı zaten transfer ettiyseniz ve şimdi iptal etmek istiyorsanız, ödemenizin iadesini ticaret ortağınızla kendiniz görüşmeniz gerekir. <strong> Paranızı geri aldığınızdan emin olmadığınız sürece asla iptal etmeyin. </strong>';

  @override
  String get agoradesk250Sbtrade250Sboption250Sbpayment8722Sbreceiver8722Sbcancel8722Sbnotice => 'Parayı aldığınızdan %100 emin olmadan asla bir işlemi sonlandırmayın. Dolandırıcılar erken bitirmeniz için <strong>sizi kandırmaya çalışacak</strong>.';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbbuyer => 'alıcı';

  @override
  String get agoradesk250Sbtrade250Sbstatus250Sbexercised250Sbcontent8722Sbseller => 'satıcı';

  @override
  String agoradesk250Sbwallet250Sbbtc250Sbsingle8722Sbuse8722Sbnotice(Object assetName) {
    return 'Bu adres kullanıldıktan sonra otomatik olarak değişecektir. Buna rağmen, $assetName\'inizi kullanılmış bir para yatırma adresine gönderirseniz, hesabınıza yatırılacaktır. Gizlilik nedeniyle kullanılmış para yatırma adreslerini göstermiyoruz. Bu adrese yalnızca kişisel olarak kontrol ettiğiniz bir cüzdandan para gönderebilirsiniz.';
  }

  @override
  String get and => 've';

  @override
  String get api8722Sbdocs250Sblabel => 'API belgeleri';

  @override
  String get api250Sbvalidation8722Sberror250Sbaddress => 'Geçersiz adres!';

  @override
  String get appbar8722Sbbtn250Sblogin => 'Giriş yapmak';

  @override
  String get appbar8722Sbbtn250Sbsignup => 'Ücretsiz kaydol';

  @override
  String get article250Sblast8722Sbupdated => 'Son güncelleme';

  @override
  String get article250Sbpublished => 'Yayınlanan';

  @override
  String get as8722Sbseen8722Sbon => 'Görüldüğü gibi:';

  @override
  String get asset8722Sbprops250Sbname250Sbasset => 'madeni para';

  @override
  String get asset8722Sbprops250Sbname250Sbbtc => 'Bitcoin';

  @override
  String get asset8722Sbprops250Sbname250Sbxmr => 'Monero';

  @override
  String breadcrumbs250Sblocal8722Sbbuy(Object asset, Object currencyCode) {
    return '$currencyCode için $asset satın';
  }

  @override
  String breadcrumbs250Sblocal8722Sbsell(Object asset, Object currencyCode) {
    return '$currencyCode karşılığında $asset satın alın';
  }

  @override
  String breadcrumbs250Sbonline8722Sbbuy(Object asset, Object currencyCode) {
    return '$currencyCode için $asset satın';
  }

  @override
  String breadcrumbs250Sbonline8722Sbsell(Object asset, Object currencyCode) {
    return '$currencyCode karşılığında $asset satın alın';
  }

  @override
  String get button250Sbaccept => 'Kabul';

  @override
  String get buy8722Sbmonero8722Sbin8722Sbany8722Sbcountry => 'herhangi bir ülke';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbcurrently => 'şu anda';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbdescription => '<strong> Ticaret anlaşması sırasında kullanılacak bir ücret seviyesi seçin. </strong> Burada gösterilen değerler cari oran tahminleridir ve ticaret anlaşması sırasında uygulananlardan farklı olabilir. İşlem tutarı, işlemi seçilen ücret seviyesiyle kapatmak için çok düşükse, takas sırasında otomatik olarak daha düşük bir ücret seviyesi seçilecektir.';

  @override
  String get buyer8722Sbsettlement8722Sbfee8722Sblevel250Sbtitle => 'Uzlaşma ücreti düzeyi';

  @override
  String get cancelled250Sbno8722Sbtrades => 'Henüz herhangi bir işlemi iptal etmediniz';

  @override
  String get cancelled250Sbtitle => 'İptal edilen işlemleriniz';

  @override
  String get captcha250Sbhelper8722Sbtext => 'Yukarıdaki resimdeki metni girin';

  @override
  String get chat250Sbattach => 'dosya ekle';

  @override
  String get chat250Sbattachment => 'Ek';

  @override
  String get chat250Sbbtn => 'Mesaj gönder';

  @override
  String get chat250Sbcash8722Sbdeposit8722Sbseller8722Sbwarning => '<strong>Uyarı:</strong> Satıcıların daha sonra ters çevrilen bir çek ibrazını aldığı durumlar olmuştur. Aldığınız herhangi bir depozitoyu doğruladığınızdan (örneğin bankayı arayarak) emin olun!';

  @override
  String get chat250Sbeu8722Sbfraud8722Sbwarning => 'Şu anda Avrupa bölgemizde banka hesabı dolandırıcılığında bir artış var gibi görünüyor. <br /> Avrupa bölgesindeki tüm tacirlerimize, yeni ticaret ortaklarıyla iş yaparken son derece dikkatli olmalarını tavsiye ediyoruz; örneğin, ellerinde bir kimlik tutarken çekilmiş bir fotoğraf ve ticari bilgileri (ticari kimlik numarası, miktar gibi) içeren bir kağıt istemek gibi. kullanıcı adı ve tarih). Dolandırıcıların sızdırılmış veya çalınmış KYC belgelerine sahip olabileceğini unutmayın. <br />';

  @override
  String chat250Sbinput8722Sbtip(Object appName) {
    return 'Yeni bir satır başlatmak için <strong></strong> girin, mesaj göndermek için <strong>Alt+Enter</strong>. Maksimum 65536 karakter. $appName, anlaşmazlık arabuluculuğu amacıyla sohbet mesajlarını 180 gün boyunca şifreler ve saklar.';
  }

  @override
  String chat250Sbinput8722Sbtip8722Sbshort(Object appName) {
    return '$appName, anlaşmazlık arabuluculuğu amacıyla sohbet mesajlarını 180 gün boyunca şifreler ve saklar.';
  }

  @override
  String get chat250Sbinput8722Sbtitle => 'Bir mesaj yaz...';

  @override
  String get chat250Sbmitm8722Sbcryptocurency8722Sbwarning => 'Uyarı: Satıcının adresini yalnızca bu ticaret sohbetinden veya bu ticaret sayfasındaki ödeme ayrıntıları bölümünden alın ve ödeme işlem kimliklerini bu ticaret sohbeti dışında göndermeyin! Ayrıca, bu ticaret sohbetindeki tüm iletişimleri saklamanızı öneririz.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb0 => '⚠️ PSA: Ortada adam gibi davranan aktif yeni bir dolandırıcı var. Dolandırıcı, platformda bir satıcı gibi davranarak sizinle platform dışında iletişime geçerek, indirimli bir fiyata BTC karşılığında kendilerinden XMR satın almanızı teklif eder (örneğin, 10 XMR satın almak için 8 XMR değerinde BTC ödeyin). Aynı zamanda, platformda taklit ettikleri satıcıyla indirimli miktar için bir ticaret açarlar.';

  @override
  String get chat250Sbmitm8722Sbwarning250Sb1 => '<p>Dolandırıcı daha sonra alıcıya tam tutar için ticarete başlamasını ve indirimli tutarı ödemesini söylerken aynı zamanda satıcının blok zincirindeki alıcı adresini izler ve yasal alıcının indirimli tutar işlemini izler. Dolandırıcı daha sonra yasal alıcının txid\'ini alır ve ödeme kanıtı olarak satıcıya verir. Satıcı, biri meşru alıcıdan gelen tam miktar için ve diğeri dolandırıcıdan düşen miktar için olmak üzere iki takas açık olduğu için madeni paraları dolandırıcıya serbest bırakır ve miktar kendi ticaret miktarıyla eşleştiği için ödemeyi yapanın dolandırıcı olduğunu düşünür. </p>\n\n<p> <strong> PLATFORM DIŞINDA İŞLEM YAPMAYIN. BİRİSİ SİZE PLATFORM DIŞINDAN YAKLAŞIRSA, ONLARLA PLATFORMDA BİR İŞLEM AÇIN VE SÖYLEDİKLERİ KİM OLDUĞUNU DOĞRULAYIN VE TÜM İLETİŞİMLERİ ORADA SÜRDÜRÜN. </strong> </p>\n\n<p> <strong> ŞEFFAF KRİPTO ZİNCİRLERİ ÜZERİNDEN ÖDEMELERİ KABUL EDEN SATICILAR: MÜŞTERİLERİNİZLE ALIŞVERİŞLER ARASINDA YETERLİ ÖDEME FARKLI YAPARAK BUNA MAĞDUR OLMAMAK İÇİN EMİN OLUN. </strong> </p>\n\n<p> BTC gibi herkese açık bir kripto parada her işlem için her zaman farklı adresler kullanın. </p>';

  @override
  String get chat250Sbno8722Sbmessages => 'Henüz mesaj yok';

  @override
  String chat250Sbsecurity8722Sbwarning(Object appName) {
    return 'Sohbette aldığınız harici bağlantıları açmayın veya diğer kullanıcılardan harici olarak alınan dosyaları indirmeyin. Tüm $appName etkinliğiniz için ayrı bir tarayıcı kullanmak en iyisidir.';
  }

  @override
  String get chat250Sbselect8722Sbfile => 'Dosya Seç...';

  @override
  String get chat250Sbsend => 'Göndermek';

  @override
  String get chat250Sbshortcuts => 'Girin: yeni satır, Alt+Enter: gönder';

  @override
  String chat250Sbtitle(Object user) {
    return '$user\'e mesaj gönder';
  }

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtext => 'Eklenen dosyalar .jpg veya .png ve maksimum 5MB olmalıdır.';

  @override
  String get chat250Sbupload8722Sberror8722Sbdialog8722Sbtitle => 'yükleme hatası';

  @override
  String get chat250Sbupload8722Sbfile => 'Yüklemek';

  @override
  String get chat250Sbupload8722Sbtip => 'Kabul edilen dosya türleri: .jpg, .png. 5 MB maksimum.';

  @override
  String get chat250Sbzoom8722Sbtip => 'İpucu: yakınlaştırmak için mesaja üç kez basın';

  @override
  String get completed250Sbno8722Sbtrades => 'Henüz herhangi bir işlemi tamamlamadınız';

  @override
  String get completed250Sbtitle => 'Tamamlanan işlemleriniz';

  @override
  String contact250Sble(Object lawEnforcementinquiries) {
    return 'Kolluk kuvvetleriyle ilgili sorular için lütfen $lawEnforcementinquiries bölümünü okuyun.';
  }

  @override
  String get contact250Sble250Sbpolicy8722Sblink => 'politikamız';

  @override
  String contact250Sbtext8722Sb0(Object openAticket, Object email) {
    return 'Desteğimizle iletişime geçmek için $openAticket veya $email adresine bir e-posta gönderebilirsiniz.';
  }

  @override
  String get contact250Sbtext8722Sb08722Sbopen8722Sba8722Sbticket => 'bilet aç';

  @override
  String contact250Sbtext8722Sb1(Object email) {
    return 'İş, basın ve diğer sorularınız için $email adresinden bize ulaşın.';
  }

  @override
  String contact250Sbtext8722Sb2(Object appName, Object here) {
    return '$appName logosunu yüksek kalitede $here indirebilirsiniz.';
  }

  @override
  String get contact250Sbtext8722Sb28722Sbhere => 'burada';

  @override
  String get contact250Sbtitle => 'Bize Ulaşın';

  @override
  String get coupons250Sbcode8722Sbinput250Sbplaceholder => 'Kodunuzu buraya yazın...';

  @override
  String get coupons250Sbcoupon250Sbbutton250Sblabel => 'Tazmin etmek';

  @override
  String coupons250Sbcoupon250Sbdescription(Object percent, Object assets, Object types) {
    return '$assets $types işlemlerinde %$percent ücret iadesi.';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_buy => 'yerel satın alma';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sblocal_sell => 'yerel satış';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_buy => 'çevrimiçi satın al';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbonline_sell => 'çevrimiçi satış';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_buy => 'koy seçeneği satın al';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbput_sell => 'opsiyon sat';

  @override
  String get coupons250Sbcoupon250Sbexpired => 'Süresi doldu';

  @override
  String get coupons250Sbcoupon250Sbexpires => 'süresi doluyor';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbactive => 'aktif kupon';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbexpired => 'Süresi dolmuş kupon';

  @override
  String get coupons250Sbcoupon250Sbtitle250Sbredeem => 'Kuponu kullan';

  @override
  String get coupons250Sberror250Sb175 => 'geçersiz kupon kodu';

  @override
  String get coupons250Sberror250Sb176 => 'Kuponun süresi zaten dolmuş';

  @override
  String get coupons250Sberror250Sb177 => 'Bu kupon stokta yok';

  @override
  String get coupons250Sberror250Sb179 => 'geçersiz kupon kodu';

  @override
  String get coupons250Sberror250Sb180 => 'Kuponun süresi zaten dolmuş';

  @override
  String get coupons250Sberror250Sb181 => 'Bu kupon yalnızca kayıt sırasında kullanılabilir';

  @override
  String get coupons250Sberror250Sb182 => 'Bu kuponu zaten kullandınız';

  @override
  String get coupons250Sberror250Sb183 => 'Bu kupon stokta yok';

  @override
  String get coupons250Sberror250Sb184 => 'Aynı anda yalnızca bir etkin kuponunuz olabilir';

  @override
  String get coupons250Sberror250Sbdialog250Sbtitle => 'Kupon kullanma hatası';

  @override
  String coupons250Sberror250Sbgeneric(Object error_code) {
    return 'Kupon kullanılırken bir şeyler ters gitti. Bu doğru görünmüyorsa, lütfen destekle iletişime geçin. Hata kodu: $error_code.';
  }

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbhide => 'Süresi dolmuş kuponlarınızı gizleyin';

  @override
  String get coupons250Sbshow8722Sbexpired8722Sbbtn250Sbshow => 'Süresi dolmuş kuponlarınızı gösterin';

  @override
  String get coupons250Sbsignup250Sbshow8722Sbcoupon8722Sbinput8722Sbbtn => 'kupon kodum var';

  @override
  String get coupons250Sbsubtitle => 'Aktif ve süresi dolmuş kuponlarınız burada gösterilecektir. Kupon kodunuz varsa, burada kullanabilirsiniz.';

  @override
  String get coupons250Sbterms8722Sb0 => 'Aynı anda yalnızca bir kuponunuz aktif olabilir.';

  @override
  String get coupons250Sbterms8722Sb1 => 'Bir kuponu kullandıktan sonra devre dışı bırakamazsınız.';

  @override
  String get coupons250Sbterms8722Sb2 => 'Her kupon, hesap başına yalnızca bir kez kullanılabilir.';

  @override
  String get coupons250Sbterms8722Sb3 => 'Ücret, yalnızca ticaret için tahkim koruma ücretini başlangıçta ödeyen tarafa iade edilir.';

  @override
  String get coupons250Sbterms8722Sb4 => 'İşlem kapandığında ücret indirimi gerçekleşecektir.';

  @override
  String get coupons250Sbterms8722Sb5 => 'Bağlı kuruluş komisyonları kazanırsanız, belirli bir dönem için toplam kupon iadeleriniz, aynı dönem için bağlı kuruluş kazancınızdan düşülecektir. Belirli bir dönem için toplam indirim tutarınız, aynı dönem için bağlı kuruluş kazancınıza eşit veya bundan büyükse, söz konusu dönem için herhangi bir bağlı kuruluş kazancı almazsınız.';

  @override
  String coupons250Sbterms8722Sb6(Object appName) {
    return '$appName herhangi bir zamanda herhangi bir bildirimde bulunmadan veya tazminat ödemeden kuponunuzu devre dışı bırakma hakkını saklı tutar.';
  }

  @override
  String get coupons250Sbterms250Sbtitle => 'Kupon hüküm ve koşulları';

  @override
  String get coupons250Sbtitle => 'Kuponlar';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbbtn => 'Reklamı sil';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtext => 'Bu, reklamı kalıcı olarak siler. Görünürlüğü false olarak ayarlayarak reklamı gizlemeyi düşünün.';

  @override
  String get dashboard250Sbad250Sbdelete8722Sbdialog8722Sbtitle => 'Silme işlemini onayla';

  @override
  String get dashboard250Sbad250Sbemail8722Sbverified => 'Bu reklam yalnızca doğrulanmış e-postası olan kullanıcılar içindir';

  @override
  String get dashboard250Sbad250Sbfor8722Sbtrusted => 'Yalnızca güvenilir kullanıcılar için';

  @override
  String get dashboard250Sbad250Sbmethod250Sbcash => 'Nakit';

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbnegative(Object percent) {
    return 'Pazar $percent';
  }

  @override
  String dashboard250Sbad250Sbprice8722Sbtype250Sbmarket8722Sbpositive(Object percent) {
    return 'Pazar +$percent';
  }

  @override
  String get dashboard250Sbad250Sbtable8722Sbcreated8722Sbat => 'oluşturuldu';

  @override
  String get dashboard250Sbad250Sbtable8722Sbid => 'İD';

  @override
  String get dashboard250Sbad250Sbtable8722Sbmethod => 'Yöntem';

  @override
  String get dashboard250Sbad250Sbtable8722Sbprice => 'Fiyat';

  @override
  String get dashboard250Sbad250Sbtable8722Sbtype => 'Tip';

  @override
  String get dashboard250Sbad250Sbtable8722Sbvisible => 'Gözle görülür';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbdelete8722Sbwarning => 'Bu, seçili reklamları kalıcı olarak siler. Görünürlüğü false olarak ayarlayarak bunları gizlemeyi düşünün.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbapply => 'Seçilene uygula';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbfalse => 'Yanlış';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbboolean250Sbtrue => 'Doğru';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sberror => 'Birden çok reklam güncellenirken bir şeyler ters gitti. Reklamların bir kısmı veya tamamı güncellenmemiş olabilir. Muhtemelen aynı anda çok fazla reklam seçtiniz. Lütfen sayfayı yenileyin ve tekrar deneyin.';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbany => 'herhangi bir reklam';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbasset8722Sbbuys => 'Yalnızca aynı öğe satın alma reklamları';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsame8722Sbcurrency => 'Yalnızca aynı para birimindeki reklamlar';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbgroup250Sbsells => 'Yalnızca reklam sat';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbsetting8722Sbselect250Sblabel => 'ayarı seçin';

  @override
  String get dashboard250Sbads250Sbbulk8722Sbedit250Sbtitle => 'Birden fazla reklamı yönetin';

  @override
  String get dashboard250Sbads250Sbfilter250Sbapply8722Sbbtn => 'Filtre uygula';

  @override
  String get dashboard250Sbads250Sbfilter250Sbasset => 'Varlık';

  @override
  String get dashboard250Sbads250Sbfilter250Sbdelete8722Sbselected => 'Silme seçildi';

  @override
  String get dashboard250Sbads250Sbfilter250Sbno8722Sbads => 'Burada reklam yok';

  @override
  String get dashboard250Sbads250Sbfilter250Sbreset8722Sbbtn => 'Filtreleri sıfırla';

  @override
  String get dashboard250Sbads250Sbfilter250Sbsort => 'Göre sırala';

  @override
  String get dashboard250Sbads250Sbfilter250Sbtype => 'Tip';

  @override
  String get dashboard250Sbads250Sbfilter250Sbvisibility => 'görünürlük';

  @override
  String get dashboard250Sbads250Sbload8722Sball => 'Tüm reklamları yükle';

  @override
  String get dashboard250Sbads250Sbshowing8722Sball => 'Tüm reklamlar gösteriliyor';

  @override
  String get dashboard250Sbblocked => 'engellendi';

  @override
  String get dashboard250Sbfilter250Sball => 'Herşey';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbboth => 'Alış/Satış';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbbuying => 'Alış';

  @override
  String get dashboard250Sbfilter250Sbrole250Sbselling => 'Satış';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbhidden => 'Gizlenmiş';

  @override
  String get dashboard250Sbfilter250Sbvisibility250Sbvisible => 'Gözle görülür';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbno8722Sbads => 'Şu anda hiç reklamınız yok';

  @override
  String get dashboard250Sbopen8722Sbads8722Sbtitle => 'reklamlarınız';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbno8722Sbtrades => 'Şu anda açık işleminiz yok';

  @override
  String get dashboard250Sbopen8722Sbtrades8722Sbtitle => 'Açık işlemleriniz';

  @override
  String get dashboard250Sbpost8722Sbad8722Sbbtn => 'Yeni reklam oluştur';

  @override
  String get dashboard250Sbtitle => 'Gösterge Paneli';

  @override
  String get dashboard250Sbtrade250Sbcancelled8722Sbat => 'İptal edildi';

  @override
  String get dashboard250Sbtrade250Sbcompleted8722Sbat => 'tamamlandı';

  @override
  String get dashboard250Sbtrade250Sbcreated8722Sbat => 'Oluşturma zamanı';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcancelled => 'İptal edildi';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbcompleted => 'Tamamlanmış';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbdisputed => 'tartışmalı';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbfunded => 'finanse edilen';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbnot8722Sbpaid => 'Ödeme için bekleniyor';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbpaid => 'Ödendi, sonuçlanmayı bekliyor';

  @override
  String get dashboard250Sbtrade250Sbstatus250Sbunfunded => 'fonsuz';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbamount8722Sbfiat58Sb => 'Para birimi tutarı)';

  @override
  String dashboard250Sbtrade250Sbtable8722Sbamount8722Sbxmr58Sb(Object assetSymbol) {
    return 'Tutar ($assetSymbol)';
  }

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbid58Sb => 'İD';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbmethod58Sb => 'Yöntem';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbpartner58Sb => 'Takas partneri';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbstatus58Sb => 'Durum';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbtype58Sb => 'Tip';

  @override
  String get dashboard250Sbtrade250Sbtable8722Sbview8722Sbbtn58Sb => 'görüş';

  @override
  String get dashboard250Sbtrade250Sbuser8722Sbdeleted => '[silindi]';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbno8722Sbtrades => 'Burada takas yok';

  @override
  String get dashboard250Sbtrades250Sbfilter250Sbrole => 'Ben...';

  @override
  String get dashboard250Sbtrusted => 'güvenilir';

  @override
  String get dashboard250Sbtrusted8722Sbusers => 'Güvenilen/engellenen kullanıcılarınız';

  @override
  String get dashboard250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'ACİL İŞLEM GEREKİYOR: satın alma reklamlarınızdan biri veya daha fazlası, takas cüzdanı adres ayarına sahip değil. Bu reklamların gizlenmesini önlemek için mümkün olan en kısa sürede sağlayın. Tek seferde tüm alakalı reklamlar için ayarlamak üzere filtreleri ve toplu reklam düzenleme özelliğini kullanabilirsiniz.';

  @override
  String get dashboards250Sbads250Sbfilter250Sbtitle => 'Reklamları filtrele';

  @override
  String get dashboards250Sbtrades250Sbfilter250Sbtitle => 'İşlemleri filtrele';

  @override
  String get description => 'Monero\'yu alın. Hızlı, kolay ve güvenli. Sana yakın.';

  @override
  String description250Sbaffiliate(Object appName) {
    return 'Yönlendirdiğiniz kullanıcılar tarafından oluşturulan işlem ücretlerinin %20\'sini kazanırsınız. Bu ödemeler günlük olarak $appName cüzdanınıza Monero olarak yapılacaktır. Yönlendirilen kullanıcılarınız, kayıt oldukları tarihten itibaren 1 yıl süreyle sizin adınıza komisyon oluşturacaktır.';
  }

  @override
  String description250Sbaffiliate57Sbagoradesk(Object appName) {
    return 'Yönlendirdiğiniz kullanıcılar tarafından oluşturulan işlem ücretlerinin %20\'sini kazanırsınız. Bu ödemeler, $appName cüzdanınıza ilgili kripto para birimleri olarak günlük olarak yapılacaktır. Yönlendirilen kullanıcılarınız, kayıt oldukları tarihten itibaren 1 yıl süreyle sizin adınıza komisyon oluşturacaktır.';
  }

  @override
  String description250Sbfaq(Object appName) {
    return 'Monero ticareti hakkında sık sorulan soruların ve $appName ile ilgili diğer soruların yanıtlarını bulun.';
  }

  @override
  String description250Sbfaq57Sbagoradesk(Object appName) {
    return 'Kripto para ticareti hakkında sık sorulan soruların ve $appName ile ilgili diğer soruların yanıtlarını bulun.';
  }

  @override
  String description250Sbfee(Object appName) {
    return 'Monero\'ya kaydolmak, satın almak ve satmak tamamen ücretsizdir. Reklam oluşturan $appName kullanıcılarından, tamamlanan her işlem için %1 tahkim koruma ücreti alınır.';
  }

  @override
  String description250Sbfee57Sbagoradesk(Object appName) {
    return 'Kripto para birimlerini kaydetmek, satın almak ve satmak tamamen ücretsizdir. Reklam oluşturan $appName kullanıcılarından, tamamlanan her işlem için %1 tahkim koruma ücreti alınır.';
  }

  @override
  String description250Sbguide250Sb2fa(Object appName) {
    return 'Bu kılavuz, $appName hesabınız için İki Faktörlü Kimlik Doğrulaması kurmanıza yardımcı olacaktır.';
  }

  @override
  String get description250Sbguide250Sbbtc => 'Kredi kartı ile anında ve onaysız bitcoin alabileceğiniz günler geride kaldı mı? Pek değil. Burada size sadece birkaç adımda nakit parayla bitcoin almanın kolay, anonim, özel ve hızlı bir yolunu sunuyoruz.';

  @override
  String description250Sbguide250Sbbuy(Object appName) {
    return 'Bu kılavuz, popüler çevrimiçi ödeme yöntemleriyle (banka havalesi, PayPal, kredi kartı vb.) nasıl Monero satın alacağınızı anlamanıza yardımcı olacaktır. $appName, kimlik doğrulaması olmadan anonim olarak Monero satın almanın güvenli, hızlı ve kolay yoludur. ';
  }

  @override
  String description250Sbguide250Sbbuy57Sbagoradesk(Object appName) {
    return 'Bu kılavuz, popüler çevrimiçi ödeme yöntemleriyle (banka havalesi, PayPal, kredi kartı vb.) nasıl kripto para satın alacağınızı anlamanıza yardımcı olacaktır. $appName, kimlik doğrulaması olmadan anonim olarak kripto para satın almanın güvenli, hızlı ve kolay yoludur. ';
  }

  @override
  String description250Sbguide250Sblocal(Object appName) {
    return 'Bu kılavuz, yerel buluşma yoluyla anonim olarak Monero\'yu nakit olarak nasıl satın alacağınızı veya satacağınızı anlamanıza yardımcı olacaktır. $appName, kimlik doğrulaması olmadan XMR ticareti yapmanın güvenli, hızlı ve kolay yoludur. ';
  }

  @override
  String description250Sbguide250Sblocal57Sbagoradesk(Object appName) {
    return 'Bu kılavuz, yerel buluşma yoluyla kripto para birimlerini anonim olarak nakit karşılığında nasıl satın alacağınızı veya satacağınızı anlamanıza yardımcı olacaktır. $appName\'te, kimlik doğrulaması olmadan kripto para ticareti yapabilirsiniz. ';
  }

  @override
  String description250Sbguide250Sbsell(Object appName) {
    return 'Bu kılavuz, Monero\'yu popüler çevrimiçi ödeme yöntemleriyle (banka havalesi, PayPal, kredi kartı vb.) nasıl satacağınızı anlamanıza yardımcı olacaktır. $appName, kimlik doğrulaması olmadan Monero satmanın güvenli, hızlı ve kolay yoludur. ';
  }

  @override
  String description250Sbguide250Sbsell57Sbagoradesk(Object appName) {
    return 'Bu kılavuz, popüler çevrimiçi ödeme yöntemleriyle (banka havalesi, PayPal, kredi kartı vb.) kripto para birimini nasıl satacağınızı anlamanıza yardımcı olacaktır. $appName, kimlik doğrulaması olmadan kripto para satmanın güvenli, hızlı ve kolay yoludur. ';
  }

  @override
  String description250Sbguide250Sbtelegram(Object appName) {
    return 'Bu kılavuz, $appName için Telegram bildirimlerini yapılandırmanıza yardımcı olacaktır. ';
  }

  @override
  String description250Sbguide250Sbtrade(Object appName) {
    return 'Bu kılavuz, bir P2P borsasında $appName Monero ticareti yapmanın temellerini anlamanıza yardımcı olacaktır.';
  }

  @override
  String description250Sbguide250Sbtrade57Sbagoradesk(Object appName) {
    return 'Bu kılavuz, bir P2P OTC masasında $appName kripto para ticareti yapmanın temellerini anlamanıza yardımcı olacaktır.';
  }

  @override
  String description250Sbguide250Sbxmr(Object appName) {
    return 'Kimliği olmadan anonim olarak Monero nasıl satın alınır? $appName, gizliliğinizi koruyabilmeniz için KYC doğrulaması olmadan XMR satın almanın bir yolunu sunuyor!';
  }

  @override
  String get description250Sbhomepage => 'Kimlik doğrulaması olmadan çevrimiçi olarak Monero (XMR) satın alın ve satın - PayPal, kredi/banka kartı veya banka havalesi, hediye kartları, posta yoluyla nakit, Venmo, BTC veya başka bir yöntem kullanın.';

  @override
  String get description250Sbhomepage57Sbagoradesk => 'Kimlik doğrulaması olmadan çevrimiçi olarak Bitcoin satın alın ve satın - PayPal, kredi/banka kartı veya banka havalesi, hediye kartları, posta yoluyla nakit, Venmo veya başka bir yöntem kullanın.';

  @override
  String description250Sblogin(Object appName) {
    return 'Şimdi işlem yapmaya başlamak için $appName hesabınıza giriş yapın.';
  }

  @override
  String get description250Sbnew => 'Yerel olarak nakit veya çevrimiçi olarak Monero satın almak veya satmak için yeni bir reklam oluşturun.';

  @override
  String get description250Sbnew57Sbagoradesk => 'Kripto para birimi satın almak veya satmak için yeni bir reklam oluşturun.';

  @override
  String description250Sbsignup(Object appName) {
    return 'Tamamen ücretsiz olan bir $appName hesabı oluşturun ve Monero ticareti yapmaya başlayın!';
  }

  @override
  String description250Sbsignup57Sbagoradesk(Object appName) {
    return 'Tamamen ücretsiz olan bir $appName hesabı oluşturun ve kripto para ticareti yapmaya başlayın!';
  }

  @override
  String description250Sbstart(Object appName) {
    return '$appName, Monero alıp satmanın temel ve gelişmiş ilkelerini anlamanıza yardımcı olacak kılavuzlar.';
  }

  @override
  String description250Sbstart57Sbagoradesk(Object appName) {
    return '$appName, Bitcon ve Monero alıp satmanın temel ve gelişmiş ilkelerini anlamanıza yardımcı olacak kılavuzlar.';
  }

  @override
  String description250Sbstatistics(Object appName) {
    return 'Son 1, 6, 12 veya 24 saat içindeki tüm işlemlere göre ortalama $appName fiyatını öğrenin.';
  }

  @override
  String description250Sbuser(Object user, Object appName) {
    return '$user\'in $appName profili.';
  }

  @override
  String description250Sbuser8722Sbads(Object user, Object appName) {
    return '$user\'in $appName reklamları';
  }

  @override
  String get distance250Sbkilometers => 'km';

  @override
  String get distance250Sbmeters => 'm';

  @override
  String get document8722Sbtitle250Sb404 => 'sayfa bulunamadı';

  @override
  String get document8722Sbtitle250Sbabout => 'Hakkımızda';

  @override
  String get document8722Sbtitle250Sbad8722Sbdeleted => 'silindi';

  @override
  String get document8722Sbtitle250Sbaffiliate => 'Ortaklık Programı';

  @override
  String get document8722Sbtitle250Sbcancelled => 'İptal edilen işlemler';

  @override
  String get document8722Sbtitle250Sbcompleted => 'Tamamlanan işlemler';

  @override
  String get document8722Sbtitle250Sbcontact => 'Bize Ulaşın';

  @override
  String get document8722Sbtitle250Sbdashboard => 'Gösterge Paneli';

  @override
  String get document8722Sbtitle250Sbedit => 'Bir reklamı düzenle';

  @override
  String get document8722Sbtitle250Sberror => 'Hata';

  @override
  String get document8722Sbtitle250Sbfaq => 'SSS';

  @override
  String get document8722Sbtitle250Sbfee => 'ücretler';

  @override
  String document8722Sbtitle250Sbfeedback(Object user) {
    return '$user\'in geri bildirimi';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sb2fa => '2FA nasıl etkinleştirilir';

  @override
  String document8722Sbtitle250Sbguide250Sbbtc(Object year) {
    return 'Anonim Olarak (Kimliksiz) Bitcoin Nasıl Satın Alınır Kılavuzu - $year\'teki En Gizli Yol';
  }

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy => 'Monero nasıl alınır';

  @override
  String get document8722Sbtitle250Sbguide250Sbbuy57Sbagoradesk => 'Kripto para birimi nasıl satın alınır';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell => 'Monero nasıl satılır';

  @override
  String get document8722Sbtitle250Sbguide250Sbsell57Sbagoradesk => 'Kripto para birimi nasıl satılır';

  @override
  String document8722Sbtitle250Sbguide250Sbxmr(Object year) {
    return 'Anonim Olarak (Kimliksiz) Monero (XMR) Nasıl Satın Alınır Kılavuzu - $year\'teki En Gizli Yol';
  }

  @override
  String get document8722Sbtitle250Sbindex => 'Anonim Olarak, Hızlı ve Kolayca Monero Al veya Sat';

  @override
  String get document8722Sbtitle250Sbindex57Sbagoradesk => 'Anonim, Hızlı ve Kolay Bitcoin Al veya Sat';

  @override
  String get document8722Sbtitle250Sblogin => 'Giriş yapmak';

  @override
  String get document8722Sbtitle250Sbpost8722Sbad => 'ilan ver';

  @override
  String get document8722Sbtitle250Sbreset8722Sbpassword => 'Şifreyi yenile';

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry(Object assetName, Object country) {
    return '$country içinde $assetName satın al';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return '$method ile $country içinde $assetName satın alın';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbcurrency(Object assetName, Object currency) {
    return '$currency karşılığında $assetName satın alın';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbbuy250Sbmethod(Object assetName, Object method) {
    return '$method ile $assetName satın alın';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell(Object assetName, Object country) {
    return '$assetName\'i $country\'te sat';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry(Object assetName, Object country) {
    return '$assetName\'i $country\'te sat';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcountry8722Sbmethod(Object assetName, Object country, Object method) {
    return '$assetName\'i $country\'te $method ile sat';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbcurrency(Object assetName, Object currency) {
    return '$currency için $assetName sat';
  }

  @override
  String document8722Sbtitle250Sbsearch250Sbsell250Sbmethod(Object assetName, Object method) {
    return '$assetName\'i $method ile satın';
  }

  @override
  String get document8722Sbtitle250Sbsettings => 'Ayarlar';

  @override
  String get document8722Sbtitle250Sbsignup => 'Üye olmak';

  @override
  String get document8722Sbtitle250Sbsignup8722Sbsuccess => 'kayıt ol başarı';

  @override
  String document8722Sbtitle250Sbstart(Object appName) {
    return '$appName kılavuzları: Monero nasıl alınır veya satılır';
  }

  @override
  String document8722Sbtitle250Sbstart57Sbagoradesk(Object appName) {
    return '$appName kılavuzları: kripto para birimleri nasıl alınır veya satılır';
  }

  @override
  String document8722Sbtitle250Sbtrade(Object id) {
    return 'Ticaret {assetName}';
  }

  @override
  String document8722Sbtitle250Sbuser8722Sbads(Object user) {
    return '$user reklamları';
  }

  @override
  String get document8722Sbtitle250Sbverify8722Sbemail => 'E-mail\'i doğrula';

  @override
  String get document8722Sbtitle250Sbwallet => 'Cüzdan';

  @override
  String get done => 'Tamamlandı';

  @override
  String get dropdown250Sbany8722Sbcountry => 'Hiç';

  @override
  String get dropdown250Sbany8722Sbcurrency => 'Hiç';

  @override
  String get edit8722Sbad250Sbcancel8722Sbbtn => 'Değişiklikleri iptal et';

  @override
  String get edit8722Sbad250Sbcurrent8722Sbprice => 'Güncel ilan fiyatı: ';

  @override
  String get edit8722Sbad250Sbdelete8722Sbbtn => 'Reklamı sil';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtext => 'Bu, reklamı kalıcı olarak siler. Görünürlüğü false olarak ayarlayarak reklamı gizlemeyi düşünün.';

  @override
  String get edit8722Sbad250Sbdelete8722Sbdialog250Sbtitle => 'Reklam silmeyi onaylayın';

  @override
  String get edit8722Sbad250Sbsave8722Sbbtn => 'Değişiklikleri Kaydet';

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto(Object adType, Object createdAt, Object timeOfcreation, Object createAnewad) {
    return 'Bu reklam $adType $createdAt $timeOfcreation içindir. Reklam türünü değiştirmek için lütfen $createAnewad';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbbuy(Object assetName) {
    return 'nakit karşılığında $assetName satın alın (yerel olarak)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sblocal8722Sbsell(Object assetName) {
    return 'nakit karşılığında $assetName sat (yerel olarak)';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbbuy(Object assetName) {
    return '$assetName çevrimiçi satın al';
  }

  @override
  String edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbad8722Sbtype8722Sbonline8722Sbsell(Object assetName) {
    return '$assetName çevrimiçi sat';
  }

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreate8722Sbnew => 'yeni bir reklam oluştur';

  @override
  String get edit8722Sbad250Sbthis8722Sbad8722Sbis8722Sbto8722Sbcreated8722Sbat => 'oluşturuldu';

  @override
  String get edit8722Sbad250Sbtitle => 'Bir reklamı düzenleyin';

  @override
  String get edit8722Sbad250Sbupdated8722Sbprice => 'Güncellenen ilan fiyatı: ';

  @override
  String get edit8722Sbad250Sbvisible => 'Gözle görülür';

  @override
  String get edit8722Sbad250Sbwarning250Sbno8722Sbbuyer8722Sbsettlement8722Sbaddress => 'ACİL İŞLEM GEREKİYOR: Bu reklamda bir takas cüzdanı adresi ayarlanmamış. Reklamın gizlenmesini önlemek için mümkün olan en kısa sürede sağlayın.';

  @override
  String get edit250Sberror250Sbinvalid8722Sbsettlement8722Sbaddress => 'Lütfen geçerli bir ödeme cüzdanı adresi girin';

  @override
  String get error => 'Hata';

  @override
  String get error8722Sbpage => 'Hata! Bir şeyler yanlış gitti. Lütfen kısa süre sonra tekrar deneyin. Yeniden yüklemek için sayfada herhangi bir yeri tıklayın.';

  @override
  String error8722Sbpage250Sbsubtext(Object open_a_ticket) {
    return 'Bu işe yaramazsa, çerezlerinizi temizlemeyi veya farklı bir tarayıcı kullanmayı deneyin. Bu da yardımcı olmazsa, lütfen $open_a_ticket';
  }

  @override
  String get error8722Sbpage250Sbsubtext250Sbticket => 'destek bileti açın.';

  @override
  String get error250Sbcaptcha => 'İfade hatalı.Lütfen tekrar deneyiniz';

  @override
  String get error250Sbedit250Sb244 => 'Sağlanan ödeme cüzdanı adresi geçersiz';

  @override
  String error250Sbedit250Sb245(Object appName, Object asset) {
    return 'Dahili $appName adresi ticaret anlaşması için kullanılamaz. Devam etmek için lütfen $appName olmayan $asset harici bir adres girin.';
  }

  @override
  String error250Sbedit250Sb245250Sbnojs(Object appName) {
    return 'Dahili $appName adresi ticaret anlaşması için kullanılamaz. Devam etmek için lütfen $appName olmayan bir dış adres girin.';
  }

  @override
  String get error250Sbedit250Sb249 => 'Devam etmek için bir ödeme cüzdanı adresi ayarlamalısınız.';

  @override
  String get error250Sbpost8722Sbad250Sb107 => 'Maksimum tutar belirlenmeden likidite izlenemez';

  @override
  String get error250Sbpost8722Sbad250Sb108 => 'Minimum işlem tutarı, maksimum işlem tutarına eşit veya daha büyük olamaz';

  @override
  String get error250Sbpost8722Sbad250Sb114 => 'Ödeme aralığı 15-90 dakika olmalıdır';

  @override
  String error250Sbpost8722Sbad250Sb132(Object maximumNumberOfAds) {
    return '$maximumNumberOfAds taneden fazla reklam oluşturulamaz. Bunu oluşturmak için lütfen eski reklamlarınızdan birini silin.';
  }

  @override
  String get error250Sbpost8722Sbad250Sb142 => 'Minimum tutarın altında bir itibari para limiti ayarlayamazsınız.';

  @override
  String get error250Sbpost8722Sbad250Sb143 => 'Maksimum tutarın üzerinde bir itibari para limiti belirlenemez.';

  @override
  String get error250Sbpost8722Sbad250Sb173 => 'Reklamınızın para birimi, reklamınızın öğesiyle aynı olamaz';

  @override
  String get error250Sbpost8722Sbad250Sb80 => 'Enlem veya boylam ayarlanmadı';

  @override
  String get error250Sbpost8722Sbad250Sb81 => 'Fiyat değeri doğru ayarlanmadı';

  @override
  String get error250Sbpost8722Sbad250Sb86 => 'Yasa dışı ülke, ödeme yöntemi ve para birimi kombinasyonları';

  @override
  String get error250Sbpost8722Sbad250Sb87 => 'Bu ödeme yöntemi seçilen ülke için geçerli değil';

  @override
  String get error250Sbpost8722Sbad250Sb88 => 'Bu para birimi, seçilen ödeme yöntemi için geçerli değil';

  @override
  String get error250Sbpost8722Sbad250Sb89 => 'Konum düzgün ayarlanmadı';

  @override
  String get error250Sbpost8722Sbad250Sbgeneric => 'Formdaki hatalar! Lütfen ilanınızı tekrar kontrol ediniz.';

  @override
  String get error250Sbsettings250Sb220 => 'Tek kullanımlık e-posta adreslerine izin verilmez';

  @override
  String get error250Sbsignup250Sb219 => 'Tek kullanımlık e-posta adreslerine izin verilmez';

  @override
  String get error250Sbsignup250Sb47 => 'Bu kullanıcı adına sahip kullanıcı zaten var.';

  @override
  String get error250Sbsignup250Sb48 => 'Bu e-postaya sahip kullanıcı zaten var';

  @override
  String error250Sbtrade8722Sbrequest250Sb100(Object min_asset_amount, Object assetSymbol) {
    return 'Ticaret oluşturma için $min_asset_amount $assetSymbol değerinden daha az talep edilemez.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb101 => 'İstenen tutar, reklamın minimum işlem tutarından az';

  @override
  String get error250Sbtrade8722Sbrequest250Sb102 => 'Talep edilen miktar, tüccarın bu reklam için kullanabileceğinden daha fazla';

  @override
  String get error250Sbtrade8722Sbrequest250Sb103 => 'Bu tüccar şu anda ticaret yapmıyor. Lütfen diğer ilanları kontrol edin veya daha sonra tekrar gelin.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb105 => 'Bu tüccar, bu miktarda bir ticaret başlatmak için yeterli bakiyeye sahip değil.';

  @override
  String error250Sbtrade8722Sbrequest250Sb106(Object appName) {
    return '$appName cüzdanınızda işlem başlatmak için yeterli bakiyeniz yok!';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb109 => 'Talep edilen miktar, tüccarın bu reklam için kullanabileceğinden daha fazla';

  @override
  String get error250Sbtrade8722Sbrequest250Sb110 => 'Bu tüccar, ticaret yapmak için şu anda sahip olduğunuzdan daha yüksek geri bildirim puanı gerektiriyor. Böyle bir zorunluluğu olmayan tacirlerle işlem yaparak geri bildirim puanınızı artırabilirsiniz.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb111 => 'Talep edilen tutar, bu tacir tarafından kabul edilen tutarlardan biri değil';

  @override
  String get error250Sbtrade8722Sbrequest250Sb112 => 'Kendi yayınladığınız bir ilan için takas talebinde bulunamazsınız';

  @override
  String get error250Sbtrade8722Sbrequest250Sb141 => 'İzin verilen minimum tutardan daha düşük bir tutar için işlem oluşturulamaz';

  @override
  String get error250Sbtrade8722Sbrequest250Sb150 => 'Bu tüccar sizi engellediği için bir ticarete başlayamazsınız. Diğer tüccarları aramayı deneyin.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb151 => 'Bu reklam yalnızca reklamı verenin güvendiği kullanıcılar içindir. Diğer reklamları aramayı deneyin.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb173 => 'Daha fazla işlem açmanıza izin verilmiyor';

  @override
  String get error250Sbtrade8722Sbrequest250Sb218 => 'Bu reklam yalnızca doğrulanmış e-postaya sahip kullanıcılar içindir. Hesap ayarlarınıza gidin, e-postanızı ayarlayın (henüz yapmadıysanız) ve doğrulayın.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb232 => 'Bu kullanıcının, hesabındaki bir kısıtlama nedeniyle şu anda alım satım yapması yasaklanmıştır.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb237 => 'Bu kullanıcı mevcut değil';

  @override
  String get error250Sbtrade8722Sbrequest250Sb240 => 'Sağlanan ödeme cüzdanı adresi geçersiz';

  @override
  String error250Sbtrade8722Sbrequest250Sb241(Object appName, Object asset) {
    return 'Dahili $appName adresi ticaret anlaşması için kullanılamaz. Devam etmek için lütfen $appName olmayan $asset harici bir adres girin.';
  }

  @override
  String get error250Sbtrade8722Sbrequest250Sb246 => 'Bir işlem açılamıyor: Bu tüccar, bu reklam için henüz bir ödeme adresi sağlamadı. Mümkünse satıcıyla iletişime geçin veya daha sonra tekrar deneyin veya başka bir teklif arayın.';

  @override
  String get error250Sbtrade8722Sbrequest250Sb99 => 'Bu tüccar, onunla ilk ticaret için daha düşük işlem tutarı gerektiriyor. Lütfen aşağıdaki ticaret ayrıntılarını kontrol edin.';

  @override
  String get error250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform => 'Lütfen geçerli platformlardan birini seçin: localbitcoins veya paxful';

  @override
  String get error250Sbwithdraw250Sb170 => 'Para çekme için talep edilen tutar, mümkün olan minimum miktardan daha azdır.';

  @override
  String get error250Sbwithdraw250Sb254 => 'Bu tutarı zaten son 10 dakika içinde bu adrese gönderdiniz. İşlemlerinizi kontrol edin ve bu bir hata değilse para çekme işlemini daha sonra tekrarlamayı deneyin.';

  @override
  String get error250Sbwithdraw250Sb7338Sb140 => 'Yanlış şifre/tek kullanımlık şifre';

  @override
  String get error250Sbwithdraw250Sb7438Sb77 => 'Yetersiz bakiye';

  @override
  String error250Sbwithdraw250Sb75(Object appName) {
    return 'Bu adres $appName veritabanında yok';
  }

  @override
  String get error250Sbwithdraw250Sb76 => 'Para çekme talebinde bulunan hesapla aynı adrese tahkim teminatını çekmeye çalışmak';

  @override
  String get error250Sbwithdraw250Sbclosed8722Sbconnection => 'İstekte bir şeyler ters gitti, ancak işlem zaten gönderilmiş olabilir. Lütfen sayfayı yeniden yükleyin, işlemin gönderilip gönderilmediğini kontrol edin ve gerekirse tekrarlayın. Hata devam ederse lütfen desteğimizle iletişime geçin.';

  @override
  String error250Sbwithdraw250Sbgeneric(Object assetName) {
    return 'Bir şeyler ters gitti, lütfen alıcı $assetName adresini kontrol edin.';
  }

  @override
  String get faq8722Sbquestion8722Sb31 => 'Yüksek riskli ödeme yöntemleri hakkında ne bilmeliyim?';

  @override
  String faq250Sbanswer8722Sb0(Object appName) {
    return '$appName, eşler arası bir Monero değişimidir. Kullanıcıların birbirleriyle Monero alıp satabilecekleri bir pazar yeriyiz. Tüccar olarak adlandırılan kullanıcılar, teklif etmek istedikleri fiyat ve ödeme yöntemi ile reklam oluştururlar. Ticari ilanlar için sitemize göz atabilir ve tercih ettiğiniz ödeme yöntemini arayabilirsiniz. 60\'tan fazla farklı ödeme yöntemiyle çevrimiçi olarak Monero alıp satan tacirler bulacaksınız. $appName\'te yeniyseniz ve Monero satın almak istiyorsanız, lütfen Monero\'yu nasıl satın alacağınızı öğrenmek için nasıl satın alınır kılavuzumuza göz atın.';
  }

  @override
  String faq250Sbanswer8722Sb057Sbagoradesk(Object appName) {
    return '$appName, eşler arası bir kripto para birimi OTC masasıdır. Kullanıcıların birbirlerinden kripto para alıp satabilecekleri bir pazar yeriyiz. Tüccar olarak adlandırılan kullanıcılar, teklif etmek istedikleri fiyat ve ödeme yöntemi ile reklam oluştururlar. Ticari ilanlar için sitemize göz atabilir ve tercih ettiğiniz ödeme yöntemini arayabilirsiniz. 60\'tan fazla farklı ödeme yöntemi için çevrimiçi olarak kripto para birimleri alıp satan tüccarlar bulacaksınız. $appName\'te yeniyseniz ve kripto para birimleri satın almak istiyorsanız, lütfen kılavuzlarımıza göz atın.';
  }

  @override
  String faq250Sbanswer8722Sb1(Object buying, Object selling) {
    return 'Monero alım satımına başlamak için $buying ve $selling kılavuzlarımızı inceleyebilirsiniz.';
  }

  @override
  String get faq250Sbanswer8722Sb18722Sbbuying => 'alış';

  @override
  String get faq250Sbanswer8722Sb18722Sbselling => 'satış';

  @override
  String faq250Sbanswer8722Sb157Sbagoradesk(Object buying, Object selling) {
    return 'Kripto para ticareti yapmaya başlamak için $buying ve $selling kılavuzlarımızı inceleyebilirsiniz.';
  }

  @override
  String faq250Sbanswer8722Sb10(Object appName) {
    return '$appName kullanarak Monero satın alırsanız, Monero, sağladığınız Monero yerleşim cüzdanına gönderilir. Oradan dilediğiniz yere gönderebilirsiniz. Monero satmak istiyorsanız, önce $appName Monero cüzdanınıza XMR yatırmanız gerekir.';
  }

  @override
  String get faq250Sbanswer8722Sb108722Sbwallet8722Sbpage => 'cüzdan sayfası';

  @override
  String faq250Sbanswer8722Sb1057Sbagoradesk(Object appName) {
    return '$appName kullanarak kripto para birimi satın alırsanız, jetonlar sağladığınız hesap cüzdanına gönderilir. Oradan dilediğiniz yere gönderebilirsiniz. Kripto para satmak istiyorsanız, önce ilgili $appName cüzdanınıza kripto para yatırmanız gerekir.';
  }

  @override
  String faq250Sbanswer8722Sb11(Object appName, Object walletPage) {
    return '$appName üzerinde Monero satmak için önce tahkim teminatı için $appName cüzdanınıza bir miktar Monero göndermeniz gerekir. Bunu yapmak için bir $appName hesabına, başka bir Monero cüzdanında Monero\'ya erişmeye ve $appName alıcı adresinizi bilmenize ihtiyacınız olacak. $appName alıcı adresinizi bulmak için $walletPage\'i ziyaret etmeniz gerekir. Sayfanın üst kısmı, hem Monero göndermenize hem de almanıza ve işlemlerinizi görüntülemenize olanak tanıyan üç bölüme ayrılmıştır. \'Al\' sekmesinde alıcı adresinizi bulacaksınız. $appName alıcı adresinizi öğrendikten sonra diğer Monero cüzdanınıza gidebilir ve bu adresi kullanarak $appName adresinize Monero gönderebilirsiniz.';
  }

  @override
  String faq250Sbanswer8722Sb1157Sbagoradesk(Object appName, Object walletPage) {
    return '$appName\'te kripto para birimleri satmak için önce $appName cüzdanınıza tahkim bonosu için bir miktar jeton göndermeniz gerekir. Bunu yapmak için bir $appName hesabına, başka bir cüzdandaki paralara erişmeye ve $appName alıcı adresinizi bilmenize ihtiyacınız olacak. $appName alıcı adresinizi bulmak için $walletPage\'i ziyaret etmeniz gerekir. İlgili kripto para birimini seçin, cüzdan sayfasının üst kısmı, hem kripto para göndermenize, almanıza hem de işlemlerinizi görüntülemenize olanak tanıyan üç bölüme ayrılmıştır. \'Al\' sekmesinde alıcı adresinizi bulacaksınız. $appName alıcı adresinizi öğrendikten sonra, diğer cüzdanınıza gidebilir ve bu adresi kullanarak paraları $appName adresinize gönderebilirsiniz.';
  }

  @override
  String faq250Sbanswer8722Sb12(Object appName) {
    return '$appName cüzdanınıza Monero gönderirken veya $appName cüzdanınızdan Monero gönderirken işlemler 10-60 dakika sürer.';
  }

  @override
  String faq250Sbanswer8722Sb1257Sbagoradesk(Object appName) {
    return '$appName cüzdanınıza jeton gönderirken veya $appName cüzdanınızdan jeton gönderirken işlemler 10-60 dakika sürer.';
  }

  @override
  String faq250Sbanswer8722Sb13(Object wallet) {
    return 'Monero ağı tıkanıklık yaşıyor olabilir, bu durumda işlemlerin tamamlanması çok daha uzun sürecektir. Monero işlemlerinin Monero ağı tarafından onaylanması gerekir. Bir işlem yapıldığında, işlem havuzuna gönderilir ve buradan Monero madencilerinin madencilik yoluyla onayladığı bloklar halinde paketlenir. Bloklar ortalama olarak her iki dakikada bir çıkarılır. İşlem bir bloğa dahil edildikten ve madenciliği yapıldıktan sonra bir kez onaylanmıştır. İşlemin onay sayısı, şu anda 10 onay olan belirli bir eşiğe ulaştığında, alıcı cüzdanlarda işlem görünür. Monero wikipedia\'da onaylar hakkında daha fazla bilgi edinebilir ve $wallet\'inizde Monero ağındaki onaylanmamış işlemlerin mevcut sayısını görebilirsiniz.';
  }

  @override
  String get faq250Sbanswer8722Sb138722Sbwallet => 'cüzdan';

  @override
  String faq250Sbanswer8722Sb1357Sbagoradesk(Object wallet) {
    return 'İlgili kripto para birimi ağı tıkanıklık yaşıyor olabilir, bu durumda işlemlerin tamamlanması çok daha uzun sürecektir. Kripto para birimi işlemleri, kripto para birimi ağı tarafından onaylanmalıdır. Bir işlem yapıldığında, madencilerin madencilik yoluyla onayladığı bloklar halinde toplandığı bir işlem havuzuna gönderilir. İşlem bir bloğa dahil edildikten ve madenciliği yapıldıktan sonra bir kez onaylanmıştır. İşlemin onay sayısı belirli bir eşiğe ulaştığında işlem alıcı cüzdanda görünür. $wallet\'te ağdaki onaylanmamış işlemlerin geçerli sayısını görebilirsiniz.';
  }

  @override
  String faq250Sbanswer8722Sb17(Object appName) {
    return '$appName, herkese açık profilinizde bir puan gösteren bir geri bildirim sistemi kullanır. Bu puan, bir yüzde, bir kullanıcının ne kadar olumlu geri bildirim aldığını gösterir. Bir kullanıcıya yalnızca bir geri bildirim verebilirsiniz. Geri bildirim üç türden biri olabilir: Pozitif, Nötr ve Negatif. Geri bildirim verildikten sonra, belirli koşullar karşılanırsa kullanıcının herkese açık profilinde görünür olacaktır, aksi takdirde geri bildirim onaylanmamış olarak kalır ve geri bildirim puanını etkilemez.';
  }

  @override
  String get faq250Sbanswer8722Sb18 => 'Verilen geri bildirimler onaylanabilir veya onaylanmayabilir. Onaylanmış geri bildirim, kullanıcının genel profilinde gösterilir ve kullanıcının geri bildirim puanını etkiler. Teyit edilmemiş bir geri bildirimin onaylanması için, geri bildirim veren ve alan kullanıcı arasındaki toplam işlem hacminin 100 ABD Doları eşdeğerinden fazla olması gerekir.';

  @override
  String faq250Sbanswer8722Sb19(Object appName, Object enableWebnotificationsfromyourprofile) {
    return 'Web bildirimleri, $appName üzerinde yeni bir bildirim aldığınızda tarayıcınız aracılığıyla açılır bildirimler almanızı sağlar. Ticaret yapıyorsanız ve bir şey olduğunda hemen bilmek istiyorsanız, $enableWebnotificationsfromyourprofile. Web bildirimlerini etkinleştir yazan anahtarı çevirin ve tarayıcınız sizden web bildirimlerini göstermek için izin istediğinde kabul et\'e basın. Artık tamamen hazırsınız ve web bildirimleri almaya başlayacaksınız.';
  }

  @override
  String get faq250Sbanswer8722Sb198722Sbenable8722Sbweb8722Sbnotifications8722Sbfrom8722Sbyour8722Sbprofile => 'profilinizden web bildirimlerini etkinleştirin';

  @override
  String faq250Sbanswer8722Sb2(Object guide) {
    return '$guide ürünümüze bakın.';
  }

  @override
  String get faq250Sbanswer8722Sb28722Sbguide => 'iki faktörlü kimlik doğrulama kılavuzu';

  @override
  String get faq250Sbanswer8722Sb20 => 'Bazen bir tüccar kimliğinizi isteyebilir. Bir tüccarla ilk kez ticaret yapıyorsanız, sizden kendinizi tanıtmanızı isteyebilirler. Bunun nedeni, bazı ülkelerde tacirlerin yerel yasalar gereği müşterilerinin kim olduğunu bilmelerinin zorunlu kılınmasıdır. Çoğu tüccar, kimlik doğrulaması gerektirip gerektirmediğini ticaret koşullarında açıklar. İşlemciye kimliğinizi vermek istemiyorsanız, işlemi her zaman iptal edebilir ve daha az katı gereklilikleri olan bir tüccar arayabilirsiniz. Kimliğinizi her zaman ticaret sohbeti aracılığıyla satıcıya gönderin, ticaret sohbet mesajlarımız sunucularımızda şifreli olarak tutulur ve 180 gün sonra silinir. Ticaret sohbetine gönderilen tüm fotoğraflar, görüntülerin kötüye kullanılmasını önlemek için filigranla da işaretlenir.';

  @override
  String faq250Sbanswer8722Sb21(Object appName) {
    return 'Satıcılar genellikle ödemenizi görür görmez işlemi sonlandırır, bu işlem bazen bir veya iki saat sürebilir. Ödeme yaptıysanız ve hala bekliyorsanız endişelenecek bir şey yok, çünkü tüm çevrimiçi işlemler tahkim teminatı ile korunmaktadır ve satıcı teminatı kaybetmeden kaçamaz. Bir ticaretle ilgili herhangi bir sorun varsa ve satıcı bunu sonuçlandırmazsa, $appName desteğinin çözmesi için ticarete itiraz edebilirsiniz. Çevrimiçi olarak Monero alıyor veya satıyorsanız, ödemeyi tamamlandı olarak işaretledikten sonra işleme itiraz edebilirsiniz. Ticaret kesinleşmişse veya tahkim bonosu koruması etkinleştirilmemiş yerel bir ticaretse, artık bir anlaşmazlık başlatılamaz. Dahil olduğunuz bir ticaret ihtilaflı hale geldiğinde bir e-posta alacaksınız. İhtilaflı bir ticaret genellikle 24-48 saat içinde çözülür.';
  }

  @override
  String faq250Sbanswer8722Sb2157Sbagoradesk(Object appName) {
    return 'Satıcılar genellikle ödemenizi görür görmez işlemi sonlandırır, bu işlem bazen bir veya iki saat sürebilir. Ödeme yaptıysanız ancak hala bekliyorsanız endişelenecek bir şey yok çünkü tüm çevrimiçi işlemler tahkim teminatı ile korunmaktadır ve satıcı teminatı kaybetmeden kaçamaz. Bir ticaretle ilgili herhangi bir sorun varsa ve satıcı bunu sonuçlandırmazsa, $appName desteğinin çözmesi için ticarete itiraz edebilirsiniz. Çevrimiçi kripto para birimi alıyor veya satıyorsanız, ödemeyi tamamlandı olarak işaretledikten sonra işleme itiraz edebilirsiniz. Ticaret kesinleşmişse veya tahkim bonosu koruması etkinleştirilmemiş yerel bir ticaretse, artık bir anlaşmazlık başlatılamaz. Dahil olduğunuz bir ticaret ihtilaflı hale geldiğinde, bir e-posta alacaksınız. İhtilaflı bir ticaret genellikle 24-48 saat içinde çözülür.';
  }

  @override
  String get faq250Sbanswer8722Sb22 => 'Monero işlem ücretini Monero ağına ödemek için cüzdan bakiyenizden küçük bir miktar Monero ayırıyoruz. Her Monero işlemi, nereden gönderilirse gönderilsin onaylanmak için ağa küçük bir ücret ödemek zorundadır. Cüzdan bakiyenizin eksiye düşmesini önlemek için bu ücreti önceden ayırıyoruz.';

  @override
  String get faq250Sbanswer8722Sb2257Sbagoradesk => 'Ağ işlem ücretini ödemek için cüzdan bakiyenizden küçük bir miktar ayırıyoruz. Nereden gönderilirse gönderilsin, her kripto para birimi işleminin onaylanması için ağa küçük bir ücret ödemesi gerekir.';

  @override
  String faq250Sbanswer8722Sb24(Object dashboard, Object appName, Object supportRequestform) {
    return 'Bu cevap, çevrimiçi olarak Monero satın aldığınız durumla ilgilidir. Monero satıcısına bir ticaret talebi gönderdikten sonra, satıcı işlemi iptal etmeden önce ödemeyi tamamlamak için bir zaman pencereniz olur (ödeme penceresi, işlemin ödeme yöntemine göre değişir). Bu süre içerisinde ödemenizi tamamlamanız ve ödeme yaptım butonuna basmanız gerekmektedir. Satıcıya ödemeyi yaptığınız bildirilir ve satıcı ödemeyi hesabında görünce sizin için işlemi sonlandırana kadar Monero bonoda tutulur. Satın alma için ödeme yaptıysanız ancak ödemeyi ödeme süresi dolmadan tamamlandı olarak işaretlemediyseniz, lütfen ticaret yoluyla satıcıyla iletişime geçin. $appName Kullanıcı Profilinizdeki $dashboard\'ten satıcıyla ve diğer mevcut ticaret bağlantılarınızla iletişim kurabilirsiniz. Satıcıya bir mesaj gönderin ve durumu ve ödemeyi neden belirtilen süre içinde tamamlayamadığınızı nazikçe açıklayın. Satıcı bu talebe yanıt vermezse, lütfen $supportRequestform\'i kullanarak $appName desteğiyle iletişime geçin ve ticari kimliğinizi belirtin.';
  }

  @override
  String get faq250Sbanswer8722Sb248722Sbdashboard => 'Gösterge Paneli';

  @override
  String get faq250Sbanswer8722Sb248722Sbsupport8722Sbrequest8722Sbform => 'destek talep formu';

  @override
  String faq250Sbanswer8722Sb2457Sbagoradesk(Object dashboard, Object appName, Object supportRequestform) {
    return 'Bir ticaret talebi gönderdikten sonra, diğer taraf ticareti iptal etmeden önce ödemeyi tamamlamak için bir zaman pencereniz olur. Bu süre içerisinde ödemenizi tamamlamanız ve \'Ödedim\' butonuna basmanız gerekmektedir. Karşı taraf ödemeyi yaptığınıza dair bilgilendirilir ve diğer taraf ödemeyi hesabında gördükten sonra sizin için işlemi sonlandırana kadar jetonlar bonoda tutulur. Satın alma için ödeme yaptıysanız ancak ödeme süresi dolmadan önce ödemeyi tamamlandı olarak işaretlemediyseniz, lütfen ticaret sohbeti aracılığıyla diğer tarafla iletişime geçin. $dashboard\'ten diğer tarafla ve diğer mevcut ticaret bağlantılarınızla iletişim kurabilirsiniz. Karşı tarafa bir mesaj göndererek durumu ve ödemeyi neden belirtilen süre içinde tamamlayamadığınızı nazikçe açıklayın. Karşı taraf bu talebe yanıt vermezse, lütfen $supportRequestform\'i kullanarak $appName personeliyle iletişime geçin ve ticari kimliğinizi belirtin.';
  }

  @override
  String get faq250Sbanswer8722Sb25 => 'Alıcı veya satıcı bir anlaşmazlık başlattığında, bir yönetici ticaret sohbetine girer ve her iki taraftan da kanıt ister ve mümkün olduğunca adil bir karar vermek için sohbet geçmişini ve itibarını dikkate alır.';

  @override
  String faq250Sbanswer8722Sb26(Object appName) {
    return 'Monero işlemleri geri alınamaz, başka bir Monero adresine para gönderdikten sonra bunu geri almanız ne sizin ne de $appName için mümkün değildir.';
  }

  @override
  String faq250Sbanswer8722Sb2657Sbagoradesk(Object appName) {
    return 'Kripto para işlemleri geri alınamaz, madeni paraları başka bir adrese gönderdikten sonra bunu geri almanız ne sizin ne de $appName için mümkün değildir.';
  }

  @override
  String faq250Sbanswer8722Sb27(Object appName) {
    return 'Reklam fiyatları Monero döviz kurlarına dayanmaktadır. Monero döviz kuru değişkendir ve hızla değişebilir. $appName döviz kurlarını ve reklam fiyatlarını her on dakikada bir günceller. Listelerde ve ön sayfada gösterilen fiyatlar önbelleğe alınır ve biraz daha yavaş güncellenir. Bazen Monero fiyatı hızla dalgalanırken, aynı fiyat denklemine sahip reklamlar farklı fiyatlar gösterebilir. Bazen bazı para birimleri için piyasa verileri mevcut değildir, bu da reklam fiyatlarının güncellenmesinde gecikmelere neden olur. Ancak ilan sayfasını açtığınızda fiyat daha güncel olacaktır. Satın alma fiyatı, Monero alıcısının işlem talebini gönderdiği anda belirlenir.';
  }

  @override
  String faq250Sbanswer8722Sb2757Sbagoradesk(Object appName) {
    return 'Reklam fiyatları, kripto para birimi döviz kurlarına dayanmaktadır. Döviz kurları değişkendir ve hızla değişebilir. $appName döviz kurlarını ve reklam fiyatlarını on iki dakikada bir günceller. Listelerde ve ön sayfada gösterilen fiyatlar önbelleğe alınır ve biraz daha yavaş güncellenir. Bazen fiyatın hızla dalgalandığı durumlarda, aynı fiyat formülüne sahip reklamlar farklı fiyatlar gösterebilir. Bazen bazı para birimleri için piyasa verileri mevcut değildir, bu da reklam fiyatlarının güncellenmesinde gecikmelere neden olur. Ancak ilan sayfasını açtığınızda fiyat daha güncel olacaktır. Fiyat, işlem talebi gönderildiğinde belirlenir.';
  }

  @override
  String get faq250Sbanswer8722Sb28 => 'Fiyat dalgalı olduğunda, satın alınan Monero miktarı Monero döviz kuru ile dalgalanır. İşlem gören Monero miktarı, işlem açıldığında değil, işlem kapatıldığında belirlenir. Bu, işlemin açılması ile işlemin kapatılması arasındaki sürenin birkaç gün olabildiği yerel nakit işlemlerde piyasa oranı risklerini azaltır.';

  @override
  String get faq250Sbanswer8722Sb2857Sbagoradesk => 'Fiyat dalgalı olduğunda, satın alınan kripto para birimi miktarı döviz kuru ile dalgalanır. İşlem tutarı, işlem açıldığında değil, işlem kapatıldığında belirlenir. Bu, işlemin açılması ile işlemin kapatılması arasındaki sürenin birkaç gün olabildiği yerel nakit işlemlerde piyasa oranı risklerini azaltır.';

  @override
  String faq250Sbanswer8722Sb29(Object feesPage) {
    return 'Mevcut ücretlerle ilgili tüm bilgileri $feesPage sayfamızda kontrol edebilirsiniz.';
  }

  @override
  String get faq250Sbanswer8722Sb298722Sbfees8722Sbpage => 'ücretler sayfası';

  @override
  String faq250Sbanswer8722Sb30(Object telegram, Object thisGuide, Object appName) {
    return 'Şu anda bağımsız bir mobil uygulamamız yok. Ancak $telegram\'te mobil bildirimler alabilirsiniz! $thisGuide sizi Telegram bildirimlerini etkinleştirme işlemine götürecektir (kolaydır). Botumuz daha sonra size $appName etkinliklerinizle ilgili bildirimler gönderecek.';
  }

  @override
  String get faq250Sbanswer8722Sb308722Sbthis8722Sbguide => 'Bu rehber';

  @override
  String get faq250Sbanswer8722Sb32 => 'İşlem önceliği, ödemenizi Monero ağındaki diğer ödemelerden (eğer herhangi bir rekabet varsa) ayırmak için Monero\'da kullanılan bir ayardır. Düşük öncelikli işlemlerin tamamlanması daha uzun sürebilir.';

  @override
  String get faq250Sbanswer8722Sb32250Sb1 => 'Bitcoin\'de ücret seviyeleri, madencileri işleminize daha yüksek bir ücret karşılığında öncelik vermeye teşvik ederek işleminizin onaylanma hızını etkiler. Yüksek ücretli bir işlemin birkaç blok içinde onaylanacağı tahmin edilmektedir; Orta ücretli bir işlemin bir gün içinde onaylanacağı tahmin edilmektedir; Düşük ücretli bir işlemin bir hafta içinde onaylanacağı tahmin edilmektedir.';

  @override
  String faq250Sbanswer8722Sb33(Object appName) {
    return '$appName cüzdanından, $appName para biriminden farklı bir kripto para biriminin kişisel cüzdanına para çekebilirsiniz. Bunu yapmak için önce \"Başka bir para birimi almak istiyorum\" onay kutusunu işaretlemeniz gerekir. Ardından, istenen alıcı kripto para birimini seçin ve paraların gönderilmesi gereken adresi yazın. Ardından, miktarı cüzdanınızdan gönderilen jetonlar olarak mı yoksa hedef cüzdanınıza alınan dönüştürülen jetonlar olarak mı vermek istediğinizi seçin ve miktarı yazın. \"Devam\"a basın, gereksinimlerinize uyan ilgili teklifler gösterilsin. Liste boşsa, miktarı ayarlamayı deneyin. Her teklif için dönüşüm oranı görüntülenecek ve eğer kabul edilebilirse tek yapmanız gereken \"Ticaret\" düğmesine basmak, şartları kabul etmek ve ilgili tutar için bir ticaret sizin için otomatik olarak oluşturulacaktır. Hedef adres, ticaret sohbeti aracılığıyla alıcıya otomatik olarak sağlanacaktır. Gerisi, $appName üzerindeki herhangi bir ticaret gibi halledilir - alıcı, verdiğiniz adrese istenen para birimini gönderecek ve madeni paraları aldıktan sonra, bir işlemi tamamlamanız gerekir. Bu kadar!';
  }

  @override
  String get faq250Sbanswer8722Sb338722Sbmorphtoken8722Sbfaq8722Sblink => 'Burada ChangeNow\'un nasıl çalıştığı, hizmet ve ağ ücretleri hakkında daha fazla bilgi edinebilirsiniz.';

  @override
  String faq250Sbanswer8722Sb4(Object value) {
    return 'Yedek kodunuz varsa, QR\'yi yedek kodunuzdan oluşturmak için $value gibi bir QR oluşturma hizmeti kullanın. Ardından, oluşturulan QR\'yi mobil 2FA uygulamanızla tarayın. Yedek kodunuz yoksa bu, hesabınıza erişiminizi kaybettiğiniz anlamına gelir. Ne yazık ki, siz gibi davranan bir bilgisayar korsanı ile sizin gerçekte siz olmanız arasında ayrım yapabilmemiz mümkün değil.';
  }

  @override
  String get faq250Sbanswer8722Sb48722Sbthis => 'Bu';

  @override
  String faq250Sbanswer8722Sb5(Object onionUrl, Object tor) {
    return 'Evet yaparız! İşte: $onionUrl (bu bağlantıyı açmak için $tor\'e ihtiyacınız var).';
  }

  @override
  String faq250Sbanswer8722Sb6(Object b32I2purl, Object i2pUrl, Object i2p) {
    return 'Evet, aslında ikimiz var! İşte bunlar: $b32I2purl veya $i2pUrl (bu bağlantıları açmak için $i2p\'e ihtiyacınız var).';
  }

  @override
  String faq250Sbanswer8722Sb7(Object here) {
    return 'Aynen! $here\'e bakın.';
  }

  @override
  String get faq250Sbanswer8722Sb78722Sbhere => 'burada';

  @override
  String faq250Sbanswer8722Sb8(Object appName) {
    return 'Tüm çevrimiçi işlemler tahkim tahvilleri ile korunmaktadır. Bir ticaret başlatıldığında, ticaret miktarına eşit miktarda Monero otomatik olarak satıcının $appName Cüzdanından teminat olarak ayrılır. Bu, satıcının paranızı alıp kaçması ve işlemi tamamlamaması durumunda, $appName desteğinin tahkim bonosunda tutulan Monero\'yu size yönlendirebileceği anlamına gelir. Monero satıyorsanız, Monero alıcısından para aldığınızı öğrenmeden asla işlemi sonlandırmayın. Yerel alım satımlarda varsayılan olarak tahkim bonosu korumasının etkinleştirilmediğini lütfen unutmayın.';
  }

  @override
  String faq250Sbanswer8722Sb857Sbagoradesk(Object appName) {
    return 'Tüm çevrimiçi işlemler tahkim tahvilleri ile korunmaktadır. Bir ticaret başlatıldığında, ticaret miktarına eşit miktarda kripto para, satıcının $appName Cüzdanından teminat olarak otomatik olarak ayrılır. Bu, satıcı paranızı alıp kaçarsa ve işlemi tamamlamazsa, $appName desteği tahkim bonosunda tutulan Monero\'yu size yönlendirebilir. Kripto para birimi satıyorsanız, alıcıdan parayı aldığınızı öğrenmeden asla işlemi sonlandırmayın. Yerel alım satımlarda varsayılan olarak tahkim bonosu korumasının etkinleştirilmediğini lütfen unutmayın.';
  }

  @override
  String faq250Sbanswer8722Sb9(Object appName) {
    return '$appName\'te iki farklı işlem tipimiz var, yerel işlemler ve çevrimiçi işlemler. Çevrimiçi işlemler, siz ticaret ortağınızla hiç tanışmadan, tamamen ticaret platformumuz aracılığıyla çevrimiçi olarak gerçekleşir. Tahkim bonosu koruması, Çevrimiçi işlemler için otomatik olarak etkinleştirilir ve finanse edilir; bu, bir alıcı olarak tahkim bonosu koruma sistemimiz tarafından otomatik olarak korunduğunuz anlamına gelir. $appName üzerindeki işlemlerin çoğu çevrimiçi işlemlerdir. Yerel alım satımların yüz yüze yapılması amaçlanmıştır ve tahkim bonosu koruması otomatik olarak etkinleştirilmez. Bu nedenle, satıcıya yerel bir ticarette çevrimiçi ödeme yöntemi kullanarak ödeme yapmak güvenli değildir. Çevrimiçi ödeme yöntemleri, örneğin banka havaleleridir; Paypal; Hediye kartı kodları vb.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent(Object appName) {
    return '$appName cüzdanına farklı bir kripto para cüzdanından para yatırmak isterseniz, cüzdan sayfasının Al sekmesindeki \'Başka bir para birimi yatırmak istiyorum\' kutusunu işaretlemeniz gerekir. Görünen bölümde istenen para yatırma para birimini, para yatırma miktarını seçin (görüntülenen limitlere dikkat edin) ve işlemde herhangi bir terslik olması durumunda kullanılacak ilgili geri ödeme adresini girin. Bunu yaptıktan sonra, \'Bana para yatırma adresini göster!\' seçeneğini tıklayın. para yatırma adresini göreceğiniz bir pencere açacak olan düğme. Coin\'leri cüzdanınızdan sağlanan ChangeNow para yatırma adresine gönderin. Bu noktada, ChangeNow paralarınızı dönüştürecek ve $appName cüzdanınıza aktaracaktır.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbcontent57Sbagoradesk(Object appName) {
    return '$appName cüzdanına farklı bir kripto para cüzdanından para yatırmak isterseniz, cüzdan sayfasının Al sekmesindeki \'Başka bir para birimi yatırmak istiyorum\' kutusunu işaretlemeniz gerekir. Görünen bölümde istenen para yatırma para birimini, para yatırma miktarını seçin (görüntülenen limitlere dikkat edin) ve işlemde herhangi bir terslik olması durumunda kullanılacak ilgili geri ödeme adresini girin. Bunu yaptıktan sonra, \'Bana para yatırma adresini göster!\' seçeneğini tıklayın. para yatırma adresini göreceğiniz bir pencere açacak olan düğme. Coin\'leri cüzdanınızdan sağlanan ChangeNow para yatırma adresine gönderin. Bu noktada, ChangeNow paralarınızı dönüştürecek ve $appName cüzdanınıza aktaracaktır.';
  }

  @override
  String faq250Sbmorph8722Sbdeposit250Sbtitle(Object appName) {
    return 'Diğer kripto para birimlerini $appName cüzdanına nasıl yatırabilirim?';
  }

  @override
  String faq250Sbquestion8722Sb0(Object appName) {
    return '$appName nedir?';
  }

  @override
  String get faq250Sbquestion8722Sb1 => 'Monero\'yu nasıl alırım veya satarım?';

  @override
  String get faq250Sbquestion8722Sb157Sbagoradesk => 'Kripto para birimlerini nasıl alırım veya satarım?';

  @override
  String get faq250Sbquestion8722Sb10 => 'Monero\'yu nasıl gönderirim ve satın aldıktan sonra Monero ile nasıl ödeme yapabilirim?';

  @override
  String get faq250Sbquestion8722Sb1057Sbagoradesk => 'Kripto paraları nasıl gönderirim ve satın aldıktan sonra kripto paralarla nasıl ödeme yapabilirim?';

  @override
  String faq250Sbquestion8722Sb11(Object appName) {
    return '$appName Cüzdanıma nasıl Monero alabilirim?';
  }

  @override
  String faq250Sbquestion8722Sb1157Sbagoradesk(Object appName) {
    return '$appName Cüzdanıma nasıl kripto para alabilirim?';
  }

  @override
  String faq250Sbquestion8722Sb12(Object appName) {
    return '$appName Cüzdanıma Monero göndermek veya almak ne kadar sürer?';
  }

  @override
  String faq250Sbquestion8722Sb1257Sbagoradesk(Object appName) {
    return '$appName Cüzdanıma kripto para göndermek veya almak ne kadar sürer?';
  }

  @override
  String get faq250Sbquestion8722Sb13 => '60 dakika bekledim ve işlemim hala beklemede, şimdi ne olacak?';

  @override
  String get faq250Sbquestion8722Sb17 => 'Geribildirim sistemi nasıl çalışır?';

  @override
  String get faq250Sbquestion8722Sb18 => 'Onaylanmış ve onaylanmamış geri bildirim arasındaki fark nedir?';

  @override
  String get faq250Sbquestion8722Sb19 => 'Web bildirimlerini nasıl etkinleştiririm?';

  @override
  String get faq250Sbquestion8722Sb2 => 'Dolandırılmaktan nasıl korunurum?';

  @override
  String get faq250Sbquestion8722Sb20 => 'Bir tüccar benden kimliğimi istiyor ve içim rahat değil.';

  @override
  String get faq250Sbquestion8722Sb21 => 'Satıcıya ödeme yaptım ama henüz Monero\'mu almadım.';

  @override
  String get faq250Sbquestion8722Sb2157Sbagoradesk => 'Ödeme yaptım ama jetonlarımı henüz almadım.';

  @override
  String get faq250Sbquestion8722Sb22 => 'Cüzdanımdaki tüm Moneroları neden gönderemiyorum?';

  @override
  String get faq250Sbquestion8722Sb2257Sbagoradesk => 'Cüzdanımdaki tüm paraları neden gönderemiyorum?';

  @override
  String faq250Sbquestion8722Sb23(Object appName) {
    return '$appName\'ten bir işlem yaptım ve alıcı tarafta görünmüyor!';
  }

  @override
  String get faq250Sbquestion8722Sb24 => 'Ödememi yaptım ama ödedim butonuna basmayı unuttum veya zamanında basmadım';

  @override
  String get faq250Sbquestion8722Sb25 => 'Anlaşmazlıklar nasıl ele alınacak?';

  @override
  String get faq250Sbquestion8722Sb26 => 'Monero\'yu yanlış adrese gönderdim, geri alabilir miyim?';

  @override
  String get faq250Sbquestion8722Sb2657Sbagoradesk => 'Paraları yanlış adrese gönderdim, onları geri alabilir miyim?';

  @override
  String get faq250Sbquestion8722Sb27 => 'Reklam fiyatları ne sıklıkla güncellenir?';

  @override
  String get faq250Sbquestion8722Sb28 => 'Değişken fiyat nedir?';

  @override
  String get faq250Sbquestion8722Sb29 => 'Ücretler nelerdir?';

  @override
  String get faq250Sbquestion8722Sb3 => 'İki faktörlü kimlik doğrulamayı nasıl etkinleştiririm?';

  @override
  String get faq250Sbquestion8722Sb30 => 'Mobil uygulamanız var mı? / Mobil bildirimleri nasıl alabilirim?';

  @override
  String get faq250Sbquestion8722Sb32 => 'İşlem önceliği nedir?';

  @override
  String get faq250Sbquestion8722Sb32250Sb1 => 'Ücret düzeyi nedir?';

  @override
  String faq250Sbquestion8722Sb33(Object appName) {
    return '$appName cüzdanımdan başka bir kripto para cüzdanına Monero\'yu nasıl çekebilirim?';
  }

  @override
  String faq250Sbquestion8722Sb3357Sbagoradesk(Object appName) {
    return '$appName cüzdanımdan diğer kripto para birimlerini nasıl çekebilirim?';
  }

  @override
  String get faq250Sbquestion8722Sb5 => 'İkinci kimlik doğrulama faktörümü kaybettim, ne yapmalıyım?';

  @override
  String get faq250Sbquestion8722Sb6 => 'Bir .onion siteniz / Tor gizli hizmetiniz var mı?';

  @override
  String get faq250Sbquestion8722Sb7 => 'I2P siteniz var mı?';

  @override
  String get faq250Sbquestion8722Sb8 => 'Bir ortaklık programınız var mı?';

  @override
  String get faq250Sbquestion8722Sb9 => 'Çevrimiçi ticaret ile yerel ticaret arasındaki fark nedir?';

  @override
  String get faq250Sbtitle => 'Sıkça Sorulan Sorular';

  @override
  String get feedback250Sbnone => 'henüz geribildirim yok';

  @override
  String feedback250Sbtitle(Object user) {
    return '$user hakkında geri bildirim';
  }

  @override
  String fees250Sbtitle(Object appName) {
    return '$appName ücret';
  }

  @override
  String fees250Sbtrading250Sbtext(Object appName) {
    return 'Monero\'ya kaydolmak, satın almak ve satmak tamamen <strong>ücretsiz</strong>. Reklam oluşturan <br/> $appName kullanıcılarından, tamamlanan her işlem için <strong> %1 tahkim koruma ücreti </strong> alınır.';
  }

  @override
  String fees250Sbtrading250Sbtext57Sbagoradesk(Object appName) {
    return 'Kripto para birimlerini kaydetmek, satın almak ve satmak tamamen <strong>ücretsiz</strong>. Reklam oluşturan <br/> $appName kullanıcılarından, tamamlanan her işlem için <strong> %1 tahkim koruma ücreti </strong> alınır.';
  }

  @override
  String get fees250Sbtrading250Sbtitle => 'Monero ticareti';

  @override
  String get fees250Sbtrading250Sbtitle57Sbagoradesk => 'kripto para ticareti';

  @override
  String fees250Sbtx250Sbtext(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Diğer $appName kullanıcılarının cüzdanlarına yapılan işlemler $free. $linebreak  Diğer Monero cüzdanlarıyla yapılan işlemler, Monero ağ işlem ücretine tabidir. Geçerli ücret, $walletPage\'te $outgoingMonerofees başlığı altında görülebilir. Bir işlem gönderdiğinizde işlem ücreti $appName cüzdanınızdan ödenir.';
  }

  @override
  String get fees250Sbtx250Sbtext8722Sbfree => 'Bedava';

  @override
  String get fees250Sbtx250Sbtext8722Sbwallet8722Sbpage => 'cüzdan sayfası';

  @override
  String fees250Sbtx250Sbtext57Sbagoradesk(Object appName, Object free, Object linebreak, Object walletPage, Object outgoingMonerofees) {
    return 'Diğer $appName kullanıcılarının cüzdanlarına yapılan işlemler $free. $linebreak  Dış kripto para cüzdanlarına yapılan işlemler, ilgili kripto para birimi ağ işlem ücretine tabidir. Geçerli ücret, $walletPage\'te $outgoingMonerofees başlığı altında görülebilir. Bir işlem gönderdiğinizde işlem ücreti $appName cüzdanınızdan ödenir.';
  }

  @override
  String get fees250Sbtx250Sbtitle => 'Monero işlem ücretleri';

  @override
  String get fees250Sbtx250Sbtitle57Sbagoradesk => 'Kripto para işlem ücretleri';

  @override
  String get finish => 'Bitiş';

  @override
  String get footer250Sbabout => 'Hakkında';

  @override
  String get footer250Sbaffiliate => 'ortak';

  @override
  String get footer250Sbblocks => 'Monero Blok Gezgini';

  @override
  String get footer250Sbbounty => 'güvenlik ödülü';

  @override
  String get footer250Sbcanary => 'Kanarya';

  @override
  String get footer250Sbcontact => 'Bize Ulaşın';

  @override
  String get footer250Sbfees => 'ücretler';

  @override
  String get footer250Sble => 'Kolluk Kuvvetleri Soruşturmaları';

  @override
  String get footer250Sbpgp => 'PGP anahtarları';

  @override
  String get footer250Sbtor => 'Tor gizli servisi';

  @override
  String get footer250Sbtos => 'Kullanım Şartları';

  @override
  String get formula250Sbexamples8722Sbtitle => 'örnekler';

  @override
  String get formula250Sbexamples250Sbbtc => 'Ortalama BTC/EUR piyasa fiyatının %5 üzerinde: <strong>coingeckobtcusd*usdeur*1,05</strong>\n<br/> BTC/XMR piyasa fiyatı: <strong>1/coingeckoxmrbtc</strong>\n<br/> GBP\'ye dönüştürülen Kraken BTC/EUR son fiyatının %5 üzerinde: <strong> krakenbtceurlast/usdeur*usdgbp*1.05 </strong>\n<br/> BTC/USD Bitfinex düşük fiyatı ile BTC/USD Kraken son fiyatı arasındaki en yüksek fiyatın %5 altında: <strong>max(bitfinexbtcusdlow,krakenbtcusdlast)*0,95</strong>\n<br/> Piyasa BTC/LTC fiyatı üzerinden 0,1 LTC: <strong>coingeccobtcltc+0,1</strong>';

  @override
  String get formula250Sbexamples250Sbxmr => 'Ortalama XMR/EUR piyasa fiyatının %5 üzerinde: <strong>coingeckoxmrusd*usdeur*1,05</strong>\n<br/> ETH/XMR piyasa fiyatı: <strong>coingeckoethbtc/coingeckoxmrbtc</strong>\n<br/> BTC/XMR piyasa fiyatı: <strong>1/coingeckoxmrbtc</strong>\n<br/> GBP\'ye dönüştürülen Kraken XMR/EUR son fiyatının %5 üzerinde: <strong> krakenxmreurlast/usdeur*usdgbp*1.05 </strong>\n<br/> XMR/USD Bitfinex düşük fiyatı ile XMR/USD Kraken son fiyatı arasındaki en yüksek fiyatın %5 altında: <strong>max(bitfinexxmrusdlow,krakenxmrusdlast)*0,95</strong>\n<br/> Piyasa XMR/BTC fiyatı üzerinden 0,001 BTC: <strong>coingeckoxmrbtc+0,001</strong>';

  @override
  String get formula250Sbfiat8722Sbrates => 'Fiat Döviz Kurları';

  @override
  String get formula250Sbfiat8722Sbrates8722Sbtab => 'Fiat Döviz Kurları';

  @override
  String get formula250Sbfunctions => 'Fonksiyonlar';

  @override
  String get formula250Sbinput8722Sblabel => 'Fiyat formülü';

  @override
  String get formula250Sbinvalid8722Sbmessage => 'Geçersiz formül!';

  @override
  String get formula250Sbmarkets => 'piyasalar';

  @override
  String get formula250Sbmarkets8722Sbtab => 'piyasalar';

  @override
  String get formula250Sbno8722Sbformula8722Sbmessage => 'Fiyatı görmek için geçerli bir formül girin';

  @override
  String get formula250Sboperators => 'Operatörler';

  @override
  String get formula250Sboperators8722Sband8722Sbfunctions8722Sbtab => 'İşlemler ve İşlevler';

  @override
  String get formula250Sbpopular8722Sbfiat8722Sbpairs => 'Popüler itibari para değişim çiftleri';

  @override
  String get formula250Sbunexpected8722Sberror => 'Hata! Sayfayı yenileyin ve tekrar deneyin. Sorun devam ederse, lütfen desteğimizle iletişime geçin.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbfive8722Sbtext => 'Doğrulayıcı uygulamanızda, sayfada gösterilen QR kodunu tarayın. Bunu yaptıktan sonra, uygulamada 6 haneli tek seferlik şifreler görünmeye başlayacak.';

  @override
  String guide250Sb2fa250Sbstep8722Sbfour8722Sbtext(Object chooseAnyapp, Object andotp) {
    return 'Kimlik doğrulama uygulamasını telefonunuza yükleyin. TOTP\'yi destekleyen $chooseAnyapp yapabilirsiniz. Örneğin, $andotp Ücretsiz ve Açık Kaynaklıdır.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbfour8722Sbtext8722Sbchoose8722Sbany8722Sbapp => 'herhangi bir uygulamayı seçin';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb0(Object appName) {
    return 'İki faktörlü kimlik doğrulama (2FA), ayarlar sayfasındaki \'İki faktörlü kimlik doğrulama\' sekmesinden etkinleştirilir. İki faktörlü kimlik doğrulamayı etkinleştirirken <strong> yedek kodu </strong> yazmanız ve tercihen kağıt üzerinde güvenli bir yerde saklamanız çok önemlidir. İki faktörlü kodlarınıza erişimi kaybederseniz, hesabınıza giriş yapamazsınız ve $appName size yardımcı olamaz. 2FA\'nın amacı budur. <strong> Kullanım riski size aittir. </strong>';
  }

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb1(Object appName, Object totp, Object authMobileapp) {
    return '$appName, $totp 2FA sunar. 2FA etkinleştirildiğinde, $authMobileapp, $appName ile senkronize edilecek ve 6 haneli tek seferlik şifreler üretecektir. Bu şifre her dakika değiştirilir. Oturum açmak veya tahkim teminatını geri çekmek için, parolanıza ek olarak bu tek seferlik parolayı da geçerlilik süresi dolmadan önce girmeniz gerekir.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbauth8722Sbmobile8722Sbapp => 'kimlik doğrulama mobil uygulaması';

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb18722Sbtotp => 'Zaman Tabanlı Tek Kullanımlık Parola Algoritması (TOTP)';

  @override
  String guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb2(Object settingsPage) {
    return 'İki faktörlü kimlik doğrulamayı etkinleştirmeye başlamak için $settingsPage\'i ziyaret edin ve \'İki faktörlü kimlik doğrulama\' sekmesini seçin.';
  }

  @override
  String get guide250Sb2fa250Sbstep8722Sbone8722Sbtext8722Sb28722Sbsettings8722Sbpage => 'ayarlar sayfası';

  @override
  String get guide250Sb2fa250Sbstep8722Sbsix8722Sbtext => 'Kurulumu tamamlamak için mobil uygulamanız tarafından verilen kodu QR kodunun altındaki kutuya girin ve \'2FA\'yı Doğrula\' düğmesine basın. <br/><br/> Tebrikler! Hesabınız için iki faktörlü kimlik doğrulama etkinleştirildi. Giriş yapmak ve tahkim teminatınızı geri çekmek için uygulama tarafından size verilen kodları şifrenizle birlikte kullanın.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbthree8722Sbtext => '<strong>ÖNEMLİ! Yedek kodunuzu yazın. </strong> Maksimum güvenlik için yazdırmanızı veya bir kağıda yazmanızı öneririz. Güvenli bir şekilde saklayın, telefonunuzu kaybetmeniz veya kimlik doğrulayıcı uygulamasını silmeniz durumunda bu kod, hesabınıza yeniden erişim kazanmak için tek şansınız.';

  @override
  String get guide250Sb2fa250Sbstep8722Sbtwo8722Sbtext => 'Parolanızı girin ve \'2FA\'yı Etkinleştir\' düğmesine basın.';

  @override
  String get guide250Sb2fa250Sbtitle => 'İki faktörlü kimlik doğrulama nasıl etkinleştirilir';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb1 => 'Ne yazık ki, bitcoin gibi <strong> madeni paraların protokollerinde gizliliğe yer yoktur. </strong> Tüm taraflar arasında işlem gören tüm işlemler ve miktarlar herkes tarafından görülebilir. Bu, bitcoin\'in takas edilebilir olmasını engeller ve bitcoin\'in küresel bir parasal taban olarak yaşayabilirliği ile ilgili temel sorunlara yol açar.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb2 => 'Şu senaryoyu hayal edin: bitcoin dünyada kullanılan tek para birimi haline geldi. Mahremiyet eksikliğinin sonuçlarından bazıları neler olabilir?';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3 => 'Orta ila yüksek şiddet içeren suç oranı olan bir ülkenin bazı bölgelerinde seyahat ediyorsunuz. Bir şey için ödeme yapmak için Bitcoin\'inizin bir kısmını kullanmanız gerekir. <strong> İşlem yaptığınız herkes tam olarak ne kadar paranız olduğunu biliyorsa, bu kişisel fiziksel güvenliğiniz için bir tehdittir. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb3250Sbtitle => '1. Fiziksel güvenlik';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4 => 'Bir tedarikçiye ödeme yapan bir işletmesiniz. Bu tedarikçi, işletmenizin ne kadar parası olduğunu görebilecek ve bu nedenle gelecekteki müzakerelerde fiyata ne kadar duyarlı olduğunuzu tahmin edebilecektir. Bu Bitcoin adresine şimdiye kadar aldığınız her bir ödemeyi görebilirler ve bu nedenle başka hangi tedarikçilerle uğraştığınızı ve bu tedarikçilere ne kadar ödeme yaptığınızı belirleyebilirler. Kabaca kaç müşteriniz olduğunu ve müşterilerinizden ne kadar ücret aldığınızı belirleyebilirler. <strong> Bu, ticari açıdan hassas bir bilgidir ve müzakere pozisyonunuzu görece mali kayba neden olacak kadar zedeler. </strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb4250Sbtitle => '2. Ticari sır';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5 => 'Çevrimiçi mal ve hizmetler için ödeme yapan özel bir vatandaşsınız. Şirketlerin gelecekte size hizmet sunabilecekleri en yüksek fiyatları belirlemeye çalışmak için <strong> \'fiyat ayrımcılığı\'</strong> algoritmalarını kullanmaya çalışmasının yaygın bir uygulama olduğunun farkındasınız ve kullanmamalarını tercih edersiniz [X307X ] ne kadar ve nereye harcadığınızı bilmenin bilgi avantajına sahip olun.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb5250Sbtitle => '3. Fiyat ayrımcılığı';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6 => 'Cupcake satıyorsunuz ve ödeme olarak bitcoin alıyorsunuz. <strong>\'in sizden önce o bitcoin\'e sahip olan birinin suç faaliyetine karıştığı </strong> ortaya çıktı. Şimdi bir ceza davasında <strong> şüpheli olduğunuz için endişeleniyorsunuz</strong> çünkü paranın size hareketi kamuya açık bir kayıt meselesidir. Ayrıca, sahip olduğunuzu düşündüğünüz belirli bitcoinlerin \"kusurlu\" sayılacağından ve <strong> diğerlerinin bunları ödeme olarak kabul etmeyeceğinden endişe ediyorsunuz.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb6250Sbtitle => '4. Kirli fonlar';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7 => '<strong> Monero, gizlilik tekniklerini yapılan her işleme otomatik olarak uygulayarak bu gizlilik sorunlarını çözer.</strong>';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive8722Sb7250Sbtitle => 'Monero bunu nasıl çözer?';

  @override
  String guide250Sbbtc250Sbcard8722Sbfive8722Sb8(Object fungibility) {
    return '\"Kusurlu\" Monero\'ya sahip olmanın mümkün olmadığına güvenebilirsiniz. Bu, ekonomide $fungibility olarak bilinen bir kavramdır ve tarihsel olarak herhangi bir para biriminin sahip olması gereken önemli bir özellik olarak kabul edilir.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfive250Sbtitle => 'Finansal Gizlilik Neden Önemlidir?';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb1 => 'Tor\'u kullan';

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb2(Object tor) {
    return '$tor\'e göre Tor, kişisel özgürlüğü ve mahremiyeti, gizli ticari faaliyetleri ve ilişkileri ve devlet güvenliğini tehdit eden bir tür ağ gözetimi olan trafik analizine karşı savunma yapmanıza yardımcı olan ücretsiz bir yazılım ve açık bir ağdır.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb3(Object torBrowser, Object appName, Object torLink) {
    return 'Kullanmak için $torBrowser\'i resmi web sitelerinden indirip kurmanız yeterlidir. Başlattıktan sonra, özel Tor portalımız aracılığıyla $appName\'e erişebilirsiniz: $torLink';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbfour8722Sb4(Object appName) {
    return '$appName Üzerinden Satın Alırken Nakit İçeren Ödeme Yöntemlerini Kullanın';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb5 => 'Banka havalesi, PayPal veya benzeri diğer ödeme seçeneklerini kullanarak satın aldığınızda, ödemenizi işleyen şirketler tarafından tutulan kayıtlar nedeniyle her zaman bir gizlilik sızıntısı olacaktır. Bu gizlilik sızıntısını önlemek için nakit para içeren yöntemlere bağlı kalın.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour8722Sb6 => 'Posta yoluyla nakit para, ATM nakit para yatırma, yüz yüze toplantılar veya nakitle satın alınan hediye kartları gibi yöntemleri kullanın. ';

  @override
  String get guide250Sbbtc250Sbcard8722Sbfour250Sbtitle => 'Bu Bitcoin Satın Alma Yöntemini Kullanırken Anonim Kalmanın Gelişmiş Teknikleri';

  @override
  String guide250Sbbtc250Sbcard8722Sbone8722Sb1(Object wikipedia) {
    return '$wikipedia uyarınca:';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb2 => 'Monero (XMR), Nisan 2014\'te oluşturulan ve <strong> değiştirilebilirlik, gizlilik ve ademi merkeziyetçiliğe odaklanan açık kaynaklı bir kripto para birimidir.</strong> Monero, gizlenmiş bir genel defter kullanır, yani herkes yayın yapabilir veya işlem gönderebilir, ancak hiçbir dış gözlemci bunu anlayamaz. kaynak, miktar veya hedef. Monero, yeni madeni paralar çıkarmak ve madencileri ağı güvence altına almaya ve işlemleri doğrulamaya teşvik etmek için bir Proof of Work mekanizması kullanır.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone8722Sb3 => 'Çoğu kripto para birimi için standart olmayan <strong> ödemeler ve hesap bakiyeleri tamamen gizli kaldığından </strong>, finansal gizlilik arayanlar için Monero aktif olarak teşvik edilmektedir.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbone250Sbtitle => '1. Monero nedir?';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb1(Object appName) {
    return '6. Adım: $appName\'ten Bitcoin Çekme';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb2 => 'Şimdi, cüzdan sayfasına gidin ve cüzdan sayfasının \'Monero Gönder\' sekmesindeki \'Bir BTC, XMR, ETH, LTC, BCH veya DASH cüzdanına para çekmek istiyorum\' kutusunu işaretleyin. Görünen bölümde BTC\'yi seçin ve ilgili alıcı BTC adresini girin. Ardından miktarı XMR\'ye girin, önceliği seçin ve \'Devam Et\'i tıklayın. Lütfen XMR\'deki alma miktarının sağlanan ChangeNow sınırları içinde olması gerektiğini unutmayın.';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb3(Object appName, Object morphtoken) {
    return 'Ardından, şifrenizi ve (etkinleştirilmişse) tek seferlik şifrenizi girdikten sonra, $appName paralarınızı dönüştürme için $morphtoken\'e gönderecektir.';
  }

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb4(Object appName) {
    return 'Bu noktada herhangi bir işlem yapmanıza gerek yoktur ve tarayıcınızda işlem durumunu izleyebileceğiniz yeni bir pencere açılacaktır (açılmamışsa lütfen verilen bağlantıya tıklayın ve kaydetmeyi unutmayın, böylece işlemin akışını görebilir). İşlemde herhangi bir terslik olursa, paralar $appName cüzdanınıza iade edilecektir.';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree8722Sb5 => 'Adım 7';

  @override
  String guide250Sbbtc250Sbcard8722Sbthree8722Sb6(Object morphtoken) {
    return 'Bundan sonra, işlemin tamamlanmasını bekleyin (yaklaşık 15 dakika) ve $morphtoken bitcoinleri verdiğiniz adrese gönderecektir. Tamamlandı!';
  }

  @override
  String get guide250Sbbtc250Sbcard8722Sbthree250Sbtitle => 'Anonim Olarak Nakitle Bitcoin Satın Alma';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb1 => '<strong> Monero, özel ve sansüre dayanıklı işlemlere odaklanan lider kripto para birimidir</strong>. Bitcoin ve Ethereum da dahil olmak üzere mevcut kripto para birimlerinin çoğu şeffaf blok zincirlere sahiptir, bu da işlemlerin dünyadaki herkes tarafından açıkça doğrulanabilir ve izlenebilir olduğu anlamına gelir. Ayrıca, bu işlemler için gönderme ve alma adresleri potansiyel olarak bir kişinin gerçek dünyadaki kimliğiyle ilişkilendirilebilir.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb2 => 'Monero, gönderen ve alan adreslerin yanı sıra işlem gören tutarları korumak için kriptografi kullanır.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb3 => 'Monero işlemleri gizlidir ve izlenemez.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb4 => 'Her Monero işlemi, varsayılan olarak, gönderen ve alan adreslerin yanı sıra işlem gören tutarları da gizler. Bu her zaman açık olan gizlilik, seçici olarak şeffaf kripto para birimlerinin (örneğin Z-Cash) aksine, her Monero kullanıcısının etkinliğinin diğer tüm kullanıcıların gizliliğini arttırdığı anlamına gelir. Monero takas edilebilir. Gizleme sayesinde, Monero önceki işlemlere katılım yoluyla lekelenemez. Bu, Monero\'nun her zaman sansür riski olmadan kabul edileceği anlamına gelir. Dandelion++, işlemlerin kaynağı belli olmadan yayılmasına izin verir. Bu, bir işlemcinin IP adresini gizleyecek ve ağ izlemeye karşı daha fazla koruma sağlayacaktır.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb5 => 'Monero, dünyanın en iyi kripto para birimi araştırmacılarını ve mühendislik yeteneklerini kendine çeken bir taban topluluğudur.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb6 => 'Monero projesine 30 temel geliştirici dahil 420\'den fazla geliştirici katkıda bulunmuştur. Forumlar ve sohbet kanalları davetkar ve aktiftir.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb7 => 'Monero\'nun Araştırma Laboratuvarı, Çekirdek Geliştirme Ekibi ve Topluluk Geliştiricileri, sürekli olarak kripto para birimi gizliliği ve güvenliği ile mümkün olanın sınırlarını zorluyor.';

  @override
  String get guide250Sbbtc250Sbcard8722Sbtwo8722Sb8 => '<strong> Monero, dünyanın her yerinden ve her yerinden hızlı, ucuz ödemelere izin veren elektronik nakittir. </strong> Birden fazla günlük tutma süresi yoktur ve hileli ters ibraz riski yoktur. \"Sermaye kontrollerinden\" güvenlidir - bunlar, ekonomik istikrarsızlık yaşayan ülkelerde geleneksel para birimlerinin akışını bazen aşırı derecede kısıtlayan önlemlerdir.';

  @override
  String guide250Sbbtc250Sbcard8722Sbtwo250Sbtitle(Object getmonero) {
    return '2. Neden Monero? ($getmonero tarafından açıklandığı gibi)';
  }

  @override
  String get guide250Sbbtc250Sbconclusion8722Sb1 => 'Zaman geçtikçe daha da zorlaşıyor, ancak Monero\'dan dönüştürmek için <strong> fazladan bir adım atmaya istekli olduğunuz sürece anonim bir bitcoin satın almak hala mümkün. </strong> Neyse ki, Monero yalnızca gizliliğinizi ve anonimliğinizi daha da ileri bir düzeye çıkarmaya hizmet ediyor. Çevrimiçi olarak sunulan diğer kılavuzların çoğunda daha fazla gizlilik sızıntısı oluşturan adımları içeren yöntemler önerirken, bu kılavuz yalnızca gizlilik sızıntılarını en aza indirecek değil, aynı zamanda doğrudan nakit parayla bitcoin satın almaya kıyasla gizlilik seviyenizi de artıracak bir yol sunar. <strong> Monero\'nun gizlilik özellikleri tarafından korunacaksınız. </strong>';

  @override
  String get guide250Sbbtc250Sbconclusion250Sbtitle => 'Çözüm';

  @override
  String get guide250Sbbtc250Sbintro8722Sb1 => '<strong>Bitcoin\'leri anonim olarak satın almak giderek zorlaşan bir görev haline geldi.</strong>';

  @override
  String guide250Sbbtc250Sbintro8722Sb2(Object ninetyNinebitcoins, Object coincentral, Object linebreak, Object gutter, Object localbitcoins, Object paypal) {
    return 'Her geçen gün, geleneksel bitcoin elde etme yöntemlerinin tümü olmasa da çoğu, kimlik doğrulaması gerektirmeye başlamış gibi görünüyor; bu da, $ninetyNinebitcoins veya $coincentral üzerindekiler gibi çoğu kılavuzun günümüzde çevrimiçi olarak kullanılabilir hale gelmesine neden oluyor. $linebreak  $gutter ID olmadan bitcoin satın almanın geleneksel yolu, özellikle $paypal ile anonim olarak bitcoin satın almak için popüler olan P2P Bitcoin değişim platformu $localbitcoins aracılığıyla olmuştur.';
  }

  @override
  String get guide250Sbbtc250Sbintro8722Sb3 => 'Ancak ne yazık ki <strong>LocalBitcoin\'ler bile tüm tüccarlarından kimlik doğrulaması istemeye başladı.</strong>';

  @override
  String get guide250Sbbtc250Sbintro8722Sb4 => 'Peki kredi kartı ile anında ve doğrulama olmadan bitcoin satın alabileceğiniz günler geride kaldı mı? Pek değil. Burada, size sadece birkaç adımda nakit parayla Bitcoin almanın kolay, anonim, özel ve hızlı bir yolunu sunuyoruz... ';

  @override
  String get guide250Sbbtc250Sbtitle => 'Anonim Olarak Bitcoin Nasıl Satın Alınır?';

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Ödemeyi yaptıktan sonra \'Ödedim\' butonuna tıklayın. Tüccar, ödemenizin alındığını doğruladıktan sonra, ticaret sonlandırılacak ve kısa bir süre sonra takas cüzdanınızda $assetName\'i göreceksiniz. Ve hepsi bu, ilk $assetName işleminiz için tebrikler!';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfive8722Sbtext8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName cüzdan';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return '\'Satın Al\' düğmesine bastıktan sonra, ticaret şartları da dahil olmak üzere reklam hakkında daha fazla bilgi göreceksiniz. Takas talebini göndermeden önce bunları okuyun, onlarla aynı fikirde değilseniz bir önceki sayfaya dönebilir ve başka bir ilan seçebilirsiniz. Ticarete başlamak için, ne kadar $assetName satın almak istediğinizi yazın ve ticareti başlatmak için \'Ticaret talebi gönder\' düğmesine tıklayın. Düğmeye tıkladığınızda ödemeye hazır olduğunuzdan emin olun, ödeme penceresi sona ermeden önce ödeme yapmazsanız, satıcı işlemi iptal edebilecektir.';
  }

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext(Object registerAnaccount, Object appName) {
    return '$appName ile $registerAnaccount Ücretsiz ve güvenli bir çevrimiçi Monero cüzdanına sahip olursunuz. Ek uygulamalara gerek yoktur. Zaten bir hesabınız varsa sonraki adıma geçin.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbone8722Sbtext8722Sbregister8722Sban8722Sbaccount => 'Bir hesap oluştur';

  @override
  String guide250Sbbuy250Sbstep8722Sbone8722Sbtext57Sbagoradesk(Object registerAnaccount, Object appName) {
    return '$appName ile $registerAnaccount Ücretsiz ve güvenli bir çevrimiçi kripto para birimi cüzdanına sahip olursunuz. Ek uygulamalara gerek yoktur. Zaten bir hesabınız varsa sonraki adıma geçin.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbthree8722Sbtext => 'Reklam listesinden, iyi bir itibar puanına ve yüksek işlem hacmine sahip bir tüccar arasından seçim yapın. Yeşil daire tacirin bugün çevrimiçi olduğu, sarı daire bu hafta siteyi ziyaret ettiği ve gri daire tacirin bir haftadan uzun süredir burada olmadığı anlamına gelir. Bir ilan hakkında daha fazla bilgi görüntülemek için \'Satın Al\' düğmesine tıklayabilirsiniz.';

  @override
  String guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext(Object mainPage, Object assetName) {
    return '$mainPage\'e gidin ve arama kutusuna kendi para biriminizde satın almak istediğiniz tutarı, bulunduğunuz yeri ve bir ödeme yöntemini girerek formu doldurun. Nasıl ödeme yapmak istediğinizden emin değilseniz, ödeme yönteminiz olarak \"Tüm çevrimiçi teklifler\"i seçin. Site, bölgenizde bulunan $assetName tüccarlarını listeleyecektir.';
  }

  @override
  String get guide250Sbbuy250Sbstep8722Sbtwo8722Sbtext8722Sbmain8722Sbpage => 'ana Sayfa';

  @override
  String get guide250Sbbuy250Sbtitle => 'Çevrimiçi Monero nasıl satın alınır?';

  @override
  String get guide250Sbbuy250Sbtitle57Sbagoradesk => 'Çevrimiçi kripto para birimi nasıl satın alınır?';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtext => 'Evde ya da arabada zarfın içine para koyabilirsiniz ve video açık telefonunuzu gömlek ön cebinize koyabilirsiniz ve tüm süreci kayıt altına almak için size fazladan bir iş çıkarmaz. her şeyi kameranın gösterdiği yerin önünde yapıyorsun. GoPro gibi bir şeye veya daha geniş görüş açısına sahip bir kameraya sahip en yeni iPhone\'a sahipseniz, bu daha da kolay olacaktır.\n\nİhtilaf durumunda görüntüleri 180 gün boyunca saklayın.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb0250Sbtitle => 'Videonuz tek seferde, kesinti olmadan çekilmelidir.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtext => 'Zarfın içinde tüm yüzeyleri kaplayan bir keskin kalemle bir tür özel kesme/damga/mühür veya bir imza veya yalnızca rastgele hareketler kullanın. Bu, satıcının gönderdiğiniz zarfı gerçekten mi yoksa sahte mi açtığını belirlemeye yardımcı olacaktır. İşaretin videoda göründüğünden emin olun.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb1250Sbtitle => 'Zarfın içine özel işaretler koyun';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtext => 'Yolda meydana gelebilecek (potansiyel, ancak çok nadir) bir posta hırsızlığı vakasını azaltmak için, paketin içinde nakit para olduğu gerçeğini gizlemeye çalışın. Parayı bir dergiye, mylar çantaya veya başka bir kaba koyabilirsiniz. Parayı vakumlamak da işe yarıyor.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb2250Sbtitle => 'Parayı gizlemeye çalış';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtext => 'Parayı zarfa koymak yerine, paketiniz için iç içe birden çok zarf kullanın. Nakit parayı en küçük zarfa koyun (veya gerekirse daha büyük bir zarfı katlayın), kapatın ve başka bir zarfa koyun. İç içe geçmiş en az 3 zarfınız olana kadar bu işlemi tekrarlayın. Bu, alıcı tarafın paketinizi kurcalamaya çalışması durumunda, anlaşmazlık arabulucusu tarafından incelendiğinde tespit edilemeyecek bir şekilde yeniden mühürleme konusunda çok daha fazla zorluk çekmesini sağlamaya yardımcı olur.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb3250Sbtitle => 'Zarfları zarfların içine yerleştirin';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtext => 'Takipsiz gönderilen paketler kaybolabilir ve takipsiz olarak yerini bulmak neredeyse imkansız olabilir. Takibe sahip olmak ayrıca, paketin beklenenden uzun sürmesi durumunda paketin yolda olduğu konusunda alıcı tarafın içinin rahat olmasını sağlar.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb4250Sbtitle => 'Takip ile gönder';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtext => 'Daha önce de belirttiğimiz gibi, yerleşik tüccarlarla bir alıcı için risk çok düşüktür. Yine de çok düşük, sıfır anlamına gelmez, bu nedenle bir anlaşmazlık durumuna hazırlıklı olmak için bu kurallara uyduğunuzdan emin olun.';

  @override
  String get guide250Sbcbm250Sbbuyer250Sb5250Sbtitle => 'Çözüm';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbintro => 'Yüksek itibara sahip satıcılara bağlı kalırsanız, posta yoluyla nakit satın alırken herhangi bir sorunla karşılaşmanız pek olası değildir, ancak aşağıdaki ipuçları, bir ihtilaf durumunda ödemenizi kanıtlamanıza yardımcı olacaktır. Yapmanız gereken en önemli şey ödemenizin video kaydını yapmaktır. İşte yönergeler:';

  @override
  String get guide250Sbcbm250Sbbuyer250Sbtitle => 'Eğer satın alıyorsan...';

  @override
  String get guide250Sbcbm250Sbdescription => 'Posta Yoluyla Nakit işlemlerinin ezici çoğunluğu sorunsuz ilerliyor, ancak yine de bir anlaşmazlığa hazırlıklı olmak için bu yönergeleri izlemelisiniz.';

  @override
  String get guide250Sbcbm250Sbinfocard => 'Posta yoluyla nakit parayla güvende kalmayla ilgili kılavuzumuzu mutlaka okuyun!';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtext => 'Posta görevlisinden paketi teslim alırken, posta görevlisi paketi tartarken kendinizi kaydedin, etiketi, paketin tüm dış kenarlarını kaydedin; çekim yaparken paketi içine doğrultulmuş kamerayla açın, parayı bir tezgahtan ve sahte tarayıcıdan geçirin. Her şeyin tek seferde filme alındığından emin olun. Paketi her zaman kameranın görüş alanında tutun. İhtilaf durumunda görüntüleri 180 gün boyunca saklayın.';

  @override
  String get guide250Sbcbm250Sbseller250Sb0250Sbtitle => 'Paketi teslim alma ve açma videosunu çekin';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtext => 'Hatırlanması gereken en önemli şey (ve yolun her adımında bununla ilgili feragatnameler koyarız), paranız olana ve her şeyin yolunda olduğundan kesinlikle emin olana kadar bir ticareti ASLA tamamlamamaktır. Meşru bir alıcı, erken bitirmeniz için size baskı yapmaz.';

  @override
  String get guide250Sbcbm250Sbseller250Sb1250Sbtitle => 'Hiçbir koşulda bir ticareti erken sonlandırmayın';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtext => 'Bu, farklı alıcılardan gelen paketleri ayırt etmenize ve karışıklığı önlemenize yardımcı olacaktır. Bu aynı zamanda, bir dolandırıcının alıcı ile satıcı arasına girerek, alıcıyla konuşurken satıcı gibi davranarak ve satıcıyla konuşurken alıcı gibi davranarak ortadaki adam saldırılarını önlemeye de yardımcı olacaktır. .';

  @override
  String get guide250Sbcbm250Sbseller250Sb2250Sbtitle => 'Bir alıcının, kullanıcı adını ve işlem kimliğini içeren bir not bırakmasını sağlayın';

  @override
  String get guide250Sbcbm250Sbseller250Sbtitle => 'Eğer satıyorsan...';

  @override
  String get guide250Sbcbm250Sbtitle => 'Posta Yoluyla Nakit İle Güvende Kalmak';

  @override
  String guide250Sblocal250Sbtext8722Sb0(Object appName, Object online) {
    return '$appName, $online ve yerel reklamlar olmak üzere iki ana reklam türü sunar. Yerel reklamlar aracılığıyla ticaret ortağınızla fiziksel olarak buluşur ve ticareti yüz yüze yaparsınız. Bu kılavuz, yerel reklamların nasıl ayarlanacağına ve yerel olarak nasıl ticaret yapılacağına ilişkin temel bilgileri kapsar.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb08722Sbonline => 'internet üzerinden';

  @override
  String get guide250Sblocal250Sbtext8722Sb1 => 'Pazar/talep var mı?';

  @override
  String guide250Sblocal250Sbtext8722Sb2(Object assetName) {
    return 'Nerede yaşadığınıza bağlı olarak, daha büyük şehirlerde $assetName satın almakla ilgilenen daha fazla insan bulacaksınız. $assetName işlemleri geri alınamaz, ancak çoğu geleneksel çevrimiçi ödeme şekli geri alınabilir olduğundan, $assetName\'i yerel olarak doğrudan nakit karşılığında satmak ödemeyi kabul etmeyi çok daha güvenli hale getirir, çünkü nakit $assetName kadar geri alınamaz. Bazı insanlar nakit alım satımın sunduğu mahremiyeti takdir eder. Nakit parayla az miktarda $assetName satın almak da $assetName ile fazla uğraşmadan başlamanın harika bir yoludur.';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb3(Object assetName) {
    return '$assetName\'im biterse ne olur?';
  }

  @override
  String guide250Sblocal250Sbtext8722Sb4(Object assetName) {
    return '$assetName\'iniz biterse, geleneksel bir $assetName borsasından daha hızlı satın alabilirsiniz, ancak banka havalesi kullanarak satın almanız gerekeceğinden bu işlem genellikle birkaç gün sürer.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb5 => 'Kolayca ulaşılabilir olduğunuzdan emin olun! İlanınızda buluşmak için en sevdiğiniz yeri ve zamanı belirtin. Cep telefonu numaranızı ilana ekleyebilirsiniz.';

  @override
  String get guide250Sblocal250Sbtext8722Sb58722Sbtitle => 'reklam';

  @override
  String guide250Sblocal250Sbtext8722Sb6(Object assetName) {
    return 'Para alışverişini yöneten tüm geleneksel riskler, $assetName ticaretiyle de ilgilidir. Lütfen riskleri dikkatlice değerlendirin ve güvenliğinizi sağlamak için geri bildirim sistemini ve diğer önlemleri kullanın.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb68722Sbtitle => 'Riskler';

  @override
  String guide250Sblocal250Sbtext8722Sb7(Object assetName) {
    return 'Sahte paranın $assetName satıcısına geçtiği durumlar olabilir. Lütfen alım satım yaparken bir sahtecilik detektörü kullanmayı düşünün.';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sb78722Sbtitle => 'Sahte para';

  @override
  String get guide250Sblocal250Sbtext8722Sb8 => '<strong> Lütfen dikkat: </strong>Bir işletme olarak ticarete başlamadan önce, herhangi bir lisans başvurusunda bulunmanız gerekip gerekmediğini veya başka yasal gereklilikler olup olmadığını görmek için ülkenizin mevzuatını araştırın.';

  @override
  String get guide250Sblocal250Sbtext8722Sb9 => 'Mutlu ticaret!';

  @override
  String get guide250Sblocal250Sbtext8722Sbfour => 'Arkadaşlarınıza bağlantılar gönderin, sosyal medyada ve yerel olarak reklam verin, siparişlerin başlamasını bekleyin';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbone(Object signUp) {
    return 'Henüz yapmadıysanız $signUp';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbone8722Sbsign8722Sbup => 'Üye olmak';

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree(Object loadMonero) {
    return '$loadMonero, satıyorsanız';
  }

  @override
  String guide250Sblocal250Sbtext8722Sbstep8722Sbthree8722Sbload8722Sbmonero(Object assetName) {
    return 'Cüzdanınıza $assetName yükleyin';
  }

  @override
  String get guide250Sblocal250Sbtext8722Sbstep8722Sbtwo => 'Bir ticaret ilanı yayınlayın';

  @override
  String get guide250Sblocal250Sbtext8722Sbsteps8722Sbtitle => 'Tamam, peki ilk adımlar neler?';

  @override
  String get guide250Sblocal250Sbtitle => 'Nakit karşılığında Monero nasıl alınır veya satılır kılavuzu';

  @override
  String get guide250Sblocal250Sbtitle57Sbagoradesk => 'Nakit için kripto para birimi nasıl alınır veya satılır kılavuzu';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbdescription(Object appName) {
    return 'Bu kılavuzda, gözaltı dışı $appName yerleşim cüzdanınızı ticaret sayfasında gösterilen anımsatıcı tohumdan nasıl geri yükleyeceğinizi öğreneceksiniz.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb1 => 'Electrum cüzdanının en son sürümünü <a target=\"_blank\" href=\"https://electrum.org/#download\" class=\"next-link\">electrum.org</a> adresinden indirin ve başlatın.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb2 => '\"Dosya\" menüsünden \"Yeni/Geri Yükle\"yi seçin (cihazınızda başka Electrum cüzdanınız yoksa otomatik olarak seçilir).';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb3 => 'İstediğiniz cüzdan adını ve modunu (ör. \"Standart\") seçin.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb4 => '\"Zaten bir tohumum var\"ı seçin ve \"İleri\"ye basın.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb5 => 'Ticaret sayfasındaki anımsatıcı tohumu girişe yapıştırın. Ardından, anımsatıcı tohum giriş alanı altındaki \"Seçenekler\"e basın ve hem \"Bu tohumu özel kelimelerle genişlet\" hem de \"BIP39 çekirdeği\"ni işaretleyin, \"Tamam\"a ve ardından \"İleri\"ye basın.';

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb6(Object appName) {
    return '\"Seed extension\" girişine, işlemi sonlandırırken kullandığınız $appName şifresini yazın ve \"İleri\" düğmesine basın.';
  }

  @override
  String guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb7(Object formattedDerivationPath) {
    return '\"Native segwit (p2wpkh)\" öğesini seçin ve aşağıdaki türetme yolu girişine $formattedDerivationPath yazın. \"İleri\"ye basın.';
  }

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb8 => 'Cüzdanınız için istediğiniz şifreyi seçin ve \"İleri\"ye basın.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbcontent250Sb9 => 'Bu kadar! Tüm işlemleri \"Geçmiş\" sekmesi altında göreceksiniz.';

  @override
  String get guide250Sbmnemonic250Sbbtc250Sbelectrum250Sbtitle => 'Electrum\'u Kullanma';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb1 => 'İşletim sisteminiz için Monero CLI cüzdanının en son sürümünü <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> adresinden indirin.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb2(Object formattedFlag) {
    return 'Cüzdanı $formattedFlag bayrağıyla başlatın.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb3 => 'Cüzdanınız için istediğiniz adı girin.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb4 => '<strong>\"Electrum tohumunu belirtin\"</strong> sorulduğunda, ticaret sayfasından anımsatıcı çekirdeği yapıştırın.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb5(Object appName) {
    return '<strong>\"Seed ofset parolasını girin\" sorulduğunda,</strong>, işlemi sonlandırırken kullandığınız $appName şifresini yazın.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb6 => 'Sonraki soruları tercihinize göre cevaplayın.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbcli250Sbcontent250Sb7(Object formattedCommand) {
    return 'Bu kadar! M-cüzdan senkronize edildikten sonra, $formattedCommand komutunu kullanarak tüm işlemleri göreceksiniz.';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbcli250Sbtitle => 'Resmi CLI cüzdanını kullanma';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb1 => 'İşletim sisteminiz için Monero GUI cüzdanının en son sürümünü <a target=\"_blank\" href=\"https://getmonero.org/downloads\" class=\"next-link\">getmonero.org</a> adresinden indirin ve başlatın.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb2 => 'Tercih ettiğiniz cüzdan modunu seçin ve ardından \"Cüzdanı anahtarlardan veya anımsatıcı tohumdan geri yükle\"yi seçin.';

  @override
  String guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb3(Object appName) {
    return '\"Tohumdan geri yükle\"yi seçin (varsayılan olarak seçilidir) ve ticaret sayfasından anımsatıcı çekirdeği aşağıdaki girişe yapıştırın. Ardından, \"Seed ofset parolası\"nı seçin ve işlemi sonlandırırken kullandığınız $appName şifresini yazın. \"İleri\"ye basın. ';
  }

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbcontent250Sb4 => 'Bu kadar! M-cüzdan senkronize edildikten sonra, tüm işlemleri \"İşlemler\" sekmesi altında göreceksiniz.';

  @override
  String get guide250Sbmnemonic250Sbmonero250Sbgui250Sbtitle => 'Resmi GUI cüzdanını kullanma';

  @override
  String get guide250Sbmnemonic250Sbtitle => 'Gözaltı dışı yerleşim cüzdanımı anımsatıcı tohumdan nasıl geri yükleyebilirim?';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1 => '<a target=\"_blank\" href=\"/\" class=\"next-link\">ana sayfaya</a> gidin - varsayılan bölgeniz için en iyi teklifleri göreceksiniz. Arama kutusuna istediğiniz tutarı girip para birimini, ülkeyi veya ödeme yöntemini değiştirerek (hangi ödeme yöntemini kullanmak istediğinizden emin değilseniz \"Tüm çevrimiçi teklifler\"i seçin) ve \"Ara\"ya basarak sonuçlarınızı hassaslaştırabilirsiniz.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb1250Sb1 => 'Reklam listesinden, yüksek işlem hacmine ve iyi bir itibar puanına sahip bir tüccar seçin (sırasıyla kullanıcı adının yanındaki parantez içinde gösterilir). Yeşil daire, tüccarın bugün çevrimiçi olduğu anlamına gelir; sarı daire, siteyi bu hafta ziyaret ettikleri anlamına gelir; ve gri daire, tüccarın bir haftadan uzun süredir burada olmadığı anlamına gelir. Bir ilan hakkında daha fazla bilgi görüntülemek için \"Satın Al\" düğmesini tıklayabilirsiniz.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb157Sbagoradesk => '<a target=\"_blank\" href=\"/\" class=\"next-link\">ana sayfaya</a> gidin - varsayılan bölgeniz için en iyi teklifleri göreceksiniz. Ardından, reklamlar tablosunun üzerindeki satırda ilgili sekmeye basarak ticaret yapmak istediğiniz kripto para birimini seçin. Bu örnek için BTC\'yi seçeceğiz. Sol sütunda \"Satın Al\" sekmesini seçmelisiniz. Arama kutusuna istediğiniz tutarı girip para birimini, ülkeyi veya ödeme yöntemini değiştirerek (hangi ödeme yöntemini kullanmak istediğinizden emin değilseniz \"Tüm çevrimiçi teklifler\"i seçin) ve mavi düğmeye basarak sonuçlarınızı hassaslaştırabilirsiniz. \"Ara\" simgesi.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbbuy250Sb2(Object assetName) {
    return '\"Satın Al\" düğmesine bastıktan sonra, ticaret şartları da dahil olmak üzere ilan hakkında daha fazla bilgi göreceksiniz. Takas talebi göndermeden önce bunları okuyun, onlarla aynı fikirde değilseniz bir önceki sayfaya dönebilir ve başka bir ilan seçebilirsiniz. Ticarete başlamak için, ne kadar $assetName satın almak istediğinizi yazın ve \"Ticaret talebi gönder\" düğmesine tıklayın. Ticaret şartları size bir kez daha gösterilecek, bir kez daha dikkatlice okuyun ve kabul ettiğinizden emin olun, ardından \"Şartları kabul et\"e basın.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb3 => 'Ardından, ödeme cüzdanı adresinizi girmeniz istenecektir. Bu, satın aldığınız paraların gönderileceği adrestir. Kişisel bir XMR cüzdanınız yoksa <a target=\"_blank\" href=\"https://www.getmonero.org/downloads/\" class=\"next-link\">resmi Monero GUI veya CLI cüzdanı</a> veya <a target=\"_blank\" href=\"https://featherwallet.org/\" class=\"next-link\">Feather wallet</a> kullanabilirsiniz. Adresinizi cüzdanınızdan kopyalayın ve \"Receiving Monero address\" girişine yapıştırın (coin\'lerinizi kaybetmemek için yapıştırılan adresin kopyalanan adresle aynı olduğundan emin olun). Lütfen ticaret işlemleri için kullandığınız cüzdanın size ait olması gerektiğini, üçüncü taraflarca barındırılan cüzdanlara izin verilmediğini unutmayın. Bittiğinde, ticarete başlamak için \"Ticareti başlat\"a basın.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb357Sbagoradesk => 'Ardından, ödeme cüzdanı adresinizi girmeniz istenecektir. Bu, satın aldığınız paraların gönderileceği adrestir. Kişisel bir BTC cüzdanınız yoksa <a target=\"_blank\" href=\"https://electrum.org/#home\" class=\"next-link\">Electrum cüzdanını</a> kullanabilirsiniz. Adresinizi cüzdanınızdan kopyalayın ve \"Alıcı Bitcoin adresi\" girişine yapıştırın (madeni paralarınızı kaybetmemek için yapıştırılan adresin kopyalanan adresle aynı olduğundan emin olun). Lütfen ticaret işlemleri için kullandığınız cüzdanın size ait olması gerektiğini, üçüncü taraflarca barındırılan cüzdanlara izin verilmediğini unutmayın. Bittiğinde, ticarete başlamak için \"Ticareti başlat\"a basın.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb4 => 'Tarayıcınızda bir ticaret sayfası açılacaktır. Satıcının ödemenizi almaya hazır olduğundan emin olmak ve ödeme yapmayla ilgili sorularınızı netleştirmek için ticaret sohbeti aracılığıyla satıcıyla iletişim kurun.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb5 => 'Ödemeyi satıcının talimatlarına göre yapın ve hemen \"Ödedim\"e basın - bu, satıcıya ödemenin tamamlandığını bildirir ve satıcının işlemi iptal etmesini engeller.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb7 => 'Satıcı, ödemenizi aldığını onayladıktan sonra, ticaret anlaşmasını başlatacaktır. Ticaret durumunun \"İşleniyor\" olarak değiştiğini göreceksiniz. Bu noktada yapmanız gereken başka bir şey yok - paralar otomatik olarak verdiğiniz yerleşim cüzdanı adresine aktarılacaktır. Bu biraz zaman alacaktır (genellikle yaklaşık 10-60 dakika), bu nedenle rahatlayın ve gelen işlemin kişisel cüzdanınızda görünmesini bekleyin. Lütfen ticaret anlaşmasıyla ilişkili ağ işlem ücretlerinin ticaret tutarından düşüleceğini, yani ticaret sayfasında görüntülenenden biraz daha az alacağınızı unutmayın.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbbuy250Sb8 => 'Bu kadar! Takas anlaşması bittiğinde ve jetonlarınızı aldıktan sonra, takas sayfasındaki \"İşlem detayları\" bölümünü genişleterek takas detaylarını görebileceksiniz. Bu satıcıyla olan deneyiminiz hakkında geri bildirim bırakmayı unutmayın!';

  @override
  String guide250Sbnon8722Sbcustodial250Sbregister(Object appName) {
    return '<a target=\"_blank\" href=\"/signup\" class=\"next-link\">$appName ile bir hesap</a> kaydedin. Zaten bir hesabınız varsa sonraki adıma geçin.';
  }

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb1(Object appName) {
    return 'Madeni paraları <a target=\"_blank\" href=\"/account/wallet\" class=\"next-link\">$appName tahkim tahvili cüzdanınıza</a> yatırın. $appName para yatırma adresinizi \"Al\" sekmesi altında göreceksiniz.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2 => '<a target=\"_blank\" href=\"/\" class=\"next-link\">ana sayfasına</a> gidin ve arama kutusunda \"Sat\"ı seçin. Arama kutusuna istediğiniz tutarı girip para birimini, ülkeyi veya ödeme yöntemini değiştirerek (hangi ödeme yöntemini kullanmak istediğinizden emin değilseniz \"Tüm çevrimiçi teklifler\"i seçin) sonuçlarınızı daha da hassaslaştırabilirsiniz. \"Ara\"ya basın.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb1 => 'Bazı ödeme yöntemleri <a target=\"_blank\" href=\"/faq#high-risk-methods\" class=\"next-link\">yüksek riskli</a> olarak kabul edilir. Kripto para işlemleri tamamen geri alınamaz. Alıcı tarafından yapılan ödeme geri alınırsa, kripto para biriminizi bir kez sattığınızda onu geri almanız mümkün olmayacaktır. Bu nedenle, daha önce büyük miktarda işlem yapmış ve itibar puanı yüksek deneyimli kullanıcılara düşük riskli bir ödeme yöntemiyle satış yapmanızı öneririz.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb2250Sb2 => 'Reklam listesinden, yüksek işlem hacmine ve iyi bir itibar puanına sahip bir tüccar seçin (sırasıyla kullanıcı adının yanındaki parantez içinde gösterilir). Yeşil daire, tüccarın bugün çevrimiçi olduğu anlamına gelir; sarı daire, siteyi bu hafta ziyaret ettikleri anlamına gelir; ve gri daire, tüccarın bir haftadan uzun süredir burada olmadığı anlamına gelir. Bir ilan hakkında daha fazla bilgi görüntülemek için \"Sat\" düğmesine tıklayabilirsiniz.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb257Sbagoradesk => '<a target=\"_blank\" href=\"/\" class=\"next-link\">ana sayfaya</a> gidin ve sol sütunda \"Sat\" sekmesini seçin. Ardından, reklamlar tablosunun üzerindeki satırda ilgili sekmeye basarak ticaret yapmak istediğiniz kripto para birimini seçin. Bu örnek için BTC\'yi seçeceğiz. Arama kutusuna istediğiniz tutarı girip para birimini, ülkeyi veya ödeme yöntemini değiştirerek (hangi ödeme yöntemini kullanmak istediğinizden emin değilseniz \"Tüm çevrimiçi teklifler\"i seçin) sonuçlarınızı daha da hassaslaştırabilirsiniz. \"Ara\" ikonlu mavi butona basın.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb3(Object assetName) {
    return '\"Sat\" düğmesine bastıktan sonra, ticaret şartları da dahil olmak üzere reklam hakkında daha fazla bilgi göreceksiniz. Takas talebi göndermeden önce bunları okuyun, onlarla aynı fikirde değilseniz bir önceki sayfaya dönebilir ve başka bir ilan seçebilirsiniz. Bir ticarete başlamak için, ne kadar $assetName satmak istediğinizi yazın ve \"Ticaret talebi gönder\" düğmesine tıklayın. Ticaret şartları size bir kez daha gösterilecek, bir kez daha dikkatlice okuyun ve kabul ettiğinizden emin olun, ardından \"Şartları kabul edin ve ticarete başlayın\"a basın.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb4 => 'Tarayıcınızda bir ticaret sayfası açılacaktır. Alım satım sohbeti aracılığıyla alıcıyla iletişim kurun ve onlara ödeme ayrıntılarınızı verin.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb5 => 'Alıcı ödemeyi yaptıktan sonra bilgilendirileceksiniz. Ödemeyi aldığınızdan ve doğru miktarda olduğundan emin olun. Ödemenin %100 doğru olduğunu onayladıktan sonra \"Sonlandır\"a basın.';

  @override
  String guide250Sbnon8722Sbcustodial250Sbsell250Sb6(Object appName) {
    return 'Bu noktada, mevcut $appName şifrenizi girmeniz istenecektir. Bunu yazın ve onayla\'ya basın. Parolanızı girerek, bir ödeme cüzdanı oluşturuyor ve kripto para birimi işlemini imzalıyorsunuz, bu nedenle en azından işlem tamamlanana kadar parolayı unutmadığınızdan veya kaybetmediğinizden emin olun.';
  }

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb7 => 'Ticaret durumunun \"İşleniyor\" olarak değiştiğini göreceksiniz. Bu noktada yapmanız gereken başka bir şey yok - paralar otomatik olarak alıcının yerleşim cüzdanı adresine aktarılacaktır.';

  @override
  String get guide250Sbnon8722Sbcustodial250Sbsell250Sb8 => 'Bu kadar! İşlem mutabakatı bittiğinde, ticaret sayfasındaki \"İşlem ayrıntıları\" bölümünü genişleterek takas ayrıntılarını görebileceksiniz. Bu alıcıyla olan deneyiminiz hakkında geri bildirim bırakmayı unutmayın!';

  @override
  String guide250Sbsell250Sbstep8722Sbfive8722Sbtext(Object assetName) {
    return 'Siz ticaret talebini gönderdikten sonra, alıcı sizden ödeme ayrıntılarınızı isteyecektir (örneğin, banka havalesi için satış yapmak istiyorsanız, alıcı banka hesap bilgilerinizi isteyecektir). Alıcı ödeme bilgilerini sağladıktan sonra $assetName için ödeme yapacak ve bunu size onaylayacaktır. Lütfen işlemi tamamlamadan önce parayı hesabınıza aldığınızdan emin olun. Ödemeyi almadan ASLA işlemi sonlandırmayın. $assetName işlemleri geri alınamaz, $assetName\'i alıcıya gönderdikten sonra, alıcının ödemesi görünmese bile geri almanın bir yolu yoktur. Ödemenin yapıldığını onayladıktan sonra sayfayı aşağı kaydırıp \'Sonlandır\'ı seçebilirsiniz. Bu, $assetName\'i alıcının yerleşim cüzdanına gönderecek ve ticareti tamamlayacaktır.';
  }

  @override
  String guide250Sbsell250Sbstep8722Sbfour8722Sbtext(Object assetName) {
    return '\'Sat\' düğmesine bastıktan sonra, ticaret şartları da dahil olmak üzere reklam hakkında daha fazla bilgi göreceksiniz. Takas talebini göndermeden önce bunları okuyun, onlarla aynı fikirde değilseniz bir önceki sayfaya dönebilir ve başka bir ilan seçebilirsiniz. Ticarete başlamak için, ne kadar $assetName satmak istediğinizi yazın ve ticareti başlatmak için \'Ticaret talebi gönder\' düğmesine tıklayın. Ticarete başladığınızda $assetName cüzdanınızdan ticaret koruması için tahkim senedine taşınacaktır.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbthree8722Sbtext => 'Reklam listesinden, iyi bir itibar puanına ve yüksek işlem hacmine sahip bir tüccar arasından seçim yapın. Yeşil daire, tüccarın bugün çevrimiçi olduğu, sarı daire bu hafta siteyi ziyaret ettikleri ve gri daire, tüccarın bir haftadan uzun süredir burada olmadığı anlamına gelir. Bir ilan hakkında daha fazla bilgi görüntülemek için \'Sat\' düğmesine tıklayabilirsiniz.';

  @override
  String guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object mainPage, Object assetName) {
    return '$mainPage\'e gidin ve arama kutusunda \'Sat\' sekmesini seçin, kendi para biriminizde satmak istediğiniz tutarı ve bulunduğunuz yeri girerek formu doldurun ve bir ödeme yöntemi seçin. Nasıl ödeme almak istediğinizden emin değilseniz, ödeme yönteminiz olarak \"Tüm çevrimiçi teklifler\"i seçin. Site, bölgenizde bulunan $assetName tüccarlarını listeleyecektir.';
  }

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbmain8722Sbpage => 'ana Sayfa';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Bazı ödeme yöntemleri yüksek riskli kabul edilir. Monero işlemleri tamamen geri alınamaz. Monero\'nuzu bir kez sattığınızda, ödeme geri alınsa bile onları geri almanız mümkün değildir. Bu nedenle, daha önce büyük miktarda işlem yapmış ve %100 geri bildirim almış deneyimli kullanıcılara düşük riskli bir ödeme yöntemiyle satış yapmanızı öneririz.';

  @override
  String get guide250Sbsell250Sbstep8722Sbtwo8722Sbtext8722Sb157Sbagoradesk => 'Bazı ödeme yöntemleri yüksek riskli kabul edilir. Kripto para işlemleri tamamen geri alınamaz. Kripto para biriminizi sattıktan sonra, ödeme geri alınsa bile geri almanız mümkün değildir. Bu nedenle, daha önce büyük miktarda işlem yapmış ve %100 geri bildirim almış deneyimli kullanıcılara düşük riskli bir ödeme yöntemiyle satış yapmanızı öneririz.';

  @override
  String get guide250Sbsell250Sbtitle => 'Çevrimiçi Monero nasıl satılır?';

  @override
  String get guide250Sbsell250Sbtitle57Sbagoradesk => 'Çevrimiçi kripto para birimi nasıl satılır';

  @override
  String get guide250Sbtelegram250Sbcard8722Sbtitle => 'Telgraf mobil bildirimleri';

  @override
  String get guide250Sbtelegram250Sbconclusion => 'Tebrikler! Artık müşterilerinize anında cevap verebilirsiniz!';

  @override
  String guide250Sbtelegram250Sbdisable8722Sbtext(Object accountSettings) {
    return 'Botumuzdan gelen bildirimleri devre dışı bırakmak istiyorsanız, $accountSettings cihazınızdaki \'Bildirimler\' sekmesine geri dönün ve kırmızı renkli \'Telegram Bildirimlerini Devre Dışı Bırak\' düğmesine tıklayın.';
  }

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtext8722Sbaccount8722Sbsettings => 'hesap ayarları';

  @override
  String get guide250Sbtelegram250Sbdisable8722Sbtitle => 'Bildirimler nasıl devre dışı bırakılır?';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb0(Object telegram, Object appName) {
    return '$telegram, bildirim botumuzdan Telegram mesajları şeklinde $appName bildirimleri (yeni ticaret, yeni ödeme, ticaretin sonuçlandırılması veya yeni sohbet mesajı bildirimleri gibi) almanıza olanak tanır.';
  }

  @override
  String guide250Sbtelegram250Sbprologue8722Sb1(Object officialFaq) {
    return 'Telegram bir mobil mesajlaşma uygulamasıdır. $officialFaq\'te Telegram\'ın ne olduğu hakkında daha fazla bilgi edinebilirsiniz.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb18722Sbofficial8722Sbfaq => 'resmi SSS';

  @override
  String guide250Sbtelegram250Sbprologue8722Sb2(Object installed) {
    return 'Mobil bildirimleri etkinleştirmek için Telegram\'a $installed sahip olmanız gerekir.';
  }

  @override
  String get guide250Sbtelegram250Sbprologue8722Sb28722Sbinstalled => 'cihazınızda yüklü';

  @override
  String guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb0(Object pressThis, Object appName) {
    return '$pressThis veya Telegram\'ın arama alanında \'$appName Bildirim Botu\'nu arayın ve $appName Bildirim Botu\'nu seçin.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb08722Sbpress8722Sbthis => 'bu linke basın';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb1 => 'Sohbet penceresini açtıktan sonra, ekranın alt kısmındaki \'Başlat\' düğmesine basın veya manuel olarak \'/start\' mesajını (tırnak işaretleri olmadan) gönderin.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbone8722Sbtext8722Sb2 => 'Botumuz size Telegram Bildirim Kimliğinizi verecektir.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbthree8722Sbtext => 'Bu kadar! Şimdi botumuzdan bildirim alacaksınız.';

  @override
  String guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb0(Object accountSettings) {
    return '$accountSettings\'inize gidin ve \'Bildirimler\' sekmesini seçin.';
  }

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb08722Sbsettings => 'hesap ayarları';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb1 => 'Telegram Bildirimleri ID\'nizi \'Telegram Bildirimleri\' bölümündeki ilgili alana yazın.';

  @override
  String get guide250Sbtelegram250Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Telegram Bildirim Kimliğinizi kaydetmek için kaydet simgesine tıklayın.';

  @override
  String get guide250Sbtelegram250Sbtitle => 'Telegram mobil bildirimleri nasıl açılır';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb0(Object appName, Object assetName, Object linebreak, Object localmoneroWallet, Object create, Object aSellmoneroad) {
    return '$appName üzerindeki tipik bir ticaret şu şekilde çalışır; örnek, bir alıcıya $assetName sattığınız bir çevrimiçi satış ticaretidir. İşlem, çevrimiçi $assetName satın alırken benzerdir, ancak bu örnekte, en yaygın ticaret türü olduğu için $assetName satmaya odaklanıyoruz. $linebreak  Öncelikle $assetName\'i $localmoneroWallet\'inize yatırmanız gerekir. $linebreak  Ardından, $create $aSellmoneroad\'e (çevrimiçi satış reklamı denir) ihtiyacınız vardır. Reklamı yaparken bir ödeme yöntemi seçersiniz, fiyatlandırmanızı, limitlerinizi belirlersiniz ve ticaret koşullarınızı serbest biçimli bir mesaj olarak yazarsınız. ';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sba8722Sbsell8722Sbmonero8722Sbad(Object assetName) {
    return 'bir satış $assetName çevrimiçi reklamı';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbcreate => 'oluşturmak';

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sbfund => 'fon, sermaye';

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb08722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName cüzdan';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb18722Sbtext8722Sb1(Object assetName, Object appName) {
    return 'Müşterilerin reklamlarınızdan alım satım talepleri açabilmesi için $appName tahkim tahvili cüzdanınızda $assetName olması gerekir. <br/><br/>Bir <strong>alıcısı sizinle</strong> bir işlem açtığında, işlemin tamamı için $assetName otomatik olarak cüzdanınızdan ayrılır. Alıcıya ödeme talimatlarını verin ve ticaret için ödeme yapması konusunda alıcıya rehberlik edin. Birisi reklamınıza yanıt verdiğinde e-posta bildirimleri alacaksınız. <br/><br/> Alıcı ödemeyi yaptıktan ve <strong> ödedim düğmesine</strong> bastıktan sonra, e-posta yoluyla ve web sitesinde bir işlemin ödendiğine dair bir bildirim alacaksınız. <br/><br/> Ödemeyi aldığınızı onayladığınızda, işlemi tamamlamanızın zamanı gelmiştir. Alım satım tamamlandıktan ve karara bağlandıktan sonra, alıcının takas cüzdanında XMR olacaktır. <br/><br/> Son adım, alıcı için <strong>geri bildirim</strong> bırakmak ve alıcıyı sizin için aynısını yapmaya teşvik etmektir. İtibar kazanmak ve daha fazla işlem yapmak için geri bildirim önemlidir.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb18722Sbtitle => 'Ticaret sürecine genel bakış';

  @override
  String guide250Sbtrade250Sbblock8722Sb28722Sbtext(Object assetName) {
    return 'Ticarete başlamadan önce, hangi ödeme yöntemlerini sağlayacağınızı düşünmeniz ve nasıl çalıştığını öğrenmek için ödeme yöntemini araştırmanız gerekir. Alım satıma ilk başladığınızda, yüksek riskli bir ödeme yöntemi seçmemenizi öneririz. Belirli bir bankayla havale, özellikle ülkenizde aktif olan çok az tüccar varsa, iyi bir başlangıç ödeme yöntemi olabilir. <br/><br/> <strong>Ticaret yapmaya başlamadan önce</strong> <br/><br/> Ticarete başlamadan önce <strong> yerel mevzuatınızı </strong> öğrendiğinizden ve ilgili tüm mevzuatlara uygun olduğunuzdan emin olun. yasalar ve ticaret yaptığınız yargı alanı için gerekli işletme lisanslarına sahip olduğunuz. <br/><br/> Mevzuat, ülkeden ülkeye ve ister bireysel ister ticari olarak ticaret yapıyor olun, ülkeden ülkeye büyük farklılıklar gösterir. <br/><br/><strong>Sunacağınız ödeme yöntemini</strong> araştırın. Diğer tacirlerin aynı ödeme yöntemiyle ilgili reklamlarını okuyun ve onlarla bazı işlemler yapın. Ticarete başlamadan önce olası sorunları belirlemeye çalışın. <br/><br/><strong>Ödeme hesaplarını yalnızca $assetName ticareti için kullanın.</strong> Dolandırıcılıkla ilgili yetkisiz ödemeler alırsanız, bazı ödeme sağlayıcılar hesabınızı geçici veya kalıcı olarak kapatacaktır. Hesapları yalnızca $assetName ticareti için kullanmak, kişisel mali durumunuzu korur.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb28722Sbtitle => 'Başlarken';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb0(Object advertisementCreationpage, Object linebreak, Object dashboard, Object requiredOptions, Object location, Object paymentMethod, Object currency, Object thisList) {
    return '$advertisementCreationpage, yeni reklamlar oluşturduğunuz yerdir. $linebreak  Bir reklam oluştururken gerekli olan bazı seçenekler ve isteğe bağlı olan ancak ayarlanması önerilen birçok ekstra seçenek vardır. Ekstra seçenekleri kullanmak, reklamınızı ticaret stratejinize uyacak şekilde ayarlamanıza olanak tanır. $linebreak  Oluşturduğunuz tüm reklamları $dashboard\'ten bulabilirsiniz. Kontrol panelinde açık işlemlerinizi de bulabilirsiniz. $linebreak  $requiredOptions $linebreak  $location Reklamınızın görünmesini istediğiniz ülkeyi girin. $linebreak  $paymentMethod Açılır menüden sunmak istediğiniz ödeme yöntemini seçin. $linebreak  $currency Hangi para birimi için satış yapacağınızı seçin. Örneğin, Fransa\'da satış yapıyorsanız EUR\'yu seçmelisiniz. Para birimi kısaltmanızın ne olduğunu bulmak için $thisList kullanabilirsiniz.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbadvertisement8722Sbcreation8722Sbpage => 'reklam oluşturma sayfası';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbcurrency => 'Para birimi';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbdashboard => 'Gösterge Paneli';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sblocation => 'Konum';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbpayment8722Sbmethod => 'Ödeme şekli';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbrequired8722Sboptions => 'gerekli seçenekler';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb08722Sbthis8722Sblist => 'bu liste';

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb1(Object assetName, Object assetSymbol, Object appName) {
    return '<strong> Pazar veya sabit fiyat </strong><br/> Reklamınızı fiyatlandırmak için $assetName pazar fiyatının üzerinde istediğiniz bir marj girebilirsiniz. Bunun için “Piyasa fiyatı” seçeneğini seçtikten sonra marj alanına bir yüzde girin. Siz manuel olarak değiştirene kadar değişmeyecek sabit bir fiyat da belirtmek isteyebilirsiniz. Bunun için “Sabit fiyat” seçeneğini seçip fiyat değerini girmeniz gerekiyor. <br/><br/> <strong> Min. / Maks. işlem limiti </strong><br/> Minimum işlem limiti, birinin satın alabileceği en küçük tutarı belirler. Beşe ayarlarsanız ve para biriminizi EUR\'ya ayarladıysanız, birisinin sizinle işlem açabileceği en küçük işlem tutarının 5 EUR olacağı anlamına gelir. Maksimum işlem limiti, kabul etmek istediğiniz en büyük ticaret tutarını belirler. <br/><br/> <strong> Ticaret Şartları </strong><br/> Bu, alıcının sizinle bir ticarete başlamadan önce gördüğü metindir. Alıcıya, işlemin nasıl ilerlemesini istediğinize ve herhangi bir özel talimatınız olup olmadığına ilişkin talimatlar yazmak iyi bir fikirdir. Örneğin, bir işlemi tamamlamadan önce alıcının ödeme kanıtı olarak bir makbuz ibraz etmesini istiyorsanız veya alıcının bir kimlik sağlamasına ihtiyacınız varsa, bunu belirtmenin yeri burasıdır. İyi ticaret şartlarının neler içerdiğine dair bir fikir edinmek için kullanmak istediğiniz ödeme yöntemiyle ilgili diğer tüccarların ilanlarına göz atabilirsiniz. <br/><br/> <strong> Ekstra seçenekler </strong><br/><br/> <strong> Limit tutarları </strong><br/> Reklamı yalnızca belirli miktarlarda işlem açabilecek şekilde kısıtlayabilirsiniz. Kutuya 20,30,60 girerseniz, potansiyel bir ticaret ortağı yalnızca 20, 30 veya 60 EUR\'luk bir ticaret açabilir. <br/><br/> <strong> Ödeme ayrıntıları </strong><br/> Alıcının nasıl ödeme yapması gerektiğine ilişkin belirli bilgileri buraya girin, bu banka hesap numaranız veya e-posta adresiniz olabilir (örn. PayPal için). <br/><br/> <strong> Gerekli minimum geri bildirim puanı </strong><br/> Minimum geri bildirim, reklamınızı kullanarak bir işlem açmak için sahip olunması gereken minimum geri bildirim puanını belirlemenize olanak tanır. <br/><br/> <strong> İlk zaman limiti ($assetSymbol) </strong><br/> Bu, yeni kullanıcılar için belirli bir maksimum işlem limitidir. Sizinle daha önce alım satım geçmişi olmayan bir alıcı sizinle alım satım yapmak isterse, bu onun alım satım açabileceği en yüksek miktardır. <br/><br/> <strong> Ödeme penceresi </strong><br/> Satıcının işlemi iptal edebilmesi için alıcının ödemeyi tamamlaması gereken süre. <br/><br/> <strong> Maksimum likidite miktarını izleyin </strong><br/> Likidite takibinin etkinleştirilmesi, reklamın maksimum limitini şu anda açık işlemlerde tutulan miktar kadar düşürür. <br/><br/> <strong> Dolandırıcıları belirlemeye yönelik hızlı ipuçları </strong> <br/><br/><strong>Sahte alıcılar genellikle acelecidir.</strong> Bir müşteri sizden ne kadar acele etmenizi/acele etmenizi isterse o kadar şüphelenir Olmalısın, gerçek müşteriler her zaman sabırlıdır. <br/><br/>Sahte alıcılar genellikle <strong>işlemin tamamını veya bir kısmını tahkim bonosu koruma sistemi </strong> dışında yapmayı önerir ve ardından işlemin kendilerine düşen kısmını tamamlamaz. <br/><br/> <strong>fotoşoplu ödeme kanıtlarına</strong> dikkat edin, parayı aldığınızı onaylamadan işlemi sonlandırmayın. Alıcının ödemesini aldığınızı doğrulayana kadar bir işlemi sonlandırmak zorunda değilsiniz. <br/><br/><strong>İş ortağınızın size gönderdiği bağlantıları açmayın</strong>. Gerekirse kullandığınız tarayıcıdan farklı bir tarayıcı kullanın. <br/><br/>Ticaret yapmak için kullandığınız tarayıcıyla $appName dışındaki web sitelerini ziyaret etmeyin. <strong>Diğer web siteleri için farklı bir tarayıcı kullanın.</strong> <br/><br/> Tarayıcınızda $appName\'e yer işareti koyun ve web sitesini ziyaret ederken her zaman yer işaretini kullanın. Bu, yanlışlıkla phishing web sitelerini ziyaret etmekten kaçınmanıza yardımcı olur, bunlar mevcuttur ve çok ikna edici olabilirler.';
  }

  @override
  String guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb2(Object contactSupport) {
    return 'Bir kullanıcı hakkında emin değilseniz, yardım için her zaman $contactSupport\'e başvurabilirsiniz.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtext8722Sb28722Sbcontact8722Sbsupport => 'iletişim desteği';

  @override
  String get guide250Sbtrade250Sbblock8722Sb38722Sbtitle => 'reklam ayarlama';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb0(Object termsOfservice) {
    return 'Lütfen $termsOfservice belgemizi okuyun.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'kullanım Şartları';

  @override
  String guide250Sbtrade250Sbblock8722Sb48722Sbtext8722Sb1(Object appName, Object assetName) {
    return '<br/><br/>$appName desteği, ihtilafları ticaret katılımcıları ve itibarları tarafından sağlanan kanıtlara dayalı olarak ele alır. <br/><br/>Ödeme tamamlandı olarak işaretlendikten sonra anlaşmazlıklar başlatılabilir. <br/><br/>Takas tamamlandıktan sonra, ticaret $appName tarafından tamamlanmış sayılır ve itiraz edilemez. <br/><br/> Bir $assetName satıcısı yanıt vermediğinde, $appName, alıcı geçerli bir ödeme belgesi sağlayabilirse ticareti sonlandırır. <br/><br/>Alıcı işlem başlattıktan sonra yanıt vermezse tahkim teminatı $appName desteği tarafından satıcıya iade edilecektir.';
  }

  @override
  String get guide250Sbtrade250Sbblock8722Sb48722Sbtitle => 'Anlaşmazlıklar';

  @override
  String guide250Sbtrade250Sbhappy8722Sbtrading(Object appName) {
    return '$appName size iyi ticaretler diler!';
  }

  @override
  String get guide250Sbtrade250Sbtitle => 'Monero ticaretine giriş';

  @override
  String get guide250Sbtrade250Sbtitle57Sbagoradesk => 'Kripto para birimi ticaretine giriş';

  @override
  String get guide250Sbxmr250Sbcard8722Sbfour250Sbtitle => '4. Bu Monero Satın Alma Yöntemini Kullanırken Anonim Kalmanın Gelişmiş Teknikleri';

  @override
  String get guide250Sbxmr250Sbcard8722Sbthree250Sbtitle => '3. Anonim Olarak Nakit Parayla Monero Almak';

  @override
  String get guide250Sbxmr250Sbtitle => 'Anonim olarak Monero nasıl satın alınır?';

  @override
  String get guides250Sbread8722Sbmore => 'daha fazla okuma';

  @override
  String get home250Sbgreeting250Sbanywhere => 'Herhangi bir yer.';

  @override
  String home250Sbgreeting250Sbbuy8722Sbmonero(Object assetName) {
    return '$assetName satın alın.';
  }

  @override
  String get home250Sbgreeting250Sbcash8722Sbor8722Sbonline => 'Nakit veya çevrimiçi.';

  @override
  String home250Sbgreeting250Sbsell8722Sbmonero(Object assetName) {
    return '$assetName sat.';
  }

  @override
  String get home250Sbgreeting250Sbsignup8722Sbbtn => 'Ücretsiz kaydol';

  @override
  String get home250Sbnewsfeed250Sbtitle => 'Son Haberler';

  @override
  String get homepage8722Sblocation250Sbchange8722Sbbtn => 'Değiştirmek';

  @override
  String get homepage8722Sblocation250Sbreset8722Sbbtn => 'Sıfırla';

  @override
  String get homepage8722Sblocation250Sbsave8722Sbbtn => 'Kaydetmek';

  @override
  String homepage8722Sblocation250Sbtitle(Object location) {
    return '$location içinde reklam gösteriliyor';
  }

  @override
  String get homepage250Sbagora250Sbcoin8722Sbtrading8722Sbtitle => 'Bitcoin Ticareti';

  @override
  String homepage250Sbno8722Sbresults8722Sb0(Object asset, Object country) {
    return 'Henüz $country\'te etkin $asset reklamı yok.';
  }

  @override
  String homepage250Sbno8722Sbresults8722Sb1(Object post_an_ad) {
    return 'Aşağıdaki kategorilerde $post_an_ad ilk siz olabilirsiniz:';
  }

  @override
  String get homepage250Sbno8722Sbresults8722Sb18722Sbpost8722Sban8722Sbad => 'ilan ver';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb0 => 'İşlemi blok gezgininde görebiliyorsanız, bu, işlemin başarıyla gönderildiği anlamına gelir. Alıcı tarafta göremiyorsanız, o zaman sorun sizin tarafınızdadır. Muhtemelen senkronizasyonla ilgili bir sorun var veya eski bir cüzdan yazılımı kullanıyorsunuz.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb1 => 'Senkronizasyonunuzu çözmek için şu önerileri deneyin:';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtext250Sb2 => 'Alternatif olarak, farklı bir cüzdan uygulaması veya farklı bir internet bağlantısı kullanmayı deneyin.';

  @override
  String get info250Sbwhere8722Sbare8722Sbmy8722Sbxmr8722Sbaccordion250Sbtitle => 'XMR\'yi neden cüzdanımda göremiyorum?';

  @override
  String get keywords => 'monero xmr satın al nakit kredi kartı usd euro pound yerel banka havalesi anonim olarak sat kripto para birimi';

  @override
  String get keywords57Sbagoradesk => 'bitcoin satın al btc monero xmr nakit kredi kartı usd euro pound yerel banka havalesi anonim olarak sat kripto para birimi';

  @override
  String get knowledge250Sbatomic250Sb0250Sbtext => '<p>Ademi merkeziyet ve gerçekten izinsiz bir sistem arayışında, kripto para birimi alanında merkezi olmayan borsalar ve atomik takaslar kadar çok az şey isteniyor. Başlangıcından bu yana, gizlilik özellikleri bir protokol tasarlamaya çalışırken benzersiz sorunlar yarattığından, Monero atomik takasları uygulamakta zorlanıyor.</p>\n\n<p>Ama önce geri dönelim. Atom takasları nedir? Atomik takas, farklı blokaj zincirlerindeki iki farklı kripto para biriminin aracı olmadan güvene dayalı bir şekilde değiş tokuş edilebildiği bir protokoldür. Bu, birisi A kripto para birimini B kripto para birimiyle takas etmek isterse, bunu merkezi veya merkezi olmayan bir takas olmadan yapabilecekleri anlamına gelir. Tahmin edilebileceği gibi, bu önemli bir araştırma gerektirir ve bunu mümkün kılan tüm teknik ayrıntılar oldukça karmaşık hale gelir. LocalMonero bir kez daha yardım etmek ve sıradan insanlara basit bir açıklama yapmak için burada.</p>\n\n<p>Başlamak için, Bitcoin tarafından uygulanan en basit atomik takas biçimini ele alalım. Birisi Bitcoin\'i aynı karma zaman kilitleme sözleşmesi teknolojisini kullanan başka bir madeni para ile değiştirmek isterse, bunu aşağıdaki şekilde yapabilir. Alice\'in Bitcoin\'i (BTC) var ama Litecoin\'i (LTC) istiyor ve Bob\'un LTC\'si var ama BTC\'yi istiyor. Atom takası yapmaya karar verirler, böylece her biri istediği parayı alır. Alice, BTC\'sini özel bir adrese gönderir ve parayı kendisinin bile erişemeyeceği şekilde kilitleyen komut dosyaları kullanır. Alice\'in BTC\'sini kilitli bir kutuya koyması gibi düşünebilirsiniz. Kilit kutusu yapıldığında, bir anahtar alır ve bu anahtarın bir özetini Bob\'a gönderir. Artık Bob anahtarın kendisine sahip değil, yalnızca hash\'e sahip, yani henüz fonlara erişemiyor.</p>\n\n<p>Bob, kendi kilitli kutusunu oluşturmak için bu hash\'i bir tohum olarak kullanır ve LTC\'sini yine kilitli olduğu yere gönderir. Alice\'in anahtarının karması, Bob\'un kilitli kutusunun yapıldığı tohum olarak kullanıldığından, Alice anahtarını Bob\'un kilitli kutusundaki LTC\'yi talep etmek için kullanabilir. Anahtarı uyuyor! Ancak matematik voodoo büyüsünü kullanarak, anahtarını LTC kilidini açmak için kullandığında, anahtarı Bob\'a gösterir ve Bob, daha sonra onu kilitli kutusuna koyduğu BTC\'yi talep etmek için kullanabilir. Bu şekilde, hiçbir aracı olmadan, Alice ve Bob başarılı bir şekilde varlıklarını değiş tokuş etmiş oldular.</p>\n\n<p>Fakat küçük bir sorun var. Ya Alice kilitli kutusuna gönderirse ve Bob artık ticaret yapmak istemediğine karar verirse? Şimdi, Alice kilitlediği BTC\'sine erişemediğinden ve Bob işlemin kendisine düşen kısmını tamamlamayacağından, Alice parasını sonsuza kadar kaybeder. Şans eseri, Bitcoin\'in geri ödeme işlemleri adı verilen küçük bir teknolojisi vardır ve bu nedenle, bir süre sonra, eğer BTC Bob tarafından talep edilmezse, komut dosyalarında yerleşik bir hata koruması bulunur ve burada BTC otomatik olarak Alice\'e geri döner. Bu, Monero\'nun atomik takas uygulaması için birincil hız tümseğiydi. Monero\'nun <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">halka imza gizlilik teknolojisi</a> nedeniyle, bir işlemin göndereni her zaman belirsizdir. Protokol, işlemin nereden geldiğini bilmese bile iade işlemini nasıl yapabilir?</p>\n\n<p>2017\'de küçük bir araştırmacı grubu, atomik takasların Monero\'da çalışacağı farklı bir yöntemin ana hatlarını çizdi. Birkaç yıl süren iyileştirmenin ardından araştırmacılar, Monero\'nun geri ödeme işlemleri olmadan bile Bitcoin ile atomik takaslar yapabileceği bir süreci sonlandırdı.</p>\n\n<p>Bu teknik karmaşıklık seviyesindeki pek çok şeyde olduğu gibi, açıklamamız fikri iletmek için bazı şeyleri aşırı derecede basitleştirecek, ancak yine de bu sürecin çalışacağı mekanizmalar hakkında sağlam bir fikir verecektir.</p>\n\n<p>Hem (XMR\'ye sahip olan ve BTC isteyen) Alice hem de (BTC\'ye sahip olan ve XMR isteyen) Bob, atomik takası destekleyen bir program indirmeli ve çalıştırmalıdır. Bu, cüzdanlara, merkezi olmayan borsalara veya özel, özel programlara uygulanabilir, ancak yazılımın atomik takas protokolünü çalıştırması gerekir. İlk adımda, Alice ve Bob\'un müşterileri birbirine bağlanır ve birkaç paylaşılan sır ve anahtar oluşturur. Bu adımda, anahtarın bir yarısına Alice, diğer yarısına Bob sahip olacak şekilde yeni bir Monero adresi oluşturulur. Henüz orada Monero yok, bu yüzden harcayacak bir şey yok. Bu adresle ilgili not edilmesi gereken son bir şey, her ikisinin de bu cüzdanın görüntüleme anahtarına sahip olması, böylece her ikisinin de Monero\'nun gelip gelmediğini veya ne zaman geldiğini görmek için içeriye göz atabilmeleridir.</p>\n\n<p>İkinci adımda Bob, BTC\'sini daha önce tartıştığımız Bitcoin atomik takas protokolüne benzer özel bir adrese gönderir. Alice, BTC\'nin blok zincirindeki bu adrese geldiğini gördükten sonra, Monero\'sunu hem kendisinin hem de Bob\'un anahtarının yarısına sahip olduğu Monero adresine gönderir. Bob, görüntüleme anahtarına da sahip olduğu için Monero\'nun geldiğini doğrulayabilir ve Monero\'nun güvenli bir şekilde cüzdanda olduğunu görünce, Alice\'e Bitcoin\'i çekmesini sağlayacak bir anahtar parçası gönderir. Diğer protokole benzer şekilde, Bitcoin\'i talep etme süreci, Bob\'a Monero anahtarının yarısını gösterir. Şimdi Bob\'un her iki yarısı da var, bu yüzden Monero\'yu talep edebilirken Alice\'in sadece yarısı var, bu yüzden onu ondan önce almaya çalışamaz.</p>\n\n<p>Tüm bunlara baktığınızda ve Monero\'nun geri ödeme işlemleri sorununu nasıl çözdüğü konusunda hala biraz kafanız karıştıysa, yanıt oldukça basit. Monero\'nun kendisinde geri ödeme işlemleri olmadığı için okuyucu, önce Bitcoin\'in (geri ödeme işlemleri olan) gönderildiğini ve yalnızca blok zincirinde olduğu doğrulandıktan sonra Monero\'nun gönderildiğini fark etmelidir. Bu, Monero\'nun Bitcoin\'in geri ödeme işlemlerinde komut dosyası oluşturma yeteneğini kullanmasına ve bu yeteneklere sahip olmasına gerek kalmadan bunlardan yararlanmasına olanak tanır.</p>\n\n<p>Atomik takas şimdi tamamlandı, ancak buradan Bob\'un yeni talep ettiği XMR\'si için birkaç seçeneği var. Bu Monero cüzdanını olduğu gibi kullanabilir veya XMR\'yi halihazırda sahip olduğu başka bir cüzdana taşıyabilir. Bob büyük ihtimalle Monero\'yu başka bir cüzdana taşıyacak, çünkü Alice\'in görüntüleme anahtarı hâlâ elinde ve içini görebiliyor.</p>\n\n<p>Bu protokolün güzelliği, hala oldukça yeni olması ve iyileştirmeler için bolca yer olması. Ayrıca mimarisinde oldukça esnektir, bu nedenle diğer cüzdanlarda veya merkezi olmayan borsalarda uygulama basit olmalı ve mevcut mimarilerine temiz bir şekilde uymalıdır.</p>';

  @override
  String get knowledge250Sbatomic250Sbdescription => 'Kripto alanında atomik takaslar kadar imrenilen çok az şey var. Son zamanlarda araştırmacılar, XMR\'nin BTC ile atomik takaslar yapabilmesinin bir yolunu kesinleştirdiler.';

  @override
  String get knowledge250Sbatomic250Sbtitle => 'Monero\'da Atom Takasları Nasıl Çalışacak?';

  @override
  String get knowledge250Sbblocks250Sb0250Sbtext => '<p><i><b>Not:</b> Okuyucunun <a target=\"_blank\" href=\"/knowledge/monero-tail-emission\" class=\"next-link\">\"Monero Has A Tail Emission\"</a> ve <a target=\"_blank\" href=\"/knowledge/monero-mining-randomx\" class=\"next-link\">\"Monero Madenciliği: RandomX\'i Ne Yapar makalelerimizi okuması önemle tavsiye edilir. çok Özel”</a>. Bu makale, orada sunulan kavramlardan yola çıkarak oluşturulmuştur.</i></p>\n\n<p>Bireyler ne zaman blockchain ile ilgili sorunları tartışsa, akla gelen ilk kelimelerden biri \'ölçeklendirme\' olacaktır. Blok zincirlerinin iyi ölçeklenmediği bir sır değil ama çoğu insan bunun nedenini bilmiyor.</p>\n\n<p>Gerçek şu ki, ölçeklendirme aslında iki farklı kategoriyi kapsayan bir şemsiye terimdir: Protokol desteği ve belirli bir zamanda teknolojik destek. Bu makalede, dikkatimizi birine odaklayacağız, Protokol desteği temel olarak protokolün belirli bir zamanda kaç işlemi işleyebileceğinin bir ölçüsüdür.</p>\n\n<p>Bitcoin\'in bir blok boyutu sınırı vardır, bu da bir bloğa yeterli sayıda işlem dahil edildiğinde, ek işlemlerin bir sonraki blok için sırada beklemesi gerekeceği anlamına gelir. Yararlı bir benzetme, bir tren hakkında düşünmek olacaktır. Bir tren istasyona yanaşır ve sıradakiler sıraya dizilir. Tren dolduğunda, dışarıda kalan herkes bir sonraki treni beklemek zorunda kalır.</p>\n\n<p>Bitcoin, bloğa kimin girip girmeyeceğini belirlemek için ücretleri kullanır. Tren benzetmesine geri dönersek, geride bırakılmak üzere olan potansiyel bir yolcunun tren makinistine oturması için beş dolar teklif ettiğini hayal edebiliriz. Diğer yolcular da aynı şeyi yapar ve sonunda kimin hangi koltukları alacağını görmek için bir teklif savaşı çıkar. İlk gelen ilk hizmet alır politikasına uymak isteyip istemediğine karar vermek sürücüye kalmıştır, ancak en yüksek teklifi verenleri alarak gelirini en üst düzeye çıkarmak onun mali çıkarına olacaktır.</p>\n\n<p>Bu benzetmede madenciler tren sürücüleridir. İstedikleri işlemleri bloğa dahil edebilirler, ancak genellikle en yüksek ücretli işlemleri seçeceklerdir.</p>\n\n<p>Alternatif olarak, bloklar çok dolu değilse, insanların yüksek ücretler ödemeye teşviki yoktur, çünkü boş yer çoktur.</p>\n\n<p>2017 kripto para birimi patlamasının zirvesinde, Bitcoin işlemlerle dolup taştı ve bir sonraki bloğa veya bu konuda yakın gelecekteki herhangi bir bloğa dahil olmak isteyenler için ücretler fırladı. Yüksek ücretler ödemek istemeyenler, işlemlerinin saatlerce, günlerce ertelendiğini ve hatta kuyruktan tamamen çıktığını gördü.</p>\n\n<p>Bu, sık sık konuşulan \"kitlesel benimseme\" gerçekleşirse Bitcoin\'in nasıl ilerleyeceğine dair üzücü bir içgörüydü. Bitcoin kitleler tarafından kullanılacak olsaydı, işler 2017\'dekinden daha kötü olurdu ve Bitcoin\'e zenginler dışında kimse erişemezdi, çünkü sabit bir blok boyutu nedeniyle iş hacmi küçüktür ve bu da ücret piyasasının ele geçirmesine neden olur. .</p>\n\n<p>Monero bunu öngördü ve farklı bir şey yapmak istedi. Böylece Monero geliştiricileri dinamik bir blok boyutu uyguladı.</p>\n\n<p>Temel olarak, Monero\'nun da bir blok boyutu sınırı vardır, ancak bu yumuşak bir sınırdır. Bekleyen işlem sırası çok uzadığında, madenciler blokların boyutunu artırabilir. Tren benzetmemizle, fazladan yolcu sığdırmak için daha fazla tren vagonu eklemeyi hayal edebilirsiniz. Kuyruk boşaldıktan sonra bloklar ileriye doğru orijinal boyutlarına geri döner.</p>\n\n<p>Bu harika bir fikir gibi görünüyorsa, bunu uygulayan tek kripto para biriminin neden Monero olduğunu sormak mantıklı görünüyor. Verim sorunlarına bir son vermek için neden Bitcoin\'e eklemiyorsunuz?</p>\n\n<p>Maalesef bu mümkün değil. Bunun birkaç nedeni var ve açıklamak için elimizden gelenin en iyisini yapacağız.</p>\n\n<p> Büyük bloklara sahip olmak her zaman bir madencinin çıkarınadır. Büyük bloklarla daha fazla işlem yapabilir ve blok ödüllerinin yanı sıra ücretlerden daha fazla para kazanabilirler. Bu, birisinin zinciri şişirmek için küçük ücretlerle çok sayıda küçük işlem gönderdiği spam saldırılarına yol açma potansiyeline sahiptir. Madenci, blok boyutunu yükseltir ve hepsini içerir çünkü ne kadar küçük olursa olsun para paradır. Bu, çok az ekonomik fayda sağlayan sürekli olarak büyük bloklara yol açacaktır. Bitcoin, blok boyutunu yapay olarak kısıtlayarak ve böylece bir ücret piyasası oluşturarak bunu çözer. İstenmeyen e-posta saldırganları, diğer kullanıcılara ücret olarak daha fazla ödeme yapmak zorunda kalacak ve bu artık ucuz değil. Ancak bu, yukarıda belirtildiği gibi blokların dolması ve bazı işlemlerin beklemede kalması anlamına gelir.</p>\n\n<p>Peki, Monero dinamik blok boyutlarına sahipken spam saldırılarından nasıl kaçınabilir? Cevap basit ama zekice. Bir blok normalden daha büyük olduğunda, blok ödülüne bir ceza verilir. Bir madenci blok boyutunu artırmak isterse, o bloğu bularak alacağı ödül, normalde alacaklarından daha az olacaktır. Bu nedenle, yalnızca kullanıcıların ödediği işlem ücretleri, blok ödülünün kaybedilen kısmından daha ağır bastığında blok boyutunu artıracaklardır. Örneğin, madenci blok ödülünü yükselterek 0,5 XMR kaybederse ve ödenen işlem ücretlerinin toplamı 0,4 XMR olursa, o zaman boyutu yükseltirlerse 0,1 XMR net kayıp olur. yapma Tersine, toplam işlem ücretleri 0,7 XMR\'ye kadar eklenirse, blok ödül cezasından 0,5 XMR\'yi kaybetseler bile 0,2 XMR net kazanç olur, bu nedenle madenci boyutu büyütür.</p>\n\n<p>Bu dinamik bloklar, spam saldırılarından kaçınmaya devam ederken zorunlu bir ücret piyasası oluşturmak için blok boyutunu yapay olarak kısıtlamadan ağın organik olarak büyümesini sağlar. Bu fikre bakabileceğimiz birkaç açı daha ve Bitcoin\'e eklenmesinin neden mümkün olmayacağına dair daha fazla neden var, ancak şimdilik, okuyucunun Monero\'nun Bitcoin\'deki birçok sorunu nasıl atlattığını anladığını umuyoruz. türevleri ve verimini geleceğe nasıl ölçeklendirmeyi planladığı.</p>';

  @override
  String get knowledge250Sbblocks250Sbdescription => 'Bireyler blockchain ile ilgili sorunları tartıştığında, ortaya çıkacak ilk kelimelerden biri \'ölçeklendirme\' olacaktır. Monero, bu sorunu çözmede kendisini diğerlerinden ayırır.';

  @override
  String get knowledge250Sbblocks250Sbtitle => 'Monero, Bitcoin\'i Rahatsız Eden Blok Boyutu Sorununu Nasıl Çözdü?';

  @override
  String get knowledge250Sbbtc250Sb0250Sbtext => '<p>Monero, gizliliğe her şeyden çok değer veren bir kripto para birimidir, ancak çoğu insanın anlamadığı şey, onu kullanarak sağlanan gizliliğin kurşun geçirmez veya belirli durumlarda mutlak olmadığıdır. Hiç şüpheniz olmasın, Monero, güven ortamının olmadığı kadar özeldir, ancak kullanıcıların gizliliklerinin güçlü kalmasını sağlamak için dikkate alması gereken bazı hususlar vardır.</p>\n\n<p>Aynı şey gerçekten hayatın diğer alanlarında da geçerli. Örnek olarak, hayatınızı özel tutmak adına tüm sosyal medyalardan uzak durabilirsiniz, ancak sürekli olarak sizinle selfie çeken arkadaşlarınızla birlikteyseniz, altyazıda yanınızda olduklarını söyleyin ve etiketleyin. konum, çabalarınızın çoğu boşa gidebilir. Kişisel olarak onların platformunda olmamanıza rağmen, sosyal medya grubu yine de sizin hakkınızda bir profil oluşturabilir.</p>\n\n<p>İnsanların tüm sonuçları ve potansiyel olarak sızdırılmış meta verileri dikkate almadıkları durumlardan biri, Monero için Bitcoin ticareti sorunudur. Toplulukta, Bitcoin ile Monero satın almanın tam bir temizlik olacağı ve şeffaf bir zincirden gelmesine rağmen kullanıcının Monero\'ya girdikten sonra tüm gizlilik avantajlarına sahip olacağı yaygın olarak kabul edilir.</p>\n\n<p>Benzer bir şekilde, bazıları tarafından KYC dışı ve KYC kaynaklarından Monero almak kadar özel olarak kabul edilir. Düşünce, bir bankada nakit almaya benzer. Bu senaryoda, bankanın kendisi yüzünüzü ve adınızı bilir ve hesabınızda toplam ne kadar olduğunu ve ne kadar nakit çektiğinizi bilir, ancak daha sonra nakit ile ne yapacağınızı bilmez. Monero\'nun gizlilik garantileriyle, Monero\'yu bir KYC/AML kaynağından almak böyle olmalı, değil mi?</p>\n\n<p>Eh, tam olarak değil.</p>\n\n<p>Önce hızlı bir geri adım atalım ve KYC/AML ile ne demek istediğimizi tanımlayalım. Bu kısaltma, borsaların ve işletmelerin müşterileri hakkında tanımlayıcı bilgiler toplamasını gerektiren Müşterini Tanı (KYC) / Kara Para Aklamayı Önleme (AML) yasalarının kısaltmasıdır. Değiştirilen para miktarı ne kadar büyük olursa, o kadar fazla bilgiye ihtiyaç duyulur. Adından da anlaşılacağı gibi, tüm bunlar insanların kara para aklama riskini en aza indirmek adına yapılıyor.</p>\n\n<p>Monero\'ya Dönüş. Elbette, paranızı bir KYC kaynağından Monero\'ya taşımak, gizlilik açısından BTC veya başka herhangi bir şeffaf madeni para satın almak için bir KYC kaynağı kullanmaktan astronomik olarak daha iyidir, ancak neyin ifşa edildiği ve neyin açığa çıktığı konusunda hala dikkate alınması gereken hususlar vardır. ifşa edilen bilgiler gizliliğiniz ve güvenliğiniz için anlam ifade edebilir.</p>\n\n<p>Nakit ve banka senaryosuna bağlı kalarak bile, bankadan büyük miktarda para çekerseniz, banka ayrıntılarınızı (ev adresiniz dahil) bildiğinden, veznedar hesabınızda ne kadar olduğunu görebilir ve potansiyel olarak kötü niyetli davranışlarda bulunabilir servetinize bağlı olarak planlar. Bu nadirdir ve para evinizden ziyade bankada olduğundan, bu senaryoda başarabilecekleri nispeten küçüktür. Aynı şey, üçüncü bir tarafça değil, sizin güvencenizde olan Monero için geçerli. Kendi bankanız olmak her zaman kolay değildir.</p>\n\n<p>Benzer şekilde, nasıl yapılırsa yapılsın BTC\'den XMR\'ye geçiş, Bitcoin blok zincirinde izler bırakır. Bu, BTC\'den BTC\'ye geçişten gerçekten daha az zarar verici olsa da, borsanın diğer tarafında Monero\'nun zorunlu mahremiyeti varken, geride iz bırakmanın sonuçları dikkate alınmalıdır. Sürecin herhangi bir yerinde KYC varsa, bu izler daha da büyük bir etki yaratacak şekilde birleşir.</p>\n\n<p>Kirli Bitcoin\'lerin bir mal veya hizmet karşılığında alındığı bir senaryo hayal edin, bu yalnızca Bitcoin\'in radikal şeffaflığı sayesinde mümkün olabilir. Her Bitcoin\'i kontrol edecek teknolojiye sahip olmadığınız için bu Bitcoin\'lerin kirli olduğunu bilmiyorsunuz, bu nedenle kripto meraklısı biri olarak bu gerçekle rahat değilsiniz ve paranız yok sizin yerinize kontrol etmesi için bir zincirleme analiz şirketine ödeme yapmak. Yani, güvende olmak için Monero\'ya geçiş yapmaya karar verdiniz.</p>\n\n<p>Bitcoin\'inizi bir borsaya yatırırsınız ve onları Monero ile takas edersiniz, ardından bunu yerel cüzdanınıza çekersiniz. Bu senaryo zaten biraz abartılı, çünkü borsa kirli Bitcoin\'lerinizi işaretleyebilir ve hesabınızı kilitleyebilir ve onları geri alabilir veya alamayabilirsiniz, ancak bu örneğin hatırına, izin verdiklerini varsayacağız. takas olur.</p>\n\n<p>Bu noktada, eğer hükümet bu Bitcoin\'lerin izini sürmekle ilgilenirse, onları borsaya kadar takip edecek, mevduat sahibi hakkında KYC bilgilerini mahkemeye celp edecek, bunların Monero\'ya (şüpheli) çevrildiğini görecek ve kapıyı çalacaktır. kapında.</p>\n\n<p>Lütfen anlayın, bu, şüpheli görünmemek için Bitcoin\'i Monero\'ya çevirmekten kaçınmanız gerektiğini söylemiyor. Kirli Bitcoin\'i kabul ettiğiniz için zaten şüpheleniyordunuz ve takas etmeseniz bile blok zinciri analizini kullanmaya devam edecekler ve yine de kapıyı çalacaklardı. Bunun yerine, bu örnek yalnızca şeffaf para birimlerini kullanmanın önemli bir risk olduğunu ve Monero gibi özel, takas edilebilir bir parayla takas etmenin şeffaf blok zincirinde kalan ayak izlerini silmediğini vurgulamaktadır.</p>\n\n<p>Kendi mahremiyetiyle ilgilenen kişiler için şeffaf blok zincirlerin kullanımı minimum düzeyde ve son derece dikkatli bir şekilde tutulmalıdır. KYC\'den mümkün olduğunca kaçınılmalıdır, çünkü bu meta veriler hala bir dava oluşturmak ve soru sormak için kullanılabilir ve Tanrı bu KYC bilgilerinin (ticaret bilgilerinin yanı sıra) beceriksizlik nedeniyle borsalardan sızdırılmasını yasaklar. Sadece Monero\'yu alıp borsadan çekmiş olsanız bile, sızdırılan bu bilgi yine de ne kadar Monero\'ya sahip olduğunuzu ve nerede bulunduğunuzu ortaya çıkaracaktır. Hepimizin hemfikir olduğu tüm bilgiler, hiç kimsenin siber uzayda uçup gitmesini istemeyecektir.</p>\n\n<p>Özet olarak, Monero kullanmak gerçekten de birçok saldırıyı etkisiz hale getirirken ve varsayılan olarak meta veri sızıntısını en aza indirirken, kullanıcının kendisi de nihayetinde kendi mahremiyetini yok etmek için birçok şey yapabilir. En az dikkate alınanlardan biri, Monero\'ya giden bir yol olarak bir şeffaflık zinciri kullanmanın veya onu elde etmek için bir KYC kaynağı kullanmanın sonuçlarıdır; ikisini aynı anda kullanmanın hiçbir önemi yoktur.</p>\n\n<p>Bu makalenin amacı korku tellallığı yapmak değil, kullanıcıları kararları hakkında eleştirel düşünmeye teşvik etmek ve onlara en iyi gizliliğin bile belirli koşullar altında kırılgan olabileceğini hatırlatmak. Kullanıcılar neyi, nereden ve kimden satın alacakları konusunda akıllı kararlar vererek kendi mahremiyetlerini korumak için dikkatli olmalıdır.</p>';

  @override
  String get knowledge250Sbbtc250Sbdescription => 'Birçoğu, BTC ile XMR satın almanın tam bir temizlik olduğunu ve şeffaf bir zincirden gelmesine rağmen kullanıcının tüm gizliliğini koruduğunu düşünür. Ama öyle mi?';

  @override
  String get knowledge250Sbbtc250Sbtitle => 'Bitcoin\'i Monero\'ya Dönüştürmek, Doğrudan Monero Almak Kadar Özel mi?';

  @override
  String get knowledge250Sbclsag250Sb0250Sbtext => '<p>Bir protokol olarak, Monero şu anda sürekli bir yenilik halindedir. Hem zincir içi hem de zincir dışı çözümlerde araştırmadan yararlanan Monero topluluğu, Monero\'yu daha özel, daha ölçeklenebilir ve herkes için daha erişilebilir hale getirmek için geliştirilecek alanlar arıyor. En son yeniliklerden biri, bağlanabilir halka imza şeması MLSAG\'ın, Concise Linkable Spontaneous Anonymous Group\'un kısaltması olan, anında bağlantı CLSAG ile değiştirilmesidir.</p>\n\n<p> Yüzey seviyesinde, CLSAG\'ın uygulanması en yaygın 2 girdi, 2 çıktı işlemini %25 oranında azaltacaktır. Ayrıca doğrulama süresinde %10\'luk bir azalma göreceğiz.</p>\n\n<p>Ama CLSAG tam olarak nedir? Ne işe yarar ve eski sürüm olan MLSAG\'dan farkı nedir? Bu kavramı daha iyi anlayabilmek için yüzük imzalarının neden ve nasıl olduğunu kendimize hatırlatmak için bir dakikanızı ayıralım. Halka imzalar, önceki çıktıların imzalayan tarafından seçilen anonimlik kümelerinin kullanımıyla etkileşimli olmayan, tanık ayırt edilemez girdilere izin verir. Laymen açısından, bir kullanıcının bir işlemde kullanılan çıktılarını ilgisiz çıktıların yanında gizlemesine olanak tanır ve tüm bunları başka kimsenin katılmasına gerek kalmadan yapabilirler. Tek ihtiyacınız olan blok zincirinin bir kopyası. Bu çıktıların her birinin, gönderilen gerçek olma olasılığı çoğunlukla eşit olarak görünür, bu nedenle gönderici hakkındaki meta verileri gizler.</p>\n\n<p>Ancak bu biraz sorun yaratıyor. Ya bir kullanıcı tüm tuzak çıktıları ile bir halka imza oluşturacaksa? Bilinmeyen göndericinin bunlardan herhangi birini gönderme yetkisi olmadığını kim bilebilir? Bu kullanıcı sahte para harcayabilir mi? Cevap hayır. Halka imza, çıktılardan en az birinin hangisi olduğunu açıklamadan bilinmeyen göndericiye ait olduğunu kanıtlamak için bir yöntem içerir. Aslında, hem CLSAG hem de MLSAG (bundan böyle SAG\'ler olarak anılacaktır), halka imzasının bunu kanıtlayan parçasıdır. İlginç bir şekilde, aynı zamanda, gizli işlemlerin (RingCT) arkasına gizlenmiş olsa da işlem miktarının dengelendiğini kanıtlıyor. SAG\'lerin iki şeyi kanıtlaması, bir çıktının halkadaki birine ait olması ve işlemin dengelenmesi önemlidir ve aslında boyut ve doğrulama tasarruflarının nerede olduğu önemlidir. Bu kafa karıştırıyorsa merak etmeyin, yakında eğlenceli ve anlaşılması kolay bir benzetmeye geçeceğiz.</p>\n\n<p>Eski imza şeması MLSAG (Multilayered Linkable Spontaneous Anonymous Group), halka imzada yukarıda belirtilen iki şeyi kanıtlar, ancak her birini ayrı ayrı yapar. İmzalama ve taahhüt anahtarları için ayrı hesaplamaların kullanılması, daha yavaş işlemler anlamına gelir. Modern bir bilgisayar bu hesaplamaları milisaniyeler içinde yapabilir ki bu çok fazla gibi görünmüyor ve gerçekten de tek bir işlem için değil. Ancak Monero blok zincirindeki çok sayıda işlemi ve sıfırdan senkronize olan bir düğümün bunların her birini indirmesi ve doğrulaması gerekeceğini düşündüğümüzde, baytlar ve milisaniyeler hızla birikmeye başlar.</p>\n\n<p>CLSAG, her ikisini de kanıtlamak için gerekli matematiği birleştirir ve ikisini aynı anda hesaplar ve bunu güvenli bir şekilde yapar. Bu güvenli bir şekilde ne anlama geliyor? Pekala, bunu açıklığa kavuşturmak ve umarım her şeyi daha anlamlı hale getirmek için, vaat edilen eğlenceli benzetmeyi keşfedelim.</p>\n\n<p>Diyelim ki iki farklı şey almak için hem markete hem de hırdavatçıya gitmeniz gerekiyor: yiyecek ve zehirli temizlik kimyasalları. Karışsınlar istemiyorsunuz, sanki bir kaza olmuş gibi, kimyasallar yiyeceklerin üzerine dökülüp yenmez hale gelecek. Süper güvende olmaya karar veriyorsunuz ve evinizden markete gidiyorsunuz, yiyecekleri satın alıyor ve ardından evinize geri dönüyorsunuz. Ancak yiyeceği boşalttıktan sonra arabaya geri döner, hırdavatçıya gider ve kimyasallarla birlikte evinize dönersiniz. Tüm satın alma işlemlerinin güvenliğini sağlamak için iki ayrı seyahat yaptınız. Gerçekten güvenli olmasına rağmen, verimsizdir. Bu, iki farklı matematik kümesinin saklandığı ve bunları hesaplamak için iki farklı \"gezi\"nin yapıldığı MLSAG\'ı temsil eder.</p>\n\n<p>Bununla birlikte, bunu yapmanın daha hızlı bir yolunu istediğinize karar veriyorsunuz. Çok fazla zaman kaybı. Elbette bunu bir veya iki kez yapmak hayatınızı çalmayacak, ancak bunu tekrar tekrar yapmak zorunda kalmak, saatler artmaya başlıyor. Bunun yerine bir yolculuk yapıp yapamayacağınızı merak etmeye başlarsınız. Evinizden bakkala, hırdavatçıya ve eve. Gidip arabanızdaki her şeyi gelişigüzel atamazsınız. Güvenli değil. Bunun yerine, arabanızda farklı şeyler için farklı noktalar belirlersiniz ve her şeyin düzgün bir şekilde yerine oturduğundan emin olursunuz. Bunu yaparken, her iki mağazaya da güvenli bir şekilde bir gezi yapabilir ve eşyalarınızı birbirinden uzak tutabilirsiniz. Bu CLSAG\'ı temsil eder. Artık bu iki şeyi kanıtlamak için bu işlemde saklanan tek bir matematik seti var ve bu, birbirlerini etkilemeyecek şekilde uzakta yapılıyor. Hala bir yolculuk yapılması gerekiyor, ancak sayısını oldukça büyük ölçüde azalttınız.</p>\n\n<p>Bütün bunlar kulağa oldukça heyecan verici geliyor. Zamandan ve yerden tasarruf etmenin başka kısayollarını veya başka yollarını bulmamız mümkün mü? Cevap evet ve hayır. Mevcut MRL araştırmacılarına göre, SAG tipi yapıları daha iyi boyut veya hız için daha fazla değiştirmek muhtemelen mümkün değildir; ancak Arcturus, Omniring, RCT3 veya Triptych gibi diğer yapılar, farklı matematiksel yöntemler kullanarak çok daha iyi boyut ölçeklendirme ve doğrulama faydaları sağlar. Ancak, imzalayan açısından belirsiz protokollere yönelik bu \"yeni nesil\" yaklaşımların her biri, uygulama ayrıntılarında kendi ödünleşimleriyle birlikte gelir ve aktif araştırma ve incelemeden geçmektedir.</p>\n\n<p>Sonuçta, Monero her zaman yenilik yapıyor.</p>';

  @override
  String get knowledge250Sbclsag250Sbdescription => 'En son Monero protokolü yeniliklerinden birine bir göz atalım: bağlanabilir halka imza şeması MLSAG\'ın yerine takılabilen bir CLSAG ile değiştirilmesi.';

  @override
  String get knowledge250Sbclsag250Sbtitle => 'CLSAG, Monero\'nun Verimliliğini Nasıl Artıracak?';

  @override
  String get knowledge250Sbcoinjoin250Sb0250Sbtext => '<p>Bitcoin\'in gizlilik araçları daha fazla ilgi ve kullanım kazandıkça, daha fazla düzenleyici incelemeye tabi tutuldular. Bu inceleme, bir Bitcoin gizlilik aracı olan Wasabi Wallet tarafından yakın zamanda <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://twitter.com/wasabiwallet/status/1503091503207432193\">yasa dışı veya Hizmet Koşullarına aykırı buldukları karışımlara gelen girdileri sansürlemeye ve reddetmeye başlayacaklarını ve bir zincirleme analiz ödeyeceklerini belirten <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://twitter.com/wasabiwallet/status/1503091503207432193\">son bir duyuruya</a> yol açtı. şirketin gelen mix katılımcılarını \"incelemesine\".</p>\n<p>Bitcoin\'deki fonların kaynağını gizlemek için CoinJoin işlemlerinin kullanılması, uzun yıllardır Bitcoin gizliliğinin özü olmuştur ve kullanımından kaynaklanan sorunlar ve riskler, Monero\'nun halka imzalarının düzelttiği ve önlediği temel sorunlardan bazılarıdır. .</p>\n<p>Bu blog gönderisinde kısaca CoinJoin ve ring imzalarının karşılaştırmasına ve ayrıca Monero\'da benimsenen yaklaşımın neden sansüre karşı daha fazla direnç, daha fazla gizlilik ve kullanıcılar için daha az güçlük sağladığına değineceğiz.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtext => '<p>Bitcoin\'de tüm işlemler göndereni, alıcıyı ve miktarları ifşa ederek tamamen şeffaf olduğundan, kullanıcılar fonlarını önceki gönderenlerden ve gelecekteki alıcılardan korumak için ekstra adımlar atmalı veya sansür, gözetim veya fonların çalınması riskini almalıdır. fiziksel şiddet.</p>\n<p>Bugün Bitcoin\'de gizlilik için en iyi çözüm, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">\"CoinJoin\"</a> adlı bir araçtır; girişleri çıkışlara bağlamak için gözlemciler. Her katılımcı, fonlarının velayetini devretmeden işlemi ortaklaşa oluşturmak için iletişim kurar ve sonunda, önceki geçmişi artık dış gözlemcilere net olmayan (veya karartılmış) olan bir çıktı alır.</p>\n<p>Bu, belirli UTXO\'ların geçmişini kırarak, Bitcoin kullanıcılarının işlem yaparken bir miktar ileri gizlilik kazanmasına olanak tanır. Bununla birlikte, CoinJoin\'in (Bitcoin için en çok kullanılan iki CoinJoin aracı olan Wasabi Wallet ve Samourai Wallet\'ta uygulandığı şekliyle) birkaç önemli dezavantajı vardır:</p>\n<ul>\n<li>CoinJoin işlemleri tamamen isteğe bağlı olduğundan ve aktif katılım gerektirdiğinden, herhangi bir katılımcı zorunlu olarak \"normal\" Bitcoin kullanıcılarından daha fazla gizlilik aradığını gösterir, potansiyel olarak onları ayırır ve düzenlemeye tabi birçok borsada veya kuruluşta fon harcama sorunlarına neden olur. Her kullanıcı bir CoinJoin işlemine katıldığını inkar edemez.</li>\n<li>CoinJoin\'e başkalarını bulmak için CoinJoin\'e yönelik çoğu yaklaşım (Wasabi Wallet dahil), katılımcıları birbirine bağlayan ve iletişim kurmalarına ve uygun bir CoinJoin işlemi oluşturmalarına yardımcı olan merkezi bir koordinatör kullanır. Bu merkezi koordinatör hiçbir zaman kullanıcının fonlarının gözetimine sahip değildir, ancak koordine ettikleri işlemler hakkında kapsamlı bilgi edinir, gelen girdileri sansürleyebilir (Wasabi Wallet örneğinde olduğu gibi) ve CoinJoin katılımcıları hakkında bilgi toplaması veya paylaşması için baskı görebilir.[X2068X ]\n<li>CoinJoin\'de büyük miktarda parası olan kullanıcılar, CoinJoin için yeterli sayıda katılımcı bulmak için genellikle saatlerce (hatta günlerce!) </li>\n<li>Bir CoinJoin işleminin sağladığı gizlilik, diğer katılımcılar KYC alışverişleri, kimlik gerektiren tüccarlar vb. yoluyla fon harcadıkça veya çıktılarını kimliklerine bağladığından zamanla azalır. anonimlikleri (\"saklanacak kalabalık\") olabildiğince taze.</li>\n<li>CoinJoin\'e yönelik çoğu yaklaşımda, katılımcılar CoinJoin işlemlerinin giriş ve çıkışlarını birbirine bağlamayı zorlaştırmak için sabit boyutlu bir UTXO (yani 0,1 BTC) kullanmalıdır. Bu, daha yüksek ücretlere (büyük girdi başına daha fazla ayrı işlem gerekir), daha fazla \"toksik değişime\" (gizlilik için ciddi riskler olmaksızın harcanamayan fonlar) yol açar ve daha küçük kullanıcıların, eğer sahip değillerse, karıştırma yapmalarını engelleyebilir. gereken minimum bakiye.</li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb1250Sbtitle => 'CoinJoin işlemi nedir?';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtext => '<p>Geçmişte halka imzaların ne olduğunu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\"> derinlemesine incelediğimiz için</a>, bu blog gönderisinde nasıl çalıştıklarının teknik yönleri hakkında çok fazla ayrıntıya girmeyeceğim. Bunun yerine, Monero\'da alınan yaklaşımların CoinJoin ile yukarıda tartışılan sorunları nasıl çözdüğüne bakacağız.</p>\n<blockquote>\n<p>CoinJoin isteğe bağlıdır ve katılım gerektirir</p>\n</blockquote>\n<p>Monero\'nun halka imzaları, gizlilik protokolünün temel bir özelliğidir ve <em>ağdaki her</em> işlem bunları kullanır. Bu, hiçbir kullanıcının işlemlerinin \"normal\" Monero kullanıcılarından daha fazla gizlilik aramadığı anlamına gelir ve tüm kullanıcılar, herhangi bir işlemde para harcadıkları konusunda makul bir inkar edilebilirlik elde eder. Para harcayan bir kullanıcı, bir işlemdeki sahte girdileri koordine etmediğinden veya bunlara katılmadığından, tuzak olarak seçilen girdilere sahip olan kullanıcılar dürüstçe o işleme katılmadıklarını söyleyerek gizliliklerini güçlendirebilirler.</p>\n<blockquote>\n<p>Merkezi bir koordinatör kullanımı</p>\n</blockquote>\n<p>Monero\'nun yüzük imzaları tamamen koordine olmadığından ve işlemi oluşturmak için yalnızca gerçek parayı harcayan kişiyi gerektirdiğinden, Monero\'da merkezi bir koordinatöre gerek yoktur. Bu, <em>kimsenin</em> Monero\'daki gizliliğe erişiminizi engelleyememesini ve baskı altına alınabilecek merkezi bir varlık olmamasını, likiditeye yönelik kolay Sybil saldırılarının olmamasını vb. sağlar. İşleminiz uygun ücretleri ödediği sürece, Monero\'da gizliliğe, güvenliğe ve anonimliğe sansürsüz erişim elde edersiniz.</p>\n<blockquote>\n<p>CoinJoin likidite gerektirir</p>\n</blockquote>\n<p>Monero harcayan herkesin tuzak olarak kullanabileceği \"likidite\" her zaman zincirdeki toplam çıktı kümesidir, bu nedenle Monero ile saklanacak tuzak sıkıntısı asla olmaz. Monero harcamak isteyen biri parayı aldıktan ~20 dakika sonra bunu yapabilir ve Monero\'da güçlü bir gizlilik elde etmek için herhangi bir ek adım gerçekleştirmesine gerek yoktur.</p>\n<blockquote>\n<p>CoinJoin gizliliği zamanla bozulur</p>\n</blockquote>\n<p>Monero\'nun çıktıları ağ tarafından hiçbir zaman bilinmediğinden, halka imzaların sağladığı gizlilik zaman içinde bozulmaya çok daha az duyarlıdır. Bir kullanıcının Monero\'da sürekli çıktıları çalkalaması gerekmez ve çok nadir durumlar dışında zaman geçtikçe mahremiyetini kaybetmez.</p>\n<p>Bir kullanıcı bir çıktıyla kullanılan tuzakları \"yenilemek\" isterse, parayı kendilerine geri gönderebilir ve her zamanki gibi ~20 dakika sonra harcayabilir.</p>\n<blockquote>\n<p>CoinJoin genellikle sabit boyutlu girişler gerektirir</p>\n</blockquote>\n<p><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/monero-ringct\">\"Gizli İşlemler\"</a> (\"RingCT\"nin bir parçası) kullanılarak her işlemde tutarlar gizlendiğinden, herhangi bir işlemde kullanılan tuzaklar herhangi bir boyutta olabilir. Monero\'da miktara dayalı buluşsal yöntemler hakkında endişelenmenize gerek yok ve bu nedenle işlemlerin oluşturulması çok daha basittir ve Monero blok zincirinde herhangi bir zamanda ve herhangi bir miktarda tuzaklardan yararlanabilir.</p>';

  @override
  String get knowledge250Sbcoinjoin250Sb2250Sbtitle => 'Halka imzalar bu sorunları nasıl çözer?';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtext => '<p>Merak ediyorsanız ve halka imzaları veya CoinJoin işlemlerini daha iyi anlamak istiyorsanız, başlamak için harika yerler için aşağıdaki bağlantılara bakın:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"/knowledge/ring-signatures\">Halka İmzaları Monero\'nun Çıktılarını Nasıl Gizliyor</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://www.getmonero.org/resources/moneropedia/ringsignatures.html\">Yüzük İmzası - Moneropedia</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://bitcoiner.guide/qna/coinjoin/\">Q+A\'yı Birleştir</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"  href=\"https://6102bitcoin.com/coinjoin-overview/\">CoinJoin\'e Genel Bakış</a></li>\n</ul>';

  @override
  String get knowledge250Sbcoinjoin250Sb3250Sbtitle => 'Daha fazlasını nasıl öğrenebilirim?';

  @override
  String get knowledge250Sbcoinjoin250Sbdescription => 'CoinJoin, BTC mahremiyetinin özüdür ve bunun doğasında bulunan sorunlar, Monero\'nun yüzük imzaları tarafından çözülen sorunlardan bazılarıdır.';

  @override
  String get knowledge250Sbcoinjoin250Sbtitle => 'Wasabi\'deki gibi Monero\'nun halka imzaları CoinJoin\'e karşı';

  @override
  String get knowledge250Sbcontributing250Sb0250Sbtext => '<p>Monero projesinin (diğer birçok açık kaynak projesi gibi) arkasında merkezi bir şirket, kuruluş veya finansman yoktur ve bunların tümü ademi merkeziyetçilik ve dayanıklılık için gereklidir. Ancak bu, projenin başarısının tamamen sizin gibi topluluktaki tutkulu bireylerin finansman, geliştirme ve sosyal yardım için katkılarına bağlı olduğu anlamına gelir.</p>\n<p>Monero topluluğundaki insanların büyük çoğunluğu mutlaka geliştirici olmayacak, bu nedenle biz geliştirici olmayanların böylesine inanılmaz bir projeye geri verebileceği birçok yola odaklanacağız.</p>';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtext => '<p>Monero, topluluktaki herkesin finansman için bir fikir sunmasına olanak tanıyan <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/\">Topluluk Kitle Fonlaması Sistemi</a> (veya \"CCS\") adlı benzersiz bir finansman çalışması sistemi kullanır. Topluluk tarafından onaylanırsa, bu teklifler daha sonra topluluk tarafından finanse edilmek üzere açılır.</p>\n<p>Sistemde, her biri farklı geçmişlerden insanların daha fazla katılımından yararlanan iki aşama vardır.</p>\n<h6 id=\"participating-in-ideas\">“Fikirler”e Katılmak</h6>\n<p>Tüm CCS teklifleri, topluluğun yorumuna açık olan ve genellikle topluluk toplantılarında da tartışılan \"Fikirler\" olarak başlar. Bu, topluluktaki herkesin teklifi baştan sona okuması ve nelerin değiştirilebileceği veya iyileştirilebileceği veya teklifin finansman için onaylanıp onaylanmaması gerektiği hakkında yorum yapması için bir fırsattır. Bu, yalnızca topluluktaki diğer kişilerin devam eden çabalarından haberdar olmanıza değil, aynı zamanda topluluk tarafından kimin ve neyin finanse edildiği konusunda aktif söz sahibi olmanıza, finansmandan önce teklifleri iyileştirmenize ve finansmandan sonra gözetim sağlamanıza olanak tanır.</p>\n<p><em>\"Fikirler\" aşamasında olan tüm teklifleri <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/ideas/\">CCS Fikirleri</a>\'nde görebilirsiniz.</em></p>\n<h6 id=\"funding-proposals-in-funding-required\">\"Gerekli Finansman\" bölümündeki finansman teklifleri</h6>\n<p>Onaylanmış bir teklifin ikinci aşaması, \"Finansman Gerekli\" aşamasıdır. Burası, toplulukta bir teklifi beğenen ve onun değerini gören herkesin Monero\'larını söz konusu teklife kolayca, hızlı ve özel olarak bağışlayabileceği yerdir.</p>\n<p>Bir teklife bağışta bulunmak için, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS Gerekli Finansman</a>\'e gidin, bağış yapmak istediğiniz teklife tıklayın ve QR kodunu tarayın veya adresi kopyalayın ve ne kadar (veya az!) katkıda bulunmak istersiniz. Ne kadar küçük olursa olsun her zerre yardımcı olur!</p>\n<p>Bir teklif tamamen finanse edildiğinde, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/work-in-progress/\">devam ederken</a> takip edebilir veya <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/completed-proposals/\">tamamlanmış tekliflerin</a>.</p> sonuçlarını görebilirsiniz.\n<p><em>\"Gerekli Finansman\" aşamasında olan tüm teklifleri <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ccs.getmonero.org/funding-required/\">CCS Gerekli Finansman</a>.</em></p>\'de görebilirsiniz.';

  @override
  String get knowledge250Sbcontributing250Sb1250Sbtitle => 'Monero\'nun Topluluk Kitle Fonlaması Sistemi';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtext => '<p>Monero projesine dahil olmanın bir başka harika yolu da, yeni ve mevcut topluluk üyelerini eğitmeye ve güçlendirmeye yardımcı olmaktır. Bu birçok biçimde olabilir, ancak Monero hakkında öğrendiklerinizi sosyal medyada, bir blogda vb. paylaşmak kadar basit olabilir.</p>\n<p>Eğitimde yardımcı olabileceğiniz birkaç somut yol:</p>\n<ul>\n<li>Kendi blogunuzu başlatın</li>\n<li>Twitter\'da veya Reddit\'te Monero hakkında öğrendiğiniz veya yapmayı öğrendiğiniz şeyler hakkında ileti dizileri yazın</li>\n<li>Monero göndermek, bir donanım cüzdanı kullanmak, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://localmonero.co\">LocalMonero.co</a> üzerinde Monero alıp satmak gibi Monero ile yaptığınız günlük şeylerin \"nasıl yapılır\" videosunu yapın.</li>\n</ul>';

  @override
  String get knowledge250Sbcontributing250Sb2250Sbtitle => 'Eğitim';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtext => '<p>Yardım etmenin basit bir yolu, normal sosyal medya caddelerinde aktif olmak ve harika Monero içeriği hakkında konuşmak, eğitim vermek ve paylaşmaktır.</p>\n<p>Monero\'nun bize nasıl yardımcı olduğunu, bu konuda sevdiğimiz şeyleri, iyileştirilmesi gerekenleri ve neden katkıda bulunmayı seçtiğimizi paylaşan kişi sayısı arttıkça, daha fazla insan güçlü bir değerin değerini görebilecek. Monero gibi bir araç.</p>\n<h6 id=\"twitter\">Twitter</h6>\n<p>Twitter, kripto para birimi kullanıcıları (diğerleri arasında) için ortak bir yer ve hem öğrenmek hem de Monero topluluğuyla etkileşim kurmak için değerli bulduğum bir yer. Zaman zaman zehirli ve çetin bir yer olabilse de düzenli olarak harika içerikler yayınlayan harika insanlar var.</p>\n<p>Hiç çekinmeyin ve Monero hakkında paylaşım yapmaya ve oradaki diğer kişilerle etkileşim kurmaya başlayın!</p>\n<p><em>LocalMonero\'yu Twitter\'da bulabilirsiniz <span class=\"citation\" data-cites=\"LocalMoneroCo\"> <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://twitter.com/LocalMoneroCo\">@LocalMoneroCo</a></span>.</em></p>\n<h6 id=\"reddit\">Reddit</h6>\n<p>Reddit, Monero (ve daha geniş kripto para birimi/gizlilik) topluluğuyla etkileşim kurmak için popüler bir yoldur ve daha uzun içerik, medya, haber vb. paylaşmak için harika bir yerdir.</p>\n<p>Orada son derece aktif bir Monero topluluğu var ve en popüler alt redditlerden bazıları:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/Monero/\">r/Monero</a>\n<ul>\n<li>Çoğu Monero tartışması, haberi ve medyasının merkezi</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a>\n<ul>\n<li>Destek almak ve Monero sorunlarıyla ilgili desteğe ihtiyaç duyanlara yardım etmek için harika bir yer</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroCommunity/\">r/MoneroCommunity</a>\n<ul>\n<li>Topluluk odaklı tartışmalar için genel bir yer</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/MoneroMining/\">r/MoneroMining</a>\n<ul>\n<li>Tüm madencilik ihtiyaçlarınız ve tartışmalarınız</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/xmrtrader/\">r/xmrtrader</a>\n<ul>\n<li>Monero ile ilgili fiyat/piyasa/spekülasyonla ilgili tüm tartışmaların adresi. Fiyat/pazarla ilgili konular, topluluğun odaklanmasını sağlamak için diğer tüm Monero alt dizinlerinde genellikle yasaklanmıştır.</li>\n</ul></li>\n</ul>\n<p>Tartışmalara katıldığınızdan, ilginç haberler ve gönderiler paylaştığınızdan ve uygun gördüğünüz yerde katkıda bulunduğunuzdan emin olun!</p>\n<p><em>LocalMonero topluluğunu Reddit\'te <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/LocalMonero/\">r/LocalMonero</a>.</em></p> adresinde bulabilirsiniz.\n<h6 id=\"matrixirc\">Matris/IRC</h6>\n<p>Monero\'nun \"iç işleyişinin\" büyük çoğunluğu, birbirine köprülenmiş iki sohbet ağı olan Matrix ve IRC\'de gerçekleşir. Günlük tartışmalara dahil olmak, toplantılara katılmak veya sadece diğer Monero kullanıcılarıyla sohbet etmek istiyorsanız, Matrix veya IRC\'ye atlamak isteyeceksiniz.</p>\n<p>En yaygın Matrix/IRC kanallarının bir listesi <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/community/hangouts/\">getmonero.org</a>.</p> adresinde mevcuttur.\n<p><em>LocalMonero topluluğunu Matrix\'te <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://matrix.to/#/#localmonero:agoradesk.com\">#localmonero:agoradesk.com</a>.</em></p> odasında bulabilirsiniz.\n<h6 id=\"offline\">Çevrimdışı</h6>\n<p>Arkadaşlarınızı, ailenizi ve diğerlerini de çevrimdışı Monero ile tanıştırmayı unutmayın! Harika bir yol, kişinin <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Cake Wallet (iOS/Android)</a>, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo (Android)</a> veya <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://mymonero.com/\">MyMonero (iOS)</a> gibi bir mobil cüzdan indirmesini sağlamaktır. onlara biraz Monero gönderin ve geri göndermelerini sağlayın.</p>\n<p>Bitcoin ve Monero gibi bir işlem arasındaki bir işlemi <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.exploremonero.com/\">ExploreMonero</a> gibi bir gezginde karşılaştırmak, diğer şeffaf blok zincirlerine kıyasla Monero kullanılarak işlem yapılırken kamuya ne kadar az bilginin ifşa edildiğini görmelerine yardımcı olabilir.[ X4596X]';

  @override
  String get knowledge250Sbcontributing250Sb3250Sbtitle => 'Farkındalık ve katılım';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtext => '<p>Bir süredir Monero\'daysanız veya Monero\'yu nasıl kullanacağınızı ve sorun gidereceğinizi iyi bir şekilde kavradıysanız, dahil olmanın harika bir yolu <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> alt dizinine atlamak ve oraya mesaj gönderen kullanıcılara destek sağlayın.</p>\n<p>Sürekli olarak (normalde) temel sorunlarla ilgili yardıma ihtiyaç duyan kullanıcılar var ve onlara yardımcı olmak için alt dizinde aktif olan yalnızca birkaçımız var. Yeni ve mevcut kullanıcıların sorunlarının üstesinden gelmelerine yardımcı olmak için daha fazla insanın konuya daldığını ve katkıda bulunduğunu görmek harika olurdu!</p>';

  @override
  String get knowledge250Sbcontributing250Sb4250Sbtitle => 'r/monerodestek';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtext => '<p>Belirli konulardaki topluluk tartışmalarının neredeyse tamamı Matrix veya IRC\'de gerçekleşir, bu nedenle yalnızca toplantılardan öğrenmek/takip etmekle ilgileniyorsanız veya aktif olarak katılmak istiyorsanız, bu sohbetlerden birinde <a class=\"next-link\" href=\"#matrixirc\"> kurulum yapmak isteyeceksiniz ağlar</a>.</p>\n<p>Bunu yaptıktan sonra, içinde bulunduğunuz her oda için belirlenen konuya veya planlanmış toplantılar için <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">Monero meta deposuna</a> göz atın.</p>\n<p>Gelmeyi ve katılmayı seçerseniz, lütfen konu düzenine saygılı olun, konudan ayrılmayın ve yalnızca gerektiğinde/çağrıldığında konuşmaya çalışın.</p>';

  @override
  String get knowledge250Sbcontributing250Sb5250Sbtitle => 'topluluk toplantıları';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtext => '<p>İki veya daha fazla dil bilenler için katkıda bulunmanın çok önemli bir yolu, İngilizceden diğer dillere çevirilere yardımcı olmaktır. Ekosistem genelinde çevrilecek yeni dillere ve mevcut dillerin güncellenmesine her zaman ihtiyaç vardır ve aktif olarak ne kadar çok dili desteklersek, Monero o kadar kapsayıcı ve ulaşılabilir hale gelecektir.</p>\n<p>Çeviri ihtiyaçlarını ve bilgileri <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://translate.getmonero.org/\">translate.getmonero.org</a> adresinde veya <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-ecosystem/monero-translations\">Github</a>.</p> adresinde bulabilirsiniz.';

  @override
  String get knowledge250Sbcontributing250Sb6250Sbtitle => 'Çeviriler';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtext => '<p>Geliştirici olmayanların Monero\'ya katkıda bulunmasının son yolu, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.reddit.com/r/monerosupport/\">r/monerosupport</a> veya <a class=\"next-link\" href=\"#matrixirc\">Matrix/IRC</a> veya yazılımın iyileştirilmesi için bir alana bakın.</p>\n<p>Bir sayı açmaya gittiğinizde:</p>\n<ul>\n<li>Sizinle ilgili mevcut bir sorun olmadığından emin olun\n<ul>\n<li>Sizinkilerle ilgili anahtar kelimeler için <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/issues\">Github\'da açık sorunları arayın</a></li>\n</ul></li>\n<li>Mümkün olduğu kadar çok bilgi sağlayın\n<ul>\n<li>Normal sorun gidermenin çözemediği bir sorun yaşıyorsanız şunlardan emin olun:\n<ul>\n<li>Sorunla karşılaştığınızda ilgili tüm günlükleri toplayın</li>\n<li>Çalıştırdığınız Monero yazılımının sürümünü toplayın<br />\n</li>\n<li>Sisteminizin işletim sistemini ve sürümünü toplayın</li>\n<li>İlgili mevcut sorunlara, Reddit ileti dizilerine vb. bağlantı</li>\n</ul></li>\n</ul></li>\n<li>Sorununuzla ilgili güncellemelerin yanıtlarını ve bildirimlerini takip edin\n<ul>\n<li>Genellikle daha fazla bilgi veya açıklamaya ihtiyaç duyulur, bu nedenle, sorununuzla ilgili olarak sizin de girmenizi gerektirebilecek güncellemeler ve yorumlara dikkat edin</li>\n</ul></li>\n</ul>\n<p>Sayıda ne kadar çok bilgi verirseniz o kadar iyi!</p>';

  @override
  String get knowledge250Sbcontributing250Sb7250Sbtitle => 'Dosyalama sorunları';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtext => '<p>Umarım bu rehber, benzersiz beceri setinizi, geçmişinizi ve deneyiminizi kullanarak Monero\'ya nasıl geri verebileceğiniz konusunda bazı fikirlere yol açmıştır. Topluluk bunun gibi yollarla ne kadar çok geri verirse, Monero o kadar büyük ve olgun olacak ve özel, takas edilebilir, kendi kendine yeten, sansüre dayanıklı para hedeflerini o kadar kolay gerçekleştirebiliriz.</p>';

  @override
  String get knowledge250Sbcontributing250Sb8250Sbtitle => 'Çözüm';

  @override
  String get knowledge250Sbcontributing250Sbdescription => 'Monero\'nun başarısı topluluk katkılarına bağlıdır - bugün biz geliştirici olmayanların geri verebileceği bazı yolları keşfedeceğiz.';

  @override
  String get knowledge250Sbcontributing250Sbtitle => 'Monero\'ya geri katkıda bulunmak';

  @override
  String get knowledge250Sbcritical250Sb0250Sbtext => '<p>Her bireyin, kripto para birimi olan vahşi batıda seyahat etme konusunda kendi hikayesi vardır. Bazıları spekülasyon yapacak bir yer bulur, bazıları arkadaş bulur ve diğerleri inandıkları teknolojiyi bulur. Farklılıklara rağmen, farklı kriptolar ve topluluklar arasında bile genellikle birçok benzerlik vardır. Bunlardan biri, kripto topluluklarının çoğunda yer alan kült davranışlara rahatsız edici benzerlik.</p>\n\n<p>Bu davranışları fark etmek zor değil. Herhangi bir eleştiriyi kabul edememek ve kanıtlar karşısında bile kusurları kasten görmezden gelmek sadece birkaç örnektir. Bazı mekanlarda amigoluk o kadar bariz hale geliyor ki, herhangi bir olumsuzluk disiplin cezasına çarptırılıyor.</p>\n\n<p>İyi projeleri desteklemeye çalışan ve <a target=\"_blank\" href=\"/knowledge/monero-scams\" class=\"next-link\">tüm paranızı kaybetmemeye çalışan bir kripto para gezgini olarak</a>, tüm kripto para meraklıları eleştirel düşünmeye ve projeleri gerçek dünyadaki değerlerine göre değerlendirmeye teşvik edilir, ancak buna yaklaşmaya ne dersiniz? diğer yönden? Projelerin kendilerinin öz eleştiri yapması ve öz farkında olması mı gerekiyor?</p>\n\n<p>Evet diyoruz. Topluluğun kendisi, projenin ve içindeki liderlerin bir yansımasıdır. Ayrıca, anlayışlı bir topluluk, geliştiricilerinden daha fazlasını bekleyecek ve geliştiricilerin kendileri veya dış çıkarlar yerine kullanıcıların yararına çalıştığına körü körüne güvenmek ve kabul etmek yerine önerilen çözümleri eleştirebilecektir.</p>\n\n<p>Tersine, yalnızca fiyatı önemseyen ve eleştirel olarak öz değerlendirme yapamayan veya yapmaya istekli olmayan (veya başkalarının değerlendirmesine izin vermeyen) bir topluluk, sıradanlığın içinde yuvarlanmaya mahkumdur.</p>\n\n<p>Bir proje olarak Monero, geliştiricilerini, araştırmacılarını, liderlerini ve topluluğunu en yüksek standartlarda tutmaya ve artan kayıtsızlık ve yıkıcı ilgisizliğin riskini en aza indirmeye çalışıyor.</p>\n\n<p>Monero\'nun bunu yapma yollarından biri, Pazar günü topluluk alt dizininde haftalık bir Şüphecilik düzenlemektir. Bu, insanların Monero, protokol, liderlik veya sahip olabilecekleri diğer endişeler hakkındaki endişelerini dile getirebilecekleri bir yerdir. Soruların ve hatta güvensizliğin açıkça teşvik edildiği ve ekosistemimizin sağlığı için gerekli görüldüğü bir yer.</p>\n\n<p>Bu, yalnızca eleştiriden kaçınmakla kalmayan, aynı zamanda genellikle ilgisizliği teşvik eden ve topluluklarından uzaklaştırılan diğer birçok toplulukla taban tabana zıttır. Bunu söylemek zor gelebilir ama diğer coinlerin buluşma yerlerinde görülen muhaliflerin ekosistem genelinde yasaklanmasına, sohbetin kapatılmasına ve amigoluğun teşvik edilmesine bakıp da bu sonuca varmamak mümkün değil.</p>\n\n<p>Bu, Monero\'nun amigo kızları olmadığı anlamına gelmez, çünkü var. Ancak ilginç olan şey, birçok topluluk üyesinin bu amigo kızlara seslenip onları daha yüksek bir davranış standardına çağıracak olmasıdır. Aslında Monero, gereksiz aşırı amigoluğu spam olarak değerlendirecek kadar ileri gidiyor ve onu daha uygun yerlere yeniden yönlendirmeye veya tamamen kaldırmaya çalışacak.</p>\n\n<p>Bodur beyin tehdidi ciddiye alınmalı. Gizlilik, herkesin tetikte olması gereken bir silahlanma yarışıdır ve \"Monero en iyisidir!\" ve “Hiçbir şey Monero\'yu yenemez! Kırılmaz! sadece savaşın aciliyetini azaltın. Bu açıdan bakıldığında, bir toplulukta eleştirel düşünme ve sağlıklı şüphecilik eksikliği sadece sinir bozucu veya kült değil, aynı zamanda protokolün kendisinin düşmesine yol açabilir.</p>\n\n<p>Bunun gerçek hayatta nasıl işlediğine dair örnekler için birçok yönden Bitcoin\'e bakabiliriz. Bitcoin maksimalistleri sık sık birbirlerine Bitcoin\'in erdemleri hakkında bilgi verir ve erdem sinyali verirler ve gizlilik, değiştirilebilirlik veya ölçeklendirme sorunları ortaya çıktığında sorular el sallanır ve suçlular topluluktan atılır. Çoğu zaman meşru soruları olan kişiler, sırf üzerinde anlaşmaya varılan retoriğe uymadıkları ve soru sormaya cesaret edemedikleri için kendilerini Bitcoin topluluklarına katılımdan yasaklanmış, engellenmiş veya başka bir şekilde dışlanmış bulmuşlardır.</p>\n\n<p>Bu yorgun gezginler tekrar tekrar Monero\'ya giden yolu buluyor ve toplulukta biraz zaman geçirdikten sonra, mantıklı tartışmaları ve rahatsız edici sorulardan korkmaması nedeniyle projeyi övdü. Bu gezginlerin diğer madeni paraları tartışmak istemeleri duyulmamış bir şey değil, saçmalamak istedikleri için değil, topluluğun mantığına ve mantığına güvenmeye başladıkları ve başka bir madeni para hakkında dürüst görüşler istedikleri için, alamadıkları bir şey. coin topluluğunun kendisi.</p>\n\n<p>Monero\'nun geçmişte ve günümüzde sürekli olarak hard fork yapması gerçeği bile projenin alçakgönüllülüğünü ve gücünü gösterdi. Bazıları sert çatalları <a target=\"_blank\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" class=\"next-link\">geliştiriciler üzerinde merkezileşme</a> olarak kınasa da, bu bir dereceye kadar doğrudur, ancak bu, geliştiricilerin her şeyi ilk seferde %100 doğru yapma ihtimallerinin zayıf olduğunu anladıklarını gösterir. Monero hem gizlilik hem de kripto para alanlarında rekabetçi kalmak istiyorsa bazı şeylerin iyileştirilmesi ve hatta tamamen değiştirilmesi gerekecek.</p>\n\n<p>Çoğu zaman, bu değişiklikler geriye dönük uyumluluğu bozar, her şeyin yumuşak bir çatal ve geriye dönük uyumlu olması gereken Bitcoin protokolünde büyük bir hayır-hayır. Ancak bu, Bitcoin\'in kendi kendine yaptığı her bir değişikliğin kapsamının çok sınırlı olduğu anlamına gelir. Geçmişleri tarafından ezilirler ve iyileştirmeler, çoğu zaman anlamsız bir şekilde, onu onurlandırmak zorundadır. Oysa Monero\'nun değişiklikleri kapsamlı olabilir ve çoğu zaman protokolü ve gizliliği birkaç büyüklük sırasına göre iyileştirir.</p>\n\n<p>Bu, <a target=\"_blank\" href=\"/knowledge/monero-ringct\" class=\"next-link\">RingCT</a>\'in dahil edilmesinde kolayca görülebilir. Daha önce Monero yalnızca <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">gizli adresler</a> ve <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">halka imzaları</a> içeriyordu ve miktarlar görünürdü. Bir MRL araştırmacısı olan Shen Noether, Monero için tutarları gizleyen mevcut bir protokolü değiştirdi, ancak bunun dahil edilmesi geriye dönük uyumluluğu bozabilir, yani şeffaf tutarlarla eski tarz işlemlere artık izin verilmeyecektir.</p>\n\n<p>Monero bu riski aldı ve sonuç, Monero\'nun gizlilik madeni paralarının kralı konumunu sağlamlaştıran çok daha gelişmiş bir gizlilik oldu. Ama gösterdiği tek şey bu değildi. Bu çatalın yanı sıra birkaç sonraki ve topluluk içinde şüpheciliği, alçakgönüllülüğü ve sorgulamayı teşvik etmenin yanı sıra, Monero\'yu kripto alanındaki en keskin, en kritik zihin koleksiyonlarından biri olarak sağlamlaştırdı.</p>';

  @override
  String get knowledge250Sbcritical250Sbdescription => 'Kripto meraklıları, eleştirel düşünmeye ve projeleri gerçek dünya değerlerine göre değerlendirmeye teşvik ediliyor, ancak projelerin kendilerinin de özeleştiri yapması ve özfarkında olması mı gerekiyor?';

  @override
  String get knowledge250Sbcritical250Sbtitle => 'Monero Neden En Eleştirel Düşünen Topluluğa Sahip?';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtext => '<p>Bir kripto para birimi olarak Monero, çıplak gözle çok sıkıcı görünebilir. “Dünya bilgisayarı” olmak ya da “xyz endüstrisinde devrim yaratmak” gibi büyük bir şöhret iddiası yok. Sadece özel, dijital, takas edilebilir bir para olmaya çalışıyor ve her yükseltme ve yeni teknoloji bu amacı daha da ileriye taşıyor. </p>\n<p>\nBu hedefi çok dar veya ilgisiz bulanlar, özellikle blok zinciri gibi kalıcı, açık bir defterde anlamlı bir mahremiyet elde etmenin ne kadar zor olduğunu genellikle anlamıyorlar. Meta veri sızıntısı için herhangi bir yol, gizliliğin aşınması için bir potansiyeldir.</p>\n<p>\nMonero, sırasıyla gizli adresler, halka imzalar ve Pedersen taahhütleri aracılığıyla alıcı, gönderici ve miktarlar gibi zincir üzerindeki verileri gizlemek için önlemler alır. Bu, işlemler zaten gönderildikten ve artık kayıtlı tarihin bir parçası olduktan sonra sıradan bir gözlemcinin kritik bilgileri çıkarım yapma şansını en aza indirir. Bununla birlikte, bir işlem gerçekleştiği anda yapılabilecek ve daha sonra gerçekleştirilemeyecek bazı saldırılar vardır.</p>';

  @override
  String get knowledge250Sbdandelion250Sb0250Sbtitle => 'Öncelik olarak gizlilik';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtext => 'Bu saldırılar, bir işlemin hangi IP adresinden geldiğini belirleme etrafında döner. Bu bilgi çıkarılırsa, bir kişinin bir Monero işlemi gönderdiği ortaya çıkabilir. Kime ve ne kadar olduğunu gösteremiyor ama Monero kullanan birinin bilgisinin zarar vermeye yettiği bazı durumlar var.\n<br/><br/>\nİyi haber şu ki, işlem yapıldığı anda bu bilgi toplanmazsa, IP adresleri blok zincirinde saklanmadığı için daha sonraki bir tarihte öğrenilemez. Saldırganın bunu gerçekleştirmek için ağdaki düğümlerin büyük bir çoğunluğuna ihtiyacı olacağından, böyle bir saldırının vahşi doğada görülme olasılığının düşük olduğunu bilmek de rahatlatıcıdır. Bununla birlikte, bir kişi bu büyük çoğunluğa hükmedebilseydi, bir işlemin geldiği \"yön\"ü belirleyebilirdi.\n<br/><br/>\nBu kafa karıştırıcı olabilir, bu yüzden burada bazı arka plan bilgilerini açıklayacağız. Her düğüm, ağdaki diğer düğümlere bağlanır, böylece blok zincirlerini güncel tutabilir ve bildiklerini başkalarıyla paylaşabilirler. Bu bağlantılar, yeni işlemler hakkında bilgi edinmelerine, bunları yaymalarına ve kendilerininkini göndermelerine olanak tanır. Bir düğüm, akranlarına yalnızca bildikleri işlemler hakkında bilgi verebildiğinden, bir işlemi yayan ilk düğümün aslında Monero gönderen düğüm olması mantıklıdır.\n<br/><br/>\nBir saldırgan, ağdaki düğümlerin büyük bir çoğunluğuna sahipse, her düğüm, eşlerinden birinden bir işlem duyar ve her düğümün bu bilgiyi aldığı zamanlamaya bağlı olarak, işlemin başladığı yer için olası adayları çıkarabilir.\n<br/><br/>\nBu hala kafa karıştırıcıysa, bu örneği sunuyoruz. İkimizin de vizyonumuzdan saklanan ortak bir arkadaşımız olduğunu varsayalım. Bu arkadaş yüksek sesle sesleniyor. Aramasını önce ben duyuyorum ve sizden daha yüksek sesle duyuyorum. Bu bilgiden, arkadaşımıza muhtemelen senden daha yakın olduğumu bilebiliriz. Sesi daha sonra duymanız (bir saniye bile olsa) ve sesin daha sönük olması, aramaya sizin bölgenizde değil, benim bölgemde başlamamız gerektiği anlamına gelir.\n<br/><br/>\nSaldırgan, kendi düğümüne bağlı IP adresine sahip olduğu ve kendisine ilettiği için işlemi hangi eşlerinin gönderdiğini başarılı bir şekilde tahmin edebiliyorsa, işlemi gönderen IP adresinden emin olabilir. IP adresleri, kullanıcının ülkesi ve internet servis sağlayıcısı (ISP) hakkında bilgiler içerdiğinden ve ISP\'ler hangi kullanıcının tam olarak hangi IP adresine bağlı olduğunu bildiğinden, Monero kullanıcısını etkin bir şekilde anonimleştirdiğinden, bu güçlü bir bilgidir.';

  @override
  String get knowledge250Sbdandelion250Sb1250Sbtitle => 'IP adresini ortaya çıkarmak için saldırı';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtext => 'Bu saldırı için olası bir hafifletme, Tor veya I2P gibi bir yer paylaşımlı ağ kullanılmasıdır. Bu, bir saldırgan bir kaynak IP adresi çıkarsa bile, muhtemelen işlemi yapanın değil, yer paylaşımlı ağın outproxy (I2P) veya çıkış düğümünün (Tor) gerçekleşmesini sağlar. Bununla birlikte, yer paylaşımlı ağlar, VPN\'ler ve benzer yazılımlar birçok ülkede yasaklandığından ve herkesin bu ağları kullanmasını, senkronize etmesini ve yaymasını beklemek gerçekçi olmadığından, bu her şeyi kapsayan bir çözüm değildir. Harici yazılım ve ağların kullanımını gerektirmeyen bir çözüm olması gerekiyor; sıradan bir kişi için mevcut olan.\n<br/><br/>\nBu çözüm, Bitcoin için orijinal Dandelion önerisine yükseltilmiş bir protokol olan Dandelion++\'dır (DPP). Bu protokolde iki aşama vardır, gövde aşaması ve tüy aşaması; ikisinin birlikte bir karahindiba şeklini temsil etmesi gerekiyor.\n<br/><br/>\nKök aşamasında, birkaç dakikada bir gönderen düğüm, bağlı olduğu tüm düğümlerden rastgele iki eş seçer. Gönderen düğüm, kendisi adına veya sadece kök aşamasındaki başka bir düğümden işlemi ileterek bir işlem gönderdiğinde, seçilen bu iki eşten birini rastgele seçer ve işlemi ona gönderir.\n<br/><br/>\nKabarık faz, bir düğümün bir işlem aldığı ve bunu yalnızca rastgele seçilen bir bağlantı yerine her giden bağlantıya yayınladığı zamandır, bu gerçek işlem yayılımına izin verir. Her birkaç dakikada bir, bir düğüm kendisini ya kök yoluyla ya da tüy yoluyla rastgele yayılacak bir düğüm olarak tanımlar, bu nedenle, her bağlantı düğümü kendisini bir kök düğüm olarak tanımladıysa, ancak işlem tüy aşamasına ulaştığında, bir kök aşaması oldukça uzun olabilir. orada kalır.\n<br/><br/>\nBu, bir saldırganın artık bir işlemin yönünü basitçe dinleyemeyeceği anlamına gelir, çünkü işlem herkese yayılmadan önce kök aşamasından geçmiştir ve kabartma aşamasının kaynak düğümü, işlemin kaynaklandığı düğüm değildir. ve işlemin gövde boyunca kaç atlama geçirdiği bilinmiyor.\n<br/><br/>\nElbette, yukarıdaki çözümleri (DPP artı bir yer paylaşımlı ağ) birleştirmek, IP izlemeye karşı daha güçlü gizlilik ve koruma garantileri sağlayacaktır. DPP\'nin ISP\'lerle yapılabilecek başka bir ağ izleme saldırısına karşı savunma yapmadığına da dikkat edilmelidir, ancak bu, bu makalenin kapsamı dışındadır.\n<br/><br/>\nDandelion++, Monero ağında yayınlanacak ve 0.16 sürümünde referans istemcide varsayılan olarak kullanılacak şekilde ayarlanmıştır. Bu küçük değişiklik, Monero ağındaki olası saldırıları daha da azaltacak ve Monero\'nun neden pratik, uygulamalı gizlilik teknolojilerinde lider olduğunu gösteriyor.';

  @override
  String get knowledge250Sbdandelion250Sb2250Sbtitle => 'hafifletme(ler)';

  @override
  String get knowledge250Sbdandelion250Sbdescription => 'Monero, zincir üstü verileri gizlemek için önlemler alır, ancak bir işlem gerçekleştiği anda yapılabilecek ve daha sonra gerçekleştirilemeyecek bazı saldırılar vardır.';

  @override
  String get knowledge250Sbdandelion250Sbtitle => 'Dandelion++, Monero\'nun İşlem Kökenlerini Nasıl Gizli Tutar?';

  @override
  String get knowledge250Sbdescription => 'Monero\'yu özel yapan nedir? Bilgi sayfamızdaki makaleleri ve kılavuzları okuyarak öğrenin.';

  @override
  String get knowledge250Sbeconomy250Sb0250Sbtext => '<p>Kripto para birimlerinin hayatta kalması, büyümesi ve kullanılabilirliğinin en önemli yönlerinden biri döngüsel ekonomilerin oluşmasıdır. Bunların Bitcoin ve diğer kripto para birimlerinde küçük ölçekte ortaya çıktığını gördük, ancak Monero\'nun benzersiz bir şekilde döngüsel ekonomiler oluşturmamızı ve bunlara katılmamızı sağlayan birden fazla özelliği var.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtext => '<p>Eminim hepiniz geniş bir konu olarak ekonomilere aşina olsanız da, \"döngüsel ekonomi\" fikri, kripto para birimi dünyasının dışında nadiren tartışılan bir fikirdir. Döngüsel ekonomileri bu kadar önemli ve özel yapan şey, hizmetlerin, ürünlerin ve malların <em>doğrudan Monero</em>.</p> için ticaretine izin veren gerçekten serbest piyasalar yaratmalarıdır.\n<p>Katılımcıların sürekli olarak yasal paraya girip çıkması gerekmez, ancak Monero\'larını sistem içinde tutabilir, normal ekonominin sürtüşmeleri, gözetimi veya kısıtlamaları olmadan doğrudan Monero\'da kazanabilir, biriktirebilir ve harcayabilirler.[ X606X]\n<p>Döngüsel ekonomiler genellikle tamamen \"olağanüstü\" ve yasaldır, ancak yasal para dünyasındaki normal \"beyaz piyasalar\" ile karşılaştırıldığında daha çok \"gri piyasalar\" olarak işlev görür.</p>';

  @override
  String get knowledge250Sbeconomy250Sb1250Sbtitle => 'Döngüsel ekonomiler nelerdir?';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtext => '<h6 id=\"remove-the-reliance-on-the-states-approval-and-id-system\">1. Devletin onayına ve kimlik sistemine olan güveni ortadan kaldırın</h6>\n<p>Bu nokta çoğu batılı veya istikrarlı bir ülkede kimlik sistemiyle yaşamış insanlar için geçerli olmayabilir, ancak iş yapmak, geçimini sağlamak ve istediğimizi satın almak için devlet tarafından verilen kimliklere ve onaylara güvenmemiz hayatta kalma ihtiyacı, devletin “uygunsuz” gördüklerini kolayca kesmesini sağlar.</p>\n<p>Bu <em>sadece suçlular değil</em> ve siyasi muhalifler, dini azınlıklar, ırksal azınlıklar vb. ve satın alıp/satabileceğimiz şeyler – esasen uyumluluğa dayalı olarak her vatandaş için ölüm kalım meselesini seçmek.</p>\n<p>Döngüsel ekonomiler inşa ederek bu bağımlılığı ortadan kaldırmak, devletin bizim hakkımızda ne düşünürse düşünsün hayatta kalmamıza ve gelişmemize izin vererek, bir ekonomiye girme becerimiz üzerindeki devletin gücünü ortadan kaldırır.</p>\n<h6 id=\"reduce-the-governments-control-of-monero-and-monero-users-via-fiat-onoff-ramps\">2. Fiat açma/kapama rampaları</h6> aracılığıyla hükümetin Monero ve Monero kullanıcıları üzerindeki kontrolünü azaltın\n<p>Monero\'nun inanılmaz derecede güçlü gizlilik garantileri ve ademi merkeziyetçiliği, insanların onu uygun gördükleri şekilde kullanmalarını engellemeyi son derece zorlaştırıyor (hatta imkansızlaştırıyor). Monero\'nun bir özgürlük aracı olarak gücünün güçlü teknik temeli nedeniyle, hükümetler, Monero kullanıcılarını kontrol etmek veya ağın etkinliğini azaltmak için en iyi şanslarının, güzel ve düzenli bir liste derlerken Monero\'ya kimlerin erişebileceğini kontrol etmek olduğunu hızla fark ediyorlar. Müşterinizi Tanıyın (KYC) borsaları aracılığıyla Monero kullanıcıları.</p>\n<p>Döngüsel ekonomiler oluşturduğumuzda, yasal para giriş/çıkış rampalarını eskisi kadar sık (hatta hiç!) kullanmamıza gerek kalmıyor ve bu nedenle, eylemlerimiz üzerindeki devlet kontrolünü ortadan kaldırabiliyoruz.</p>\n<p>Bunu, merkezi KYC borsalarını kullanmayı reddederek ve burada LocalMonero\'da eşler arası ticaret yaparak da yapabiliriz.</p>';

  @override
  String get knowledge250Sbeconomy250Sb2250Sbtitle => 'Neden döngüsel ekonomiler inşa etmemiz gerekiyor?';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtext => '<p>Monero, Bitcoin\'in döngüsel ekonomileri yeni bir şekilde mümkün kılan temel özelliklerinden bazılarını paylaşsa da (sansüre dayanıklı ödemeler, p2p işlemleri vb.), döngüsel ekonomiler inşa etmek ve bunlarla ilgilenmek isteyenlere kesinlikle benzersiz bir güç getiriyor. .</p>\n<h6 id=\"monero-enables-global-p2p-transactions-without-fear-of-surveillance-or-censorship\">1. Monero, gözetim veya sansür korkusu olmadan küresel p2p işlemlerini mümkün kılar</h6>\n<p>Monero kullanıcılarının, işlemlerinin kitlesel gözetimi ve hatta hedeflenen sansürü konusunda endişelenmesine gerek yoktur, bu da benzersiz bir gönül rahatlığı sağlar ve ticaret üzerindeki herhangi bir yükü önler. Seçtiğiniz Monero cüzdanını kullanarak, herhangi bir gözetim olmaksızın, dünyadaki herhangi biriyle istediğiniz zaman işlem yapabilirsiniz.</p>\n<h6 id=\"fungibility-removes-the-risk-of-tainted-coins-and-ensures-trust\">2. Değiştirilebilirlik, lekeli madeni para riskini ortadan kaldırır ve güven sağlar</h6>\n<p>Monero karşılanabilir olduğundan (ne olursa olsun 1 XMR, 1 XMR\'ye eşittir), döngüsel ekonomideki katılımcıların gönderip aldıkları fonlar hakkında endişelenmelerine gerek yoktur. Gönderdikleri herhangi bir Monero, diğer işlemlerine kadar izlenemez ve geçmişi yoktur ve bu nedenle geçmişe dayalı olarak sansürlenemez ve alınan Monero her zaman tam piyasa değerinde serbestçe harcanabilecektir. Bu değiştirilebilirlik, katılımcıların gönül rahatlığına katkıda bulunur, zincir analiz şirketlerinin zorla döngüsel ekonomilere girmemelerini sağlar ve bir takas yöntemi olarak Monero\'ya olan güvenin bozulmasını önler.</p>\n<p>Bir takas yöntemi olarak Bitcoin\'e olan güvenin mevcut çöküşü, Bitcoin\'in Monero\'nun mevcut olduğu döngüsel ekonomilerdeki çekişini hızla kaybetmesine yol açıyor. İnsanlar fonları leke olup olmadığını kontrol etmek, özgürce harcayabilecekleri konusunda endişelenmek veya kendilerini yasal veya düzenleyici sorunlardan korumak için herhangi bir zincirleme analiz aracı kullanma ihtiyacı hissetmek istemiyorlar.</p>\n<h6 id=\"moneros-low-fees-ensure-a-free-flow-of-commerce\">3. Monero\'nun düşük ücretleri serbest bir ticaret akışı sağlar</h6>\n<p>Monero işlemleriyle ilgili anlaşılması gereken en basit noktalardan biri, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/monero-tail-emission\">kuyruk emisyonu</a> ve <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"   href=\"https://localmonero.co/knowledge/dynamic-block-size\">dinamik blok boyutu</a> sayesinde işlem ücretlerinin inanılmaz derecede düşük olması ve uzun vadede makul kalacağıdır. .</p>\n<p>Bu düşük ücretler, blockchain tıkanıklığının miktarı ne olursa olsun ticaretin serbestçe akmasını sağlayarak, katılımcıların işlemlerini denemek ve zamanlamak veya düşük ücretli işlemleri onaylamak için saatler/günler beklemek için üzerindeki zihinsel yükü ve stresi daha da azaltır. Bugün yaklaşık 1 sentlik ücretlerle, herhangi bir işlem boyutuyla, ücretler hakkında endişelenmeden özgürce işlem yapabilirsiniz.</p>';

  @override
  String get knowledge250Sbeconomy250Sb3250Sbtitle => 'Monero bu döngüsel ekonomileri benzersiz bir şekilde nasıl mümkün kılıyor?';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtext => '<p>Nihayetinde, Monero olması gerektiği gibi bir dijital paradır. Devletin kontrolünden veya gözetiminden bağımsız dijital, küresel ve p2p işlemlerinin tüm avantajlarıyla birlikte nakit işlem yapmanın gönül rahatlığı, takas edilebilirliği ve gizliliği. Dijital nakit olarak hareket etme yeteneği, günümüzde döngüsel ekonomileri benzersiz bir şekilde mümkün kılıyor ve Bitcoin gibi diğer kripto para birimlerinin yapamayacağı şekilde zaman içinde büyümelerine ve gelişmelerine yardımcı oluyor.</p>';

  @override
  String get knowledge250Sbeconomy250Sb4250Sbtitle => 'Çözüm';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtext => '<p>Meraklıysanız ve döngüsel ekonomileri daha iyi anlamak ya da bugün bir ekonomiye katılmaya başlamak istiyorsanız başlamak için harika yerler için aşağıdaki bağlantılara bakın:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/kyc-free-bitcoin-circular-economies\">“KYC- ücretsiz Bitcoin döngüsel ekonomileri: Piyasaları özgür bırakın, dünyayı özgür bırakın” - Anarkio</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bitcoinmagazine.com/business/its-time-to-join-the-bitcoin-circular- ekonomi/\">\"Bitcoin Döngüsel Ekonomisine Katılma Zamanı\" - Ragnar Lifthrasir</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monerica.com/\">“Monerica.com - Döngüsel Monero ekonomisi için bir dizin”< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cryptwerk.com/pay-with/xmr/\">Monero Satıcıları - Cryptwerk</a> </li>';

  @override
  String get knowledge250Sbeconomy250Sb5250Sbtitle => 'Daha fazlasını nasıl öğrenebilirim?';

  @override
  String get knowledge250Sbeconomy250Sbdescription => 'Bugün, Monero\'nun dijital nakit olarak hareket etme yeteneğinin döngüsel ekonomilerin gelişimini benzersiz bir şekilde nasıl mümkün kıldığını ele alıyoruz.';

  @override
  String get knowledge250Sbeconomy250Sbtitle => 'Monero döngüsel ekonomileri benzersiz bir şekilde nasıl mümkün kılar?';

  @override
  String get knowledge250Sbemission250Sb0250Sbtext => '<p>Çoğu insan Monero\'yu neyin farklı kıldığını düşündüğünde, Monero\'nun gizlilik teknolojisini düşünür. Gerçekten de çoğu kişi gizliliği ve kilidini açtığı değiştirilebilirliği Monero\'nun belirleyici özelliği ve diğer madeni paralarla karşılaştırıldığında yüzüğe getirdiği ana silah olarak kabul eder. Çoğu insanın bilmediği şey, Monero\'nun Bitcoin ve türevlerinden bazılarının Monero\'nun gizlilik teknolojileri kadar önemli olduğunu iddia edebileceği başka protokol farklılıkları içerdiğidir. Bu yazıda bunlardan birine bakacağız: kuyruk emisyonu.</p>\n\n<p>Önce bu terimin ne anlama geldiğini tanımlayalım. Kuyruk emisyonu, \'son\' Monero basıldıktan sonra bile, blok ödüllerinin kesintisiz bir sübvansiyonudur. Başka bir deyişle, Monero\'nun blok ödülü asla sıfıra düşmeyecek, bunun yerine blok başına 0,6 XMR\'ye ulaşana kadar düşecek ve sonra sonsuza kadar orada kalacak. Madencilere her zaman Monero madenciliği yapmak için ödeme yapılacak ve asla yalnızca bir ücret piyasasına güvenmek zorunda kalmayacaklar.</p>\n\n<p>Ama bir an için geri adım atalım ve madenciliğe çok yüksek bir seviyede bakalım. Monero madencileri, hash madenciliği yaparak bir ağı güvence altına almaya teşvik edilir. Teşvik, yeni bir blok bulurlarsa Monero yapma fırsatıdır. Bu Monero iki şekilde verilir. İlk olarak madenci, işlemlerinin bloğa dahil edilmesi için ödeme yapan her kullanıcının ödediği ücreti alır. Bunlar, bir işlem gönderdiğinizde ödediğiniz işlem ücretleridir. İkincisi, madenci protokolün kendisinden önceden belirlenmiş miktarda Monero alır. Çoğu durumda, bu \"blok ödülü\", kullanıcı işlem ücretlerinden önemli ölçüde yüksektir ve madencilerin en çok parayı kazandığı yerdir. Bu blok ödülü, madencilerin zincirin güvenliğine finansal olarak yatırım yapmalarını sağlamanın yanı sıra yeni madeni paraları dolaşıma sokmaya da hizmet ediyor.</p>\n\n<p>Çoğu kripto para birimi protokolünde, bu blok ödülü zamanla azalacak şekilde ayarlanmıştır. Çoğu Bitcoin türevi, blok ödülünün yarıya indiği (20 BTC\'den 10 BTC\'ye gibi) zaman içinde önceden belirlenmiş noktalar olan yarılanma olarak adlandırılan şeylere sahiptir. Bu yarılanmalar birkaç yılda bir gerçekleşir ve her gerçekleştiğinde ağdaki güvenlik azalır. Neden? Niye? Okuyucuyu Madencilik ve RandomX</a> hakkındaki <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">makalemizi okumaya teşvik ediyoruz ve bunu yaparken madenciliğin bir yarış olduğunu öğrenecekler. Blok ödülleri yalnızca blok bulanlara verilir ve bunu yapmak için yarışan birçok varlık vardır. Ödüller daha yüksek olduğunda, daha fazla insan bu oyunu oynamakla ilgilenirken, ödüller düşük olduğunda, daha az insan, hatta bunu yapacak donanıma sahip olanlar, zamanlarını ve kaynaklarını küçük bir kazanma şansı için kullanmaya istekli olacaktır. ödül.</p>\n\n<p>Şimdiden Monero\'nun kuyruk emisyonunun nedenini yüzeysel olarak çizmeye başladık. Monero da azalan bir blok ödülüne sahiptir, ancak Bitcoin\'den farklı olarak yarılanma yoktur. Bunun yerine, her bir blok ödülü bir öncekinden çok az miktarda daha azdır, bu nedenle azalma çok daha yumuşaktır. Ancak tüm kripto para birimleri için soru şu: \"Blok ödülü sıfıra ulaştığında ne olur?\" Bu, cevabını hem bildiğimiz hem de bilmediğimiz garip bir durum. Bildiğimiz kısım, artık blok ödül sübvansiyonu olmayacak, bu da madencilerin yalnızca kullanıcı işlem ücretleriyle teşvik edilmesi gerektiği anlamına geliyor. Bilmediğimiz şey, bu miktarların madencilerin zinciri emniyete alması için yeterli olup olmayacağıdır.</p>\n\n<p>Daha önce de belirtildiği gibi, şu anda, blok ödülü işlem ücretlerinden önemli miktarda daha ağır basmaktadır, bu nedenle, daha fazla kullanıcı zinciri kullandıkça ücretlerin artacağı ve artan ücretlerle madencilerin buna değeceği umulmaktadır. madenciliğe devam etme zamanı. Ancak bu senaryonun başka bir tarafı daha var, kullanıcıların tarafı. Ücretler artarsa, o zaman herkes için kripto para birimi ile işlem yapmak çok daha pahalı hale gelecek ve potansiyel olarak yeterli parasal kaynağa sahip olmayanlardan onu uzaklaştıracaktır. Ancak öte yandan, ücretler düşük kalırsa ve blok ödülü sıfıra düşerse, o zaman çok az madenci ağı güvence altına alır ve ağı %51 saldırılarına ve ters işlemlere karşı savunmasız bırakır.</p>\n\n<p>Kimsenin bu senaryo için iyi yanıtları yok ve hiçbir büyük koin kripto para biriminin yaşamının bu aşamasına henüz girmedi, dolayısıyla onunla gerçek dünya deneyimimiz de yok. Hepsi spekülasyon. Bir kumar. Bitcoin, yoksulları dışlamak anlamına gelse bile, ücretlerin madencileri geçindirmek için yeterli olacağına dair iddiaya giriyor. Monero farklı bir bahis yapar. Monero, zincir güvenliği için ücretlerin tek başına yeterli olmayacağına bahse girer, bu nedenle protokolün bir parçası olarak bir kuyruk emisyonu içerir.</p>\n\n<p>Okuyucuya, blok ödülünün blok başına 0,6 XMR\'nin altına asla düşmeyeceğini hatırlatırız. Bu, madencileri teşvik etmek için yeterli olacak mı? Bilmiyoruz, ancak 0\'dan kesinlikle daha iyi, ki bu neredeyse tüm diğer para birimlerinin protokollerinde yerleşik olarak bulunduğu şey.</p>\n\n<p>Bu yaklaşıma yöneltilen ana eleştiri, bunun Monero\'nun arzının teorik olarak sonsuz olduğu ve zaman içinde enflasyona neden olduğu, blok ödülünü sınırlayan madeni paraların sınırlı bir arza sahip olduğu ve kıtlıklarının zaman içinde değeri artırdığı anlamına geldiğidir. Bu argümanın birkaç nedenden dolayı yetersiz olduğunu düşünüyoruz.</p>\n\n<p>Öncelikle, düşük güvenlik nedeniyle kolayca saldırıya uğrayan, sansürlenen ve alt üst edilen kıt, yüksek değerli bir madeni para ne işe yarar? Bir şey olursa, düşük güvenlik, kıtlığın sağlayacağı artışı dengelemekten daha fazla değeri düşürür. İkincisi, Monero\'nun arzı teorik olarak sonsuz olsa da, enflasyon doğrusaldır ve üstel olan fiat\'tan farklı olarak yıllık yüzde olarak sıfıra doğru eğilim gösterir.</p>\n\n<p>Monero\'nun enflasyonu kesin olarak önceden bilinir ve belirli bir yılda güçlerin kaprislerine göre az ya da çok artabilen fiat\'ın aksine doğru bir şekilde tahmin edilebilir. Bu, protokol tarafından zorunlu kılınan teknoloji yoluyla insan yozlaşma olasılığını ortadan kaldırmaya yönelik cypherpunk ruhunu hala koruyor. Monero\'nun madencilik yoluyla blok zincirinin güvenliğinin, dünyanın ihtiyacı olduğu sürece ortalıkta olacağının verdiği gönül rahatlığıyla birlikte.</p>\n\n<p>Durmak istediğimiz son nokta adalettir. Para, bir değer deposu, bir değişim aracı ve bir hesap birimi olarak çeşitli şekillerde kullanılır. Arzın sınırlı olduğu bir sistemde enflasyon duracaktır, yani onu bir değer deposu olarak kullananlar sistemi bedavaya kullanırlar. Enflasyon olmadan paraları zaman içinde yavaş yavaş değer kaybetmediğinden, madenciler tarafından sağlanan sürekli güvenlikten hiçbir şey ödemeden yararlanırlar. Tersine, para birimini bir değişim aracı olarak kullanan herkes cezalandırılır (potansiyel olarak yüksek işlem ücretleri yoluyla). Bu, insanları ellerinde tutup harcamamaya teşvik edecek ve sistemin adaletini elinde tutanların lehine olacak şekilde çarpıtacaktır. Bir kuyruk emisyonuna sahip olarak, bu denklemi dengeler. Artık sahipler, sistemin güvenliği için enflasyon yoluyla küçük bir vergi de ödüyorlar. Kuyruk emisyonu, onu herkes için daha adil hale getirir.</p>';

  @override
  String get knowledge250Sbemission250Sbdescription => 'Monero\'nun gizlilik teknolojisi, onu BTC ve türevlerinden ayıran tek fark değildir. Bu yazıda bir başkasına bakacağız - kuyruk emisyonu.';

  @override
  String get knowledge250Sbemission250Sbtitle => 'Monero\'nun Neden Kuyruk Emisyonu Var?';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtext => 'Blockchain\'in sık sık dile getirilen hedeflerinden biri, gücü insanların ellerine geri vermektir. Kime sorduğunuza bağlı olarak ne tür güç ve ne kadar farklılık göstereceği ve bir blok zincirinin tasarımı, bu yeniden dağıtımın nasıl gerçekleşeceğini belirleyecektir. Eşitsizliği düzeltmeye katkıda bulunan birçok araç var ve bir projenin nasıl yürütüldüğü ve sahip olduğu gerçek güç yeniden dağıtım potansiyeli üzerinde büyük etkisi olan bir tanesini tartışmak istiyoruz: açık kaynak.';

  @override
  String get knowledge250Sbfoss250Sb0250Sbtitle => 'İnsanlara güç';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtext => 'Ücretsiz, açık kaynaklı bir yazılım (FOSS) projesi, kodun herkes tarafından görüntülenebilecek, değiştirilebilecek, denetlenebilecek ve kopyalanabilecek şekilde lisanslandığı projedir. Buna karşılık, özel mülk yazılımın kodu gizlidir ve yaratıcının parasını ödediği veya yaptığı zor işi kopyalayarak rekabet korkusuyla paylaşılmayan bir ticari sır olarak saklanır. Sadece sonunda üretilen program halka açıklanır, kod değil.\n<br/><br/>\nFOSS yazılımının tescilli muadillerine göre birçok avantajı vardır, örneğin potansiyel olarak daha az hata (herkes kodu denetlemekte özgür olduğundan), yenilik (katkılar herhangi bir yerden herhangi bir zamanda gelebileceğinden) ve bunu karşılayamayacak kişilerin güçlendirilmesi. veya başka bir şekilde tescilli teklifleri kullanın.\n<br/><br/>\nBu, standart FOSS projeleri için geçerlidir ve blok zinciri de bir istisna değildir. Alan, açık kaynaklı yazılım konuşmalarıyla dolu ve özel cüzdan teklifleri, kripto para birimi gazileri tarafından şüphe ve eleştirilerle karşılanıyor. Çoğu büyük blok zincirinin referans uygulamalarının çoğu açık kaynak olmasına rağmen, bazıları - Monero gibi - yukarıda ve öteye giden ve kalabalığın arasından sıyrılanlar var.';

  @override
  String get knowledge250Sbfoss250Sb1250Sbtitle => 'Açık kaynaklı yazılım';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtext => 'Çoğu projenin açık kaynak koduna sahip olduğu doğru olsa da, açık kaynağın neden bu kadar güçlü olduğunun gerçek nedenlerini görmek için biraz daha derine inmemek kavramın ruhuna zarar verecektir. Gerçek şu ki, açık kaynak lisanslama, insanlık için gerekli, faydalı ve faydalı araçlar yaratmak amacıyla, hayatın her kesiminden ve aşamasından insanların açık işbirliğini teşvik eder.\n<br/><br/>\nBazı kripto para birimleri, sonunda kod yayınlanırken, rakip projelerin önünde kalabilmek için geliştirmeleri gizlice yapılır. Bu projeler, kodları sonunda halka açıklandığı için \"açık kaynak projeleri\" olarak nitelendirilse de, ilk geliştirme hâlâ seçkin birkaç kişi tarafından yapılıyor ve bu da açık kaynak olmanın başka türlü sağlayabileceği pek çok avantajın kaybedilmesine yol açıyor.\n<br/><br/>\nBir açık kaynak projesinin ruhu, birkaç kişinin çıkarı yerine herkesin yararına açık işbirliğidir ve bu şekilde Monero emsallerinin çoğunu gölgede bırakır. Monero\'nun gelişimi, herkesin katılabileceği ve konuşabileceği sık sık yapılan toplantılarla açık bir şekilde gerçekleştirilmekle kalmıyor, aynı zamanda araştırma ve uygulaması da yapılıyor. Aslında, Monero\'nun en büyük atılımlarının çoğu, işbirliği yoluyla dış kaynaklardan veya kurşun geçirmezlik ve gizlilik optimizasyonları gibi yeni bir fikirle araştırma platformlarına gelen görünüşte rastgele bir kişi tarafından geldi.';

  @override
  String get knowledge250Sbfoss250Sb2250Sbtitle => 'Blockchain bağlantısı';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtext => 'Bir blockchain projesini değerlendirirken, kullanıcının yalnızca kodun görüntülenmeye uygun olup olmadığına değil, aynı zamanda projenin diğer yönlerinin de açık ve şeffaf bir şekilde yürütülüp yürütülmediğine bakması önerilir. Topluluk katılımına ne kadar kapalı kapılar varsa, kişi o kadar huzursuz hissetmelidir. Ancak çoğumuz şeffaflığın yaygın olmadığı tescilli bir dünyadan geldiğimiz ve neyin \"yeterince açık\" olduğu konusunda sadece kodda değil, bir projenin ruhu ve diğer alanları.\n<br/><br/>\nAslında, çoğu proje sosyal medyada açıklıklarını duyurur, ancak istihdam edilenlerin veya bunun için başka bir şekilde tazmin edilenlerin yanı sıra yazılıma, geliştirmeye veya araştırmaya gerçekte kaç kişinin gerçekten katkıda bulunduğuna bir göz attığınızda, gerçek, olduğundan şaşırtıcı derecede farklı olabilir. iddia edildi. İktidardakilerin (resmi veya gayri resmi olarak) diğer insanların fikirlerine karşı küçümseyici veya düpedüz düşmanca davranmaları mümkündür.\n<br/><br/>\nMonero, projede resmi bir rol üstlenmeyerek bu sorunu tamamen ortadan kaldırmaya çalışıyor, Monero\'nun çekirdek ekibi bile yalnızca altyapıyı çalıştırıyor ve projenin gerçek geliştirme veya araştırmasıyla çok az ilgisi var. Bununla birlikte, tüm sosyal çevrelerde gayrı resmi güç yapıları oluşur ve Monero da bir istisna değildir, dolayısıyla bunların hesabı sorulmalıdır.';

  @override
  String get knowledge250Sbfoss250Sb3250Sbtitle => 'kodun ötesinde';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtext => 'Açık kaynak yazılımların bu sosyal bölümleri keşfetmek ve tartışmak için değerli olsa da ve gerçekten de bunun yapılmaması birçok projenin çökmesine yol açmış olsa da, konuşma oldukça karmaşık bir hal alabilir ve genellikle bu makalenin kapsamı dışındadır. okuyucunun FOSS yönetiminin bu kritik kısmı hakkında bilgi edinmeye devam etmesi teşvik ediliyor.\n<br/><br/>\nMonero Projesi, sürekli olarak açık kaynak ruhu için çok kritik olan açık işbirliğini geliştirmenin yollarını arar. Bazı insanlar bir sohbet platformunu diğerine tercih ederse, iletişimi artırmak için mevcut platformlarla köprüler kurulur. Bir grup insan, Monero\'yu daha iyi hale getirmek için fikirlerini uygulayacak araçlara veya altyapıya sahip olmadığını düşünürse, topluluk ne tür (FOSS) araçların mevcut olduğunu görür.\n<br/><br/>\nBu, projenin yalnızca bir yönü olan kod üzerinde değil, aynı zamanda tasarımlar, araştırma, dijital altyapı ve konuşmalar üzerinde daha fazla göz olduğu anlamına gelir.\n<br/><br/>\nAçık kaynaklı yazılımın ruhu sadece açık koda sahip olmak değil, insanları güçlendirmek, onlara ses vermek ve küresel işbirliği yoluyla dünyayı değiştirmektir. Okuyucu, ilgilendikleri herhangi bir projenin bu temel değerlere uyup uymadığını veya yalnızca kodun lisanslanmasında durup durmadığını görmeye teşvik edilir.\n<br/><br/>\nAyrıca onları aynı değerlendirme tablosunu Monero\'da çalıştırmaya davet ediyoruz. Monero\'nun kripto para dünyasındaki en güvenli ve işbirlikçi topluluklardan biri olmasının nedenini keşfedeceğinizi biliyoruz.';

  @override
  String get knowledge250Sbfoss250Sb4250Sbtitle => 'Bir araç mı yoksa amaç mı?';

  @override
  String get knowledge250Sbfoss250Sbdescription => 'Açık kaynak ve merkezi olmayan olmanın Monero\'ya rakip kripto para birimleri karşısında neden büyük bir avantaj sağladığını öğrenin.';

  @override
  String get knowledge250Sbfoss250Sbtitle => 'Monero Neden Açık Kaynaklı ve Dağıtılmış';

  @override
  String get knowledge250Sbhistory250Sb0250Sbtext => '<p>Birkaç kripto para birimi projesinin kökenleri gizemle örtülüdür. Birçoğunun tanımlanabilir bir kurucusu vardır ve birçoğu, bir ICO\'dan elde edilecek karı en üst düzeye çıkarmak için lansmandan önce projelerini heyecanlandırmıştır. Bitcoin, kriptografi topluluğunda birdenbire ortaya çıkan bir tanıtım belgesine sahip olma ve kurucusu Satoshi Nakamoto\'nun ortadan kaybolması konusunda tek başına görünüyordu.</p>\n\n<p>Monero\'ya kadar.</p>\n\n<p>Fakat Monero\'nun 2014\'teki lansmanı hakkında konuşmaya başlamadan önce daha da geriye gitmemiz gerekiyor.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtext => '<p>Eylül 2013\'te, daha önce duyulmamış bir grup olan Cryptonote, aynı adla yeni bir protokol hakkında bir tanıtım yazısı yayınladı. Bu protokol, gizliliği desteklemek için isteğe bağlı halka imzalar ve gizli adresler kullanmasına rağmen, Bitcoin benzeri bir kripto para birimi oluşturmaya çalıştı. Kısa bir süre sonra, 2013 yılının Kasım ayında, Bytecoin adlı yeni bir madeni para için ilk kod GitHub\'a gönderildi. Bu madeni para, makalede açıklanan protokolü yepyeni bir kod tabanında uyguladı (yani, o sırada diğer birçok madeni para gibi Bitcoin\'den ayrılmadı).</p>\n\n<p>Bytecoin ekibi, kodun geri kalanını depolarına koymak için zaman harcadı, ancak Mart 2014\'te proje BitcoinTalk forumlarında \"rastgele\" bir kişi tarafından \"keşfedildiğinde\" tamamlanmış gibi görünüyordu. şimdi bunun ilgi uyandırmak için bir bitki olduğundan şüpheleniliyor. Çorap kukla tüm dikkatleri üzerine çekmeyi başardıktan sonra, yeni ilgilenen kişiler garip bir şey keşfettiler: madeni paraların %80\'inden fazlası çoktan çıkarılmıştı.</p>\n\n<p>Bu astronomik bir miktardı ve birçoğu bunu bir aldatmaca olarak yazıp yoluna devam etmeye istekliydi; ta ki Bytecoin ekibi ortaya çıkana kadar. Bu noktaya kadar madeni paranın bu kadar büyük bir kısmının çıkarılmış olmasının nedeninin, Bytecoin\'in aslında büyük bir ön madeni olan yeni bir madeni para olmaması, bunun yerine 2012\'den bu yana iki yıldır derin ağda var olması olduğunu iddia ettiler.</p>\n\n<p>Uzun lafın kısası, daha önce kimse Bytecoin\'i duymadığı için bu iddialar pek iyi karşılanmadı ve insanların ilgisini kaybetmesi çok uzun sürmedi. Ancak herkes tamamen pes etmeye istekli değildi. Bazıları, Bytecoin\'in dayandığı Cryptonote protokolünü incelemeye başladı ve ilk uygulama olmasa bile protokolün kendisinin sağlam ve yenilikçi göründüğü sonucuna vardı. </p>\n\n<p>Bu noktada, ilk hamle avantajını elde etmek için kimin Bytecoin\'i çatallayabileceğini, kodu temizleyebileceğini ve piyasaya çıkan ilk \'dolandırıcı olmayan\' sürüm olacağını görmek için bir yarış vardı.</p>';

  @override
  String get knowledge250Sbhistory250Sb1250Sbtitle => 'baytcoin';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtext => '<p>9 Nisan 2014\'te, daha önce duyulmamış bir başka varlık olan müteşekkir_for_today, BitcoinTalk forumlarında, Bitmonero adlı ilk Bytecoin çatalının lansmanını duyuran bir gönderi paylaştı. İlk çatal olduğu için, Bitmonero hızla dikkat çekti ve 18 Nisan\'da piyasaya sürüldüğünde, Bytecoin\'in kaldığı yerden devam etmek isteyen küçük bir topluluk oluştu, ancak Bitmonero hakkında da bir şeylerin şüpheli kokması uzun sürmedi. </p>\n\n<p>Bugün için müteşekkir olan kurucu, birlikte çalışmanın zor olduğunu kanıtladı. Genellikle günlerce ortadan kayboluyor (geliştirmenin ilk günlerinde yepyeni bir madeni para için çok garip) ve Monero madeni ile Bytecoin\'i birleştirmeye çalışarak, ihraç programını ayarlayarak ve genellikle birlikte çalışmayı reddederek topluluğa karşı çıkıyordu. kendi web sitesine, BitcoinTalk gönderisine ve depolarına sahip olacak kadar ileri giden, madeni para etrafında inşa edilmiş tutarlı çekirdek grup.</p>\n\n<p>Kısa bir süre sonra Monero\'nun etrafında oluşan çekirdek grubun, bugün için teşekkürler\'den çok daha aktif ve yetkin olduğu anlaşıldı ve birkaç kez katılmaya davet edilmesine rağmen sonunda ortadan kayboldu ve Monero\'nun tarihinde bir dipnot haline geldi. Yıllar sonra, onun da gizlice Bytecoin ekibinin bir parçası olduğundan şüpheleniliyor. Neden? Niye? Eh, tüm bunlar olurken Bytecoin\'in kendisi de boş durmuyordu.</p>';

  @override
  String get knowledge250Sbhistory250Sb2250Sbtitle => 'bitmonero';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtext => '<p>Bytecoin ekibi mutlu değildi. Büyük ölçüde ön madeni paradan yalan söyleyerek zengin olma planları başarısız olmuştu. Protokolü geliştirmek için tüm çalışmaları yapmışlardı (CryptoNote geliştiricileri ile Bytecoin geliştiricilerinin çok yakından ilişkili olduğuna dair güçlü kanıtlar var) ve gösterecek hiçbir şeyleri yoktu.</p>\n\n<p>Ama daha bitmedi. Bugün için müteşekkir yeni bir takma adla yeni bir madeni para olan Bitmonero\'yu piyasaya sürdüler. Aslında, neden orada dursun? Koda en aşina oldukları için, biraz farklı emisyon programları ve isimleriyle, yeni hesaplarla birkaç yeni madeni para piyasaya sürebilirler ve hiç kimse baştan beri onlar olduğunu anlayamaz. Öyle yaptılar. Fantomcoin, Monte Verde, Dashcoin (Dash ile karıştırılmamalıdır) ve daha fazla çatal, Bitmonero piyasaya sürüldükten kısa bir süre sonra ortaya çıktı ve pazar payının bir kısmını almaya çalıştı.</p>\n\n<p>Monero hızla rakiplerine üstün geldiğinden ve CryptoNote madeni paralarının kazananı hakkında çok az şüphe bıraktığından, bu girişimler nihayetinde başarısız oldu.</p>\n\n<p>Ancak yine de dolandırıcılık burada bitmedi. Bytecoin\'in elinde son bir numara daha vardı. Really_for_today, Bitmonero\'yu piyasaya sürdüğünde, yanında kasıtlı olarak optimize edilmemiş bir madenci yayınladı. Optimize edilmiş sürümü elinde tuttu ve kendisi için büyük bir zula biriktirmeyi umuyordu, ancak bu deoptimizasyonlar, çekirdek ekibin yanı sıra diğer bağımsız gruplar tarafından hızla yakalandı ve bu bile kısa sürede düzeltildi. Bununla birlikte, son aldatmacaları mağlup olan Bytecoin karanlığa çekildi, yalnızca 2017 kripto para piyasası patlamasının zirvesinde sahte yeniden markalamalar ve duyurular yapmak için ortaya çıktı ve dolandırıcılıklarından elde ettikleri son kârı küçücük varlıkları pahasına sıkıştırmaya çalıştı. , şüphelenmeyen topluluk.</p>';

  @override
  String get knowledge250Sbhistory250Sb3250Sbtitle => 'kavrulmuş toprak';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtext => '<p>Artık yanlarında olmayan bir kurucuya sahip olmakla övünen pek çok coin yok. Gerçekten de, Bitcoin ve Monero muhtemelen en büyük iki örnektir. Bir karşılaştırma, Bitcoin\'i daha hayırsever bir ışık altında gösterebilirken, Monero\'nun dolandırıcı başlangıçlarından da çıkarılması gereken dersler var.</p>\n\n<p>Bitcoin, bir kişi mevcut sistemden bıktığında ve statükoya meydan okumak için yenilikle adım atmaya cesaret ettiğinde neler olabileceğini gösterdi. Monero, yalanlarla beslenmeyi reddeden, gerçeği kendileri için bulan ve özgürlüklerini inşa edebilecekleri araçları geri alan bir topluluğun gücünü gösteriyor. Monero bir dolandırıcılık olarak başlamış olabilir, ancak finansal gizliliğimizi geri almak için gerçekten güçlü bir silaha dönüştü.</p>';

  @override
  String get knowledge250Sbhistory250Sb4250Sbtitle => 'Çözüm';

  @override
  String get knowledge250Sbhistory250Sbdescription => 'Bitcoin, birdenbire ortaya çıkan bir teknik incelemeye sahip olma ve kurucusunun ortadan kaybolmasıyla tek başına duruyor gibiydi. Monero\'ya kadar.';

  @override
  String get knowledge250Sbhistory250Sbtitle => 'Monero\'nun Kısa Tarihi';

  @override
  String get knowledge250Sbkeys250Sb0250Sbtext => '<p>\"Sizin anahtarlarınız değil, madeni paralarınız değil\" ifadesini daha önce duydunuz mu?\nBu, kripto para birimi topluluğunda her yerde bulunan bir ifade haline geldi, ancak\nçoğu insanın kripto para biriminin büyük çoğunluğunu duymuş olmasına rağmen\nkullanıcılar kendi anahtarlarını tutmazlar.</p>\n<p>Kripto para biriminin onu gerçekten diğerlerinden ayıran faydaları\ngeleneksel finansal sistem, yalnızca tamamladığınızda gerçekleşir.\nfonlarınızın gözetimi – madeni paralarınızın özel anahtarlarını tutmak.</p>\n<p>Bu kısa gönderide, neden kendi anahtarlarınızı tutmanız gerektiğine değineceğiz.\nve Monero\'nuzu <em>bugün</em>.</p> kendi kendine saklamanın birkaç kolay yolunu verin.';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtext => '<h6 id=\"it-preserves-the-privacy-that-monero-affords-users\">Korur\nMonero\'nun kullanıcılara sağladığı gizlilik</h6>\n<p>Kendine hakim olmanın en sık yanlış anlaşılan yönlerinden biri\nMonero, kendi anahtarlarınızı tutmazsanız, çok az veya hiç kazanmamanızdır.\nMonero\'nun sunduğu gizlilikten yararlanın. Bir işlemin göndericisi olarak\ngerçek harcama, tutar ve alıcı adresine ilişkin tam görünürlüğe sahiptir,\nişlemi gönderen siz değilseniz ve bunun yerine bunu\nbir borsa veya saklayıcı, <em>tam</em> görüş alanına sahiptir.\nMonero\'nuzu harcama yolları.</p>\n<p>Neyse ki, parayı gönderdikten sonra Monero\'nun gizlilik garantileri\ndevreye girin ve güçlü bir \"ileri gizlilik\" sağlayın, ancak\nfonları gönderdiğiniz borsa veya saklayıcı ve ne kadar gönderdiğiniz\nbaşlangıçta.</p>\n<h6 id=\"it-enables-the-incredible-censorship-resistance-of-monero\">Bu\nMonero</h6>\'in inanılmaz sansür direncini mümkün kılar\n<p>Monero\'nun temel yönlerinden biri,\nsansüre dayanıklı işlemler – işlem yapmanıza olanak tanır\nne yapmaya çalışırlarsa çalışsınlar \"onlar\" tarafından onaylanabilecek veya onaylanamayacak\nseni durdurmak için yap Sansür direncine duyulan ihtiyaç biraz\n\"özgür\" ülkelerdeki bizler için kayıp, doğru hızlı kayma\nDünyanın birçok yerinde otoriterlik ve siyasi yozlaşma\nile işlem yapmak için bir yola ihtiyacımız olduğunu gün geçtikçe daha belirgin hale getiriyoruz.\nveya hükümet onayı olmadan.</p>\n<p>Bununla birlikte, kendi anahtarlarınıza sahip değilseniz, bir hükümet veya düzenleyici\nbir borsayı veya emanetçiyi paranızı kara listeye almaya kolayca zorlayabilir, el koyabilir\nveya işlemleri belirli adreslere sansürleyin. bu zaten\nbugün devlet düzeyindeki yaptırımlar nedeniyle geniş çapta yaşanıyor ve\nhükümetler ve düzenleyiciler değiş tokuşun önemini fark ettikçe artan tema\nve emanetçiler, Monero\'nun üzerinde kontrole giden en kolay yoldur.\nkullanım.</p>\n<p>Bir hükümetin kendi kendine vesayeti yasaklayacağı gün de gelebilir\nMonero\'nun ve Monero\'nuzu henüz bir borsadan çekmediyseniz\nya da veli olarak asla bulamayabilirsiniz.</p>\n<h6 id=\"it-prevents-simple-theft-or-confiscation-of-your-monero\">O\nMonero</h6>\'inizin basit bir şekilde çalınmasını veya müsadere edilmesini önler\n<p>Varsayımsal ama olası bir senaryo, bizim için en kötü durum olabilir.\nkendi anahtarlarını tutmamayı seçenler - Monero\'ları\n<a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://en.wikipedia.org/wiki/Executive_Order_6102\">6102 benzeri bir bilgisayar korsanı tarafından çalındı veya devlet tarafından el konuldu\nsipariş</a>.</p>\n<p><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" \nhref=\"https://blog.chainalysis.com/reports/2022-crypto-crime-report-introduction/\">Neredeyse\nMerkezi borsalardan 500 milyon \$</a> kripto para birimi çalındı\n2021\'de ve velayetten vazgeçen kullanıcılardan toplam 3,2 milyar dolar çalındı\nşu ya da bu nedenle fonlar. Bu en büyük risklerden biri\nkripto para birimi kullanıcıları ve hem vaka sayısında hem de\nkripto para birimi popülerlik kazandıkça hacim. Bir değiş tokuş anahtarları elinde tutuyorsa\nfonlarınıza, bu fonlar bir bilgisayar korsanı (veya borsa) tarafından çalınabilir.\nkendileri!) herhangi bir zamanda.</p>\n<p>Kendi anahtarlarınız varsa, tek gerçek hırsızlık riski veya\nmüsadere, dolandırıcılık ve fiziksel saldırılardır, çok daha az olan bir şeydir\nmuhtemeldir ve genellikle yalnızca yüksek profilli kişilerin veya\nmüşterinizi tanıyın (KYC) verilerinin çalınması veya kaybedilmesi nedeniyle zarar gören\nkimliklerini ve adreslerini birbirine bağlayan merkezi borsalar\nkripto para sahipliği.</p>\n<h6\nid=\"it-prevents-exchanges-leveraging-fractional-reserve-lending-and-trading\">O\nkısmi rezerv borç vermesinden yararlanan borsaları önler ve\nticaret</h6>\n<p>Kendi anahtarlarınızı tutmanın bir başka önemli yönü de daha az\nkişisel ve daha toplumsal. Monero\'daki kullanıcıların büyük çoğunluğu\nkendi anahtarlarına sahip olduklarından borsalar, anahtarların miktarı hakkında daha az yalan söyleyebilir.\nMonero, kullanıcılar tutmadığı için \"kağıt Monero\"yu saklar ve ticaretini yaparlar\nborsadaki Monero\'ları.</p>\n<p>Bu tür etkinlikler genellikle herkese açık olarak onaylanmasa da,\ntoplulukta Binance gibi değiş tokuşlardan endişe duyan çok kişi var.\nticaret yapmak için kullanıcılarının borsada tuttuğu Monero\'dan yararlanıyor\nMonero\'ya karşı, Monero kısa pozisyonlarının miktarını şişirmek ve fiyata neden olmak\nzamanla bastırma.</p>\n<p>Bu davranış, aynı zamanda, kullanıcıların\n<em>do</em> kendi anahtarlarını tutmak istiyorsa,\nborsa, kullanıcılarına olduğundan daha fazla Monero sözü verdiği için borsa\naslında mevcut. Daha fazla Monero kullanıcısı kendi anahtarlarını tuttukça ve\nMonero\'larını borsalardan uzak tutun, daha sağlıklı ve daha doğal\npazar teorik olarak olacak ve daha az risk kötü niyetli veya açgözlü olacak\nborsalar Monero\'nun fiyatının istikrarını etkileyebilir.</p>';

  @override
  String get knowledge250Sbkeys250Sb1250Sbtitle => 'Kendi anahtarlarınızı tutmak neden önemlidir?';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtext => '<p>Kendi anahtarlarınızı tutmaya başladığınızda, yapmanız gereken en önemli şey\n<em>tohum ifadenizi kaydetmeniz ve güvende tutmanız</em> gerektiğini unutmayın! bu\nherhangi bir Monero cüzdanının size vereceği 14 veya 25 rastgele kelimeden oluşan bir set.\nbir cüzdan oluşturursunuz ve paranızı geri almak için ihtiyacınız olan tek şey bu\ntelefonunuzu, masaüstünüzü, dizüstü bilgisayarınızı kaybedersiniz veya bir\nşifre.</p>\n<p>Bu çekirdek cümleyi, içindeki tüm Monero\'ya değermiş gibi ele al.\ncüzdan, çünkü onu alan herkes içindeki fonlara tam erişime sahip olacaktır.\ncüzdanın. Güvenli veya gizli bir yerde muhafaza etmek idealdir,\nyangın veya doğal afet durumunda birden çok kopyayı saklayın ve asla\nherkese göster.</p>\n<p>Ana ifadelerle ilgili daha fazla bilgi için bkz. <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"\nhref=\"https://web.getmonero.org/resources/moneropedia/mnemonicseed.html\">Anımsatıcı\ntohum | Moneropedia</a>.</p>\n<h6 id=\"using-free-and-open-source-wallets\">Ücretsiz ve açık kaynak kullanma\ncüzdanlar</h6>\n<h5 id=\"for-desktop\">Masaüstü için</h4>\n<p>Genellikle bir masaüstü kullanıcısıysanız ve Monero almıyorsanız/almıyorsanız\nçok sık hareket halindeyken, kendinize ait tutmak için birkaç sağlam seçenek vardır.\nherhangi bir üçüncü tarafa güvenmeye gerek kalmadan anahtarlar.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://getmonero.org/downloads\">Resmi Monero\ncüzdan</a>\n<ul>\n<li>Bu, resmi Monero cüzdan yazılımıdır ve sürekli\niyileştirmeler ve eklemeler. Entegre bir Monero cini içerir (eğer\nçok kullanıcı dostudur ve yakında <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\"u destekleyecektir.\nhref=\"https://localmonero.co/knowledge/p2pool-decentralizing-monero-mining\">madencilik\np2pool aracılığıyla doğrudan cüzdanınızdan</a>.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://featherwallet.org/\">Feather Wallet</a>\n<ul>\n<li>Bu, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" tarzında mükemmel bir cüzdan\nhref=\"https://electrum.org/\">Bitcoin için Electrum</a> ve her ikisini de sağlar\ntek bir cihazda basit kullanılabilirlik ve son derece güçlü özellikler\ncüzdan.</li>\n</ul></li>\n</ul>\n<h5 id=\"for-mobile\">Mobil cihazlar için</h4>\n<p>Monero\'muzu hareket halindeyken veya\ntutan sağlam bir mobil Monero cüzdanına sahip olarak sık sık harcama yapın.\nanahtarlarımızın kendi elimizde olması son derece önemlidir.</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://cakewallet.com/\">Pasta Cüzdanı</a>\n<ul>\n<li>Cake Wallet, Android için ücretsiz ve açık kaynaklı (FOSS) bir cüzdandır ve\nYerel olarak Monero, Bitcoin ve Litecoin\'i destekleyen iOS.</li>\n</ul></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.monerujo.io/\">Monerujo</a>\n<ul>\n<li>Monerujo, Android için harika özellikler eklenmiş bir FOSS cüzdanıdır.\nözellikler ve grafikler, yerel Tor düğümü desteği ve çok daha fazlası.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbkeys250Sb2250Sbtitle => 'Monero ile kendi anahtarlarımı nasıl tutarım?';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtext => '<p>Umarım bu gönderi, elinizi tutma ihtiyacınızı pekiştirmeye yardımcı olmuştur.\nkendi anahtarlarının yanı sıra sizi dünyadaki bazı mükemmel cüzdanlara yönlendirdi.\nboşluk.</p>\n<p>Monero\'yu ne kadar çok kendi elinize alıp gerçekten kullanırsanız,\nhem şimdi hem de gelecekte elde edebileceğiniz daha fazla fayda. Monero sadece değil\nspekülatif bir varlık – özgürlük ve finans için güçlü bir araçtır\nbugünün dünyasında ve geleceğin dünyasında çok ihtiyaç duyulan mahremiyet\n</p>\n<p>Şimdi gidip o koinleri bir borsadan alın ve Monero\'nun ne olduğuna dalın\n</p> için üretildi';

  @override
  String get knowledge250Sbkeys250Sb3250Sbtitle => 'Çözüm';

  @override
  String get knowledge250Sbkeys250Sbdescription => '\"Anahtarlarınız değil, madeni paralarınız değil\" - her yerde bulunan bir ifade, ancak yine de kripto kullanıcılarının çoğu hala kendi anahtarlarına sahip değil.';

  @override
  String get knowledge250Sbkeys250Sbtitle => 'Neden (ve nasıl!) kendi anahtarlarınızı tutmalısınız?';

  @override
  String get knowledge250Sbmining250Sb0250Sbtext => '30 Kasım 2019\'da Monero\'nun altı aylık hard fork\'u vardı ve en çok beklenen değişiklik, eski PoW algoritması olan cryptonight\'tan tamamen yeni, dahili olarak geliştirilen RandomX\'e geçiş oldu. Monero topluluğu, RandomX\'in eşitlikçi madenciliğe doğru büyük bir adım olduğuna inanıyor, ancak durumun böyle olup olmadığını görmek için daha derine inelim.';

  @override
  String get knowledge250Sbmining250Sb1250Sbtext => 'RandomX\'in bir gelişme olup olmadığına karar vermek için öncelikle madenciliğin amacının ne olduğunu anlamalıyız. Madencilik, Nakamoto Consensus aracılığıyla bir blok zincirini çifte harcamalardan korur. Bunu nasıl yaptığının tam incelikleri bu makalenin kapsamı dışındadır, ancak bunlar internetteki birçok farklı kaynaktan öğrenilebilir. Önemli olan, güvenliğin, başka bir blok oluşturmak için gerekli matematiksel çözümü bulmak için birbirleriyle rekabet halinde olan bilgisayarlar (madenciler) tarafından üretilen karmalardan gelmesidir. Bunu yaparken blok zincirine yeni işlemler eklerler. Çalışmalarının (hash) karşılığında yeni basılan madeni paralarla tazmin edilirler.\n<br/><br/>\nBu kurulumda meydana gelebilecek birkaç sorun vardır ve bunların doğru şekilde çalışması için uygun teşvikler gerekir, ancak ortaya çıkabilecek belirli bir soruna odaklanacağız. Madenciliğin bir rekabet olması gerekiyorsa, bir madenci avantaj elde ettiğinde ne olur?';

  @override
  String get knowledge250Sbmining250Sb1250Sbtitle => 'Amaç';

  @override
  String get knowledge250Sbmining250Sb2250Sbtext => 'Bağlam için, madencilik donanımı hakkında biraz konuşalım. Madenciler işi yapmak için bilgisayarları kullanır, ancak hepimiz biliyoruz ki her bilgisayar eşit şekilde yapılmamıştır. Bazı bilgisayarlar AI ağlarını veya yoğun oyunları çalıştıracak kadar güçlüyken, diğerleri basit görevlerle bile mücadele eder. Bilgi işlem gücündeki bu farklılıklar, hash oranını veya blok çözümleri aradıkları hızı da etkiler. <br/><br/>\nAncak bilgisayarlar arasındaki bu farklar bile, normal bilgisayarları birkaç büyüklük sırasına göre geride bırakan, Uygulamaya Özel Tümleşik Devreler (ASIC\'ler) olarak da bilinen özel donanımların hash oranlarıyla karşılaştırıldığında sönük kalır.<br/><br/>\nASIC\'leri neyin bu kadar güçlü kıldığını keşfetmek için biraz zaman ayıralım. Tüm bilgisayarların, pek çok şeyi yapıp hiçbir şeyi iyi yapamamaktan tek bir şeyi yapıp onu çok iyi yapmaya kadar değişen bir yelpazede bir yere düştüğünü hayal edin. CPU\'lar ve ASIC\'ler bu yelpazenin zıt uçlarındadır.<br/><br/>\nTüm standart bilgisayarlarda bulunan CPU\'lar ilk uçtadır. Web\'de gezinmek, oyun oynamak veya video işlemek gibi pek çok şeyi yapabilirler, ancak hiçbirini özellikle iyi yapamazlar. Ancak bu esneklik, verimlilik pahasına gelir.<br/><br/>\nASIC\'ler diğer uçta, tek bir şeyi yapabildikleri, ancak bunu inanılmaz bir hızla yaptıkları yer. Yalnızca bir matematiksel işlevi yerine getirebilirler, ancak diğer her şeyi göz ardı edebildikleri için performans kazanımları astronomiktir. Bununla birlikte, bu verimlilik esneklik pahasına gelir, bu nedenle işlev biraz değişirse - bir örnek x + y = z, 2x + y = z olarak değişir - o zaman ASIC tamamen çalışmayı durduracaktır. <br/><br/>\nHerkesin bir ASIC\'si yoktur, ancak herkesin bilgisayarı vardır. Bu haksız bir avantaja yol açabilir.';

  @override
  String get knowledge250Sbmining250Sb2250Sbtitle => 'Arka fon';

  @override
  String get knowledge250Sbmining250Sb3250Sbtext => 'Bu hala kafa karıştırıcıysa, belki aşağıdaki analoji yardımcı olacaktır. Her saat başı bin doların verildiği bir piyango hayal edin ve bu piyango size kendi biletlerinizi basma imkanı veriyor! Saniyede bir bilet basabilen ev yazıcınızda basabildiğiniz kadar çok bilet basmaya başlarsınız. Elektrik ve mürekkep maliyetlerini çıkardıktan sonra, piyangoyu yalnızca birkaç haftada bir kazansanız bile yine de kâr edebileceğinizi görürsünüz.<br/><br/>\nZamanla, tüm odanız yazıcılara ayrılana kadar operasyonunuzu genişletirsiniz. toplam 20. Her şey yolunda... önemli bir güne kadar.<br/><br/>\nBüyük haberler var. Birisi yeni bir tür yazıcı icat etti. Sadece piyango bileti basabilir. Resimleri veya ofis belgelerini yazdıramaz veya çift taraflı yazdırma yapamaz. Sadece piyango biletleri. Ancak bunları saniyede 1000 bilet hızında yazdırabilir. Küçük yazıcı odanıza bakarsınız. 20 yazıcı. Bu canavar yazıcılardan BİRİNE yetişmek için 980 yazıcıya daha ihtiyacınız var ve birinin iki tane varsa…?<br/><br/>\nArtık elektrik ve mürekkep maliyetlerini haklı çıkaramayacağınız için maalesef piyango oyunundan çıkıyorsunuz.<br/><br/>\nFakat bekle! Birkaç hafta sonra daha fazla haber var! Bilet tasarımı değişti. Eskiden üstte olan sayılar artık altta. Yeni canavar yazıcılar o kadar katı ki bunu yapamıyorlar. Sadece önceki tasarımı yapabildiler. Bir kez daha mutlu bir şekilde çıktı almaya başlamanız çok uzun sürmedi. En azından birisi yeni tasarım için yeni bir canavar yazıcı yapana kadar.';

  @override
  String get knowledge250Sbmining250Sb3250Sbtitle => 'eğlenceli bir benzetme';

  @override
  String get knowledge250Sbmining250Sb4250Sbtext => 'RandomX tüm bunlara nerede uyuyor? ASIC\'lerin yapılmasını çok zorlaştırarak ASIC\'lerin avantajını eşitlemeye çalışır. Bunu, madencilerin bir algoritmaya dayalı hashleme yerine rasgele kod oluşturmasını ve yürütmesini isteyerek yapar.<br/><br/>\nBunun gerçekten herhangi bir şeye nasıl yardımcı olduğu kafa karıştırıcı olabilir, bu yüzden yazıcı benzetmemize geri dönelim. Tasarım değiştiğinde ne olduğunu hatırlıyor musunuz? Eski canavar yazıcılar her gece demode oluyor ve yeni tasarım göz önünde bulundurularak yenilerinin geliştirilmesi gerekiyordu. Her yeni piyango ödülü bileti, her yeni ikramiye için yeni bir tasarım standardına uymak zorunda olsaydı ne olurdu? <br/><br/>\nYeni bir canavar yazıcı oluşturmak inanılmaz derecede zor olacaktır. Artık tek bir bilet tasarımını planlayamazsınız. Tasarım rastgele olduğu için, canavar yazıcı üreticilerinin renk yetenekleri, farklı harfler, kenarlıklar ve şekiller basma yolları ve daha fazlasını eklemesi gerekir. Kısacası, icat ettikleri makine standart, sıradan bir yazıcı olacaktı. Tıpkı herkesin sahip olduğu gibi.<br/><br/>\nBilet tasarımında bu rastgeleliği basitçe uygulayarak, özel donanımdan elde edilen büyük avantajı önemli ölçüde azalttık. RandomX de aynısını yapar, ancak madencilikle.<br/><br/>\nBu şekilde, seçkin birkaç varlıklı kişinin elde ettiği avantajlar en aza indirilir, sanki RandomX madenciliği için \"ASIC\'ler\" oluşturmaya yatırım yapıyorlarmış gibi, aslında sadece daha güçlü, daha iyi CPU\'lar icat edecekler ve bu da tüm dünyaya fayda sağlıyor.<br/>[ X1455X]\nBu, 20 bilet yazıcısı olan küçük adamın oyuna geri döndüğü anlamına gelir. Bu varlıklı bireyler hâlâ ondan daha fazla yazıcı satın alabildiği için, o hâlâ daha zor zamanlar geçirebilir, ancak en azından şimdi, yalnızca bir makineden elde edilen büyüklük siparişleri onu geride bırakmış değil. Kendi çapında rekabetçi.<br/><br/>\nKüçük bir adamın bile Monero madenciliği konusunda rekabetçi olabileceğini bildiğimizden, herkesi ya tek başına madenciliği destekleyen Monero GUI cüzdanında ya da topluluk tarafından sağlanan yazılımı indirerek denemeye davet ediyoruz. Kolay, rekabetçi ve herkese açık.';

  @override
  String get knowledge250Sbmining250Sb4250Sbtitle => 'RastgeleX';

  @override
  String get knowledge250Sbmining250Sbdescription => '30 Kasım 2019\'da Monero\'nun altı aylık hard fork\'u vardı ve en çok beklenen değişiklik, eski PoW algoritması olan cryptonight\'tan tamamen yeni, dahili olarak geliştirilen RandomX\'e geçiş oldu. Monero topluluğu, RandomX\'in eşitlikçi madenciliğe doğru büyük bir adım olduğuna inanıyor, ancak durumun böyle olup olmadığını görmek için daha derine inelim.';

  @override
  String get knowledge250Sbmining250Sbtitle => 'Monero Madenciliği: RandomX\'i Bu Kadar Özel Kılan Nedir?';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtext => '<p>Hiçbir kripto para biriminde eksiklik yoktur ve Monero da bir istisna değildir. Aslında topluluk, teknolojik açıdan Monero\'nun gizlilik zayıflıklarını ele alan <a class=\"next-link\" href=\"https://www.youtube.com/playlist?list=PLsSYUeVwrHBnAUre2G_LYDsdo-tD0ov-y\" target=\"_blank\">bir YouTube dizisi</a> hazırladı.</p>\n\n<p>Bununla birlikte, Monero\'ya yönelik olarak modası geçmiş veya yanlış olan bazı yaygın eleştiriler varken, diğerleri söz konusu soruna çok dar bir bakış açısı sunuyor. Bu yazıda, bu eleştirilere ilişkin rekoru kırmayı umuyoruz.</p>';

  @override
  String get knowledge250Sbmyths250Sb0250Sbtitle => 'giriiş';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtext => '<p>Bu, Monero\'ya yönelik yaygın bir eleştiridir ve bu, birçok kişinin onu geniş tutmasına neden olur ve topluluğun tepkisinin, yanlış bir varsayımı düzeltmek kadar kesin ve kuru olmadığı açık farkla budur.[ X217X]\n\n<p>Gerçek şu ki, topluluk olarak henüz Monero gibi bir şeye düzenleyici tepkinin ne olacağını bilmiyoruz. Genel olarak kripto para birimlerinin birçok devlet kurumunun radarında olduğunu biliyoruz ve yukarıda belirtilen nedenlerden dolayı Monero\'nun diğerlerinden daha fazla olduğuna inanmak için nedenlerimiz var, ancak şimdiye kadar herhangi bir ülkenin hükümetleri tarafından çok az hamle yapıldı. Monero\'nun tamamen yasaklanması konusunda ülke.</p>\n\n<p>Öyle olsa bile, Monero topluluğu kendini iyi mücadeleyi vermeye adamıştır. Finansal gizliliğin özgürlük için gerekli bir şey olduğuna ve herkesin hükümetler, şirketler veya başka herhangi biri sizi gözetlemeden özel olarak işlem yapma seçeneğine sahip olması gerektiğine inanıyoruz.</p>\n\n<p>Ancak, verebileceğimiz bir güvence, bir noktada Bitcoin\'in şu anda Monero\'nun sahip olduğu itibarın tamamen aynısına sahip olduğudur. Suçlunun madeni parası olduğu ve tamamen özel ve anonim olduğu düşünülüyordu, ancak yavaş yavaş, zamanla halk Bitcoin\'i ne olursa olsun kabul etmeye başladı. </p>\n\n<p>İnsanlar Bitcoin\'in gerçekten özel veya anonim olmadığını fark ettikçe Bitcoin\'in itibarının değiştiği iddia edilebilir, ancak bu doğru değil, çünkü Bitcoin\'in tamamen özel olduğu ve izlenemeyeceği fikri yalnızca yaygın değil. genel kamuoyunda, ancak sektörü düzenleyenler arasında. Bu insanlar hala bunun özel olduğuna inanıyorlar, bu yüzden temelde Monero\'nun gerçekte ne olduğuna inanıyorlar ve yine de hızla halk, işletmeler ve yönetim organları tarafından kabul gördüğü bir dünyaya ilerliyoruz. Bu, yeterince zaman verilirse, Monero\'nun aynı kabulü görebileceğini gösteriyor.</p>';

  @override
  String get knowledge250Sbmyths250Sb1250Sbtitle => 'Monero, işlemlerinde gizlilik ve anonimlik taahhüdü nedeniyle diğer kripto para birimlerinin çok ötesinde düzenleyici incelemelerle karşı karşıya kalacak.';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtext => '<p>Bitcoin\'den daha küçük kripto paraların çoğuyla ilgili yaygın bir şikayet, onlara teorik olarak %51 saldırmanın ne kadar kolay olduğudur. Gerçekten de, Vertcoin gibi birkaç küçük madeni para birkaç kez başarıyla %51 saldırısına uğradı.</p>\n\n<p>Bu endişelerin çoğu, bulut madenciliği için madencilik donanımı kiralayan bir platform olan NiceHash\'ten hashrate kiralamanın ne kadara mal olacağını gösteren https://www.crypto51.app/ web sitesinden kaynaklanmaktadır. Bir zamanlar, bu web sitesi Monero\'ya bir saat için yaklaşık 6.300 dolara mal olacak bir saldırı listeledi. Bu fiyat çoğumuzun şaşkın şaşkın bakmasına neden olsa da, varlıklı bir işletmenin veya bireyin ağa sürekli bir saldırı gerçekleştirebilmesi ihtimal dışı değildir.</p>\n\n<p>Neyse ki artık durum böyle değil. Keskin gözlü bir okuyucu, RandomX\'in dahil edilmesi nedeniyle web sitesinin aslında Monero\'yu uygulamalarından kaldırdığını görecektir. Bir kez daha, okuyucunun ayrıntılar için <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">RastgeleX hakkındaki makalemizi</a> okuması önerilir, ancak algoritmanın CPU dostu doğası nedeniyle, NiceHash gibi işletmeler artık her kim olursa olsun kiralamak üzere Monero için ASIC\'ler satın alamazlar. onları kiralamak istiyor. Şimdi, çok daha yaygın ve elde edilmesi daha kolay olan CPU\'larla rekabet etmek zorundalar.</p>\n\n<p>Monero ağına %51 saldırısı için donanımın tam maliyeti hesaplanmamıştır ve gerçekten de ASIC dönemine sahip diğer madeni paralar kadar kolay hesaplanmamıştır.</p>';

  @override
  String get knowledge250Sbmyths250Sb10250Sbtitle => 'Monero kolayca %51 saldırısına uğramıyor mu?';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtext => '<p>Madencilik alanındaki iki öcü ASIC\'ler ve botnet\'lerdir ve birinden uzaklaşmak zorunlu olarak diğerine yaklaşmak anlamına gelir. Monero madenciliği yapmak için bir CPU\'ya ihtiyaç duyulursa, bilgisayar korsanları teorik olarak binlerce olmasa da yüzlerce savunmasız bilgisayarın kontrolünü ele geçirebilir ve onları kendi adlarına Monero madenciliği yapmaya zorlayabilir, onlara hiçbir maliyeti yoktur ve evlerinde yalnızca birkaç bilgisayarı olan bilgisayar korsanlarını geride bırakabilir. .</p>\n\n<p>Bu argümanın ilk çürütülmesi, botnet sahiplerinin kendileri hakkındadır. Başkalarının bilgisayarlarının hacklenmesine göz yummasak da, bir botnet\'e sahip olmanın ve onu çalıştırmanın önündeki engel, ASIC\'lere sahip olmaktan çok daha düşüktür. Biri yazılım (genellikle ücretsiz olarak mevcut ve açık kaynak) ve savunmasız bilgisayarları bulmak için zaman ve zeka gerektirir. Diğeri ise inanılmaz miktarda sermaye ve üretime erişim gerektiriyor. Biri bodrumdaki bir çocuk tarafından yapılabilir, diğeri ise sadece aşırı zenginler tarafından yapılabilir. Bu, madencilerin en büyük korkularının gerçekleşmesi durumunda botnet\'lerin ASIC\'lerden daha merkezi olmayan olacağı sonucuna varmamıza neden oluyor.</p>\n\n<p> Bununla birlikte, Monero topluluğu bu sorunun abartıldığından emin. RandomX mühendisleri protokolü, çalışması için 2 GB RAM bellek gerektirecek şekilde kasıtlı olarak tasarladılar. Başka bir deyişle, pek çok küçük, savunmasız sanal özel sunucu (VPS) kapasiteye sahip olmayacaktır ve kapasiteleri olsaydı, kullanılan kaynaklardaki artış bir sistem yöneticisi tarafından çok fark edilebilir ve bu da derhal soruşturmaya yol açardı. Başka bir deyişle, bir DDOS saldırısında yer alan güvenliği ihlal edilmiş bilgisayarlar veya sessizce şifreleri koklama gibi arka planda sessizce çalışamaz. Madenci açıkken herkes bunu bilir.</p>\n\n<p>Bu, bir botnet\'in başarılı bir şekilde tehlikeye atabileceği bilgisayar miktarını, bu argümanın savunucularının risk altında olduğunu varsaydığı çok sayıda savunmasız bilgisayar yerine, teknolojik olarak büyük ölçüde beceriksiz veya asla kontrol edilmeyen bilgisayarlara azaltır. .</p>';

  @override
  String get knowledge250Sbmyths250Sb11250Sbtitle => 'CPU dostu algoritma? Monero madenciliği bot ağları tarafından ele geçirilmeyecek mi?';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtext => '<p>Bu eleştiri, gerçek dünyadaki olaylardan geliyor. Topluluk tarafından tanınmayan bir grup birey, Monero\'yu çatalladı ve kendi madeni parasını yarattı: MoneroV. Bir zincir çatal olduğundan, bireyler Monero\'da sahip olduklarına eşdeğer miktarda MoneroV talep edebildiler, yani 100 Monero\'nuz varsa, aynı seed\'i bir MoneroV cüzdanında 100 MoneroV almak için kullanabilirsiniz.</p>\n\n<p>Bu, şaşırtıcı ve beklenmedik bir sonuca yol açtı: mahremiyet kaybı. Bunu açıklamak için bir örnek vereceğiz. Tahmin etmeniz gereken bir sayı düşünsem ve size sadece biri doğru olan üç sayı versem, hangisinin doğru cevap olduğunu bilemeyeceksiniz. Diyelim ki size 88, 25 ve 19 rakamlarını söylüyorum. Yine de akıllısınız ve benden başka bir üç sayı dizisi daha isteyin, ancak bunlardan biri yine de doğru sayı olmalı. Size 54, 88 ve 92 veriyorum. 88 sayısının her iki kümede de göründüğünü görüyorsunuz, yani doğru sayı olmalı ve haklısınız.</p>\n\n<p>Monero\'nun gizliliğine yapılan saldırı da aynı şekilde işliyor. Monero, işlem çıktılarını gizlemek için yerel cüzdanda toplanan halka imzalara güvenir. Halkanın aynı tuzaklardan oluştuğundan emin olmadan, Monero zincirinde tek birleştirilmiş halka ile bir çıktı harcar ve aynı çıktıyı MoneroV zincirinde, farklı birleştirilmiş halkada harcarsam, o zaman gerçek çıktı tıpkı 88 sayısının doğru sayı olduğunun belli olması gibi.</p>\n\n<p>İnsanların Monero\'dan sorumlu bir şekilde çatallanması için araçlar oluşturmak, kusurlu çıktılardan oluşan bir blackball veri tabanı ve yüzük boyutunu büyütmek dahil olmak üzere çeşitli çözümler öne sürüldü, ancak nihayetinde bunların hiçbiri gerekli değildi. MoneroV hiçbir zaman ilgi görmedi ve madeni paralarını talep eden ve mahremiyetlerini tehlikeye atan insan sayısı çok azdı.</p>\n\n<p>Gizliliğe yönelik bu tehlikenin bir Monero kod çatalından DEĞİL, zincir çatalından kaynaklandığına dikkat edilmelidir. Bu, Monero\'nun kodunu alan ve kendi genesis bloğuyla sıfırdan başlayan herhangi bir madeni paranın zincirleri de tehlikeye atmayacağı anlamına gelir. Yalnızca bir madeni para, Bitcoin / Bitcoin Cash fiyaskosuna benzer bir anlaşmazlık nedeniyle gerçek blok zincirini mevcut Monero blok zincirinden ayırırsa, zincirler tehlikede olur. Bu, çatalın yerleşik topluluğa karşı savaşacağı ve katılmamayı seçenlerin ve diğer zincirden madeni paralarını talep edenlerin tehlikede olmayacağı anlamına gelir.</p>\n\n<p>Bununla birlikte, Monero\'ya asla bu şekilde bir saldırı olmayacağını düşünmeyi saflık olarak görüyoruz, bu nedenle halka boyutunu artırmak veya tamamen farklı bir kanıtlama şemasına geçmek için başka çözümler de çalışılıyor. birçoğundan \"yüksek işlem ücretleri\" bölümünde bahsedilmiştir.</p>';

  @override
  String get knowledge250Sbmyths250Sb12250Sbtitle => 'Monero çatalları sadece Monero\'nun ekonomik uygulanabilirliğine değil, mahremiyetine de zarar verir!';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtext => '<p>Monero\'nun geçmişi ilginç ve gerçekten de bir dolandırıcılık olarak başladığını duymak birçok kişiyi şaşırtabilir. Müteahhit, yani, CryptoNote protokolünü yapan bir kripto para birimi grubuyla işbirliği içindeydi, ancak bunu kullanarak insanları dolandırmak gibi sinsi niyetleri vardı.</p>\n\n<p>İlk madeni para çabaları başarısız oldu, bu yüzden tekrar denemek için Monero\'yu yarattılar. Topluluk, bir şeylerin ters gittiğini hemen fark edip madeni parayı ele geçirdiği için bu yine başarısız oldu. Öyle bile olsa, sinsi yaratıcıların ellerinde son bir numara vardı. Kasıtlı olarak optimize edilmemiş madencilik yazılımını halka yayınladılar ve diğerlerini geride bırakmak ve blok ödüllerinden çok para kazanmak için optimize edilmiş sürümü kendilerine sakladılar.</p>\n\n<p>Bu bir süreliğine başarılı oldu, ancak aynı zamanda Monero topluluğu tarafından hızla fark edildi, düzeltildi ve optimize edilmiş madenci herkese sunuldu. Ne olduğunu anlayan topluluk, hem dolandırıcıların ne kadar para kazandığını hem de sıfırdan yeniden inşa etmenin ne kadar zaman ve çaba gerektireceğini ölçmek zor olduğu için madeni parayı yeniden piyasaya sürmemeyi seçti. Dolandırıcıların kaç jeton aldıklarını tespit etmek zor olsa da, bu dönemde birçok iyi niyetli madencinin kodu bağımsız olarak yeniden optimize ederek kârlarını satarak daha adil bir dağıtım sağladığı ve dolandırıcıların eski bu süre zarfında çok sayıda madeni para alan sadece onlar değildi. <a class=\"next-link\" href=\"https://da-data.blogspot.com/2014/08/minting-money-with-monero-and-cpu.html\" target=\"_blank\">Bunlardan biri hesap buradan okunabilir</a>.\n\n<p>Geçmişe bakarak, bazıları kripto para birimini yeniden piyasaya sürmeme kararını eleştirebilir ve bu dolandırıcılık kökenleri, kişiyi Monero\'nun yaptığı iyi işten uzaklaştırmaya yetiyorsa, o zaman onları etkilemek için hiçbir argüman yoktur. Dolandırıcı içerik oluşturucuların neden olduğu ilk hayal kırıklıklarına rağmen, Monero başarılı oldu ve topluluk zekasını ve tutkusunu güçlü bir teknoloji oluşturmak için kullandı. Mevcut çekirdek ekibimiz ve eski üyeler, sakat maden tarafından zenginleştirilmedi ve bildiğimiz kadarıyla, ilk dolandırıcılığa dahil olan hiç kimse Monero topluluğunda koinin varlığının ilk birkaç haftasından daha uzun sürmedi.</p >';

  @override
  String get knowledge250Sbmyths250Sb13250Sbtitle => 'Monero\'nun ilk zamanlarda kurucularını zenginleştirmek için kullandığı sakat bir madenci yok muydu?';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtext => '<p>Bu cevaplaması zor bir soru. Yaygın olarak verilen bir cevap, madeni para tabanı işlemlerini toplayabileceğimizdir (yeni Monero bir madenciye bir bloğu çözdüğü için ödüllendirildiğinde). Bu işlemler şeffaftır ve bunları toplarsak dolaşımdaki toplam Monero sayısını elde ederiz.</p>\n\n<p>Ancak, Monero miktarını coinbase işlemlerinden görmeyi beklediğimizin ötesinde artıran maskaralıklar olursa, bunlar coinbase işlemlerinde değil, cüzdanlar arasındaki normal bir işlemde olur. Bu, yalnızca üç yoldan biriyle olur.</p>\n\n<p>Bir, bir işlemde Monero\'nun oluşturulmadığını veya yok edilmediğini kanıtlayan kriptografi temelde kusurluysa. İki, katı kriptografinin uygulanması (kodu) kusurluysa. Üç, eğer ikisi de kusurlu değilse, ancak bilgisayarlar mevcut kriptografik şemalarımızı delip geçecek ve yanlış kanıtlar yaratacak kadar güçlü hale gelir.</p>';

  @override
  String get knowledge250Sbmyths250Sb14250Sbtitle => 'Monero bu kadar özelse, kimsenin burnumuzun dibinde ücretsiz Monero basmadığından emin olmak için arzı nasıl denetleyebiliriz?';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtext => '<p>Bu, genel olarak madenciliğin sürekli dalgalanması nedeniyle yanıtlanması en zor olan sorudur. Hatta belki bu yazı yayınlandıktan sonra durum böyle olmayabilir ve ertesi gün yeniden olabilir. Sektörün hızlı hareket eden doğası nedeniyle genel olarak teknoloji hakkında kesin olarak yazmak zordur ve bu özellikle madencilik ve hashrate için geçerlidir.</p>\n\n<p>Endişeden kaçmıyoruz, merak etmeyin. Donanım merkezileştirme ile havuz merkezileştirme arasındaki farka bakarak bu sorunu çözelim.</p>\n\n<p>Bitcoin madenciliğinin yalnızca kolayca erişilemeyen çok özel donanımlarda yapılabilmesi, en iyi donanımın üreticiler etrafında toplandığı anlamına gelir. Madencilik havuzu kurmak önemsiz olduğundan, bu üreticilerin kendi ASIC\'lerinin madencilik yaptığı kendi madencilik havuzlarını kurmasını bekliyoruz ve gerçekten de bugünün başlıca ASIC üretim şirketlerinde durumun böyle olduğunu görüyoruz.<p>\n\n<p>Bu çözülebilir bir sorun değil. Merkezi madencilik havuzları donanıma, havuza ve hash\'lere sahiptir ve bu konuda kimsenin yapabileceği bir şey yoktur.</p>\n\n<p>Havuz merkezileştirme, nihai sonuç benzer olsa da çok farklı ve çok daha değişken temellere sahiptir. Monero\'nun eşitlikçi madenciliği olduğundan, her madenci hash\'lerini nereye yönlendireceğini seçebilir. İnsanlar genellikle daha büyük bir havuzu işaret etmeyi seçerler, çünkü bu, daha küçük bir havuzdan daha sık bulunan blokları görecekleri anlamına gelir. </p>\n\n<p>Bununla birlikte, bunu çok daha fazla kişiyle paylaştıklarından, bireysel blok ödülü kesintilerinin daha küçük olacağı unutulmamalıdır. Daha küçük havuzlar blokları daha az bulur, ancak her madenci blok ödülünün daha büyük bir kısmını alır ve sonuçta bir madenci ister daha küçük ister daha büyük bir havuzda olsun eşit miktarda para kazanır, bu nedenle madencileri işaret etmeye teşvik ediyoruz. madenciliği daha da dağıtmak için hash\'lerini daha küçük havuzlara aktarıyorlar.</p>\n\n<p>Ama konudan sapıyoruz.</p>\n\n<p>Yukarıdaki ademi merkeziyet teşvikimizde, madencinin havuzları değiştirme gücüne sahip olduğunu fark edeceksiniz. Herhangi bir noktada, ister daha iyi eğitim, ister ademi merkeziyetçilik için bir toplanma çağrısı, ister havuzlar arasında artan rekabet olsun, hash dağılımı, bireysel madencilerin hash\'lerini işaret ettikleri yeri değiştirmesine bağlı olarak değişebilir. ASIC üreticilerinin kendi havuzları dışında herhangi bir havuzu işaret etme teşvikleri olmadığından ve bunu yapmayacaklarından, donanım düzeyinde merkezileştirilmiş madencilik için aynı şey söylenemez.</p>\n\n<p>Dolayısıyla, Monero\'nun hashrate\'inin büyük bir kısmının birkaç havuzda yoğunlaştığı gerçeği, bizim takılıp kaldığımız bir şey değil ve gerçekten de genel olarak madencilikle ilgili eğitim eksikliğinden kaynaklanıyor olabilir. Bitcoin\'in donanım merkezileştirmesinden farklı olarak sorun temel düzeyde olmadığı için bu düzeltilebilir bir şeydir.</p>';

  @override
  String get knowledge250Sbmyths250Sb15250Sbtitle => 'Monero\'nun mevcut karma gücünün çoğu sadece iki havuzdan geliyor.';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtext => '<p>Monero\'nun gerçekten de birçok mevcut kripto paradan daha az cüzdan seçeneği var. Bunun nedeni, Monero\'nun sıfırdan geliştirilmiş olmasıdır. Bitcoin\'den tamamen farklı bir kod tabanında. Bu, Monero\'nun Bitcoin çekirdek cüzdanını veya çoğu madeni paranın yaptığı gibi Bitcoin için var olan diğer cüzdanları çatallayamayacağı ve mevcut altyapıdan yararlanamayacağı anlamına gelir. Ayrıca bu, Exodus gibi üçüncü taraf cüzdanlara Monero\'nun o kadar kolay eklenemeyeceği anlamına gelir.</p>\n\n<p>Yine de yavaş ama emin adımlarla Monero için her türden cüzdan ortaya çıkmaya başlıyor. Monero\'nun bir GUI\'ye ve mobil cüzdan desteğine sahip olmadığı yıllardır bir memdi, ama şimdi hiçbir şey gerçeklerden bu kadar uzak olamaz. Android için Monerujo ve hem iOS hem de Android için Cake Wallet gibi özellikle Monero\'ya hitap eden cüzdanların yanı sıra Wookey, Exa Wallet ve daha fazlası gibi yeni cüzdanlar var. Ayrıca, Exodus ve Guarda dahil olmak üzere üçüncü taraf cüzdanlar daha yavaş da olsa Monero eklemeye başlıyor ve bu eğilimin ancak zaman geçtikçe ve Monero\'nun kod tabanı olgunlaştıkça devam etmesini bekliyoruz.</p>';

  @override
  String get knowledge250Sbmyths250Sb2250Sbtitle => 'Monero\'nun daha az cüzdan seçeneği var.';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtext => '<p>Bu eleştiri de biraz aldatıcı. Kuşkusuz, bazı alanlarda Monero\'nun kullanımı gerçekten de Bitcoin\'den daha zordur. Bunun örnekleri, daha uzun adres ve hafif bir cüzdanda bile uzun zaman alan senkronizasyondur, çünkü bir cüzdan, söz konusu hesaba ait olup olmadığını görmek için her bir çıktıyı taramadan basitçe blok zincirini kontrol edemez. </p>\n\n<p>Bununla birlikte, Monero, özellikle gizlilik söz konusu olduğunda, kripto para biriminin kullanıcı deneyimini tamamen iyileştirmese de birçok yönden üzerine inşa ediyor.</p>\n\n<p>Okuyucuyu, gizliliği korumak için Bitcoiners\'ın önerdiği adımlarla ilgili makaleleri okumaya davet ediyoruz. Liste uzun, kafa karıştırıcı ve mükemmel bir şekilde elde edilmesi zor ve çoğu zaman bir hatanın sonuçları gizliliği tehlikeye atıyor. Buna bir örnek, Bitcoin\'inizi alt üst etme veya karıştırma önerisidir, ancak karıştırma işleminden sonra, ortaya çıkan çıktılar birleştirilirse veya başka bir şekilde aynı cüzdana taşınırsa, çıktıların izlenmesi yüksek bağlanabilirlik sağladığından, karıştırma boşa gitmiş olabilir. Başka bir örnek, Bitcoin çıktılarının nasıl elde edildiğine dair tamamen belirsiz kalmasını istiyorsanız, birçok kişinin kendi Bitcoin\'inizi madenciliği yapmanızı önermesidir; bu, mevcut madencilik ekosisteminde gülünç bir fikirdir.</p>\n\n<p>Monero ile bu ayrıntı listesi neredeyse tamamen ortadan kalktı. Her Monero işlemi, kullanıcının herhangi bir şey yapmasına veya harici yazılım kullanmasına gerek kalmadan her seferinde yüksek düzeyde gizlilik sağlar. Bitcoin, en deneyimli kullanıcı dışında herkes için gizliliği doğru yapmayı zorlaştırırken, Monero, herkes için her zaman yanlış anlamayı zorlaştırır. Takas söz konusu olduğunda, daha uzun adreslerin ve senkronizasyon süresinin buna değer olduğunu düşünüyoruz.</p>\n\n<p>Yukarıdaki her şeyi tartıştıktan sonra bile, kullanıcı deneyiminin genellikle zamanla daha iyi hale geldiği ve Monero\'nun da bir istisna olmadığı gerçeği devam ediyor. Bir kripto paranın kullanıcı deneyimi birkaç yıl sonra önemli ölçüde iyileştirilebilir, ancak temellerini değiştirmek çok daha zordur.</p>';

  @override
  String get knowledge250Sbmyths250Sb3250Sbtitle => 'Monero\'nun zayıf bir kullanıcı deneyimi var.';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtext => '<p>Bu eleştiri en çok Bitcoin düşünülerek yapılır. Ya Bitcoin, yeterli gizliliğe izin veren gizlilik teknolojilerini benimserse? Monero ne işe yarar?</p>\n\n<p>Gerçek şu ki, Bitcoin\'in gizliliği ilk katmana koyduğunu görmüyoruz. En iyi ihtimalle, ikinci katmanlarda veya Samourai ve Wasabi gibi belirli cüzdanlar aracılığıyla olur. Bu, gizliliğin isteğe bağlı olduğu anlamına gelir ve araştırmaların gösterdiği gibi, varsayılan olarak açık olan gizliliğe göre her zaman daha düşüktür. Bu teknoloji, Bitcoin kullanıcılarının makul bir yüzdesi tarafından benimsenmiş olsa bile (ki bu, hayal gücünün bir uzantısıdır), mahremiyet daha düşük olacaktır.</p>\n\n<p>Kayıtlı gizlilik yetersizliğinin nedenleri kendi makalesi olacak kadar büyük olsa da, burada kaba bir örnekle detaylandırmak istiyoruz. Gizlilik, teknolojik açıdan kalabalığın içinde saklanmakla ilgilidir. Kalabalık ne kadar büyük ve homojen olursa, bireyin mahremiyeti o kadar iyi olur. Tersine, kalabalık küçük veya büyükse, ancak herkes farklı, benzersiz giysiler giyiyorsa, bir kişiyi tanımlamak daha kolay olacaktır.</p>\n\n<p>Bu, Bitcoin insanları bu kalabalığın bir parçası olmak için ekstra adımlar atmaya zorladığından, pek çok kişinin bunu yapmayacağı ve yapanların da başarısız olabileceği anlamına gelir. Nihai sonuç küçük bir kalabalık olur ve bireysel çıktıları belirlemek çok daha kolaydır. Ama daha da kötüleşiyor. Kalabalığın küçük olmasının yanı sıra, kullanmayı seçtikleri gizlilik protokolüne bağlı olarak her birey az çok birbirinden benzersizdir. Bazıları bir karıştırma yöntemi olan Samourai\'yi, bazıları ise başka bir karışımı olan Wasabi\'yi seçebilir ve liste uzayıp gider. Bu sonuçta her işlem hakkında benzersiz özelliklere yol açar. Küçük kalabalıkla birleştiğinde mahremiyet oldukça zayıf.</p>\n\n<p>Yukarıdakileri, gizliliği protokol düzeyinde uygulayan Monero ile karşılaştırıyoruz. Bu, herkesin varsayılan olarak kalabalığın bir parçası olduğu ve herkesin aynı mahremiyeti (protokol tarafından dikte edilen) kullandığı anlamına gelir. Kalabalık hem büyük hem de homojen olduğundan çok daha güçlü bir mahremiyet sağlıyor.</p>\n\n<p>Ama bir adım geri gidelim ve Bitcoin\'in bir şekilde gerçekten de temel katmana gizlilik koyduğu bir varsayımı takip edelim. Sağlam, varsayılan olarak açık ve zorunludur. Monero\'ya ne gerek var?</p>\n\n<p>Eh, bazıları için bir tane olmazdı ve bunu duymak şaşırtıcı olabilir, ancak çoğumuz Monerolular umursamazdık. Tek istediğimiz, bireylerin dünya çapında birbirleriyle işlem yapması için mahremiyeti koruyan, karşılanabilir bir yol olması ve Bitcoin bunu mucizevi bir şekilde zorunlu, temel katman teknolojisi aracılığıyla gizliliği gerçekten koruyacak şekilde yaparsa, o zaman çoğumuz mutlu bir şekilde geçiş yapardı. Yine de bunun gerçekleşmesi için iyi şanslar.</p>\n\n<p>Bununla birlikte, Monero gizliliğin ötesinde Bitcoin\'in sunmadığı birçok özellik sunuyor. Kuyruk emisyonu, farklı bir kod tabanı, düşük ücret politikası, farklı bir eliptik eğri ve daha fazlasıyla sağlanan dinamik blok boyutu. Burada özellikle dinamik blok boyutu vurgulanmalıdır, çünkü bu, tıkanma noktaları olan yalnızca depolama ve bant genişliği ile teorik olarak sınırsız bir işlem hacmi sağlar. Kısacası, gizliliğe sahip teorik bir Bitcoin, Monero\'nun sunduğu her şeyi sunmaz.</p>\n\n<p>Bu soru için son bir kez vites değiştiriyorum, bu argüman, bir kez daha ana zincirin temel katmanında zorunlu gizliliğe sahip olmayan zk-SNARKS kullanan bir ethereum akıllı sözleşmesi gibi bir teknoloji için daha az sıklıkla geçerlidir. anonimlik setleri oldukça küçük olacak ve mahremiyeti yeterince koruma konusunda şüpheli olacaktır. Diğer karşılaştırmalar için lütfen Monero\'yu diğer büyük gizlilik madeni paraları</a></p> ile karşılaştıran <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">makalemize bakın.';

  @override
  String get knowledge250Sbmyths250Sb4250Sbtitle => 'Daha popüler bir blok zinciri güçlü gizlilik teknolojisini benimserse, Monero geçerliliğini yitirecektir.';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtext => '<p>Artık değil! Ekim 2018\'de eklenen harika kurşun geçirmez teknoloji sayesinde, işlem boyutları büyük ölçüde (%80\'in üzerinde) azaltıldı ve işlem ücretlerinde benzer bir düşüşe yol açtı. Aslında, bu yazıyı yazarken, Monero bayt başına Bitcoin\'den daha ucuz ve teknolojinin daha fazla optimizasyonu bunları daha da düşürüyor.</p>\n\n<p>Bu optimizasyonlar çeşitlidir ve sıktır. Bir örnek, hem hesaplama hem de doğrulama için gereken matematiği bazen %25\'e kadar azaltan kurşun geçirmezliklerin kendilerindeki akıllı optimizasyonlardır.</p>\n\n<p>Ayrıca, mevcut MLSAG şemasının yerini alacak ve tüm işlemin boyutunu %25-35 oranında daha da küçültecek olan CLSAG gibi yeni, heyecan verici ring imza şemaları üzerinde çalışılmaktadır. Bunun ötesinde, mevcut işlem boyutlarını koruma potansiyeline sahip, ancak Triptych, Arcturus ve Lelantus gibi yüzün üzerinde halka boyutlarına sahip tamamen farklı kanıtlama sistemlerine sahip daha da yeni, daha gelişmiş teknolojiler vardır ve bunların tümü daha küçük ve daha küçüktür. mevcut şemalardan daha verimli.</p>';

  @override
  String get knowledge250Sbmyths250Sb5250Sbtitle => 'Monero\'nun işlem ücretleri çok yüksek değil mi?';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtext => 'Tekrar. Kurşun geçirmezler bunu büyük ölçüde azalttı. Monero işlemleri hala Bitcoin işlemlerinden daha büyük, ancak daha önce olduğu kabaca elli kat yerine şimdi yalnızca yaklaşık sekiz kat. Ama buna bakmanın başka bir yolu da var. Bitcoin, genellikle karıştırıcılar ve Wasabi, Samourai ve diğer CoinJoin ile ilgili şemalar gibi özel cüzdanlar aracılığıyla gizliliğe ulaşmanın bazı yollarına sahiptir. Diğer Bitcoin çıktılarıyla karıştırma, adres atlama ve uygun çıktı dağıtımını sürdürme maliyetlerini karşılaştırdığınızda, hem boyut hem de ücretler açısından toplam maliyet, bir kullanıcının yalnızca Monero kullanmasından daha fazladır. Yani evet, çıplak Bitcoin işlemleri daha küçüktür, ancak herhangi bir mahremiyet elde etmek (ki bu Monero\'nunkinden çok daha zayıftır) Bitcoin\'de Monero\'dan daha fazla yer kaplar.';

  @override
  String get knowledge250Sbmyths250Sb6250Sbtitle => 'Bir Monero işlemi, bir Bitcoin işleminden çok daha büyüktür.';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtext => '<p>2017-2018 döneminde, Monero topluluğu ASIC\'leri ağdan uzak tutma taahhüdünde bulundu. Bu, her altı ayda bir ASIC\'lerin ağı ele geçirmesini önleyecek yeni bir çalışma kanıtı algoritmasına sürekli olarak sert çatallama yapılarak yapıldı. <a class=\"next-link\" href=\"/knowledge/monero-mining-randomx\" target=\"_blank\">Monero</a> madenciliği hakkındaki makalemizdeki yazıcı analojisi, bunun nasıl çalıştığını açıklıyor.</p>\n\n<p>Çoğu insanın bilmediği şey, Monero\'nun hard fork\'larının çalışma kanıtını değiştirme nedeniyle başlamadığıdır. Monero bundan önce de her altı ayda bir hard fork yapıyordu, 2015\'e kadar gidiyor. Bu hard forklar neden ilk etapta yapılıyor? Mahremiyet üzerinde çalışan herhangi bir kişiye sorun, size mahremiyetin bir silahlanma yarışı olduğunu söyleyeceklerdir. Bir taraf iyi bir gizlilik sağlıyor, diğer taraf söz konusu gizliliği bozabilecek araçlar geliştirerek birinci tarafın daha güçlü bir teknoloji geliştirmesine neden oluyor ve döngü böyle devam ediyor.</p>\n\n<p>PoW öncesi değişiklik hard fork\'larının önemli bir örneği, 2017\'de RingCT\'nin dahil edilmesidir; bu, muhtemelen Monero\'nun gizliliğini birçok büyüklük sırasına göre artıran, Monero\'da yapılan en büyük değişikliklerdir. Özellikle Triptych ve Lelantus gibi çalışma aşamasında olan heyecan verici yeni gizlilik teknolojileriyle, protokolü kemikleştirmek için çok erken olduğunu düşünüyoruz. Bununla birlikte, geliştirme, araştırma ve daha fazlasının mümkün olduğunca merkezsiz olmasını sağlamak için çok çalışıyoruz. <a class=\"next-link\" href=\"/knowledge/why-monero-is-open-source-and-decentralized\" target=\"_blank\">bu konuyu kapsayan bir makalemiz</a> de var, bu yüzden mutlaka inceleyin.</p>\n\n<p>Bütün bunları söylemek gerekirse, merkezi olmayan geliştirme ekibi bu programa ayak uydurmayı çok zor ve yorucu buluyor ve her dokuz ayda bir, hatta her yıl bir hard fork\'a geçmeyi düşünüyor. Bunun nedeni, topluluğun, Triptych ve Arcturus gibi ilerlemelerle, birkaç zayıf noktayla gerçekten sağlam bir mahremiyet olacağını umduğumuz şeye yaklaştığımızı hissetmesidir, bu da sürdürülebilir, protokol değiştiren geliştirmeye gerek kalmamasına yol açar. İş kanıtı cephesinde, birkaç topluluk üyesi, ASIC\'leri ağdan uzak tutmak için son bir kumar olarak RandomX\'i yarattı. Bu yazıyı yazarken, hala bu deneyin ortasındayız ve uzun vadede başarılı olup olmayacağını henüz görmedik, ancak istenen sonuçlardan biri gerçekleşti, hızlı çatallanmanın bir başka nedeni ortadan kalktı, etkinleştirildi. daha yavaş çatallanma programı.</p>';

  @override
  String get knowledge250Sbmyths250Sb7250Sbtitle => 'Monero\'nun oldukça sık hard forkları vardır. Bu merkezi olduğu anlamına gelmez mi?';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtext => '<p>Bu, Riccardo \"fluffypony\" Spagni\'nin madeni parası değil ve hiçbir zaman da olmadı. Başaramadı bile. Bugün için müteşekkir olarak bilinen takma adlı bir kişi tarafından başlatıldı ve bununla ilgili başka bir zaman için çok ilginç bir hikaye var. Fluffypony, seyahatleri ve konferanslarda yaptığı konuşmaların yanı sıra madeni paranın büyümesine yardımcı olmak için çok fazla zaman ve kaynak ayırdığı için hem çekirdek ekip üyesi/baş bakım sorumlusu olarak ün kazandı. Bu iki şey birleştiğinde, Monero için bir tür gayri resmi yüz haline geldi ve genellikle insanların bizi bulduğu geçit oldu. Kripto para birimi sahnesinde yaygın olan korkunç CEO kültürü nedeniyle, onun Monero\'nun kurucusu ve lideri olduğunu varsaydılar, ki bu ikisi de doğru değil.</p>\n\n<p>Günümüzde, fluffypony hala çekirdek ekibin bir parçasıdır, ancak artık kod tabanının baş sorumlusu değildir ve kendi kişisel projelerinde çalışmak için geri adım atmıştır. Monero gayet iyi devam ediyor.</p>';

  @override
  String get knowledge250Sbmyths250Sb8250Sbtitle => 'Bu fluffypony\'nin kişisel madeni parası!';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtext => '<p>Bu tartışılmaz bir gerçek ve tartışılacak bir şey değil. moneromooo, Monero topluluğunun tanınmış bir üyesidir. Öyle ki topluluk, Monero\'da tam zamanlı çalışmaları için kitlesel fonlama platformumuz olan Topluluk Kitlesel Fonlama Sistemi (CCS) aracılığıyla fon topladı. Her üç ayda bir yeni iş teklifleri sunulur, bu nedenle topluluk yapılan işten memnun kalmazsa, bir sonraki teklifine kitle fonlaması yapmaları gerekmez. </p>\n\n<p>Tahmin edilebileceği gibi, Monero\'da gönüllülük yerine tam zamanlı çalışmak, büyük miktarda iş birikmesine yol açacaktır. Monero\'nun bir ön madeni, ICO\'su olmadığı ve kurucunun ödülünü almadığı için, bunun dışında proje üzerinde çalışan tam zamanlı mühendislerimiz yok ve insanlar yapabilecekleri zaman ellerinden geldiğince katkıda bulunuyorlar ve bu katkıları beklemek mümkün değil. tam zamanlı bir çalışandan daha ağır basar.</p>\n\n<p>Bununla birlikte, kontroller ve dengeler için hala büyük çaba var. Çekirdek ekibin bir üyesi, incelemeden sonra yine de kodu birleştirir, bu nedenle, bir bireyin kodu hem oluşturup hem de entegre ederek korkunç bir hatayı veya kötü niyetli niyeti yakalamak için gereken herhangi bir gözetimi atladığı bir durum söz konusu değildir.</p>';

  @override
  String get knowledge250Sbmyths250Sb9250Sbtitle => '2017\'den bu yana taahhütlerin çoğu, moneromooo-monero olarak bilinen bir kişiden geldi.';

  @override
  String get knowledge250Sbmyths250Sbdescription => 'Monero\'ya yöneltilen pek çok yaygın eleştiri ya modası geçmiş ya da yanlış, diğerleri ise söz konusu soruna çok dar bir bakış açısı sunuyor. Bu yazıda, bu eleştirilere ilişkin rekoru kırmayı umuyoruz.';

  @override
  String get knowledge250Sbmyths250Sbtitle => 'Çürütülen En Önemli 15 Monero Efsanesi ve Endişesi';

  @override
  String get knowledge250SbnetworkEffect250Sb0250Sbtext => '<p>Blockchain, hepsi bir araya sıkıştırılmış sayısız disiplindir. Güvenlik modellerine teknoloji, ekonomi ve oyun teorisi unsurlarını getirir. Bu, bugüne kadarki en karmaşık ve karmaşık teknoloji parçalarından biri olduğu anlamına gelir, ancak aynı zamanda, onu şekillendiren her yapboz parçasının temellerini öğrenmeden derin ve kapsamlı bir anlayışın imkansız olduğu anlamına gelir.</p>\n\n<p>Blockchain\'in sıklıkla tartışılmayan bir kısmı rekabettir. Her kripto para birimi genellikle kendi değerlerine göre ve hatta ona en çok benzeyen kripto para birimlerine göre değerlendirilir, ancak çok azı piyasaya bir bütün olarak sunduklarına ve onu kaç kişinin kullandığına göre değerlendirilir. Daha da ileri götürüldüğünde, bir kripto para birimi, onu kaç kişinin kullandığını, bildiğini veya başka bir şekilde onunla herhangi bir şekilde arayüz oluşturduğunu analiz etmelidir. Bu kavram ağ etkisi olarak bilinir.</p>\n\n<p>Bir ağ etkisinin blok zinciri olmayan bir örneği sosyal medyadır. Tüm arkadaşlarınız Facebook\'taysa, hangi sosyal medyada yoğun olarak yer almak istediğinizi seçerken, arkadaşlarınızın seçimleri de bu kararı etkiler. Çoğunun Facebook\'ta olması sizin de katılmanız için etkili olabilir. Ve platformdan ayrılmak isteyip istemediğinize karar verirken, bu arkadaşlardan bazılarıyla iletişiminizi kaybetme ihtimaliniz de bu kararı etkileyecektir. Bu eylemdeki ağ etkisidir. Benimseme kritik bir kitleye ulaştıktan sonra, daha fazla benimseme daha kolay hale gelir ve genellikle ağın mevcut katılımcıları tarafından desteklenir.</p>\n\n<p>Buna blockchain ve aslında genel olarak ticaret bağlamında baktığımızda, ağ etkilerinin gücü hızla ortaya çıkıyor. Bitcoin, çoğu insanın bildiği kripto ise ve çoğu insanın satın aldığı kripto ise, o zaman daha fazla tüccar bunu kabul edecektir. Daha fazla tüccar kabul ederse, o zaman onu kullanacak daha fazla yer vardır, bu yüzden daha fazla insan onu satın alır ve daha fazla insan bundan haberdar olur. Çığır açan büyük bir olumlu geri bildirim döngüsü haline gelir. Bu noktada, bir tüccara başka bir kripto para birimi kullanma konusunda yaklaşılabilir, ancak Bitcoin\'i zaten kabul ettikleri ve herkesin kullandığı ve kabul ettiği şey olduğu için buna neden ihtiyaç duyulduğunu sorgulayacaktır. </p>\n\n<p>Bitcoin\'in açık ara en büyük kripto para birimi olduğu tartışmasız olsa da, kendi nişlerinde zirvede kabul edilen başkaları da var. Monero böyle bir madeni paradır ve birçok kişi tarafından birinci sınıf gizlilik madeni parası olarak kabul edilir, ancak farklı insanlar Monero\'nun Bitcoin ile aynı alanda rekabet edip etmediği konusunda farklı görüşlere sahiptir. Bunun nedeni, Bitcoin\'in toplam tutarı doğrulamak adına tüm kartlarını şeffaflığına koymasıdır (ancak bu, çok daha dolambaçlı bir şekilde olsa da Monero\'da da mümkündür).</p>\n\n<p>Peki Monero şu anda bu ağ efektleri oyununda nerede duruyor? Nereden başladık? Gelecek ne gösterir? Pekala, en baştan başlayalım.</p>\n\n<p><a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">Monero\'nun ilk günlerinde</a> gizliliği sağlamanın üç yolundan biri olduğunu belirtmek ilginçtir. Coinjoin, CryptoNote ve Dash\'in masternode/coinjoin hibriti. Seçenekler sınırlıydı ve kesinlikle akran değerlendirmesinden geçmedi, ancak bu, insanların bir taraf seçmesini engellemedi. Bu eski çağda, herkesin oyunuydu ve bazıları arkanıza yaslanıp kremanın zirveye çıkmasına izin vermeye karar verdi. Diğer gizlilik kripto para birimleri gelip geçerken zaman sonunda <a target=\"_blank\" href=\"/knowledge/why-monero-is-better\" class=\"next-link\">Monero\'nun</a> tarafında olduğunu kanıtladı.</p>\n\n<p>Bu, Monero\'nun ağ etkisini, gizlilik içinde başkalarının önünü açan madeni para olarak belirledi. Zcash\'in zk-SNARK\'ları ve MimbleWimble gibi daha yeni teknolojiler ortaya çıktığında bile, kitleler liderlik ve bu yeni protokoller hakkında mantıklı tartışmalar için Monero\'ya baktı.</p>\n\n<p>Şu anda Monero, uzayda evrensel olarak saygı duyulan birkaç projeden biridir. Kripto çaylaklarından Bitcoin maksimalistlerine kadar hepsi, Monero\'ya en azından gönülsüz bir saygıyla bakıyor, ancak daha sıklıkla daha yüksek kabul görüyor. Alanın gazileri, dünyada bir fark yaratma şansı en yüksek olan ve deneme ve sıkıntıya rağmen dayanacak madeni paralardan bahsederken, Monero her zaman yanında olur.</p>\n\n<p>Bu son birkaç paragraf sadece kendi kendini kutlama amaçlı değil, aynı zamanda yazının yazıldığı tarihte kripto ortamının nasıl olduğuna dair dürüst bir bakış. Monero\'nun ağ etkileri her geçen gün daha belirgin hale geliyor ve beklenmedik yerlerde ortaya çıkıyor.</p>\n\n<p>Konu Monero\'nun geleceği olduğunda insanlar oldukça bölünmüş durumda, ancak tüm görüşler Monero\'nun işini iyi yaptığına işaret ediyor. Bunun en büyük örneği düzenleyici kaygılardır. Bazıları Monero\'nun çok özel olduğundan ve bunun dünya hükümetleriyle kaçınılmaz bir çatışmaya neden olacağından korkarken, diğerleri bu mahremiyetin sıradan insanlara özgürlüğü nasıl geri getirdiğinden heyecan duyuyor. Bu görüşlerin her ikisinin de temelinde, Monero\'nun gizlilik ve takas edilebilirlik vaadini tam olarak yerine getirdiği ve diğer \"gizlilik paralarının\" çoğu gibi bu tür konuşmalarda genellikle tek para olduğu fikri vardır.</p>\n\n<p>Monero topluluğu <a target=\"_blank\" href=\"/knowledge/critical-thinking\" class=\"next-link\">mantıklı ve şüpheci</a> olmak için çok uğraşırken, yeni teknolojiden korkmuyor. Rekabetçi tarafı daha çok önemseyen diğer kripto paralar, sürekli olarak Monero\'nun \'tahtından indirilmesinden\' ve Monero\'nun gizlilik dünyasını ele geçirecek yeni teknolojilerinden nasıl korkması gerektiğinden bahsediyor. Başka bir deyişle, yeni teknolojilerinin gizlilik çevrelerinde Monero\'nun yerleşik ağ etkilerinin üstesinden geleceğini düşünüyorlar.</p>\n\n<p>Mevcutta çok fazla yenilik olmaksızın alakalı kalmak için öncelikle ağ etkilerine dayanan Bitcoin\'in aksine, Monero her ikisini de kucaklamaya karar verdi. Monero\'nun ağ etkilerinin hiçbir zaman statüsünün tek amacı olmamasını, bunun yerine yenilik ve sıkı çalışmanın bir sonucu olmasını sağlamak için Monero\'yu daha özel ve güvenli hale getirmek için yeni, incelenmiş teknoloji eklendi.</p>\n\n<p>Bu anlamda, Bitcoin gibi bir teknolojinin alakalı kalmak için yalnızca mevcut ağ etkilerine ne kadar süre güvenebileceğini merak etmek gerekir. Durum şu anda güçlü, hiçbir madeni para Bitcoin\'in marka bilinirliğine ve kolektif beyin alanına yaklaşamıyor, ancak diğer sektörlerdeki diğer pek çok ezici gücün kendilerini dokunulmaz düşündüklerini, yalnızca yenilik eksikliği nedeniyle kendi düşüşleriyle yüzleşmek için hatırlamalıyız.[ X6322X]';

  @override
  String get knowledge250SbnetworkEffect250Sbdescription => 'Bitcoin\'in açık ara en büyük kripto olduğu tartışmasız olsa da, alakalı kalması için yalnızca mevcut ağ etkilerine güvenip güvenemeyeceğini soruyoruz.';

  @override
  String get knowledge250SbnetworkEffect250Sbtitle => 'Monero, Bitcoin\'in Ağ Etkilerinin Üstesinden Nasıl Gelebilir?';

  @override
  String get knowledge250Sbnetworking250Sb0250Sbtext => '<p>Monero\'nun ve aslında tüm kripto para birimlerinin internette çalışması kimseyi şaşırtmamalı. Ve yine de, bu ifade basit ve açık görünse de, birçoğu bunun mahremiyetleri açısından ne anlama geldiğini dikkate almıyor. Başka bir deyişle, Monero\'nun internette çalışmasının doğası gereği koruyabileceği ve koruyamayacağı bazı şeyler vardır. Bu hususların bazıları yalnızca rahatsızlık verirken, diğerleri mutlak mahremiyetin gerekli olduğu bir senaryoda çok daha ciddidir. Monero kullanıcılarının ağ üzerinde birbirleriyle nasıl etkileşime girdiğini ve bunun gizlilikleri için ne anlama geldiğini öğrenmek için zaman ayıralım.</p>\n\n<p>Önemsiz tarafından başlayarak, bir kullanıcının internet erişimi yoksa, yeni bloklar indiremez, başkaları adına işlemleri yayamaz veya kendi işlemlerini gönderemez. Unutulmaması gereken ilginç bir nokta, tam düğüme sahip, internet erişimi olmayan bir kullanıcı, daha sonra gönderilebilecek bir işlemi çevrimdışı oluşturabilir. Bunun nedeni, bir halka imzanın saklanmak için yalnızca blok zincirinden çıktılara ihtiyaç duymasıdır. <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">halka imzaların nasıl çalıştığına dair kısa bir hatırlatma</a>, bir kullanıcının geçmişten seçilmiş bağımsız çıktılar koleksiyonu arasında gönderdiği gerçek çıktıyı gizler. Kullanıcının bu çıktılara tamamen indirilmiş bir blok zinciri (tam düğüm) biçiminde erişimi varsa, geçmiş çıktılardan halka imza oluşturabilir ve internet bağlantısı yeniden başladığında işlemi ağa yayabilir.</p>\n\n<p>Uzak bir düğüm kullanan bir kullanıcı, halka imzasını oluştururken, halka imzasına dahil edilecek çıktılar için uzak tam düğümle iletişime geçtiği için bunu yapamaz. İnternet olmaması, bu düğüme ulaşamayacakları anlamına gelir, dolayısıyla çevrimdışı işlem oluşturma yetenekleri yoktur.</p>\n\n<p>Gizlilik hususlarından bazılarına devam etmeden önce, internetin bir bütün olarak nasıl çalıştığına dair kısa bir bilgi verelim. İnternetin tamamı, diğer bilgisayarlara bağlanan bilgisayarlardan başka bir şey değildir. Bu kadar. Okumayı sevdiğiniz blog? Yalnızca başka birinin bilgisayarında barındırılan bazı dosyalar. Bu makaleyi okuduğunuz bu web sitesi (LocalMonero)? Bir yerde bir bilgisayarda barındırılan dosyalar ve kodlar. Büyük çılgın siteler bile bu şekilde çalışır. Örneğin YouTube\'u ele alalım. Yalnızca Google\'ın devasa bilgisayar sistemlerinde barındırılan video dosyaları ve videoyu izleyebilmek için kendi bilgisayarınıza indirmek için onlara bağlanıyorsunuz.</p>\n\n<p>İnternete bağlı her bilgisayara IP adresi adı verilen benzersiz bir kimlik numarası verildiği için bu bilgisayarlar birbirlerini ayırt edebilir. Bunlar tipik olarak noktalarla ayrılmış dört sayı kümesidir, örneğin: 172.66.35.7. Monero bilgilerinin internette nasıl taşındığını düşündüğümüzde bunu akılda tutmak önemlidir. Monero, eşler arası bir ağdır (P2P), yani bilgisayarlar bir aracı kullanmak yerine doğrudan birbirine bağlanır. Dolayısıyla, bir kullanıcının tam düğümü yeni keşfedilen bir bloğu indirirken, onu merkezi bir sunucudan değil, akranlarından indirir. Bunun dezavantajı, kullanıcılar doğrudan birbirlerine bağlandıkları için birbirlerinin IP adreslerini bilmeleridir.</p>\n\n<p>Ee? Problem ne? Bu sadece bir sayı, değil mi? Tam olarak değil. IP adreslerinin kendileri, kaynak ülke ve ağ sağlayıcı gibi kullanıcı hakkında bilgiler içerir, ancak daha da kötüsü, internet servis sağlayıcıları (ISS\'ler), hizmetlerini kullanan her kişinin IP adresini bilir. Bu, bu ISP\'lerin ve birlikte çalıştıklarının bir kullanıcının internet trafiğini izleyebileceği ve bazı akıllı taktikler kullanarak Monero kullandıklarını keşfedebilecekleri anlamına gelir. Şimdi korkmadan önce oradaki ifadeye dikkat edin. Bu meraklıların yapabileceği tek şey, bir kişinin Monero ağındaki diğer düğümlere bağlandığını görmek. Monero\'nun gizlilik teknolojisi sayesinde kişi hakkında başka hiçbir şey sızdırılmaz. Bir düğüm çalıştırıp çalıştırmadıkları veya işlem gönderip göndermedikleri/ne zaman gönderdikleri ve bir işlem gönderilip gönderilmediği, bilgilerinin hiçbiri bilinmiyor. Bu ISP\'lerin tek görebildiği, kullanıcılarından birinin Monero ağına bağlandığıdır.</p>\n\n<p>Şimdi, bazı yerlerde, bazı insanlar için bu bilgi tek başına itibarın veya özgürlüğün zedelenmesi için yeterli olabilir. Ya da belki herhangi birinin gizliliğinizi ve internette yaptıklarınızı herhangi bir nedenle ihlal etmesi fikri sizin için kabul edilemez. Bu kişilerin Monero ağına yalnızca VPN\'ler, Tor veya I2P kullanarak bağlanmaları teşvik edilir; bunların tümü, bir kullanıcının IP adresini diğerlerinden gizleyen ve bir kullanıcının ISP\'sinden ne yaptığını gizleyen hizmetlerdir. Bu hizmetler arasındaki farklar bu makalenin kapsamı dışındadır, ancak konuyla ilgili yazılmış çok sayıda yüksek kaliteli makale vardır, bu nedenle ilgili kullanıcıların incelemeleri önerilir!</p>\n\n<p>Geri kalanımız için, Monero ağına bağlı olduğumuzu başkalarının bilmesinin o kadar da önemli olmadığını düşünebiliriz. Sonuçta, işlemlerimizin gerçek içeriği veya gönderiyorsak, kamuya gizlidir, öyleyse zararı ne? Bu doğru olsa da, kullanıcıların kripto para birimlerinin ana çekiciliğinin kendi bankaları olduğu gerçeğini dikkate almaları önerilir. Özel anahtarınızı elinizde tuttuğunuzda ve ona bir şey olursa, kaybettiğiniz parayı geri almanıza kimse yardımcı olamaz.</p>\n\n<p>Kendi bankanız olmak, yalnızca dijital güvenliğinizi değil, fiziksel güvenliğinizi de göz önünde bulundurmak anlamına gelir. Monero ağına bağlanan bir bireyin bilgisi, ulus devletler gibi büyük ölçekli aktörlerden değil, kolay para kazanmak isteyen bilgisayar korsanları gibi bencil çıkarları olan daha küçük aktörlerden istenmeyen ilgi çekebilir. Gerçekten de tüm kripto alanında bu tür senaryoların gerçekleştiğine dair sayısız hikaye var.</p>\n\n<p>Bu makalenin amacı korku tellallığı yapmak veya korkutmak değil, kullanıcıları web\'de gezinmeye karşı hangi koruma yöntemlerinin kendileri için doğru olduğu konusunda biraz araştırma yapmaya teşvik etmektir. İyi haber şu ki, bu beceriler sadece Monero kullanımına değil, genel internet kullanımına da aktarılacak ve bu nedenle, internete giderek daha fazla bağlanan dünyamızda, anlayışlı bir kullanıcı, güvende kalmak için uygun bilgi ve becerileri biriktirirken hata yapamaz. ve gerçekten kendi bankaları olmak.</p>';

  @override
  String get knowledge250Sbnetworking250Sbdescription => 'Monero kullanıcılarının ağ üzerinde birbirleriyle nasıl etkileşime girdiğini ve bunun gizlilikleri için ne anlama geldiğini öğrenmek için zaman ayıralım.';

  @override
  String get knowledge250Sbnetworking250Sbtitle => 'Ağ Kurma Konusunda Her Monero Kullanıcısının Bilmesi Gerekenler';

  @override
  String get knowledge250Sbnodes250Sb0250Sbtext => '<p>Monero\'nun diğer kripto para birimlerine göre en büyük avantajlarından biri, zincir üstü gizliliktir, ancak uzak bir düğüm kullandığınızda Monero\'nun gizliliğinin nasıl devam ettiğini hiç merak ettiniz mi? MyMonero gibi bir \"hafif cüzdan\" sunucusu kullansanız nasıl olur?</p>\n<p>Bu gönderide, uzak düğüm kullanırken bile Monero\'nun nasıl olağanüstü zincir üstü gizlilik sağladığının arkasındaki bazı ayrıntılara ve uzak düğümleri kullanırken nelere dikkat etmemiz gerektiğine değineceğiz.</p>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtext => '<p>Monero\'nun nasıl çalıştığına daha az aşina olanlar için, Monero ağındaki düğümler (veya sunucular) herkes tarafından çalıştırılabilir ve düğümün sahibinin - veya seçtikleri diğer kişilerin onu paylaşmasına izin verebilir! – blok zincirinin bir kopyasını senkronize etmek ve bu kopyayı ağdaki diğer kişilere sağlamak. Bu düğümler ayrıca ağda gerçekleşen tüm işlemleri ve yayınlanan tüm blokları doğrular ve hepsinin konsensüs tarafından belirlenen kurallara uymasını sağlar.</p>\n<p>Düğümlerin Monero\'da hizmet ettiği diğer işlev, size ait işlemleri düzgün bir şekilde kontrol etmek ve yeni işlemler yapmak için favori Monero cüzdanınızın ihtiyaç duyduğu tüm verileri sağlamanın bir yoludur. Bu veriler düğümler tarafından iki şekilde sağlanır:</p>\n<ul>\n<li>Blockchain üzerindeki her bloktan gelen veriler cüzdan tarafından istenir, size ait işlemler için taranır ve ardından cüzdan tarafından kontrol edildikten sonra atılır.\n<ul>\n<li>Bu adım, <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/view-tags-reduce-monero-sync-time\">görüntüleme etiketleri</a>.</li> sayesinde yakında önemli ölçüde iyileştirilecektir.\n</ul></li>\n<li>İşlem gönderirken kullandığınız düğüm, işlemi oluştururken kullanabileceğiniz olası tuzakların (veya sahte girdilerin) bir listesini sağlayarak Monero\'yu her harcadığınızda saklanacak iyi bir kitleye sahip olmanızı sağlar.\n<ul>\n<li>Bu tuzaklar, Monero\'nun zincir üzerinde gizlilik yaklaşımının önemli bir parçası olan <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/ring-signatures\">halka imzaların</a> bir parçasıdır.</li>\n</ul></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb1250Sbtitle => 'Düğümler Monero\'da hangi işlevi yerine getirir?';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtext => '<p>Uzak düğümler kullanılırken Monero tarafından sağlanan güçlü zincir üstü gizlilikle bile yapılacak en iyi şey, Monero blok zincirinin bozulmamış bir kopyasına sahip olduğunuzdan ve IP adresinizin kullanışlı olduğundan emin olmak için kendi Monero düğümünüzü çalıştırmaktır. iyi korunmuştur. Kendi düğümünüzü çalıştırmanın diğer yararı, ağa geri katkıda bulunabilmeniz, diğer düğümlerin sizin düğümünüzden senkronize olmasına izin verebilmeniz veya hatta diğer kullanıcıların cüzdanlarıyla düğümünüze bağlanmasına izin verebilmenizdir.</p>\n<p>Bununla birlikte, Monero uzak bir düğüm kullanırken hala mükemmel gizlilik sağlıyor. Kendi Monero düğümünüzü çalıştırmakla ilgileniyorsanız, bunu yapmak için izlemesi kolay bir kılavuz:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/guides/run-a-monero-node/\">Monero Düğümü Çalıştır</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb2250Sbtitle => 'Monero\'yu kullanmanın en gizli ve güvenli yolu nedir?';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtext => '<p>Uzak bir düğüm kullanırken, uzak bir düğüme maruz kalan birkaç önemli bilgi parçası ve bu düğümün size saldırabileceği, işlem yapmanızı engelleyebileceği ve daha fazlası için birkaç temel yol vardır.</p>\n<p>Bir uzak düğümün sizin hakkınızda öğrenebileceği ilk şey, genel IP adresinizdir. Bunun bir VPN veya Tor aracılığıyla gizleneceği umulsa da, uzak düğüm, genel IP adresinizi işlemle ilişkilendirerek, işlem yaptığınız yeri daraltmalarına yardımcı olabilir. Uzak düğüm, cüzdanınızın senkronize ettiği son bloğu da öğrenebilir ve bunu, normalde Monero\'yu ne zaman kullandığınız ve Monero\'yu en son ne zaman harcadığınız gibi, hakkınızda eğitimli tahminler yapmak için kullanabilir. Bu, özellikle her zaman aynı IP adresinden (eviniz gibi) geliyorsanız geçerlidir. Bir uzak düğümün sizin hakkınızda öğrenebileceği son önemli şey, onun aracılığıyla gönderdiğiniz işlemlerle ilgili temel bilgilerdir. Bu, uzak düğüm operatörünün sizin hakkınızda elde ettiği en bariz veri olsa da, bu bilgiyi diğer zincir dışı verilerle birleştirirken işlemi gönderenin izini sürmeye yardımcı olmak için kullanılabileceğini anlamak önemlidir. Uzak düğüm kötü niyetli bir varlık, bir blockchain analitik şirketi veya baskıcı bir ulus-devlet tarafından çalıştırılıyorsa bu özellikle tehlikeli olabilir.</p>\n<p>Uzak bir düğüm, blokları sizden gizleyerek sorun çıkarmaya çalışabilir ve cüzdanınızın senkronize olmadığı halde senkronize edildiğini düşünmesine neden olabilir. Bu, paranın kaybolduğunu düşünmenize neden olabilir veya başka bir düğüme bağlanana kadar para harcamanızı engelleyebilir. Uzak bir düğümün yapabileceği son önemli şey, cüzdanınıza manipüle edilmiş bir tuzak listesi beslemektir. Bu, cüzdanınızın işlemleri oluşturmakta tamamen başarısız olmasına (para harcayamamanıza neden olabilir) veya uzak düğümün, her işlemde aldığınız anonimliği azaltmak için harcandığını bildiği tuzakları denemesine ve sağlamasına izin verebilir.</p>';

  @override
  String get knowledge250Sbnodes250Sb3250Sbtitle => 'Uzak bir düğüm benim hakkımda ne öğrenebilir?';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtext => '<p>Bu makale sizi biraz korkutmuş olsa da, Monero tarafından sağlanan gizliliğin uzak bir düğüm kullanırken bile mükemmel olduğunu ve bu şekilde kullanıldığında diğer tüm kripto para birimlerini geride bıraktığını fark etmek önemlidir. Uzak düğüm gerçek girişi (hangi paraları harcadığınızı), işlemde harcanan Monero miktarını veya işlemin alıcısının adresini asla bilemediğinden, Monero tarafından sağlanan güçlü zincir üstü gizliliği elde etmeye devam edersiniz. Dış gözlemciler ayrıca gerçek girişi, miktarı veya ilgili adresleri göremez (ne tür düğüm kullanmayı seçerseniz seçin!), uzak düğümün dışında IP adresinizin, cüzdan senkronizasyon bilgilerinizin ve işlemlerinizin bile güçlü gizlilik garantilerine sahip olmasını sağlar .</p>\n<p>Uzak düğüm, gönderdiğiniz veya aldığınız önceki işlemlere veya şu anda cüzdanınızda bulunan Monero miktarına asla erişemez ve başka bir düğümü kullanmaya başladığınız anda işlemlerinizdeki tüm görünürlüğü kaybeder. Uzak düğüme hiçbir özel anahtar (harcama veya görüntüleme anahtarı) sağlanmaz ve bu nedenle cüzdanınız gizli, güvenli ve kullanılabilir durumda kalır. Uzak düğüm ne olursa olsun, düğüm alıcı adresini düzenleyemeyeceği, cüzdanınızın özel anahtarlarına asla erişemeyeceği ve Monero\'nuza hiçbir şekilde el koyamayacağı için Monero\'yu kaybetme veya çalınma riskiyle de asla karşılaşmazsınız.</p>';

  @override
  String get knowledge250Sbnodes250Sb4250Sbtitle => 'Bir uzak düğüm kullanılırken hangi gizlilik garantileri hala mevcuttur?';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtext => '<p>Konu bu makalenin kapsamı dışında olsa da, Monero\'da benzersiz bir cüzdan türü olan hafif cüzdanlardan bahsetmek istedim. Hafif cüzdan adı, cüzdanınızın (telefonunuzda veya bilgisayarınızda) herhangi bir blockchain senkronizasyonu gerçekleştirmek zorunda olmamasından gelir, bu da deneyimi daha hızlı ve daha akıcı hale getirir.</p>\n<p>Ancak, bunun gibi cüzdanlar şimdilik ciddi bir gizlilik değiş tokuşu ile geliyor - cüzdanınız, kullandığınız uzak sunucuya (MyMonero\'daki varsayılan gibi) özel görünüm anahtarını göndererek, uzak sunucuya alınan herhangi bir fon için tam görünürlük sağlar cüzdanınızın oluşturulmasından bu yana (ve siz o cüzdanı veya seed\'i kullanmayı bırakana kadar). Bu, düğüm operatöründen aldığınız gizliliği büyük ölçüde azaltır ve dikkatle yaklaşılmalıdır.</p>\n<p>Neyse ki Monero topluluğu, kendi hafif cüzdan sunucunuzu (LWS) barındırmak için kullanabileceğiniz, özel görünüm anahtarlarınızla bir üçüncü tarafa güvenmeden hızlı senkronizasyona sahip olmanızı sağlayacak yazılımı geliştirmek için çalışıyor. cüzdanınızın özel görünüm anahtarlarını gönderdiği yazılımı çalıştıracak!</p>\n<p>Özel hafif cüzdan sunucusu hakkında daha fazla bilgi için aşağıdaki Github deposuna bakın:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/vtnerd/monero-lws\">monero-lws</a></li>\n</ul>';

  @override
  String get knowledge250Sbnodes250Sb5250Sbtitle => 'MyMonero gibi \"hafif cüzdanlara\" ne dersiniz?';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtext => '<p>Merak ediyorsanız ve Monero\'daki düğümleri daha iyi anlamak istiyorsanız ve uzak bir düğüm kullanmayı veya kendi düğümünüzü çalıştırmayı düşünüyorsanız, başlamak için harika yerler için aşağıdaki bağlantılara bakın:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://moneroworld.com/#nodes\">Monero World, topluluk tarafından yönetilen uzak düğümlerin bir listesi kullanılabilir</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://sethforprivacy.com/about/#high-performance-monero-nodes\">Monero düğümleri tarafından çalıştırılır Seth For Privacy, bu makalenin yazarı</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://monero.fail/\">monero.fail, durumu sık kontrol edilen uzak düğümlerin listesi< /a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/user-guides/remote_node_gui.html\">Nasıl bağlanır GUI cüzdanındaki uzak bir düğüme</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/resources/moneropedia/remote-node.html\">Moneropedia - Uzak düğüm</a></li>';

  @override
  String get knowledge250Sbnodes250Sb6250Sbtitle => 'Daha fazlasını nasıl öğrenebilirim?';

  @override
  String get knowledge250Sbnodes250Sbdescription => 'Bugün, Monero\'nun uzak bir düğüm kullanırken bile zincir üzerinde gizliliği nasıl sağladığına ve uyarılara göz atacağız.';

  @override
  String get knowledge250Sbnodes250Sbtitle => 'Uzak düğümler Monero\'nun gizliliğini nasıl etkiler?';

  @override
  String get knowledge250Sboutputs250Sb0250Sbtext => '<p>Monero, diğer kripto para birimleri gibi, fonları muhasebeleştirme aracı olarak çıktıları kullanır. Birçok kripto meraklısı kullanıcı muhtemelen bu terimi daha önce duymuştur, ancak herkes bunların ne anlama geldiğini ve nasıl çalıştığını anlamaz. <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">halka imzaları makalemizde</a> incelendiği gibi, çıktılar, işlem yapan taraflar arasında blok zincirinde değiştirilen gerçek birimdir. Bir dolarlık banknota benzer, ancak miktar sabit bir değerde değildir.</p>\n\n<p>Bir iş için 16 dolar alıyorsanız, bir dolarlık banknot, beş dolarlık banknot ve on dolarlık banknot alabilirsiniz. 16 dolarınız var, ancak cüzdanınızda üç farklı faturanız da var. Birine 6 dolar ödemek istiyorsanız, 5 ve 1\'i kullanabilirsiniz, ancak birine 8 dolar ödemek istiyorsanız, yalnızca 10 doları kullanabilir ve 2 doları bozuk olarak geri alabilirsiniz. Son olarak, birine 14 dolar ödemek isteseydiniz, üç faturayı da kullanmanız gerekirdi ve üst olarak 2 doları geri alırsınız, ancak bir an için, üç faturayı da verdiğinizde, parayı alana kadar cüzdanınızda hiç para kalmaz. geri dön.</p>\n\n<p>Monero da benzer şekilde çalışır. Bir mağaza işlettiğinizi ve üç farklı üründe üç satış yaptığınızı varsayalım. Toplam 9 XMR için 1,5 XMR, 2,25 XMR ve 5,25 XMR alabilirsiniz, ancak cüzdanınızda daha önce belirtilen kupürlerde üç farklı çıktınız da vardır. Tıpkı dolarlarda olduğu gibi, birisine 3 XMR ödemek isteyebilirsiniz. Yalnızca 5,25 XMR çıkışını kullanabilir ve 2,25 XMR\'yi değişime geri alabilirsiniz veya 1,5 ve 2,25 XMR çıkışlarını birleştirip 0,75 XMR\'yi değişime geri alabilirsiniz.</p>\n\n<p>Ancak, işlemi gönderir göndermez, kullandığınız çıktılar \"kilitli\" duruma getirilir, yani siz değişikliği geri alana kadar erişilemezler. Protokol, 10 onaydan sonra veya yaklaşık 20 dakika sonra fonların kilidini açar (yani, para üstünü geri verir). Tıpkı cüzdanınızdaki dolarları bir kez verdiğinizde, kasiyerden para üstünü geri alana kadar parayı tekrar kullanamayacağınız, para üstünü geri alana kadar Monero\'nuza erişilemeyeceği gibi.</p>\n\n<p>Birine 3 XMR gönderme örneğine geri dönelim ve 5.25 XMR çıkışını kullanıyorsunuz. Şimdi, 1.75 XMR\'ınızın değişimini beklerken, onu kullanamazsınız. Bu 1.75 XMR sizin için erişilemez. Ancak 1.5 XMR ve 2.25 XMR çıkışları harcanmadığı için yine de kullanabilirsiniz. Dolar örneğine geri dönersek, önceki örnekte olduğu gibi birine 8 dolar ödediyseniz, size verilene kadar geri beklediğiniz 2 doları kullanamazsınız, ancak bu örnekte hala bir Cüzdanınızda kullanılmayan 10 dolarlık banknot. Bu, değişikliği beklerken istediğinizi satın almak için kullanılabilir. Monero ile aynı.</p>\n\n<p>Bu, genellikle yeni Monero kullanıcıları için bir kafa karışıklığı noktasıdır. Çoğu zaman, bir kullanıcının cüzdanında bir borsadan veya bir arkadaşından alınan tek bir çıktı olabilir. Bu çıktının 20 XMR olduğunu varsayalım. Cüzdanlarında başka çıktıları yoktur. Şimdi en sevdikleri hayır kurumlarından ikisine bağış yapmak istiyorlar. İlk hayır kurumuna 5 XMR gönderiyorlar ve sonra kafaları karışıyor çünkü 15 XMR kalmaları gerekmesine rağmen bir sonraki bağışı hemen ikinci hayır kurumuna gönderemiyorlar. Tahmin edebileceğiniz gibi, bunun nedeni 15 XMR\'nin kilitli olmasıdır. Bozuk olarak iade edilene kadar (10 onay veya yaklaşık 20 dakika) harcanamaz. Fonlarının kilidi açıldıktan sonra ikinci bağışlarını gönderebilecekler.</p>\n\n<p>Yine belirtmek gerekirse, bunun yerine iki adet 10 XMR çıkışı veya benzeri gibi birden çok çıktıları olsaydı bu sorunu yaşamayacaklardı. Her iki bağışı da arka arkaya gönderebileceklerdi, çünkü ilk bağış 10 XMR çıkışından birini kullanacak (ve 5 XMR\'yi geri almak için 10 onay bekleyecek) ve ikinci bağış diğer 10 XMR\'yi kullanacaktı. çıkış.</p>\n\n<p>Bazı kripto para cüzdanlarının, bir kullanıcıya o anda sahip oldukları çıktıları (toplam toplamlarına ek olarak) basitçe gösteren ve harcama yaparken hangilerini kullanmak istediklerini seçmelerine olanak tanıyan \"çıktı yönetimi\" adı verilen bir özelliği vardır. kripto para birimleri.</p>\n\n<p>Şu andan itibaren, kullanıcıların kendi çıktılarını seçmesi genellikle kafa karışıklığına veya bazı durumlarda mahremiyete zarar verdiğinden, Monero GUI kullanıcılar için çıktı seçimini otomatik olarak yapıyor. Ancak, bu çıktı yönetimi özelliklerini içerecek olan yeni Feather cüzdan projesi gibi yapım aşamasında olan cüzdanlar var.</p>\n\n<p>Gönderen kısım hakkında çok konuştuk, ancak alıcı tarafta büyüleyici bir şey oluyor. Birine 3 XMR gönderme ve işlemde 1,5 XMR ve 2,25 XMR çıktılarınızı kullanma örneğimize geri dönersek (değişimde 0,75 XMR beklerken), alıcı 1,5 XMR ve 2,25 XMR olmak üzere iki çıktı ALMAZ. Bunun yerine BİR 3 XMR çıkışı alırlar.</p>\n\n<p>Arka planda protokol, harcama için kullanılan tüm çıktıları birleştirir ve alıcıya ödenen tutarın bir çıktısını verir ve bir değişiklik çıktısını gönderene geri gönderir. Böylece gönderen, işlemi göndermek için iki, üç veya on çıkış kullanıp kullanmadığına bakılmaksızın değişiklik olarak bir çıktı geri alacaktır.</p>\n\n<p>Umarız bu, çıktılar ve protokolün dahili muhasebesinin nasıl çalıştığıyla ilgili bazı kafa karışıklıklarını ve ayrıca kilitli fonlarla karşılaştığında ortak kullanıcının karşılaştığı kafa karışıklığı sorununu gidermiştir. Başka bir makalede, gelecekteki işlemleri göndermeden önce kilidi açılmış fonları beklemek zorunda kalma olasılığını en aza indirmek için çıktılarınızı yönetmeyi keşfedeceğiz.</p>';

  @override
  String get knowledge250Sboutputs250Sbdescription => 'Birçok kripto meraklısı kullanıcı muhtemelen \"çıktılar\" terimini daha önce duymuştur, ancak herkes bunların ne anlama geldiğini ve nasıl çalıştığını anlamaz.';

  @override
  String get knowledge250Sboutputs250Sbtitle => 'Monero Çıkışları Açıklandı';

  @override
  String get knowledge250Sbp2pool250Sb0250Sbtext => '<p>Monero projesinin temel amaçlarından biri, günümüzde kripto para ağlarının güvenliğini sağlamanın ana yolu olan çalışma kanıtı (PoW) madenciliğine yeni ve yenilikçi yaklaşımlar yoluyla adil, merkezi olmayan ve güvenli bir ağ sağlamaktır.[ X230X]\n\n<p>RastgeleX</a> gibi benzersiz bir madencilik algoritması <a class=\"next-link\" target=\"_blank\" href=\"/knowledge/monero-mining-randomx\">, bilgisayarı olan herkesin ağın güvenliğine adil bir miktar katkıda bulunabilmesini sağlamaya yardımcı olduğundan bu amaç için son derece önemli olsa da, RandomX sorunları çözmez havuz madenciliği nedeniyle oluşabilir. Havuz madenciliği, Monero da dahil olmak üzere, günümüzde kripto para madenciliği yapmanın açık ara en yaygın yoludur, ancak neyse ki p2pool madenciliğinin ortaya çıkışı bunu hızla değiştiriyor.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtext => '<p>Havuz madenciliği, madencilerin ağdaki bir bloğu çözmeye çalışma görevini paylaşmalarının ve ardından havuzun bulduğu tüm bloklar için ödülleri eşit şekilde paylaşmalarının bir yoludur. Bu, madencilere ödeme yapılma sıklığını tek başına Monero madenciliğine kıyasla eşitlemeye son derece yardımcı olsa da, ciddi merkezileştirme sorunları da yok değil.</p>\n\n<p>Her madenci havuza işe katkıda bulunduğunda, havuzun ödülleri miktarına göre tüm madenciler arasında dürüst ve adil bir şekilde paylaşacağına güvenerek yaptıkları tüm işlerin ve buldukları blokların kontrolünü havuzun kendisine bırakırlar. her birinin yaptığı iş. Her şey yolunda giderse, havuz operatörü tüm madencilerden işi toplar, ağa gönderir ve ödülleri eşit olarak paylaşır.</p>';

  @override
  String get knowledge250Sbp2pool250Sb1250Sbtitle => 'Havuz madenciliği nedir?';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtext => '<p>Maalesef, bu tamamen güvene dayalıdır ve havuz operatörünün madenciler tarafından yapılan işle alçakça şeyler yapmasına izin verir. Havuz operatörü, yapılan işi ağa saldırmak için kullanabilir, fonları iki katına çıkarmaya çalışabilir (havuz yeterince büyükse) veya madencilerin yaptığı işi kendilerine ödeme yapmak için kullanabilir ve madencileri çalışmaları için asla uygun şekilde ödüllendirmez. .</p>\n\n<p>Ağ için en büyük risk, bir havuzun (veya birlikte çalışan birden fazla havuzun) ağın karma gücünün %51\'inden fazlasının kendi kontrolleri altında olmasıdır, çünkü bunu hile yapmak ve iki kez para harcamak için kullanabilirler (çift harcama) saldırı) veya ağın kurallarını değiştirmeye çalışır.</p>';

  @override
  String get knowledge250Sbp2pool250Sb2250Sbtitle => 'Havuz madenciliği ile ilgili sorun nedir?';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtext => '<p>p2pool, ilk olarak 2011\'de Bitcoin madenciliği için oluşturulmuş bir kavramdır, ancak hiçbir zaman geniş çapta benimsenmemiştir ve Bitcoin\'de pratik olarak kullanılmamaktadır. Neyse ki, RandomX\'in arkasındaki kilit geliştiricilerden biri olan SChernykh, tatilini p2pool\'un Bitcoin uygulamasıyla ilgili bazı sorunlara çözüm bulmak ve tüm yazılımı sıfırdan yeniden yazmakla geçirdi.</p>\n\n<p>Monero\'daki p2pool, işi paylaşmak amacıyla p2pool için özel düğüm yazılımı kullanarak madencilerin blokları çözmek ve Monero ağını güvence altına almak için birlikte çalışmasına tamamen güven gerektirmeyen bir yol sağlar.</p>\n\n<p>Bu, her madencinin gerçekleştirdiği işin, cüzdan adresinin ve ne kadar Monero kazandıklarının kaydını tutan ve ardından ödülü bir tröst olarak ödeyen yeni bir blok zinciri (\"yan zincir\") kullanılarak yapılır. -daha az ve merkezi olmayan bir yol. Bu yan zincir çok daha az madenciye sahip olduğu için, ana Monero ağına göre burada blok bulmak ve göndermek çok daha kolay, bu da madencilerin tek başına Monero madenciliğine kıyasla tutarlı ödemeler almasını kolaylaştırıyor.</p>';

  @override
  String get knowledge250Sbp2pool250Sb3250Sbtitle => 'p2pool nedir?';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtext => '<p>p2pool\'da merkezi havuz, merkezi havuz operatörü veya fonları elinde tutan ve ödemeleri dağıtan tek kişi yoktur. Madenciler tarafından p2pool aracılığıyla topluca yapılan tüm işler, meşru olduğundan emin olmak için p2pool blok zinciri ve diğer düğüm operatörleri tarafından kontrol edilir ve tüm madencilere doğrudan bir blok bulunduğunda hemen yaptıkları işe göre ödeme yapılır. bulunan bloktaki ödüller.</p>\n\n<p>Madenciler, merkezi bir havuz yerine p2pool kullanmayı tercih ettiğinde, havuz operatörlerinin tüm gücünü ve güvenini ortadan kaldırır ve çalışmalarının ağın iyiliğine ve kendi ödüllerine katkıda bulunmasını sağlar, ağ saldırıları, kötüye kullanım riskini azaltır yaptıkları işin veya alacakları ödüllerin çalınması.</p>\n\n<p>Bu, yalnızca kendi çıkarlarını korumalarına yardımcı olmakla kalmaz, merkezi havuzların bir bütün olarak Monero ağı için oluşturabileceği riski azaltır. p2pool kullanımı aynı zamanda ulus-devletlerin veya düzenleyicilerin ağın sağlığı için oluşturabileceği riski büyük ölçüde azaltmaya yardımcı olur, çünkü baskı yapacak merkezi havuz operatörleri, dayanacak havuzların coğrafi yoğunluğu veya başka herhangi bir kolay baskı noktası yoktur. Monero\'ya karşı kullanmaları için.</p>';

  @override
  String get knowledge250Sbp2pool250Sb4250Sbtitle => 'p2pool, havuz madenciliği sorunlarını nasıl çözer?';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtext => '<p>Neyse ki Monero\'daki p2pool iyi tasarlanmış ve iyi yapılandırılmış ve son derece iyi çalışıyor! Bununla birlikte, p2pool madenciliğinin ana dezavantajı, p2pool kullanmak isteyen her madencinin kendi Monero düğümünü çalıştırmak zorunda olması ve bu da başlama sürecinin biraz daha karmaşık olmasına neden olmasıdır. Ancak bu düğüm daha sonra blokları oluşturmak ve kontrol etmek için gerekli tüm bilgileri hesaplamak için kullanılır ve madencinin yapılan iş üzerinde tam kontrol sahibi olmasını sağlar. Düğüm aynı zamanda madencinin kendi cüzdanı için uzak düğüm işlevi görebilir, ağa katkıda bulunur ve çok daha fazlasını yapabilir.</p>\n\n<p>Merkezi madencilikten diğer önemli fark, p2pool kullanan küçük madencilerin büyük bir merkezi havuza göre biraz daha fazla &quot;varyansa&quot; veya ödemeler arasındaki süreye sahip olacak olmasıdır -- ancak &#39;s <em> bunun zamanla daha az Monero kazanmanıza yol açmayacağını not etmek son derece</em> önemlidir! p2pool, zamanla küçük madenciler için bile merkezi havuzlar kadar karlı olacaktır. Bu varyansın bir kısmı, hizmetleri için ödeme yapacak merkezi bir havuz operatörü olmadığı için yerel olarak %0 ücrete sahip olan p2pool tarafından da dengeleniyor!</p>';

  @override
  String get knowledge250Sbp2pool250Sb5250Sbtitle => 'Dezavantajları nelerdir?';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtext => '<p>Neyse ki, Monero&#39;\'nin p2pool uygulamasının mükemmel tasarımı ve topluluktaki birçok kişinin p2pool aracılığıyla madencilik sürecini basitleştirmeye yardımcı olmak için zaman ayırması nedeniyle, başlamak zamanla daha kolay hale geliyor. p2pool ile madenciliğe başlamanın birkaç yolu vardır, ancak teknik ayrıntılar bu makalenin kapsamı dışında olduğundan, işletim sisteminize bağlı olarak aşağıdaki bağlantıya atlamaktan çekinmeyin:</p>\n<ul>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://www.youtube.com/watch?v=yfbvTksF9ic\">Windows</a></li>\n<li><a rel=\"noopener nofollow\" class=\"next-link\" target=\"_blank\" href=\"https://sethforprivacy.com/guides/run-a-p2pool-node/\">Linux</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb6250Sbtitle => 'Nasıl başlayabilirim?';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtext => '<p>Bu, p2pool madenciliği konusunda merakınızı uyandırdıysa, p2pool, nasıl çalıştığı ve Monero için ne anlama geldiği hakkında bazı ek bağlantılar ve açıklayıcı bilgiler için aşağıya göz atın:</p>\n<ul>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool\">p2pool için resmi Github</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/SChernykh/p2pool#how-to-mine-on-p2pool\">p2pool kullanımına ilişkin resmi belgeler</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.getmonero.org/2021/10/05/p2pool-released.html\">Monero P2Pool artık yayında</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://p2pool.observer/\">p2pool.observer, p2pool</a></li> için bir tür &quot;blok gezgini&quot;\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://github.com/WeebDataHoarder/p2pool-compose\">Monero p2pool docker-compose</a></li>\n<li><a class=\"next-link\" rel=\"noopener nofollow\" target=\"_blank\" href=\"https://www.monerotalk.live/sergei-chernykh-on-his-development-of-p2pool-a-decentralized-xmr-mining-pool\">Sergei Chernykh: Merkezi Olmayan bir XMR Madencilik Havuzu olan P2Pool\'u geliştirmesi üzerine</a></li>\n</ul>';

  @override
  String get knowledge250Sbp2pool250Sb7250Sbtitle => 'Daha fazlasını nasıl öğrenebilirim?';

  @override
  String get knowledge250Sbp2pool250Sbdescription => 'Havuz madenciliği, bugün Monero madenciliği yapmanın en yaygın yoludur, ancak neyse ki p2pool madenciliğinin ortaya çıkışı bunu hızla değiştiriyor.';

  @override
  String get knowledge250Sbp2pool250Sbtitle => 'P2Pool ve Monero Madenciliğinin Dağıtılmasındaki Rolü';

  @override
  String get knowledge250Sbpractices250Sb0250Sbtext => '<p>Birçok kullanıcı, uzmanların bir kripto para birimini yanlış kullanmanın mümkün olduğunu düşündüğünü öğrenince şok olabilir. Bir kullanıcının neyi savunduğuna bağlı olarak gizliliği korumak, dolandırıcılıktan kaçınmak ve işlemlerin doğru ve zamanında teslim edilmesini sağlamak için alınması gereken belirli adımlar ve önlemler vardır. Neyse ki, Monero geliştiricileri bu alanlarda makul varsayılanlar belirlemek için ellerinden gelen her şeyi yaptılar, bu nedenle cüzdan yazılımını olduğu gibi kullanan kullanıcılar çoğu zaman güvende olacak. Bununla birlikte, harcamalarınızda biraz daha düşünceli olmanın yararlı olabileceği birkaç duruma bakmak için biraz zaman ayırmak istiyoruz.</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtext => '<p>Kripto para biriminizi güvende tutmanın ilk ve en büyük yolu, cüzdanınızı ilk oluşturduğunuzda gösterilen kısa bir kelime listesi olan Monero anımsatıcı tohumunuzu yazmaktır. Bu tohuma sahipseniz ancak bilgisayarınız/telefonunuz ölürse, Monero\'nuzu kurtarabilirsiniz. Bu tohuma sahip değilseniz ve cüzdanınızı kaybederseniz, Monero\'nuz kaybolur ve onu geri almanıza kimse yardımcı olamaz. Aynı şekilde bu tohumu da kimseyle paylaşmayın. Bu kelime listesine sahiplerse, Monero\'nuza tam erişim ve harcama haklarına sahiptirler. Birçoğu tohumlarını güvence altına alma konusunda dikkatsizdi ve birileri onları aldığı için kaybedilen fonların korkunç gerçeğine geldi. Yazmanızı öneririz. Fiziksel olarak. Dijital olarak saklamamak ve çeşitli yerlerde birkaç kopyanızın olmasını sağlamak. Monero\'nuzu güvence altına almak için yapabileceğiniz bir numaralı şey bu. TOHUMUNUZU YAZIN!</p>';

  @override
  String get knowledge250Sbpractices250Sb1250Sbtitle => 'TOHUMUNUZU YAZIN!';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtext => '<p>Bazı dolandırıcılıklar, bilgisayarınızda kopyala/yapıştır işlevini hedeflenen alıcı yerine kötü amaçlı yazılım oluşturucunun adresini koyacak şekilde değiştiren kötü amaçlı yazılım kullanır. Monero adresleri uzun ve kullanışsız olduğu için, sadece ilk birkaç rakamı ve harfi doğrulayıp iyi olduğunu söylemek veya adresi tekrar kontrol etmemek cazip gelebilir. Muhtemelen tüm adresi doğrulamak gerekli olmasa da, bir adresin ilk düzine ve son düzine karakterini kontrol etmek çoğu durumda fazlasıyla yeterli olacaktır. Sıklıkla gönderdiğiniz adresler için birçok cüzdanda, seçilen kayıtlı adresi otomatik olarak koyan bir adres defteri özelliği bulunur. Yine de hızlı bir kontrol yapmak en iyisidir.</p>';

  @override
  String get knowledge250Sbpractices250Sb2250Sbtitle => 'Adreslerinizi iki kez kontrol edin';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtext => '<p>Sıcak ve soğuk cüzdanlar, kripto para birimi alanında yaygın terminolojidir ve konsept gerçekten oldukça basittir. Sıcak bir cüzdan, sık sık çıkardığınız ve kullandığınız bir cüzdandır. Arka cebinde olduğu için \'sıcak\'. Soğuk cüzdanlar, bankadaki paraya benzer şekilde çok sık dokunulmayan cüzdanlardır. Yüzlerce doları fiziksel cüzdanınızda taşımanız tavsiye edilmemesine rağmen bir banka hesabında taşımanız genellikle kabul edilebilir olduğu gibi, kullanıcılar sıcak, mobil cüzdanlarında Monero\'nun ne kadarını taşımanın ihtiyatlı olduğunu ve kalan en iyi miktarın ne kadar olduğunu göz önünde bulundurmalıdır. bir saniye içinde evde, soğuk olan. Bu şekilde, bir telefonu kaybetmek, hırsızlık veya diğer aksilikler toplam para kaybına neden olmaz.</p>';

  @override
  String get knowledge250Sbpractices250Sb3250Sbtitle => 'Sıcak ve soğuk cüzdanlar arasındaki farkı öğrenin';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtext => '<p>Monero\'nuzu korumak için dijital ortamınızı virüslerden ve kötü amaçlı yazılımlardan tamamen arındırma fikri size korkutucu geliyorsa, bir donanım cüzdanı düşünebilirsiniz. Temel olarak donanım cüzdanı, özel anahtarlarınızı bilgisayarınızdan uzakta, cihazda tutar. Bu nedenle, bilgisayarınız tehlikeye girse bile, bilgisayar korsanlarının çekirdeğinize erişimi olmayacaktır. Parayı yalnızca donanım cüzdanı bilgisayara bağlıysa ve işlemi imzalarsa harcayabileceksiniz. Bu, anahtarların güvenliğini, birçok şey için kullanılan ve geniş bir saldırı yüzeyine sahip olan bilgisayarınızdan, yalnızca tek bir şey için kullanılan ve çok daha küçük bir saldırı yüzeyine sahip olan donanım cüzdanına taşır. Bilgisayar güvenliğinin ayrıntılarını bilmeyen sıradan bir kişi için paranızı güvende tutmak uygun bir seçenektir.</p>';

  @override
  String get knowledge250Sbpractices250Sb4250Sbtitle => 'Donanım cüzdanları sizin için uygun mu?';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtext => '<p>Gizlilik alanında, sizi tanımlamak için kullanılabilecek kendinizle ilgili verileri yanlışlıkla sızdırmak veya ifşa etmek genellikle çok kolaydır. Artık Monero için geçerli olmayan eski bir örnek, özel yüzük boyutlarıdır. Varsayılan değer 11 ise ve herkes 11 kullanıyorsa, ancak siz sürekli olarak 54 kullanıyorsanız, evet sayı daha yüksektir, bu nedenle anonimlik ayarınız daha yüksektir, ancak artık kalabalıktan ayrısınız ve işlemlerinizi belirlemek daha kolay. O zamandan beri Monero, halka boyutunu 11 olarak sabitlemek için bir güncelleme yaptı, yani artık herkes aynı görünüyor.</p>\n\n<p>Bitcoin gibi diğer kripto para birimlerinde mahremiyetlerine yanlışlıkla zarar vermek için yapılabilecek birkaç şey var. Saygın bir karıştırıcı seçmek, KYC/AML\'siz paralar almak, adresleri yeniden kullanmamak ve uygun para çıktı yönetimi, meta veri sızıntısını en aza indirmeye çalışırken bireyin dikkate alması gereken şeylerdir. Monero, gizlilik özelliklerini zorunlu hale getirerek ve ortalama bir kullanıcı için iyi varsayılanlar belirleyerek bu sorunların çoğunu ortadan kaldırır. Yukarıdaki sabit bir yüzük boyutu kullanma örneği, son kullanıcıların bu konuda mümkün olan en iyi gizliliği nasıl elde edecekleri konusunda kafa yormak zorunda kalmadıkları anlamına gelir. M-cüzdan bunu onlar için otomatik olarak yapar.</p>\n\n<p>Bu, hakkında konuşmak için tuhaf bir şey gibi görünebilir. Çoğu kullanıcının, tüm yazılımların otomatik olarak kendilerine karşı değil, kendileri için çalıştığını düşünmesi affedilebilir. Ne yazık ki hiçbir şey gerçeklerden bu kadar uzak olamaz ve iş mahremiyete geldiğinde neredeyse tüm kripto para birimleri ciddi şekilde eksiktir. Herhangi bir gizlilik düzeyine ulaşmak için harcanması gereken çaba, ortalama bir kullanıcı için genellikle çok fazla ve çok zordur. Gizliliğe odaklanan diğer kripto para birimlerinde bile bu genellikle böyledir! Monero, gizliliğin mümkün olduğunda protokol düzeyinde ve mümkün olmadığında cüzdanlar için aklı başında varsayılan ayarlarla, kullanıcıların hiçbir düşüncesi olmadan otomatik olarak gerçekleşmesini sağlar. Şüpheye düştüğünüzde cüzdanın varsayılan ayarlarını kullanın ve soru sormaktan çekinmeyin.</p>';

  @override
  String get knowledge250Sbpractices250Sb5250Sbtitle => 'Şüpheye düştüğünüzde varsayılanları kullanın (Monero ile)';

  @override
  String get knowledge250Sbpractices250Sbdescription => 'Monero kullanırken gizliliği korumak, dolandırıcılıktan kaçınmak ve işlemlerin düzgün bir şekilde yapılmasını sağlamak için alınması gereken adımlara ve önlemlere bir göz atalım.';

  @override
  String get knowledge250Sbpractices250Sbtitle => 'Yeni Başlayanlar İçin En İyi Monero Uygulamaları';

  @override
  String get knowledge250Sbringct250Sb0250Sbtext => '<p>Monero\'nun gizliliği, bozulduğunda işlemlerin tamamını ortaya çıkaracak tek bir mekanizmaya değil, diğer parçaların zayıflıklarını telafi ederken bütünsel gizlilik sağlamak için birlikte çalışan üç farklı teknolojiye bağlıdır. Bu üç uçlu yaklaşım, <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">halka imzalar</a>, RingCT ve <a target=\"_blank\" href=\"/knowledge/monero-stealth-addresses\" class=\"next-link\">gizli adreslerden</a> oluşur. Bu üç teknoloji sırasıyla gerçek çıktıyı (gönderen), miktarı ve alıcıyı gizler. Bugün RingCT hakkında konuşacağız.</p>\n\n<p>RingCT, üçü arasında tartışmasız en teknik olanıdır ve anlaşılması zor olabilir, bu nedenle tam olarak nasıl çalıştığını ele almayacağız, bunun yerine bir miktarı bilmeden bununla ilgili bazı şeyleri doğrulamanın nasıl mümkün olduğunu göstereceğiz. . Merak etmeyin, her zaman olduğu gibi bol bol örnek kullanacağız.</p>\n\n<p>Önce, tutarlarla ilgili herhangi bir şeyi doğrulamanın neden önemli olduğunu keşfedelim. Neden onları tamamen gizli tutamıyoruz? Cevap şu ki, insanlara fırsat verilirse hiç yoktan para yaratabilecekleri zekice yollar var. Böyle bir şey nasıl işe yarayabilir? Bir örneğe bakalım.</p>\n\n<p>Arkadaşınızdan bir ürün satın almak istiyorsanız ve o bunun için on dolar istiyorsa, siz on dolarla başlayın ve o sıfırla başlar. Ona on doları verdikten sonra, onun on doları var ve senin sıfırın var. Sen onla başladın ve şimdi onun on tane var. Bu işlemde para yaratılmadı veya yok edilmedi.</p>\n\n<p>Kripto para birimleriyle, akıllı bir kişi ürün için on dolar verebilir ve sıfır dolar almak yerine iki dolar geri alabilir. 0 ve 10\'un 10 ve 0\'a (veya 10=10) yol açması yerine, şimdi 0 ve 10, 10 ve 2\'ye (veya 10=12) yol açıyor. İki Monero hiç yoktan yaratıldı. Tahmin edersiniz ki, kişi bunu kendisine birkaç kez yapsaydı, kısa sürede devasa bir servet biriktirebilirdi.</p>\n\n<p>Bitcoin ve diğerleri ile bunu görmek kolay olacaktır. Bir işleme giren girdilere ve çıkan çıktılara bakarsınız ve gönderilenin alınana eşit olduğundan emin olursunuz. Bu miktarlar şifrelenmişse ve görünmüyorsa, kullanıcının gönderilenle alınanın aynı olduğunu doğrulaması mümkün değildir.</p>\n\n<p>Bitcoin gizliliğini artırma girişiminde Gregory Maxwell, süreçte hiçbir şeyin yaratılmadığını veya yok edilmediğini kanıtlarken şifrelenmiş miktarlara izin verecek yeni bir teknoloji olan Gizli İşlemleri (CT) yarattı. Çoğu gizlilik teknolojisinde olduğu gibi, Bitcoin\'e dönüşmedi, ancak Monero onu benimsemeye hevesliydi. Sadece bir problem vardı. Halihazırda uygulanan halka imza teknolojisi, önerilen fikirle uyumlu değildi. Böylece, o zamanki MRL araştırmacılarından biri olan Shen Noether, CT\'yi halka imzalarla uyumlu bir CT versiyonu olan RingCT\'ye dönüştürdü.</p>\n\n<p>Bir kez daha, bunun çalışma şekli oldukça teknik ve bir giriş makalesinde açıklamak zor. Basitçe bilmesi gereken kriptografi meraklıları için, CT\'nin iç işleyişi hakkında internette yazılmış çok sayıda derinlemesine makale var. Geri kalanımız için, bu makale miktarları gizlemenin nasıl mümkün olabileceğini gösterecek, ancak yine de hiçbir şeyin yaratılmadığını veya yok edilmediğini kanıtlayacak.</p>\n\n<p>Diyelim ki Alice, Bob\'a para göndermek istedi. Alice, 10 XMR alacak olan Bob\'a 10 XMR gönderecek. 10=10 yani burada yanlış olan bir şey yok. Ancak Alice, ne kadar yolladığını kimsenin bilmesini istemiyor. Böylece o ve Bob ortak bir sır yaratırlar. Temelde sadece ikisinin bildiği bir sayı. Diyelim ki bu sayı 22. Şimdi Alice 10\'u (aslında gönderdiği şeyi) 22 ile çarparak 220\'yi buluyor. Ağ ile paylaştığı sayı bu.</p>\n\n<p> Madencilerin kendileri gizli numarayı bilmiyor. Yapmışlarsa, gösterilen numarayı gizli numaraya bölüp gönderilen gerçek miktarı alabilirler. Ama yapmadıkları için yapamazlar. Yine de Bob\'un 220 alacağını görüyorlar. 220 gönderildi. 220 alındı. 220 = 220. Bu şekilde ağ, Alice\'in Bob\'a gönderdiği gerçek miktarı bilmeden hiçbir Monero\'nun yaratılmadığını veya yok edilmediğini doğrulayabilir.</p>\n\n<p>Bob paylaşılan gizli numarayı bildiğinden, parayı aldığında Alice\'in gönderdiği gerçek miktar olan 10\'u bulmak için 22\'ye böler. Hem Alice hem de Bob ne kadarının gönderildiğini ve ne kadarının alındığını bilir. diğer herkese yanlış bir numara verilir.</p>\n\n<p>Bir kez daha, CT\'nin gerçek çalışma şekli bu değil, ancak böyle bir şeyin nasıl mümkün olabileceğine dair bir fikir veriyor. Gerçek yol Pedersen taahhütleri, gönderilen iki miktar (alıcıya şifrelenmiş bir miktar ve ağ için bir taahhüt miktarı) gibi şeyleri içerir ve… evet, bir kişinin tüm bunların içinde nasıl kaybolabileceğini görmek zaten çok kolay.</p>\n\n<p>Ancak unutulmaması gereken bir nokta da, RingCT bir işlemde iki taraf arasında işlem gören tutarı gizlerken, diğer iki sayı grubunu gizlemez.</p>\n\n<p>İlki coinbase işlemleri. Bu terim size yabancıysa, temel olarak madencilerin bir sonraki bloğu buldukları için aldıkları ödül anlamına gelir. Bu numara gizli değil. Protokolün bir madenciye hizmetleri için ne kadar ödül verdiğini herkes görebilir. Bu şekilde, mevcut Monero miktarı, tüm madeni para işlemleri toplanarak bilinebilir. Toplamları, dolaşımdaki mevcut Monero\'ya eşit olacaktır.</p>\n\n<p>Gizli olmayan ikinci sayı, bir kullanıcı bir işlem gönderdiğinde madencilere ödenen ücrettir. Madencilerin kime öncelik vereceğini bilmesi için ücretlerin net olması gerekir. Bu, kullanıcıların mahremiyetlerine zarar vermesinin bir yoludur, sanki birileri her işlem gönderdiklerinde (0.12345 gibi) benzersiz bir madenci ücreti kullanıyormuş gibi, ardından işlemleri birbirine bağlanabilir.</p>\n\n<p>Bu durumlar dışında RingCT, 2017\'den beri Monero tutarlarını saklıyor ve toplu gizliliğimiz bunun için çok daha güçlü.</p>';

  @override
  String get knowledge250Sbringct250Sbdescription => 'RingCT, 2017\'den beri Monero tutarlarını saklıyor ve toplu gizliliğimiz bunun için çok daha güçlü. Ama bu nasıl elde edilir?';

  @override
  String get knowledge250Sbringct250Sbtitle => 'RingCT, Monero İşlem Tutarlarını Nasıl Gizler?';

  @override
  String get knowledge250Sbrings250Sb0250Sbtext => '<p>Monero, kripto alanında her yerde gizlilik paralarının kralı olarak bilinir. Herkes Monero\'nun iyi bir gizlilik sunduğunu bilse de, gizliliğin nasıl çalıştığını pek kimse anlamıyor.</p>\n\n<p>Diğer pek çok gizlilik madeni parası, her madeni paranın gizlilik teknolojisinin adlarını listeleyen karşılaştırma tablosu infografikleri yayınlar ve çoğunda Monero\'nun teknolojisini RingCT olarak etiketler, ancak bu yalnızca kısmen doğrudur. Monero\'nun aslında mahremiyete üç uçlu bir yaklaşımı var. Bir işlemin alıcısını gizleyen, gönderilen miktarı gizleyen ve kullanılan çıktıyı gizleyen bir teknoloji; bunlar sırasıyla gizli adresler, RingCT ve halka imzalardır.</p>\n\n<p>Bu üç yönlü yaklaşım, teknolojilerden biri bozulursa diğerlerinin de aynı kaderi paylaşması gerekmediği anlamına gelir. Halka imzalar, gizlilik planındaki en zayıf halkadır; Buradaki zayıf kelimesi, buluşsal saldırılara en duyarlı anlamına gelir. Bunları keşfetmek için biraz zaman ayıralım, olur mu?</p>\n\n<p>Yukarıda bahsedildiği gibi, halka imzaların amacı, bir işlemde kullanılan bir çıktıyı gizlemektir. Kripto para biriminin \"girdi/çıktı\" terminolojisi kafanızı karıştırıyorsa endişelenmeyin. Aslında o kadar da karmaşık değil. \'Çıktı\' ifadesini duyduğunuzda bir çek düşünün. İnsanların ödeme yapmak için kullandıkları, artık pek yaygın olmayan şeylerden biri. Bir çek gibi, herhangi bir miktarda -10\$, 32.50\$, vb.- gösterilebilir ve işlem yapan taraflar arasında değiştirilir. Kripto para birimleri için çıktılar bu işlevleri yerine getirir.</p>\n\n<p>Birisi size 10 Monero ödediğinde, 10 XMR çıktısı alırsınız. Bu çıktının bir değeri (10) vardır ve gönderenin cüzdanından alınır, aynı şekilde bir hizmet için ödeme yaptığınızda fiziksel cüzdanınızdan bir fatura çıkar ve satın aldığınız kişiye verilir.</p >\n\n<p>Çıktının gizlenme şekli, sahte çıktılardan oluşan bir halka (dolayısıyla adı) oluşturmaktır. Ancak bu tuzaklar \'sahte\' çıktılar değildir. Bunlar, mevcut işlemle hiçbir ilgisi olmayan blok zincirinden gerçek geçmiş çıktılardır, ancak dışarıdan bir gözlemciye, bu çıktıların her biri gerçek olanla eşit derecede olası görünebilir. Sahte çıktılar kümesinin boyutu artı gerçek olanın boyutu halka boyutu olarak adlandırılır ve şu anda Monero\'nunki on birdir. Yani on sahte çıktı ve bir gerçek çıktı var.</p>\n\n<p>Neden bu sayıyı 100\'e, hatta 1000\'e çıkarmıyoruz? Ne kadar çok o kadar iyi, değil mi? Mahremiyet açısından evet ama dikkate alınması gereken başka şeyler de var. Ne demek istediğimi anlamak için fiziksel bir örneğe geri dönelim. Bir dolarlık banknotunuzu on tuzağın arasına saklamak isteseydiniz, harcamak istediğiniz her bir dolar için cüzdanınızda yaklaşık on bir dolar taşımanız gerekirdi. Bir gerçek dolar ve on sahte dolar. Birkaç dolar bile harcamak istiyorsanız, bu zaten oldukça hantal hale geliyor. Şimdi yem miktarını 1000\'e çıkardığımızı hayal edin. Harcamak istediğiniz her bir dolar için yaklaşık 1001 dolar taşımanız gerekir. Sadece bir şeker çubuğu almak için bir evrak çantası taşımanız gerekir! Halka imzaların tam olarak bu şekilde çalışmadığına dikkat etmek önemlidir, örneğin, tuzakların kendileri imzanın bir parçası değildir, yalnızca onlara yapılan göndermelerdir, ancak bu analojinin temel kavramları tasvir etmede biraz yardımcı olabileceğini umuyoruz. /p>\n\n<p>Blockchain üzerindeki tuzaklar benzer şekilde çalışır. Eklenen her tuzak, işlemin süresini ve doğrulama maliyetini artırır. Her düğüm, her işlem için tüm halka imzasını indirmek zorundadır ve her halka imzası, tuzakların yanı sıra gerçek çıktıyı içerir. Sadece bu da değil, bu çıktılardan en az birinin gerçek olduğunu matematiği doğrulaması gerekiyor ve matematik doğrulama süresi de her tuzakla birlikte artıyor. Bu, halka boyutunun, birçok buluşsal saldırıya karşı bile gerçek çıktıyı yeterince gizleyecek kadar büyük, ancak blok zincirinin büyük bir oranda artmasına neden olmayacak kadar küçük olduğu mutlu bir orta yol bulmamız gerektiği anlamına gelir. Rastgele bir sayı seçmek veya imzayı küçülttüğümüzde (CLSAG\'da olduğu gibi) sadece halka boyutunu artırmak yeterli değildir. Monero topluluğu, hangi yüzük boyutunun en iyi takası sunduğuna dair somut, matematiksel kanıtlar istiyor. Çok küçük bir sayı ve mahremiyet buluşsal saldırılara karşı yeterince güçlü olmayacaktır. Çok büyük ve gizlilik açısından yalnızca marjinal fayda elde ediyor ve ölçeklendirme konusunda gereksiz yere sıkıntı çekiyor olabiliriz.</p>\n\n<p>Bahsetilmesi gereken son bir şey. Bazı Monero literatürü basitleştirir ve halka imzaların göndereni gizlediğini söyler, ancak bu tamamen doğru değildir ve fark sadece bilgiçlik değildir. Gönderen (insan) ile çıktı (fatura) arasındaki fark, gizliliğin korunması söz konusu olduğunda büyüktür. Bir çıktının bir göndericiyle bağları olsa da, bir çıktının kendisi bir gönderici anlamına gelmez. Bu nedenle, bir yüzük imzası kırılacak olsa bile, mutlaka bir kişinin kimliğiyle bağlantılı değildir ve hem miktar hem de alıcı gizli kalmaya devam ederek tüm tarafların mahremiyetine verilen zararı en aza indirir.</p>\n\n<p>Bu, kırık bir yüzük imzasının önemsiz olduğu anlamına gelmez. Sızan tüm meta veriler kötüdür ve özellikle diğer meta verilerle birlikte kullanıldığında düşündüğümüzden daha fazla bilgi ortaya çıkarma potansiyeline sahiptir. Bu nedenle, seçilen yüzük boyutunun kararın arkasında akademik bir titizlik olmasını, diğer meta veri sızıntılarının en aza indirilmesini ve kullanıcının olası en iyi eylemleri varsayılan olarak deneyimlemesini sağlamak için elimizden gelenin en iyisini yapıyoruz.</p>\n\n<p>Ancak, bozuk bir imza olasılığı sizi hâlâ endişelendiriyorsa ufukta inanılmaz haberler var. Triptych, Arcturus ve Lelantus gibi üzerinde çalışılan yeni nesil gizlilik protokolleri gerçekten harika yeteneklere sahip. Bu protokollerde, boyut, halka boyutu arttıkça doğrusal olarak değil, logaritmik olarak ölçeklenir. Bu, 100 tuzak sığdırabileceğimiz anlamına gelir, ancak kullanılan alan eski teknolojide 10 yüzüğüne daha yakındır. Aradaki fark tam olarak bu ve gizliliği her yönden önemli ölçüde artıracak.</p>\n\n<p>Gizlilik olan kedi ve fare oyununda Monero, eğrinin bir adım önünde olmak ve herkes için en pratik gizliliği sağlamak için sürekli olarak yenilikler yapıyor.<p>';

  @override
  String get knowledge250Sbrings250Sbdescription => 'Halka imzalar, gizlilik planındaki en zayıf halkadır; Buradaki zayıf kelimesi, buluşsal saldırılara en duyarlı anlamına gelir. Onları keşfedelim, olur mu?';

  @override
  String get knowledge250Sbrings250Sbtitle => 'Halka İmzalar Monero\'nun Çıktılarını Nasıl Gizliyor?';

  @override
  String get knowledge250Sbscams250Sb0250Sbtext => '<p>Para var olduğundan beri, insanların ondan ayrılmasını sağlamak için dolandırıcılık var ve kripto para birimi alanı da farklı değil. Aslında, kripto para birimindeki işlemlerin kesinliği, onları kurtarmaya yardımcı olacak merkezi bir organizasyonun olmaması gerçeğiyle birleştiğinde, dolandırıcıların şüphelenmeyen kullanıcılardan hırsızlık yapabilecekleri ve fonlarıyla birlikte dijital boşluğa kaybolabilecekleri yeni ve yenilikçi yollara yol açtı. Bu makalede, yeni kullanıcıları uzaydaki en yaygın dolandırıcılıklardan bazıları hakkında bilgilendirmek için zaman ayıracağız, ancak bu liste hiçbir şekilde kapsamlı değildir ve kullanıcıların hem son dolandırıcılık trendlerinden haberdar olmaları hem de sürekli olarak çevrimiçi olmaları önerilir. dijital çevrelerinin farkında ve şüpheci.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtext => '<p>Kitaptaki en eski dolandırıcılıklardan biri ve var olan her tartışma platformunda yer alabilen bir dolandırıcılık. Bu dolandırıcılıkta, dolandırıcı, topluluğun güvenilir bir bireyi veya ilgili bir işletmenin üst düzey bir yetkilisi gibi davranacaktır. Kurbanın güveni bu yerleşik itibarla kazanıldığında, dolandırıcı bir kullanıcıyı kötü amaçlı bir siteye gönderebilir, paralarını çalmak için tasarlanmış bir programı indirmelerini sağlayabilir ve hatta kullanıcının doğrudan kendisine para göndermesini sağlayabilir. Konuştuğunuz kişinin gerçekten doğru kişi olup olmadığını her zaman üç kez kontrol edin. İşletmelerin, kimlikleri doğrulamak için iletişim kuracakları e-postaları olacaktır (ör. \"Şirketinizin CEO\'su az önce benimle Telegram\'da iletişim kurdu mu?\") ve diğer topluluk liderleriyle genellikle başka yollarla iletişim kurulabilecektir. Herhangi bir işlem yapmadan önce doğrulayın. ÖZELLİKLE, konuşmayı siz onlarla değil de sizinle onlar başlattıysa.</p>';

  @override
  String get knowledge250Sbscams250Sb1250Sbtitle => 'Sahtekar Dolandırıcılık';

  @override
  String get knowledge250Sbscams250Sb2250Sbtext => '<p>Sahtekar dolandırıcılığına benzer şekilde, burada dolandırıcılar, görünüş olarak mevcut ve güvenilir işletmelerle aynı olan ancak Monero\'nuzu çalmak için tasarlanmış kod ve altyapıya sahip bir web sitesi veya uygulamaya sahip olmaya çalışacaklar. Çoğu zaman kötü amaçlı bir web sitesi, orijinaliyle neredeyse aynı alan adına sahip olur ve hatta reklam alanı satın alarak site için yapılan İnternet aramalarının en üst sıralarında yer aldığı bilinmektedir. Güvenilir bir örnek web sitesi themonerowallet.com ise, dolandırıcı bir site the-monero-wallet.com veya daha da kötüsü themonerȯwallet.com olabilir. Sonuncusu ile sorunu yakaladınız mı? O\'nun üzerinde bir nokta vardır. Bir göz atın: ȯ. Ancak ilk bakışta görünmeyebilir ve alan adı doğru görünüyorsa ve web sitesi, beklendiği gibi görünüyorsa, tuzağa düşmek ve Monero tohumunuzu vermek çok kolaydır. neyin çarptığını anlamadan önce Monero\'nuzun kaybolduğunu bulun.</p>\n\n<p>Ancak bu bölümün başında belirtildiği gibi bu sadece web siteleri için geçerli değil. Dolandırıcıların, Google Play Store veya App Store aracılığıyla mevcut cüzdanlarla aynı görünen kötü amaçlı bir uygulamayı gizlice sızdırdığı ve rapor edilene kadar (bu oldukça zaman alabilir) fark edilmediği durumlar olmuştur. Bu zamanda, kullanıcılar doğru uygulamayı indirdiklerini düşünüyorlar, ancak paralarını gerçekten dolandırıcılara kaptırıyorlar.</p>\n\n<p>Bu tür dolandırıcılıkların çözümü uyanık olmaktır. Herhangi bir web sitesinin veya uygulamanın hizmetlerini kullanmadan önce daima iki kez kontrol edin. Mümkün olduğunda, bilinen bir web sitesinin adını arama motorlarını kullanmak yerine doğrudan url çubuğuna yazın ve bir şey indirildiğinde veya çekirdeğiniz herhangi bir şekilde kullanıldığında ekstra dikkatli olun.</p>';

  @override
  String get knowledge250Sbscams250Sb2250Sbtitle => 'İşletme Benzeri Dolandırıcılık';

  @override
  String get knowledge250Sbscams250Sb3250Sbtext => '<p>Bazen dolandırıcılar kurnaz olmaya çalışmazlar bile. Büyük, gösterişli iddialarda bulunurlar ve çaresizlik, açgözlülük veya cehaletten dolayı onlara inanacak aptalların her zaman olacağını bilirler. Bu dolandırıcılıklar, ilk önce onlara para verdiğiniz (Bitconnect gibi) yatırımlarda gülünç getiriler vaat eden madeni para projelerinden, para kazanabilmeniz için size tüm piyasa hareketlerini önceden söylemeyi vaat eden özel, gizli gruplara kadar pek çok biçimde olabilir. .bir ücret karşılığında. Unutma. Bir şey kulağa gerçek olamayacak kadar iyi geliyorsa, muhtemelen gerçek değildir. Bu tavsiye özellikle kripto para birimi alanında geçerlidir, çünkü bu günlerde bir madeni para veya akıllı sözleşme dağıtmak önemsizdir ve şüpheli iddialarınızı çevrimiçi olarak yayınlamak ücretsizdir. Unutmayın, eğer birisi gerçekten piyasayı tutmanın veya tonlarca sonsuz para kazanmanın bir yolunu bulmuşsa, o zaman neden size söylesinler? Zengin olmak için sadece kendileri kullanırlardı. Neden paylaşsınlar ki? Akıllı ol. Beynini kullan. Kimseye güvenme.</p>';

  @override
  String get knowledge250Sbscams250Sb3250Sbtitle => 'Kesin Dolandırıcılık';

  @override
  String get knowledge250Sbscams250Sb4250Sbtext => '<p>Monero tohumunuz, Monero\'nuzdur. İlk cüzdan yaptığınızda bunu bir yere yazmalısınız çünkü tohumunuzu kaybederseniz, Monero\'nuzu da kaybetmiş olursunuz ve kimse size yardım edemez. AMA AYNI ZAMANDA bu tohumu diğerlerinden uzak tutmalısınız. Birisi tohumunuzu çalarsa, cüzdanınızdan Monero\'yu sizmişsiniz gibi gönderebilir ve yine kimse bu parayı sizin için geri alamaz. Gitti.</p>\n\n<p>Bir kişi çok sık olarak soğuk bir Monero cüzdanı tuttu, fonlarını merak etti ve kontrol etmek istedi. Ancak güçlük çekmek veya tüm cüzdan uygulamasını yeniden yüklemek yerine, tohumlarını hızlı bir şekilde geri yüklemek ve paralarına bakmak için bir web cüzdanı kullanmaya karar verirler. İşletme Benzeri Görünüm dolandırıcılığının kurbanı olurlarsa, tohumlarını girme eylemi dolandırıcılara verir ve onlar da parayı istedikleri zaman kontrol ettikleri farklı bir cüzdana taşıyabilirler.</p>\n\n<p>NE ZAMAN bir site, uygulama veya cüzdanda \'çekirdekle geri yükle\' seçeneği varsa, kullandığınız uygulamanın yasal olduğundan emin olun. Programın dış güçler tarafından kurcalanmadığından emin olmak için programın hash\'lerini kontrol edin (Monero web sitesinde bunun nasıl yapılacağına dair talimatlar vardır) ve tohumunuzu nerede ve nasıl ifşa ettiğinizin sürekli olarak farkında olun. Çifte kontrol can sıkıcı olabilir, ancak dikkatsizlikten kaynaklanan para kaybı daha da kötü olabilir.</p>';

  @override
  String get knowledge250Sbscams250Sb4250Sbtitle => 'Dolandırıcılıklarda Monero Seed\'inizin Rolü';

  @override
  String get knowledge250Sbscams250Sbdescription => 'Para var olduğu sürece, insanların ondan ayrılmasını sağlamak için dolandırıcılıklar olmuştur - uzaydaki en yaygın dolandırıcılıklardan bazılarına göz atmak için zaman ayıralım.';

  @override
  String get knowledge250Sbscams250Sbtitle => 'Monero Kullanırken Dikkat Edilmesi Gereken Dolandırıcılıklar';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtext => '<p>Bu gönderi, Monero ekosistemi için sahte araştırma katılımcısı <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB\"><code>koe</code></a> tarafından geliştirilen ve devam eden güvenlik analiziyle birlikte bir dizi işlem protokolü yapısı ve soyutlama olan <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/Seraphis\">Seraphis</a>\'i açıklar. takma adla katkıda bulunan <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/coinstudent2048\"><code>coinstudent2048</code></a>.<br/>\nBazı basitleştirmeler yapıyoruz ve netlik adına bazı teknik detayları atlıyoruz; bu nedenle ve Seraphis\'in tasarımı hala devam ettiği için, ilgili okuyucular en güncel bilgiler için Seraphis belgelerine bakmalıdır.</p>';

  @override
  String get knowledge250Sbseraphis250Sb0250Sbtitle => 'Seraphis: Monero işlemleri için modüler bir tasarım yükseltmesi';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtext => '<p>Bitcoin ve Monero gibi protokoller ve diğerleri, bir <em>çıktının</em> aktarılabilen bir değer temsili olduğu sözde bir \"çıktı modeli\"ne dayanır.<br/>\nİşlemler, bir gönderici tarafından kontrol edilen bir veya daha fazla çıktı tüketir ve alıcılara (veya değişiklik olarak gönderene geri) yönelik yeni çıktılar üretir; işlem, tüketilen çıktıların yeni çıktılardaki değere tam olarak eşit bir toplam değer içermesi gerektiği (artı ağ tarafından uygulanan bir ücret) ile dengelenmelidir.<br/>\nBitcoin gibi birçok protokolde, bir çıktının içerdiği değer, alıcı gibi açık bir şekilde yazılır.<br/>\nAyrıca, blok zincirine bakarak, bir çıktının harcanıp harcanmadığını ve ne zaman harcandığını (yani, daha sonraki bir işlemde tüketilip tüketilmediğini ve hangi işlemin harcandığını) görmek önemsizdir.</p>\n<p>Buna karşılık, Monero gibi protokoller farklı bir tasarım sunar:</p>\n\n<ul>\n<li>Çıktı değerleri gizlidir ve blok zincirinde görünmez</li>\n<li>Alıcı adresleri, tek seferlik adresleme protokolü kullanılarak gizlenir</li>\n<li>Bir çıktının harcanıp harcanmadığı, belirsiz imzaların kullanımıyla gizleniyor</li>\n</ul>\n\n<p>Sonuç olarak, harici bilgi olmadığında, belirli bir çıktının harcanıp harcanmadığını, değerinin ne olduğunu ve alıcısının kim olduğunu belirlemek zordur.</p>\n\n<p>Mevcut Monero işlem protokolüne <em>RingCT</em> adı verilir ve bu tasarım hedeflerine ulaşmak için birkaç kriptografik yapı taşı kullanır.</p>\n\n<ul>\n<li><em>Taahhütler</em> tutarları matematiksel olarak yararlı bir şekilde gizler</li>\n<li><em>Aralık kanıtları</em>, arzı şişirebilecek taşmayı önler</li>\n<li><em>Bağlanabilir halka imzalar</em>, imzalayan belirsizliği sağlar ve çifte harcama girişimlerini önler</li>\n<li><em>Taahhüt mahsupları</em>, işlemlerin bakiye verdiğini iddia ediyor</li>\n</ul>\n\n<p>Bu yapı taşları, RingCT protokolünü oluşturmak için dikkatlice iç içe geçmiştir.</p>\n\n<p>RingCT protokolünün yararlı bir özelliği, bazı yapı taşlarının genel tasarımı ve özellikleri olduğu gibi tutacak şekilde değiştirilebilmesi veya yükseltilebilmesidir, ancak bu verimlilik veya güvenlik iyileştirmeleri sağlayabilir.\nAslında, bu tür yükseltmeler Monero\'nun tarihinde birkaç kez gerçekleşti (veya olması planlanıyor).\nOrijinal RingCT protokolündeki aralık provaları hantal ve yavaştı; daha sonra daha iyi güvenlik analiziyle işlemleri daha küçük ve daha hızlı hale getiren <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2017/1066\">Bulletproofs</a> adlı bir yapıya güncellendiler ve daha da fazla verimlilik avantajları için <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/735\">Bulletproofs+</a> adlı daha yeni bir yapıya güncellenmeleri planlanıyor. </p>\n\n<p>Bağlanabilir halka imza yapı taşıyla benzer bir süreç uygulandı.\nOrijinal protokolde <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://ledger.pitt.edu/ojs/ledger/article/view/34\">MLSAG</a> adlı bir yapı kullanıldı.\nBu daha sonra <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/654\">CLSAG</a> adlı daha hızlı, daha küçük işlemlerle sonuçlanan ve daha iyi güvenlik analizine sahip daha yeni bir yapıya güncellendi.\n<a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2020/018\">Triptych</a>\'e dayalı daha da yeni bir bağlanabilir halka imza yapısı önerildi, ancak çoklu imza işlemleri üzerindeki etkilerinden dolayı dağıtım için seçilmedi.</p>';

  @override
  String get knowledge250Sbseraphis250Sb1250Sbtitle => 'Monero\'daki İşlemler';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtext => '<p>Seraphis bu fikri bir adım öteye taşıyor.<br/>\nMevcut RingCT işlem protokolünün yapı taşlarını tek tek güncellemek yerine, farklı yapı taşlarından yararlanabilen ve gelişmiş işlevsellik sunan farklı bir protokol sunar.</p>';

  @override
  String get knowledge250Sbseraphis250Sb2250Sbtitle => 'Seraphis';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtext => '<p>Seraphis, tasarım hedeflerine ulaşmak için farklı bir dizi kriptografik yapı taşı kullanıyor.</p>\n\n<ul>\n<li><em>Taahhütler</em> tutarları hâlâ gizliyor</li>\n<li><em>Aralık kanıtları</em>, taşmayı ve tedarik enflasyonunu hâlâ engelliyor</li>\n<li><em>Üyelik kanıtları</em> imzalayan belirsizliği sağlıyor</li>\n<li><em>Taahhüt ofsetleri</em> hala denge sağlıyor</li>\n<li><em>Provaları yetkilendirme</em>, çifte harcama girişimlerini önler</li>\n</ul>\n\n<p>Buradaki değişikliğe dikkat edin: Bağlanabilir halka imzalar, üyelik kanıtları ve yetkilendirme kanıtlarının bir kombinasyonu ile değiştirilir.\nKabaca konuşursak, üyelik kanıtları, RingCT\'de olana benzer şekilde, tüketilen bir çıktının daha büyük bir kümenin parçası olduğunu gösterir.\nAncak RingCT\'den farklı olarak, üyelik kanıtları bağlantı etiketini hiç içermez!\nYetkilendirme kanıtları, bağlantı etiketinin geçerli olduğunu ve nihai işlemi imzalamak için kullanıldığını gösterir.</p>\n\n<p>RingCT, bağlantı etiketini belirsiz imzaya dönüştürdüğü için, imzalama (ve çoklu imza) işlemleri hesaplama açısından daha yoğundur ve etiketle ilgili diğer işlevleri oluşturmak daha zor hale gelir.\nAncak Seraphis\'te, üyelik kanıtları oluşturmak, yüksek düzeyde güvenilir cihazlardan (bir donanım cüzdanı gibi sınırlı bilgi işlem gücüne sahip olabilir) daha az güvenilir bir cihaza güvenli bir şekilde devredilebilir ve imzalama (ve çoklu imza) işlemleri, çok daha basit yetkilendirme kanıtı kullanılarak çok daha kolaydır. .</p>\n\n<p>Neyse ki, Seraphis\'in ihtiyaç duyduğu yapı taşlarından bazıları başka yerlerde zaten var ve sıfırdan tasarlanmaları gerekmiyor.\nHem Bulletproofs hem de Bulletproofs+ yapıları, menzil kanıtı olarak kullanılabilir.\nSchnorr tipi kanıtlama sistemlerinde yapılan değişiklikler, kanıtların onaylanması için kullanılabilir.\nTriptych, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2019/373\">Lelantus</a> ve <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2021/1173\">Spark</a><sup>*</sup> için zaten temel olarak kullanılan verimli bir <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://eprint.iacr.org/2015/643\">kanıtlama sistemi</a> üyelik kanıtları için değiştirilebilir.[ X2127X]\n\n<p><sup>*</sup> Cypher Stack, Spark geliştirmesi için fon aldı.</p>';

  @override
  String get knowledge250Sbseraphis250Sb3250Sbtitle => 'Yapı taşları';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtext => '<p>Maalesef şu anda kullanımda olan Monero adresleri Seraphis ile uyumlu değil.\nSeraphis uygulanırsa, kullanıcıların Monero\'yu alabilmeleri için cüzdan anahtarlarından yeni adresler oluşturmaları gerekir.\nAncak, bu ekosistem maliyeti birçok avantajla birlikte gelir.</p>\n\n<p>Yukarıda tartışılan yapısal faydaların yanı sıra, Seraphis tasarımı, her biri ödünlerle gelen birçok farklı adres oluşturma olasılığına uygundur.\nSeraphis\'te kullanılacak son adres yapısına <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/92\">hala karar verilirken</a> (çok dikkat çeken bir şema <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://gist.github.com/tevador/50160d160d24cfc6c52ae02eb3d17024\">JAMTIS</a> olarak adlandırılır), bazı yaygın ve yararlı özellikleri açıklayabiliriz.[X908X ]\n\n<p>Monero adreslerinin, bir cihaza veya üçüncü tarafa bir görüntüleme anahtarı sağlayabileceğiniz ve harcamadan vazgeçmeden sizin adınıza gelen çıktıları izlemesine izin verebileceğiniz <em>görüntüleme anahtarı</em> işlevi sunduğunu biliyor olabilirsiniz. yetki.\nBu, harcama anahtarınızı güvenli bir şekilde kilitli tutarken güncel kalabilen cüzdanlar için kullanışlıdır.\nAyrıca, şeffaflık sunan bir hayır kurumu veya muhasebe departmanı olan bir şirket gibi harici görüntüleme erişimi istediğiniz durumlar için de kullanışlıdır.</p>\n\n<p>Monero görüntüleme tuşlarının dezavantajı, tam veya ayrıntılı görüntüleme erişimi sağlamamalarıdır.\nBir cüzdanın ne zaman para harcadığını güvenilir bir şekilde tespit etmek mümkün değildir, bu da harcama anahtarı mevcut olmadığında cüzdan bakiyelerinin düzgün bir şekilde hesaplanmasını zorlaştırır.\nAyrıca, bu çıktılarda bulunan değeri öğrenmeden gelen çıktıları tespit etmek de şu anda mümkün değildir (bu, gelen çıktıları bulmaktan sorumlu herhangi bir üçüncü tarafın tam olarak ne kadar Monero kazandığınızı öğreneceği anlamına gelir).</p>\n\n<p>Seraphis adresleme yapıları bunu çözebilir.\nSeraphis ile adresiniz, farklı şeyler yapabilen farklı anahtarlarla donatılmıştır:</p>\n\n<ul>\n<li>Gelen çıkışları izleyin, ancak değerlerini gizleyin</li>\n<li>Gelen çıkışları izleyin, ancak değerlerini gösterin</li>\n<li>Giden çıkışları izleyin</li>\n<li>İşlemler oluşturmanıza yardımcı olur, ancak bunları imzalamaz</li>\n<li>Yeni adresler oluşturun (perakendeciler veya birçok müşteriyle yapılan alışverişler için kullanışlıdır)</li>\n</ul>\n\n<p>Adres sahibi olarak, diğer cihazlara veya üçüncü taraflara ne kadar yetki devredeceğinize siz karar verirsiniz.</p>';

  @override
  String get knowledge250Sbseraphis250Sb4250Sbtitle => 'Adresleme';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtext => '<p>Seraphis, Monero ekosisteminde büyük bir değişiklik.\nAdreslerde ve işlem yapı taşlarında değişiklikler yapılmasını gerektirse de tasarımı, günümüzün RingCT protokolüyle mümkün olmayan esneklik ve kullanışlı işlevsellik sunar.\nTasarımın çoğu tamamlanmış ve <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/UkoeHB/monero/tree/seraphis_lib\">bir uygulamaya</a> dönüştürülürken, adres tasarımı ve güvenlik analizi devam ediyor.\nSeraphis, Monero ekosistemini ileriye taşımak için mükemmel bir fırsat sunuyor!</p>';

  @override
  String get knowledge250Sbseraphis250Sb5250Sbtitle => 'Büyük resim';

  @override
  String get knowledge250Sbseraphis250Sbdescription => 'Bugün, Monero ekosistemi için yakında çıkacak bir dizi işlem protokolü yapısı ve soyutlama olan Seraphis hakkında konuşuyoruz.';

  @override
  String get knowledge250Sbseraphis250Sbtitle => 'Seraphis: Monero İçin Ne Yapacak?';

  @override
  String get knowledge250Sbsov250Sb0250Sbtext => '<p>Monero\'nun, Bitcoin de dahil olmak üzere şeffaf madeni paralardan daha iyi bir takas aracı olduğu yaygın bir konuşma noktasıdır (ve buna tamamen inanıyoruz). Bunun nedeni, Monero\'nun doğasında bulunan gizliliğinin, para akışınızı tüm ilgili taraflara açık tutmanızdan kaynaklanan birçok tehlikeyi bertaraf ederek takibi imkansız hale getirmesidir. Ayrıca gizlilik, takas edilebilirliğin kilidini açar, böylece kullanıcılar, ilişkili bir geçmiş olmadığı için, bir mal veya hizmetle takas edilen her Monero\'nun bir diğeriyle eşdeğer olduğundan emin olabilirler.</p>\n\n<p>Ancak bu konuşma konusu ne kadar yaygın olsa da, genellikle onunla birlikte ortaya çıkan başka bir şey daha var; Monero daha iyi bir takas aracı olabilirken, Bitcoin daha iyi bir değer saklama aracıdır. Monero topluluğu içinde bile bunu duymak alışılmadık bir durum değil. Monero\'yu bir harcama hesabı gibi kullanın ve Bitcoin\'i bir tasarruf hesabı gibi kullanın. Akıl yürütmek için baskı yapıldığında, bu kullanıcılar bunun nedeninin Bitcoin\'in fiyatının Monero\'nunkinden daha yüksek bir oranda artmasından değil, Bitcoin\'in onu dijital altın gibi yapan \'özellikler\'e sahip olmasından kaynaklandığını düşünüyor.</p>\n\n<p>Bu fikre tüm kalbimizle katılmıyoruz ve bu makalede nedenini genişletmek istiyoruz. Bitcoin\'in radikal şeffaflığı, bir değer deposu olarak özelliklerinden insanların düşündüğünden daha fazlasını uzaklaştırıyor. Bunun ilk ve en bariz örneği, Bitcoin\'in sahip olduğu şeffaflıkla, yaygın olarak kabul edilen başka bir değer deposu olan altının hayal edilmesidir.</p>\n\n<p>Bir miktar altını bir bireye veya gruba bağlamak mümkün olsaydı (önemsiz bir şekilde birçok kez) altına duyulan güvene ne olurdu? Her altın transferinde transferin olduğu, gönderenin ve alıcının kim olduğu, ne kadar altın transfer edildiği bilinse yine bu şekilde mi kullanılır? Biz düşünmüyoruz.</p>\n\n<p>Altının gerçek bir dünya nesnesi olmasının doğasında var olan özelliklerinden biri, doğal olarak özel olmasıdır. Bir kişi, önceki sahiplerini bir altın külçesine damgalayarak ona yapay bir tarih verebilir, ancak bunlar, çıtayı eriterek ve Bitcoin\'de olmayan bir seçenek olan yeniden yaparak kolayca kaldırılabilir.</p>\n\n<p>Hareket halindeki bu şeffaflık, kendi başına yeterince yıkıcı olsa da, hareketiyle ilgili tüm bilgilere herkes erişebilseydi altının sahip olacağı tek kusur değildir. Altın akışını bilmenin doğası gereği, hangi gerçek dünya varlıklarının büyük altın depolarına sahip olduğunu belirleyebiliriz. Bunlardan bazıları kurumlar değil, geniş çaplı güvenlik kurulumları olmayan kişiler olabilir. Sıradan bir kişinin felakete karşı bir önlem olarak altın satın alması duyulmamış bir şey değil ve artık sokağın aşağısındaki Joe Schmoe\'nun evinde bir yerlerde 10 bin dolar değerinde olduğunu biliyoruz. Joe\'nun muhtemelen dünyanın bilmesini istediği bir bilgi değil.</p>\n\n<p>İyi bir değer saklama aracı, yalnızca fiyatın sabit olduğu veya muhtemelen yükseleceği anlamına gelmez, aynı zamanda elindeki kişinin parasını koymayı seçtikleri yerin güvenliği konusunda kendini rahat ve kendinden emin hissetmesi anlamına gelir. Bu nedenle, radikal şeffaflıkla, altın hareket halinde rahatsız olur ve durgun haldeyken potansiyel olarak tehlikeli hale gelir. O zaman bunun sadece bir düşünce deneyi olduğunu ve altının bu özelliklere sahip olmadığını bilmek güzel. Altın yatırımcıları rahat bir nefes alabilir.</p>\n\n<p>Ama aynı şey Bitcoin için söylenemez.</p>\n\n<p>Monero\'nun gizliliği gerçekten de onu bir çek hesabı veya tasarruf hesabı olarak kullanmak isteyen herkes için hem hareket halindeyken hem de dururken çok daha iyi güvenlik sağlıyor.</p>\n\n<p>Bununla birlikte, Bitcoin savunucuları, Bitcoin\'in bir değer deposu olarak daha güvenli olduğunu çünkü arkasında daha büyük bir hashrate sahip olduğunu ve bu nedenle zincirin yeniden yazılma olasılığının çok daha düşük olduğunu (yani, depodaki paralarınız alınabilir) tartışacaklar. ve bu şu anda doğru olsa da, düzeltilmesi muhtemel olmayan temel bir teknolojik sorundan ziyade zamanla değiştirilebilen sosyal bir sorundur.</p>\n\n<p>Bitcoin için ikinci bir argüman, sabit bir arza sahipken Monero\'nun kuyruk emisyonuna sahip olmasıdır. Bu, Monero\'nun sonsuz bir kaynağa sahip olduğu anlamına gelir, dolayısıyla itibari para kadar bir değer deposu olmaya uygun değildir. Görünüşte, bu kesinlikle ikisinin daha ikna edici argümanı, bu yüzden bunu ayrıntılı olarak ele almak istiyoruz.</p>\n\n<p>Monero\'nun kuyruk emisyonu olsa da bu, Monero\'nun uzun vadeli güvenliğini sağlamak içindir. Son Bitcoin basıldıktan sonra, artık blok ödülü olmayacak ve madencileri zinciri güvence altına almaya teşvik etmek için ücret piyasasını tek başına bırakacak. Bunun yeterli olmayacağını ve zincirin güvenliğinin önemli ölçüde düşerek zinciri %51 saldırılarına karşı savunmasız bırakacağını öne süren ön araştırmalar zaten var.</p>\n\n<p>Nihayetinde bu, bir saldırı korkusuyla asla hareket ettiremeyeceğiniz bir değer deposu biriktirdiğiniz anlamına gelir. Altına geri dönecek olursak, hareket etmesi, satması ya da mübadelesi imkansız ya da yasaklayıcı derecede tehlikeli olsaydı, altın bir değer deposu olarak yararlı olur muydu? Ulaşılamayan değer neye yarar? Sonsuza kadar dipsiz bir kuyuda kalabilecekse, birikmiş milyonlarca doların değeri ne işe yarar?</p>\n\n<p>Sorunun Monero kısmını el sallamak yerine bu eleştirinin diğer kısmına değinelim. Kuyruk emisyonu. Bir amacı olduğu doğru olsa da, bazıları sadece kuyruk emisyonunun varlığını Monero\'nun kıt olamayacağının ve tıpkı fiat gibi çalıştığının kanıtı olarak görebilir. Bu da doğru değil. Fiat\'ın yüzdeye dayalı bir enflasyon modeli var ve bu bile sabit değil, daha ziyade yozlaşan insanlardan oluşan opak bir bedene tabi. Bu, doğrusal olarak şişen Monero ile çelişir, yani zaman içinde enflasyon sıfıra doğru eğilim gösterir. Ayrıca bu, fiattan farklı olarak enflasyonun kolaylıkla hesaplanabileceği ve kesin olarak planlanabileceği anlamına gelir.</p>';

  @override
  String get knowledge250Sbsov250Sbdescription => 'XMR daha iyi bir takas aracıdır, ancak BTC daha iyi bir değer saklama aracı mı? Biz anlaşamadık. BTC\'nin şeffaflığı, bir değer deposu olarak özelliklerinden insanların düşündüğünden daha fazla şey eksiltiyor.';

  @override
  String get knowledge250Sbsov250Sbtitle => 'Monero Neden Bitcoin\'den Daha İyi Bir Değer Deposu?';

  @override
  String get knowledge250Sbstealth250Sb0250Sbtext => '<p>Monero, gizliliğe üç uçlu bir yaklaşım uyguladı. Bu teknolojiler, gerçek çıktıyı (göndericiyi) gizleyen <a target=\"_blank\" href=\"/knowledge/ring-signatures\" class=\"next-link\">halka imzalar</a>, miktarları gizleyen RingCT ve alıcıyı gizleyen gizli adreslerdir. Bugün, bahsedilen teknolojilerin sonuncusunu tartışacağız: gizli adresler.</p>\n\n<p>Bir kişinin kime gönderildiğini gizlemek isteyebileceği pek çok neden vardır. Kimsenin bizi bunun tüm örneklerinin çirkin davranışlar olduğuna ikna etmeye çalışmasına asla izin vermemeliyiz. Popüler olmayan bir siyasi partiye para göndermek, hayır kurumlarına bağış yapmak veya kültürün \'iptal edildiğini\' düşündüğü şeyleri desteklemek gibi şeylerin tümü, bir kişinin tepki korkusuyla harcama davranışlarını gizlemek isteyebileceği, ancak doğası gereği tamamen meşru olduğu durumlara örnektir.[X840X ]\n\n<p>Şeffaf bir blok zincirinde, birinin işlemlerinin gönderildiği adresler herkes tarafından görülebilir. Madencilerin kendileri paranın nereye gittiği konusunda aynı fikirde değillerse, parayı bir bloğa çıkarmamayı seçebileceklerini ve bu işlemi görünüşte sansüre dayanıklı bir platformda etkili bir şekilde sansürleyebileceklerini dikkate almak önemlidir. Sansürü imkansız kılmanın tek yolu, madencilerin işlemler arasında ayrım yapamamasıdır çünkü tüm zincir üstü meta veriler çeşitli yollarla gizlenmiştir. Monero\'nun bildiği bir şey.</p>\n\n<p>Monero, aslında ilk olarak 2011 yılında Bitcoin Talk forumu kullanıcısı ByteCoin tarafından Bitcoin için yapılmış bir teknoloji olan gizli adresleri uygulayarak bu şeffaf adres sorununu çözüyor (daha sonra gizli adresleri entegre edecek olan Bytecoin ile ilişkisi bilinmiyor). Bununla birlikte, gizli adreslerin mevcut biçimi, ilk fikre göre birkaç iyileştirmeye sahiptir. Ama önce nasıl çalıştıklarını görmek için tuşlardan bahsedelim.</p>\n\n<p>Kripto para birimi alanında olup da anahtarlar hakkında bir şey duymamak zor. \"Özel anahtarınızı yedekleyin\" gibi ifadeler yaygındır, ancak ortalama bir Joe \"genel anahtar\" ve \"özel anahtar\" kelimelerini duyduğunda korkar ve bunun çok teknik ve anlaşılması zor olacağını düşünür. Ama endişelenme. Ağırdan alacağız ve bol bol örnek kullanacağız.</p>\n\n<p>Kripto para birimlerinde kullanılan iki tür anahtar, az önce de belirtildiği gibi, genel ve özeldir. Bu iki anahtar genellikle bir çift halinde gelir, yani belirli bir genel ve özel anahtar birbirine bağlıdır. Aslında, genellikle genel anahtar özel olandan türetilir, yani özel anahtarı biliyorsanız, cüzdanınız bazı şık matematik işlemleri yapabilir ve her seferinde doğru genel anahtarı bulabilir.</p>\n\n<p>Artık, adlarından da anlaşılacağı gibi, genel anahtar herhangi bir sonuç olmaksızın herkese açık olabilir. Genellikle kripto para cüzdanınıza para almak için paylaştığınız adresin bir parçasıdır. Aynı zamanda adaşı olan özel anahtar, paylaşılmaması gereken anahtardır. Bir işlemi imzalamanıza ve harcamanıza izin veren şeydir, yani çalınırsa veya paylaşılırsa, alçak üçüncü taraf paranızı, genellikle kendilerine harcayabilir.</p>\n\n<p>Buna basit bir benzetme, bir asma kilit ve kilidi açmak için gereken anahtar olabilir. Açık asma kilit serbestçe paylaşılabilir ve aslında bu asma kilitle her şey kilitlenebilir, ancak asma kilidin kapalı olduğu her şeyi yalnızca anahtarı olan kişi açabilir. Asma kilit kopyalanıp paylaşılabilir, anahtar olmamalıdır.</p>\n\n<p>Bu anahtarlar genellikle kullanıcıdan soyutlanır, dolayısıyla onları asla gerçekten göremezsiniz. Monero\'da, hiç de korkutucu bir alfasayısal dizi olarak görünmüyorlar. Monero\'da, ortak kullanıcı özel anahtarı tohum olarak bilir. Tohum (yazmadıysanız yazmanız gerekir), aslında sadece insan tarafından okunabilen bir özel anahtardır. </p>\n\n<p>Gördünüz mü? Sonuçta o kadar da korkutucu değil. Gizli adreslere geri dön.</p>\n\n<p>Daha önce bahsedildiği gibi, gizli adresler orijinal olarak Monero için değil, Bitcoin için yapılmıştır. Yine de çoğu yeni fikirde olduğu gibi, bu ilk yinelemede sorunlar vardı. Bir sonraki girişim, CryptoNote\'un Nicholas van Saberhagan tarafından Monero\'nun öncüsü olan Bytecoin için oluşturulduğunda geldi (<a target=\"_blank\" href=\"/knowledge/monero-history\" class=\"next-link\">Monero ve Bytecoin tarihimize buradan bakın</a>) ve orijinaline göre kesin bir gelişme olsa da, bazı ince kusurlar.</p>\n\n<p>Sonunda, fikirle ilgili olağanüstü gizlilik ve güvenlik sorunlarını çözen, artık feshedilmiş başka bir gizlilik kripto para birimi için bir geliştirici tarafından son bir yineleme ortaya çıktı. Bu, sonunda Monero\'ya girdi ve bugün kullanılan şey bu.</p>\n\n<p>Bu gizlilik ve güvenlik sorunları çözülmüş olsa da gizli adresler, blockchain teknolojilerine daha önce olmayan farklı bir tuhaflık kattı. Tarama ihtiyacı. Alıcı adresler blok zincirinde herkese açık olarak gösterilmediğinden, alıcı herhangi bir işlemin kendisine ait olup olmadığını asla bilemez, bu nedenle kendisine ait olup olmadığını görmek için gelen her işlemi kendi özel anahtarıyla taraması gerekir.</p>\n\n<p>Şeffaf madeni paralarla tek yapmaları gereken, adresinize bir işlem gönderilip gönderilmediğini kontrol etmektir. Kolay bir evet veya hayır sorusu. Ancak gizli adreslerle, her işlem potansiyel olarak size gönderilen bir işlem olabilir, bu nedenle açılıp açılmadığını görmek için özel anahtarınızla her birinin kilidini açmaya çalışmalısınız.</p>\n\n<p>Bu, Bitcoin ve türevlerinin sahip olmadığı ekstra bir adımdır ve Bitcoin\'den çok daha uzun bir süre açmadığınızda bir cüzdanı senkronize etmenin yanı sıra ilk cüzdan kurulumunu yapar. Yine de, sahip olduğu gizlilik garantilerinin kilidini açmak için takas gereklidir. Unutulmamalıdır ki, gizlilik üçlüsünün en zayıf noktası olan halka imzaların aksine gizli adresler buluşsal yöntemlerden etkilenmez. Tüm internetin dayandığı, denenmiş ve gerçek eliptik eğri kriptografisine dayanır, bu nedenle onu kırmak, yalnızca Monero\'nun değil, genel olarak bilgisayar güvenliğinin sonu anlamına gelir.</p> ';

  @override
  String get knowledge250Sbstealth250Sbdescription => 'Şeffaf bir blok zincirinde, işlemlerin gönderildiği adresler herkes tarafından görülebilir. Monero, gizli adresler uygulayarak bu sorunu çözer.';

  @override
  String get knowledge250Sbstealth250Sbtitle => 'Monero Stealth Adresleri Kimliğinizi Nasıl Korur?';

  @override
  String get knowledge250Sbsubaddresses250Sb0250Sbtext => '<p>Monero, zorlu gizlilik sorunlarını çözmek için her zaman yenilikçi yollar bulmuştur. Çoğu zaman bu yenilikler başka yeniliklere yol açar ve bazen ortaya çıkan bu teknolojiler daha önce dikkate alınmamış kullanım senaryoları için bile kullanılabilir. Bu, hiçbir yerde Monero\'nun alt adres teknolojisi örneğinden daha fazla örneklenemez.</p>\n\n<p>Görünüşte alakasız kişilerden gelen birden çok platformda bir adresin kullanılmasının, söz konusu kişilerin bağlanmasına ve isimsizleştirilmesine yol açabileceği varsayımsal bir gizlilik sorunu düşünün. Basitçe söylemek gerekirse, Billy Joe Bob adında biriyseniz ve Bitcoin için elma sattıysanız, müşterilerin size ödeme yapması için Bitcoin adresinizi halka açık bir yerde yayınlayabilirsiniz. Diyelim ki adres alfasayısal dizi 7XybV3 ile başlıyor... Ancak, herhangi birinin Bitcoin bakiyenizi kontrol edip ne kadar sattığınızı görebilmesi gibi bariz gizlilik riskini bir kenara bırakırsak, gizlilik riskinden pek söz edilmeyen bir saniye daha var. Diyelim ki siz aynı zamanda l33tz0r adında bir yeraltı hacker\'ıydınız. Bilgi uçurma işi yapıyorsun, şüphelenmeyen bir halka hükümetin yolsuzluğundan bahsediyorsun ve kimliğini bir sır olarak saklaman şart. Çalışmanız için Bitcoin bağışlarını kabul ediyorsunuz ve adresi halka açık bir forumda yayınlıyorsunuz. Apple müşterilerinizden para kabul ettiğiniz adres aynı. 7XybV3... bir.</p>\n\n<p>Basit ama yıkıcı bir anonimleştirme saldırısı, Bitcoin adresinizi aramak için bir internet arama motoru kullanmak olacaktır. 7XybV3... adresini motora koymak iki farklı sonuç getirir. Elma işi ve l33tz0r. Bu, iki kimliği birbirine bağlamak ve l33tz0r\'yi isimsizleştirmek için yeterlidir, bu da olası güçlerden potansiyel olarak korkutucu sonuçlar doğurur.</p>\n\n<p>Bu saldırının Monero ile AYRICA mümkün olduğunu not etmek önemlidir. Monero, zincir üzerindeki verilerin çoğunu gizlese de, bu saldırı herhangi bir veri kullanmaz. Yalnızca ödeme almak için paylaşılması gereken adresi kullanır. Anonim bağış durumunda halka açık olarak. Bu, Monero kullanıcılarının farkında olmadan mahremiyetlerine zarar vermesinin olası bir yoludur ve aynı zamanda, Monero mahremiyetin korunması konusunda en üst seviyede olmasına rağmen kurşun geçirmez olmadığının bir örneğidir.</p>\n\n<p>Bu sorunu çözmenin olağan yolu birden fazla cüzdan sahibi olmaktı. Her kimlik (veya kullanım durumu) için gönderilen farklı adreslerle, bunlar birbirine bağlanamaz. Ancak bu gizlilik, yalnızca kullanıcı bunları asla karıştırmazsa geçerlidir. Yanlışlıkla yanlış adresi yayınlamak, aynı bağlantı etkilerine sahip olacaktır. Ayrıca, her adresin çekirdeği güvende tutulmalı ve yapılan her yeni cüzdanla birlikte gereken bilgi güvenliği çalışması artırılmalıdır.</p>\n\n<p>Monero\'nun çözümü alt adreslerdi. Ana adresin altında, onu bir tür tohum olarak kullanarak kesinlikle çok sayıda adres oluşturma yeteneği. Üretilen her alt adres Monero\'yu kabul edebilir ve hepsi aynı cüzdana gider. Bu yöntemi kullanarak, bir adres altında işletilebilen kimlik sayısı çok fazladır ve bilgi güvenliği işini minimumda tutar. Bu adresler matematiksel olarak da birbirine bağlanamaz, bu nedenle kullanıcı dünyayla bağlantı kurduğunu haykırmazsa, dışarıdan bir gözlemci onları ilişkilendirmekte büyük zorluk çekecektir.</p>\n\n<p>Ancak alt adreslerden ilginç bir kullanım örneği daha ortaya çıktı; evrensel olarak nefret edilen ödeme kimliklerinin yerine geçen bir seçenek olarak.</p>\n\n<p>Ödeme kimlikleri, satıcıların hangi müşterinin hangi ödemeyi gönderdiğini belirlemesinin bir yoluydu. Monero bilgisi zincirde gizlendiği için işlemin alıcısı işlemin hangi adresten gönderildiğini göremez. Bu, benzer fiyatlı ürünler ve birden fazla sipariş varsa, kimin neyi gönderdiğini belirlemenin imkansız hale gelebileceği anlamına gelir. Ödeme kimlikleri, satıcı tarafından oluşturulan ve müşteriye verilen benzersiz, rastgele bir dizidir. Müşteri bunu işlemi gönderirken ayrı bir alan olarak ekler. Bu rastgele dizi, işlemin bir parçası olarak blok zincirine yerleştirilir ve bu şekilde tüccar, gelen işlemleri tanımlayabilir ve sıralayabilir.</p>\n\n<p>Bu yöntem birkaç yönden kusurluydu. İlk olarak, zincir üstü verilerin tekdüzeliğini azaltır. Ek, benzersiz meta veriler, bazı işlemleri kalabalıktan ayırabilir ve böylece buluşsal analize olanak tanır. Bu, özellikle bu meta veriler herkes için zorunlu olarak uygulanmadığında geçerlidir. Bunu herkes için zorunlu kılmak, blok zincirine gereksiz alan eklerdi ve takip edilmedi. Ayrıca, bir ödeme kimliği herhangi bir nedenle yeniden kullanılmışsa, iki işlemi birbirine bağlı olarak bağlamak önemsiz olacaktır. Bu genellikle döviz mevduatlarında meydana geldi ve herhangi biri, hem bir borsada hem de belirli bir kişiden gelen bir depozito olarak işlemleri kolayca bağlayabilir.</p>\n\n<p>İkincisi, kullanıcı deneyimi perspektifinden bakıldığında, ödeme kimlikleri, diğer madeni paralardan gelen kripto para birimi kullanıcılarının alışkın olmadığı ikinci bir adım oluşturur ve unutulurlarsa, bu işlemleri başka yollarla tanımlaması gereken tüccar için büyük bir baş ağrısına neden olur. . Bu genellikle, ödeme kimliğini girmeyi unutan her müşteriyle doğrudan konuşarak ve yalnızca onların bilebileceği, miktar, gönderme tarihi ve işlem kimliğinin bir kombinasyonu gibi diğer tanımlayıcı bilgileri teyit ederek yapılırdı.</p>\n\n<p>Bu ekstra adım birçok kişi tarafından atlandı ve öyle bir noktaya geldi ki bazı borsalar, bir ödeme kimliğini unutmaları nedeniyle paralarının manuel olarak alınması gerektiğinde müşterilerden para talep etmeye başladı. Diğerleri dişlerini gıcırdattı ve ekstra destek masraflarını yedi ama kimse bundan memnun değildi.</p>\n\n<p>Bunun tek bir çözümü vardı, adresi ve ödeme kimliğini tek bir dizede birleştiren entegre adresler, böylece unutulması imkansızdı, ancak tüccarların bunu dahil etmekten elde edecekleri faydalara rağmen benimseme oldukça zayıftı. </p>\n\n<p>İlginç bir olay dönüşünde, günü kurtarmak için alt adresler geldi. Ana adres başına büyük miktarlarda alt adres oluşturma ve hangi işlemlerin hangi alt adreslere geldiğini belirleme yeteneği, tüccarların yeni nesil Monero teknolojisini benimserken kendilerini ödeme kimliklerinden zarif bir şekilde kurtarmasına olanak sağladı. O zamandan beri, çoğu borsa ve ticari araç, işlem tanımlamanın birincil yolu olarak alt adreslere geçti.</p>\n\n<p>Bir gizlilik sorununa çözüm olarak başlayan şey, çok daha fazlasına dönüştü ve hem satıcılar hem de müşteriler için önemli bir kullanıcı deneyimi sorununu çözdü. İnovasyon daha fazla inovasyonu doğurur ve bu da genellikle herkes için beklenmedik kazançlara dönüşebilir. Monero bunu defalarca gördü ve blok zincirinde neyin mümkün olduğunu yenilemek için büyük çaba harcıyor. Birlikte başka hangi şeylerin kilidini açabileceğimizi kim bilebilir?</p>';

  @override
  String get knowledge250Sbsubaddresses250Sbdescription => 'Monero, zorlu gizlilik sorunlarını çözmek için her zaman yenilikçi yollar bulmuştur. Bu, hiçbir yerde Monero\'nun alt adres teknolojisi durumunda olduğu kadar örneklenemez.';

  @override
  String get knowledge250Sbsubaddresses250Sbtitle => 'Monero Alt Adresleri Kimlik Bağlantısını Nasıl Engeller?';

  @override
  String get knowledge250Sbtitle => 'Bilgi';

  @override
  String get knowledge250Sbtrust250Sb0250Sbtext => '<p>Kripto para birimi alanında güven kavramı kadar dikkat çeken ve tartışılan çok az fikir var ve bu sebepsiz değil. Sonuçta, bir blok zincirinin tüm amacı üçüncü taraflara olan güveni ortadan kaldırmaktır.</p>\n\n<p>Fikri tam olarak anlamayanlar için işte küçük bir başlangıç. Geleneksel finansal sistemde, üçüncü şahıslar genellikle çeşitli görevler için kullanılır. Bankalar, sizin adınıza hırsızlığa karşı para güvence altına almak için kullanılır, hakemler. Emanetler, iş anlaşmalarının birbirine güvenmeyen iki taraf arasında yürütülebilmesi için kullanılır. Kredi kartı şirketleri, geri ödememe riskini üstlenerek mal ve hizmetler için sizin adınıza para ödüyor.</p>\n\n<p>Bu örneklerin her biri güven gerektirir. Bankalar ve emanetçiler için sizin paranızı alıp kaçmayacaklarına, kredi kartı şirketleri için sizin onayınız olmadan sizin adınıza para ödemeyeceklerine güveniyorsunuz ki bunların hepsi çok olası. Bu olayların yaşanmaması için elimizden geleni yapıyoruz. Yalnızca güvenilir şirketler ve kişilerle çalışıyoruz ve yukarıdaki senaryoları yasa dışı kılmak için kanunlar koyuyoruz ve suçluların sonuçlarını garanti altına almaya çalışıyoruz, ancak bu her zaman onların olmasını engellemez.</p>\n\n<p>Üstelik bu hizmetler bedava gelmiyor. Emanet acenteleri ve bankalar hizmetleri için ücret alabilir ve kredi kartları ödünç verilen paraya faiz uygulayabilir.</p>\n\n<p>Blockchain, bu aracıları ve bunlarla birlikte gelen güven ve ücretleri ortadan kaldırmak için yapıldı. Mutabakatın gücü sayesinde kullanıcılar, kimsenin onlara ne kadar paraları olduğunu söylemesine güvenmeden ve herhangi bir güvenilir üçüncü tarafın paranızı potansiyel olarak kaçırmasına gerek kalmadan defterin durumunu kendileri uygulayabilir.</p>\n\n<p>Bu güvensizliğe o kadar çok vurgu yapılıyor ki, blok zincirine bir güven unsuru ekleyen herhangi bir değişiklik veya teknolojik ekleme, büyük bir şüphecilik ve eleştiriyle karşılanıyor ve bazı projeler bu tür tüm kavramları tamamen reddediyor. O halde mahremiyete aynı önemin verilmemesi ilginç.</p>\n\n<p>Bir kez daha dünyanın geri kalanına baktığımızda gizliliğimizin \"güvenilir\" üçüncü tarafların insafına kaldığını görüyoruz. Bize gönderilmesini istediğimiz bir ürün için fiziksel adreslerimizi verdiğimizde, söz konusu mağazanın bu bilgileri kötü amaçlarla kullanmayacağına veya başkalarına satmayacağına güveniyoruz. Aynı şey kişisel düşüncelerimiz veya sosyal medyada paylaştığımız fotoğraflar için de geçerlidir. Muhasebe endüstrisindeki çeşitli hack\'ler veya insanların para harcadığı şeyleri (yani Venmo) dahili bir kamu kuruluna gönderen finans uygulamaları gibi mali durumlarımız için bile geçerlidir.</p>\n\n<p>Monero, blok zincirindeki bu güvene dayalı olmama taahhüdünü görüyor ve gizliliğe yaklaşımımıza benzer bir standart uyguluyor. Gizliliğimiz, onu güvende tutacağına söz veren üçüncü bir tarafa bağlı olmamalı, mali durumumuz da başkalarının kendileriyle kaçmayacaklarına dair bize söz vermesine bağlı olmamalıdır. Bu amaçla Monero, uygulanan tüm gizlilik teknolojilerinin güvene dayalı olmamasını sağlar.</p>\n\n<p>Etrafta gezinen başka gizlilik teknolojileri var. Güvenilir kişiler ve kuşkusuz güçlü yanları da yok değil. Zcash, gizli işlem protokolünde, büyük anonimlik kümeleriyle çok güçlü gizlilik garantileri olan ve doğru kullanıldığında gizliliğinizi sağlamanın güçlü bir yolu olabilecek belirli kanıtlama sistemlerini yapı taşları olarak kullanır. Bununla birlikte, bu yaklaşımın dezavantajı, bu teknolojinin ilk kurulumunun bir parçası olarak, seçilmesi ve ardından unutulması gereken bir parametre setinin olması gerekir. Herhangi biri bu parametreyi elinde tutarsa, sahte SNARK provaları oluşturma, gizli olduğu için kimsenin aklı başında olmadan etkili bir şekilde para basma becerisine sahip olur. Ancak bu gizliliği etkiler mi? Bazıları evet, diğerleri hayır teorisini öne sürüyor ve sonunda kesin bir cevaba ulaşmak için daha fazla araştırma yapılması gerekiyor.</p>\n\n<p>Ne olursa olsun, bu güveni en aza indirme süreci kulağa bu makalenin başında tartıştığımız senaryolara benziyor. Geleneksel dünya. Uzaklaşmaya çalıştığımız kişi. Blockchain\'in kendisi üçüncü taraflara olan güveni azaltmaz, aksine ortadan kaldırır. Monero topluluğu, azaltma yerine aynı eleme standardının gizlilik teknolojilerimize de uygulanması gerektiğini düşünüyor. Güvenilir kurulumların gizlilikten ödün verip vermeyeceği kesin olarak kanıtlanmamış olması, bu bağlamda sisteme tekrar güven verilmesi konusunda gevşek olmamız gerektiği anlamına gelmez.</p>\n\n<p>Elbette, mahremiyet alanındaki herhangi bir ilerleme bir gelişmedir ve genellikle güvenilen mahremiyet, güvenilmeyen mahremiyete giden bir basamaktır ve bu durumlarda, alanın ilerlediğini görmekten mutlu oluruz. Ve yine de, aynı zamanda, Monero topluluğu, vicdanen rahat bir şekilde, devrimimizin asıl amacını zayıflatacak gizlilik teknolojisini blok zincirimizde uygulayamaz.</p>\n\n<p>Sıklıkla Monero\'nun şu veya bu yeni gizlilik teknolojisini ne zaman uygulayacağı sorusu soruluyor. Bu sorular genellikle, değiş tokuşları anlamayan ve yalnızca günün yeni gizlilik terimlerini papağan gibi tekrarlayan bilgisiz kişilerden gelir. Bu soruların cevabı basit. Monero sürekli olarak Monero zincirindeki gizlilik garantilerini güçlendirecek yeni gizlilik protokollerini araştırıyor, inceliyor ve araştırıyor, ancak garantiler teorik olarak daha güçlü olsa bile bu hedefe ulaşmak için güvenilir gizlilik dünyasına dalmak istemiyoruz.[ X5461X]\n\n<p>Bazıları bu yaklaşımın modası geçeceğini söylüyor, ancak bizce bu tür insanlar en baştan neden burada olduğumuza dair hikayeyi kaybettiler.</p>';

  @override
  String get knowledge250Sbtrust250Sbdescription => 'Güven kavramı, kripto para birimi alanında en çok tartışılan kavramlardan biridir. Sonuçta, bir blok zincirinin tüm amacı üçüncü taraflara olan güveni ortadan kaldırmaktır.';

  @override
  String get knowledge250Sbtrust250Sbtitle => 'Monero Neden Zcash\'ten Farklı Olarak Güvenilir Olmayan Bir Kurulum Kullanıyor?';

  @override
  String get knowledge250Sbupgrades250Sb0250Sbtext => '<p>Monero\'nun merkezi olmayan, gizliliği koruyan ve güvenli bir kripto para birimi oluşturma yaklaşımının en yaygın yanlış anlaşılan kısımlarından biri, hard fork\'ların (veya ağ yükseltmelerinin) oynadığı roldür.</p>\n<p>Bu yazıda hard forkların ne olduğunu, Monero için neden önemli olduklarını ve gelecekte bu çatallarda nasıl bir rol oynayabileceğinizi inceleyeceğiz.</p>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtext => '<p>Monero topluluğu, projeyi zaman içinde yinelemeyi ve iyileştirmeyi taahhüt etti ve görünüşe göre bu taahhüt, topluluğun değerlerinin iki temel yönüne indirgeniyor:</p>\n<ol type=\"1\">\n<li><p>Monero projesi nihayetinde insanlar tarafından yazılmış bir yazılımdır – koddur. Bu, hataları düzeltme, zaman içinde keşfedilen veya icat edilen iyileştirmeleri ekleme, protokolde modernizasyonlar uygulama veya sadece projeyi sürdürme ihtiyacına yol açabilir. Bu, yeni özellikler eklemek ve hataları düzeltmek için sürekli olarak güncellenmesi gereken, kullandığınız diğer yazılım parçalarına (bunu okuduğunuz tarayıcı gibi) birçok yönden benzer.</p></li>\n<li><p>Monero projesi bir gizlilik aracıdır ve gizlilik sürekli ilerleyen bir silahlanma yarışıdır. Mahremiyet dünyasını (hem finansal hem de kişisel) ortadan kaldırmaktan başka bir şey istemeyen insanlar ve gruplar, Monero\'da kullanılanlar gibi gizliliği korumaya yönelik modern yaklaşımlara saldırmak için sürekli olarak gelişiyor, gelişiyor ve yeni yollar icat ediyor. Mahremiyet düşmanları bu yeni yaklaşımları keşfettikçe, Monero ağının finansal mahremiyet hakkımıza karşı savaşmak ve savunmak için uyum sağlayabilmesi ve gelişebilmesi gerekiyor.</p></li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb1250Sbtitle => 'Monero\'nun neden ağı yükseltmeye devam etmesi gerekiyor?';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtext => '<p>Monero\'yu yükseltmenin karmaşıklığı, bir kripto para birimini yükseltmenin tarayıcı gibi bir şeye yazılım güncellemesi göndermekten ne kadar farklı olduğunu anladığınızda devreye giriyor.</p>\n<p>Kripto para birimlerinde, ağın kuralları (işlemlerin nasıl görünmesi gerektiği, madenciliğin nasıl çalıştığı ve her bloğun nasıl doğrulanacağı gibi şeyler) ağ tarafından üzerinde anlaşmaya varılmalıdır, buna \"uzlaşma\" adı verilir. Bu kurallardan herhangi birinin değiştirilmesi veya yükseltilmesi gerektiğinde, ağın yeni kurallar üzerinde anlaşmaya varması gerekir, bu da ağın gerçekte biri eski kurallar olmak üzere iki blok zincirine ayrıldığı bir durum olan “hard-fork”a neden olur ve yeni kurallar hakkında.</p>\n<p>Topluluktaki herkes kural değişiklikleri konusunda hemfikir olduğunda, buna \"tartışmasız hard fork\" denir ve hala eski kurallara sahip olan zincir ölür ve hard fork\'tan sonra madencilik yapılmaz. Bu, hemen hemen her Monero hard forku için geçerli olmuştur ve eski kuralların tek devamı, hard forktan kar elde etmeye çalışan projelerdi.</p>\n<p>Tartışmasız hard fork\'lar, Monero ağının önemli yönlerini düzgün bir şekilde yükseltmenin tek yolu olsa da, sinir bozucu bir yan etkiye de sahiptirler - hard fork planlanmadan önce piyasaya sürülen eski yazılım, yenisini anlayamaz ağın kuralları ve böylece hard-fork\'tan sonra çalışmaz! Bu, kullanıcıların fonlarının kaybolduğunu düşünmelerine, Monero blok zincirinin durduğunu düşünmelerine ve cüzdanlarını yükseltene kadar fonları hareket ettirememelerine yol açabilir.</p>';

  @override
  String get knowledge250Sbupgrades250Sb2250Sbtitle => 'Sert çatal nedir?';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtext => '<p>Monero\'nun merkezi bir otoritesi, CEO\'su veya başkanı olmadığı için, ağın ne zaman yükseltileceğine, nelerin dahil edileceğine ve bunun nasıl yapılacağına karar verme işi <em>biz</em>\'e düşüyor, bu insanlar Etkileşim kurmayı ve etkileşimde bulunmayı seçen Monero topluluğu! Bu, hem merkezi olmayan bir projenin son derece önemli bir parçasıdır, çünkü proje için planlama ve karar verme nihai olarak merkezi değildir ve topluluktan kitle kaynaklıdır.</p>\n<p>Monero\'daki her ağ yükseltmesinde yer alan zamanlama ve özelliklerin planlanması iki ana yerde gerçekleşir:</p>\n<ol type=\"1\">\n<li><p>Monero topluluğunda en çok kullanılan sohbet platformları (birbirine köprü oluşturan) IRC ve Matrix\'te. Bu platformlar büyük grup sohbetlerine izin verir ve planlanmış tüm Monero topluluk toplantılarının, geliştirme toplantılarının ve araştırma laboratuvarı toplantılarının yapıldığı yerlerdir. Bu toplantılar, Monero\'daki ağ yükseltmeleriyle ilgili planlama ve tartışmayı dinlemeniz (veya katkıda bulunmanız!) için en iyi yoldur.</p></li>\n<li><p>Daha uzun süreli Monero tartışmaları, planlama ve organizasyon için ana iletişim platformu olan Github\'da. Monero topluluğu, Monero projesinin kodunu depolamanın yanı sıra toplantılar düzenlemek, yeni özellikleri ve fikirleri tartışmak ve ağ yükseltmelerinin planlanmasını koordine etmek için Github\'ı kullanıyor.</p></li>\n</ol>\n<p>Ağ yükseltmesi için önemli bir fikriniz varsa, benimsenen yaklaşımdan hoşlanmıyorsanız veya yükseltmenin zamanlaması konusunda endişeleriniz varsa, açıkça konuşmanız ve durumunuzu topluluğa net bir şekilde sunmanız önemlidir![X1521X ]';

  @override
  String get knowledge250Sbupgrades250Sb3250Sbtitle => 'Monero ağının ne zaman güncelleneceğine ve nelerin dahil edileceğine kim karar veriyor?';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtext => '<p>Monero ağındaki yükseltmeler, yazılım güncellemelerinin yanı sıra topluluk koordinasyonu ve onayı gerektirdiğinden, ağ yükseltmelerinin planlanması, test edilmesi ve iletişim sürecine mümkün olduğunca çok kişinin dahil olması son derece önemlidir.</p>\n<p>Ağ yükseltmesiyle ilgili sorunları gidermenize yardımcı olabilecek birkaç kolay yol:</p>\n<ol type=\"1\">\n<li>Github\'da yayınlanan <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues\">planlama toplantılarına katılın</a>, dinleyin ve gündeme getirecek alakalı bir şeyiniz varsa katkıda bulunun.</li>\n<li>Ağ yükseltme zamanlaması ile ilgili ayrıntıları (karar verildikten sonra!) favori borsanıza, cüzdanınıza veya madencilik havuzunuza iletin. Tüm Monero kullanıcılarını bir yükseltme hakkında düzgün bir şekilde bilgilendirmek zor olabilir, bu nedenle, haberi yaymak için elimizden geldiğince yardım etmemiz önemlidir.</li>\n<li>Ağ yükseltmesinden önce yazılımı test edin. Yükseltmenin her yönünün uygun şekilde planlandığından ve yazılımda uygulandığından emin olmak için hem testnet hem de stagenet üzerinde ağ yükseltmesinden önce test uzmanları için bir çağrı yapılacaktır. Ne kadar çok kişi dahil olur ve yeni sürümleri kapsamlı bir şekilde test ederse, ağ yükseltmesinin sorunsuz ilerleme olasılığı o kadar artar!</li>\n<li>Ağ yükseltmesiyle uyumlu sürümler yayınlandıktan sonra hemen yükseltmeyi unutmayın! Yükseltilmiş ve ağ yükseltmesi için ne kadar çok kişi hazırsa, ağ bunu o kadar sorunsuz halleder ve kullanıcılar o kadar az baş ağrısı yaşar.</li>\n</ol>';

  @override
  String get knowledge250Sbupgrades250Sb4250Sbtitle => 'Ağ yükseltmelerine nasıl yardımcı olabilirim?';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtext => '<p>Henüz kesin bir tarih belirlenmemiş olsa da, Monero\'da birkaç önemli yükseltme ve özelliği uygulamak için yakında bir ağ yükseltmesi yapılacak:</p>\n<ol type=\"1\">\n<li>Ağdaki her işlemin temel anonimlik kümesini artıran (okuyun: makul inkar veya temel gizlilik) halka boyutu 11\'den 16\'ya yükseldi</li>\n<li><a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/view-tags-reduce-monero-sync-time\">Etiketleri görüntüleyin, cüzdan senkronizasyon sürelerini %30-40 oranında azaltmanın harika bir yolu</a></li>\n<li>Ücret piyasasındaki hızlı değişikliklere veya kötü niyetli varlıkların saldırılarına karşı ağın güvenliğini ve dayanıklılığını artıran ücret değişiklikleri</li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://www.getmonero.org/2020/12/24/Bulletproofs+-in-Monero.html\">Bulletproofs+, Monero işlemlerinin verimliliğinde bir başka gelişme</a></li>\n</ol>\n<p>Bu değişiklikler, Monero için yeni nesil işlem protokolü olan <a class=\"next-link\" target=\"_blank\" href=\"https://localmonero.co/knowledge/seraphis-for-monero\">Seraphis</a>\'in yolunu açarken, ağın gizliliğini, verimliliğini ve güvenliğini artırmak için uzun bir yol kat edecek.</p>';

  @override
  String get knowledge250Sbupgrades250Sb5250Sbtitle => 'Bir sonraki Monero ağ yükseltmesinden ne bekleyebilirim?';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtext => '<p>Hard-fork\'lar ve ağ yükseltmeleri çok geniş bir konu ve Monero\'da bunların uzun ve hikayeli bir geçmişi var, bu nedenle hakkında daha fazla bilgi edinmek istiyorsanız aşağıdaki bağlantılardan bazılarını incelemeyi unutmayın. yaklaşan ağ yükseltmesi için devam eden geçmiş, süreç veya planlama!</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">Monero v15 hard-fork planlaması</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero#scheduled-software-upgrades\">Planlanmış yazılım yükseltmeleri (Monero\'da)</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://web.getmonero.org/2020/09/01/note-scheduled-upgrades.html\">Planlanmış protokol yükseltmeleri hakkında bir not</a></li>\n</ul>';

  @override
  String get knowledge250Sbupgrades250Sb6250Sbtitle => 'Daha fazlasını nasıl öğrenebilirim?';

  @override
  String get knowledge250Sbupgrades250Sbdescription => 'XMR çatallanmalarının rolü genellikle yanlış anlaşılır - bugün onların ne olduklarını ve neden önemli olduklarını inceleyeceğiz.';

  @override
  String get knowledge250Sbupgrades250Sbtitle => 'Monero, ağı yükseltmek için hard-forkları nasıl kullanır?';

  @override
  String get knowledge250SbviewTags250Sb0250Sbtext => '<p>Günlük Monero kullanımıyla ilgili en yaygın şikayetlerden biri, Monero gönderebilmek için bir cüzdanı senkronize etmenin ne kadar zaman alabileceğidir. Neyse ki, Monero topluluğundaki geliştiriciler ve araştırmacılar, herhangi bir ek blok zinciri şişmesi, ücreti vb. olmadan cüzdanınızı senkronize etmeniz için gereken süreyi %40\'tan fazla azaltmanın harika bir yolunu buldular.\n\n<p>Bir sonraki ağ yükseltmesinde Monero\'ya gelecek olan, her işlemin verilerine bir baytlık bir ekleme olan \"etiketleri görüntüle\"yi girin!</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtext => '<p>Görüntüleme etiketleri gibi bir çözüme olan ihtiyacı daha iyi anlamak için cevaplamamız gereken ilk sorulardan biri, Monero\'nun cüzdan senkronizasyonunun neden Bitcoin gibi kripto para birimlerinden daha yavaş olduğudur.</p>\n<p>Bitcoin\'de, tüm işlemler özel olmadığından ve harcanan paraları, miktarları ve zincirde yer alan adresleri gösterdiğinden, Bitcoin cüzdanları harcanmamış işlem çıktılarını (UTXO\'lar) veya belirli bir cüzdan için kullanılmış adresleri arayabilirler. , hangi paraların cüzdanınıza ait olduğunu ve harcanabileceğini anlamak için blok zincirini yalnızca bu adreslerin sahip olduğu UTXO\'lar için hızlı bir şekilde tarar.</p>\n<p>Ancak Monero\'da tüm işlemler, göndereni, alıcıyı ve her işlemde yer alan tutarları gizleyerek kullanıcının gizliliğini korur. Bu gizlilik, ağ kullanıcılarını korumak için hayati önem taşırken aynı zamanda daha yavaş cüzdan senkronizasyonu sağlar. Monero\'da cüzdanınız, ağda bulunan her işlem çıktısını (TXO) cüzdanınızın özel anahtarlarıyla karşılaştırmak zorundadır.</p>\n<p>Tüm miktarlar, adresler ve bilinen harcanan çıktılar (veya madeni paralar) Monero\'da zincir üzerinde gizli olduğundan, bu karşılaştırma bir çıktının gerçekten size ait olduğunu doğrulamak için çok sayıda karmaşık matematik ve kriptografi içerir.</p>';

  @override
  String get knowledge250SbviewTags250Sb1250Sbtitle => 'Monero\'nun cüzdan senkronizasyonu neden Bitcoin\'inkinden daha yavaş?';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtext => '<p>Monero cüzdanlarının senkronizasyon süresini azaltmaya yardımcı olmanın bir yolu olarak, <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">UkoeHB adlı bir araştırmacı yeni bir yaklaşım geliştirdi</a> - yalnızca bilinen paylaşılan bir sırrı kullanarak her işleme 1 baytlık bir \"etiket\" ekleyin bu işlemin göndericisine ve alıcısına.</p>\n<p>Bu paylaşılan sır, alıcı tarafından kendilerine sağlanan adresi kullanan gönderici tarafından oluşturulur ve gönderici ile alıcı arasında herhangi bir aktif işbirliği gerektirmez. Bu paylaşılan sırrın ilk baytı (veya karakteri), Monero ağında yayınlanırken işlemin verilerine eklenir.</p>\n<p>Bu işlemdeki katılımcılardan biri daha sonra cüzdanını Monero blok zinciriyle senkronize etmek istediğinde, ağdaki her bir TXO için tüm karmaşık matematik ve kriptografiyi gerçekleştirmeye ihtiyaç duymak yerine, cüzdan artık yalnızca şunları kontrol edebilir: bu 1 baytlık alanı her işlemde kullanın ve ancak o zaman bu etikete sahip işlemlerde zaman alan doğrulamayı gerçekleştirin – kesin olarak ağda 1/256 TXO!</p>\n<p>Bu etiket, dışarıdan görüntüleyenlere işlemle ilgili herhangi bir bilgi vermez, işlem boyutlarına yalnızca 1 bayt (ihmal edilebilir bir miktar) ekler ve yine de karmaşık doğrulamaları azaltarak senkronizasyon sürelerini %40+ azaltmamıza olanak tanır gerekli!</p>';

  @override
  String get knowledge250SbviewTags250Sb2250Sbtitle => 'Görünüm etiketleri nedir?';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtext => '<p>Bir odada sadece 5 kutunun size ait olduğu 4.096 kutunuz olduğunu hayal edin. Kutuların tümü dışarıdan tamamen ayırt edilemez ve bir kutunun size göre olup olmadığını anlamanın tek yolu, onu açıp sizin olduğundan emin olmak için içine yazılmış zaman alan bir matematik problemini çözmektir.</p>\n<p>Şimdi, size bu 5 kutuyu gönderen kişinin adresinizi kullanarak özel bir kod oluşturmasına karar verdiğinizi ve ardından size gönderilen her kutunun dışına bu üretilen kodun yalnızca ilk karakterini koyduğunuzu hayal edin. Diğer herkes kutuları için aynı şeyi yapar (tüm kutuların hala ayırt edilemez olduğundan emin olmak için), ancak artık kutunun dışındaki bir karakter koduna bakabilir ve yalnızca üzerinde o karakterin bulunduğu kutuları açabilirsiniz.[ X753X]\n<p>Bazıları size ait olmayan diğer kutular sizin kodunuzla eşleşirken, açmanız ve bir matematik problemini çözmeniz gereken kutu sayısı artık 4.096 yerine sadece 16 (1/256 kutu!). </p>\n<p>Şimdi o 16 kutuyu aç, matematik problemlerini çöz ve aslında sana ait olan 5 kutuyu o gruptan al!</p>';

  @override
  String get knowledge250SbviewTags250Sb3250Sbtitle => 'Etiketleri görüntüle: basitleştirilmiş bir örnek';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtext => '<p>Görüntüleme etiketleri, şu anda <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/meta/issues/630\">yaklaşan ağ yükseltmesine</a> dahil edilmesi planlanan özelliklerden biridir ve bu baharda piyasaya sürülmesi gerekir. <a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://bounties.monero.social/posts/28/implement-view-tags-to-decrease-wallet-sync-times-in-monero\"> topluluğu, görüntüleme etiketlerinin geliştirilmesini ve uygulanmasını teşvik etmek için 23.3XMR</a>\'i (yazım sırasında) yükseltti ve sonuç olarak, görüntüleme etiketlerini Monero kod tabanına dahil etme çalışmalarının büyük çoğunluğu zaten tamamlanmıştı. eleştirmenler ve araştırmacılarla işbirliği içinde j-berman tarafından tamamlandı.</p>\n<p>Görüntüleme etiketleri ağ tarafından zorunlu kılındıktan sonra, ağ yükseltmesinden sonra gönderilen tüm işlemler, büyük ölçüde geliştirilmiş cüzdan senkronizasyon süresinden yararlanacaktır. Görünüm etiketlerini kullanmaya başlamak için özel bir şey yapmanıza gerek kalmayacak, Monero için favori cüzdanınız bunları ağ yükseltmesinden sonra otomatik olarak kullanmaya başlayacak!</p>';

  @override
  String get knowledge250SbviewTags250Sb4250Sbtitle => 'Görüntüleme etiketleri ne zaman Monero\'da kullanılabilecek?';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtext => '<p>Bu, görüntüleme etiketleri konusunda merakınızı uyandırdıysa, konuyu derinlemesine ele alan bazı ek bağlantılar için aşağıya göz atın:</p>\n<ul>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/research-lab/issues/73\">Çıktı başına 1 bayt \"görüntüleme etiketi\" ile tarama sürelerini azaltın</a></li>\n<li><a class=\"next-link\" target=\"_blank\" rel=\"noopener nofollow\" href=\"https://github.com/monero-project/monero/pull/8061\">Müzdan tarama süresini azaltmak için çıktılara görüntüleme etiketleri ekleyin</a></li>\n</ul>';

  @override
  String get knowledge250SbviewTags250Sb5250Sbtitle => 'Daha fazlasını nasıl öğrenebilirim?';

  @override
  String get knowledge250SbviewTags250Sbdescription => 'Monero ile ilgili en yaygın şikayetlerden biri cüzdan senkronizasyon süreleridir - bugün geliştiricilerin bunu azaltmak için buldukları harika bir yoldan bahsediyoruz.';

  @override
  String get knowledge250SbviewTags250Sbtitle => 'Etiketleri görüntüle: Bir bayt, Monero cüzdan senkronizasyon sürelerini nasıl %40+ oranında azaltır?';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbdecentralized250Sbtext => 'Bitcoin\'in kendisi merkezi değildir, ancak çoğu karıştırma hizmeti merkezileştirilmiştir. Bu, onlara güvenmeniz gerektiği anlamına gelir. Ancak, Wasabi cüzdanı gibi daha yeni olanlar değil.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbfungibility250Sbtext => '<p>\n                          Tüm Bitcoin\'ler eşit değildir ve aynı değere sahip değildir. Bazı Bitcoin\'ler kara listeye alındı ve çeşitli kuruluşlar tarafından bloke edildi, bu da bu madeni paraları diğerlerinden daha az değerli hale getirdi. Geçmişte yasa dışı amaçlarla kullanılan Bitcoin\'ler alırsanız, yasa dışı faaliyetle hiçbir ilginiz olmasa bile Bitcoin\'leriniz kara listeye alınabilir. Veya, bir hükümet, işveren veya başka bir kuruluşun gelecekte Bitcoin\'lerinizi, varlık dondurma veya müsadere durumlarında olduğu gibi kara listeye almaya karar verdiğini varsayalım. Yapabileceğin hiçbir şey olmazdı. Karıştırıcı, Bitcoin\'lerinizin izini sürmeyi yalnızca zorlaştırdığından, bu kategori &quot;karşılıklı değil&quot; olarak işaretlendi.\n                        </p>\n\n                        <ul class=\"disk\">\n                          <li>\n                            Bitcoin ve diğer kripto para topluluklarında saygı duyulan eski bir Bitcoin Core geliştiricisi olan Andreas Antonopoulos, bir <a href=\"https://www.youtube.com/watch?v=ak1iojpiHpM&feature=youtu\"da Bitcoin\'in değiştirilebilirlik sorununu kabul ediyor. .be&t=33m9s\"> YouTube videosu</a>.\n                          </li>\n                          <li>\n                            Bitcoin değiştirilebilirlik sorununun <a href=\"https://bitcointalk.org/index.php?topic=1190707.0\"> Bitcointalk.org adresinde tartışılması\n                            </a>\n                          </li>\n                        </ul>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbprivate250Sbtext => '<p>\n                          Tüm Bitcoin işlemleri blok zincirinde görünür ve bir <a href=\"http://www.bitcoinrichlist.com/top100\"> Bitcoin zengin listesi</a> vardır, dolayısıyla Bitcoin özel değildir. Bitcoin <a href=\"https://bitcoin.org/en/you-need-to-know\"> takma addır</a>, anonim değildir.\n                        </p>\n\n                        <p>\n                          <b>Bitcoin karıştırıcıları</b> için, verilerini güvende tutabileceklerine ve bir hükümete, bilgisayar korsanlarına veya diğer kuruluşlara ait olmadıklarına veya bunlarla işbirliği yapmadıklarına güvenmeniz gerekir.\n                        </p>\n\n                        <p>\n                          2017 yılının Temmuz ayında, en büyük Bitcoin karıştırma hizmeti olan BITMIXER.IO\'nun kurucusu, kapandıklarını açıklamış ve gerekçe olarak şunu göstermişti:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              &hellip; Şimdi, Bitcoin\'in <b>tasarım gereği</b> şeffaf, anonim olmayan bir sistem olduğunu kavradım. Blockchain harika bir açık kitaptır&hellip;\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg20357093#msg20357093\"> Bitcointalk.org </a> kapanış duyurusunda (vurgu orijinalde).\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Birkaç hafta sonra, çeşitli gizlilik odaklı madeni paraları değerlendirdikten sonra şunları söyledi:\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Derin araştırmadan sonra MONERO\'nun en iyi gizlilik para birimi olduğunu onaylıyorum. Bu yüzden ekstra mahremiyete ihtiyaç duyan herkese MONERO\'yu şiddetle tavsiye ediyorum.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              BITMIXER.IO, bir <a href=\"https://bitcointalk.org/index.php?topic=2042470.msg21113378#msg21113378\"> takip gönderisinde</a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbbtc250Sbuntraceable250Sbtext => ' <p>\n                          Blok zincirinde tüm Bitcoin işlemleri görünür olduğundan, TÜM Bitcoin işlemleri izlenebilir. Bir Bitcoin karıştırıcısı, işlemleri oldukça karmaşık hale getirebilir, bu da birisinin Bitcoin\'leri izlemesini çok daha zorlaştırır, ancak imkansız değildir. Teknoloji ilerledikçe ve Bitcoin işlemlerini izleme konusunda uzmanlaşan şirketler daha yaygın hale geldikçe, bir kez yüksek derecede gizlenmiş işlemler nispeten kolay bir şekilde izlenebilir hale gelecektir:\n                        </p>\n\n                        <ul class=\"disc\">\n                          <li>\n                            <a href=\"https://news.bitcoin.com/law-enforcement-continues-invest-bitcoin-tracking-services/\"> Kolluk Kuvvetleri, Bitcoin İzleme Hizmetlerine Yatırım Yapmaya Devam Ediyor\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"http://time.com/3689359/bitcoins-track-anonymous/\"> Time.com: Bitcoin\'leri İzlemek Sandığınızdan Daha Kolay\n                            </a>\n                          </li>\n                          <li>\n                            <a href=\"https://www.elliptic.co/\">\n                              Elliptic: Kolluk Kuvvetleri için Bitcoin\'i İzleme Konusunda Uzman Bir Şirket\n                            </a>\n                          </li>\n                        </ul>\n\n                        <p>\n                          Bir Google araması, yukarıdakiler gibi düzinelerce makaleyi ortaya çıkaracaktır. Ve unutmayın, geçmişte herhangi bir zamanda meydana gelen herhangi bir işlem, bir karıştırma hizmeti kullanılmış olsa bile blok zincirindedir ve izlenme potansiyeline sahiptir. Aslında, bir karıştırma hizmetinin kullanılması, bu işlemlere dikkat çekmesi muhtemeldir.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbdecentralized250Sbtext => 'Tüm DASH düğümleri eşit değildir. Sahipleri sistem üzerinde normal düğüm operatörlerinden daha fazla etkiye sahip olan <i>Ana Düğümler</i> adlı bir düğüm üst sınıfı vardır. Bu, DASH\'ı ideal %100 merkezi olmayan sistem yerine yarı merkezi hale getirir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbfungible250Sbtext => 'İşlemler özel olmadığından, bir kuruluşun belirli madeni paraları bloke etme veya kara listeye alma potansiyeli vardır, bu da onları diğerlerinden daha az değerli kılar. Aynı prensip DASH için de geçerli olduğundan, aşağıdaki Bitcoin değiştirilebilirliğinin olmamasıyla ilgili nota bakın.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate => 'DASH bir <a href=\"https://bitinfocharts.com/top-100-richest-darkcoin-addresses.html\"> zengin listesine</a> sahiptir, bu nedenle bu özel bir para değildir. Madeni para adreslerinin finansal ayrıntıları, blok zincirini inceleyen herkes tarafından görülebilir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbanother8722Sbquote => ' Başka bir Bitcoin Core geliştiricisi ve kriptografı olan <b>Peter Todd</b>, <a href=\"https://twitter.com/petertoddbtc/status/622022840330682368\"> benzer bir açıklama yaptı</a>.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              DASH kriptografik olarak hiç özel değildir. Aslında destede \'DASH, LOL\' gibi bir slaytım vardı ve başka hiçbir şeye benzemeyen ... bu yılan yağı ve kişisel olarak bu konuda kendimi kaybediyorum.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Gregory Maxwell</b>, Bitcoin Core geliştiricisi ve kriptografı, Coinbase\'e <a href=\"https://archive.21mil.com/blockstream-cto-greg-maxwell-discusses-monero-zcash-privacy-focused-altcoins/\"> sunumunda\n                             </a>.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdash250Sbuntraceable250Sbtext => 'İşlemler, izlenemez hale getirmek için bir dizi <a href=\"https://www.dash.org/masternodes/\"> Ana Düğüm </a> aracılığıyla yönlendirilir. Bu uygulama, tüm ana düğüm operatörlerinin yalnızca saf güdüleri varsa işe yarayabilir. Bununla birlikte, bir hükümet, bilgisayar korsanları grubu, başka bir kuruluş veya hatta bir kişi çok sayıda masternode satın aldıysa (bunun gerçekleşip gerçekleşmediğini bilmenin bir yolu yoktur) ve işlem, tüm masternode\'ların o varlığa ait olduğu bir yoldan geçtiyse , ardından işlem bu varlık tarafından izlenebilir. Masternode\'ların nispeten düşük maliyeti ve hükümetlerin ve bazı kuruluşların muazzam bütçesi göz önüne alındığında, madeni paraların izlenebilmesi olasılığı gerçektir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbdisclaimer => 'Bu site Monero kullanıcıları tarafından yapılmıştır. Bir zamanlar Monero kullanıcısı değildik ama finansal mahremiyet konusunda endişeliydik. Özel olduğu iddia edilen madeni paraları araştırdık ve bu sayfa araştırmamızın sonucudur. Bu yüzden diğerleri yerine Monero\'yu seçtik. Dolayısıyla, önyargılı görünüyorsak öyleyiz, ancak önyargının aşağıda okuyabileceğiniz ve kendiniz için doğrulayabileceğiniz gerçeklere dayandığına inanıyoruz.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbdecentralized250Sbtext => 'Grin\'in ön madeni, kurucu ödülü, masternode\'ları veya hazinesi yoktur. Bir ICO\'ları yoktu ve merkezi olmayan bir topluluğa yakışır bir şekilde yönetiliyorlar. Grin merkeziyetsizdir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbfungiblity250Sbtext => 'Tüm işlemler sorgulanabilir şekilde özel olduğundan ve potansiyel olarak izlenebilir olduğundan, harcama alışkanlıklarıyla ilgili olarak bir bireye karşı kullanılabilecek değerli bilgilerin toplanabileceği bir işlem grafiği oluşturma olasılığı vardır. Çıktılar daha sonra kimliklerle ilişkilendirilebilir ve miktarlar görülmese bile, bir çıktının bir kimliğe bağlanabilmesi, çıktının onu kimin elinde tuttuğu temelinde lekelenebileceği anlamına gelir. Bunun, bazı çıktılar kusurlu olabilirken diğerleri olmayacağından, Grin\'in karşılanabilir olmadığı anlamına geldiğini düşünüyoruz.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbprivate250Sbtext => 'Grin\'in zengin bir listesi yok, bu da bir tür mahremiyete işaret ediyor. Gerçekten de, zinciri tarayan pasif saldırganlar, kısmen miktarların gizli işlemler yoluyla gizlenmesi, kısmen adres verilerinin zincirde depolanmaması ve kısmen de Mimblewimble\'ın ara işlemlerin gerçekleştiği kesme teknolojisi nedeniyle, hangi adresin içinde ne kadar para olduğunu göremezler. geçmiş işlemlerden çok az meta veri bırakarak zincirden çıkarılabilir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbgrin250Sbuntraceablity250Sbtext => 'Grin, işlem grafiği oluşturan aktif bir saldırgana karşı savunma yapmaz. Hem madencilerin hem de biraz değiştirilmiş bir düğümün her işlemi izlemesi, geçiş teknolojisi devreye girmeden önce kaydetmesi ve tüm \"geçiş\" verilerini tutmanın yanı sıra buradan eksiksiz bir işlem grafiği oluşturması mümkündür. Başlamadan önce herhangi bir bilgiyi ayırt edemezler, ancak başladıktan sonraki her şey, işlemleri potansiyel olarak ilişkilendirebilecekleri değerli meta veriler olacaktır.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbintro => 'Burada, ayırt edici temel özellikleri olarak anonimlik ve/veya izlenemezlik iddiasında bulunan iyi bilinen kripto para birimlerinin bir analizi yer almaktadır. Anonim olduğu iddia edilmediği için Bitcoin\'in kendisi bu analizin kapsamında değildir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb0 => 'Monero, başlangıcından bu yana %100 açık kaynak olmuştur, yani herhangi bir arka kapı bulunmadığını ve yazılımın güvenli olduğunu doğrulamak için herkes yazılımın <a href=\"https://github.com/monero-project/bitmonero\"> kaynak kodunu </a> görüntüleyebilir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbafterword8722Sb1 => 'Monero ayrıca yukarıda listelenen tüm özelliklerini matematiksel ve sistematik olarak doğrulayan <a href=\"https://lab.getmonero.org/\"> hakemli araştırma makalelerine </a> sahiptir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbdecentralized => 'Tüm Monero düğümleri eşittir. İşlemler üzerinde diğer düğümlerden daha fazla etkiye veya kontrole sahip olan düğümlerin üst sınıfı yoktur. Hiçbir kişi veya kuruluş, birden fazla düğüme sahip olarak işlemleri izleyemez. Ayrıca, güvenilir bir kurulum yoktur. Bu, bir kişiye veya varlığa güvenme ihtiyacının bir faktör olmadığı anlamına gelir. Güvenilmesi gereken tek şey kaynak kodu (herkes tarafından doğrulanabilir) ve matematiktir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbfungible => 'Tüm madeni paralar eşittir ve aynı değere sahiptir. Monero madeni paralarının işlem geçmişi belirsiz olduğundan, bir kullanıcı, satıcı veya başka herhangi bir varlık belirli Monero madeni paralarını engelleyemez veya kara listeye alamaz.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbprivate => 'Monero, işlemleriniz blok zincirinde (dağıtılmış işlem defteri) herkes tarafından görülmeden para gönderip almanıza izin veren kriptografik olarak sağlam bir sistem kullanır. Bu, satın alma işlemlerinizin, makbuzlarınızın ve diğer transferlerinizin <b>varsayılan olarak gizli</b> kalmasını sağlar. İşlemin göndereni, alıcısı ve tutarı gizlidir. Bazı koinlerin, hangi hesabın en çok jetona sahip olduğunu herkesin görmesini sağlayan bir \"zengin listesi\" vardır. Monero özel olduğundan, bir <a href=\"http://moneroblocks.info/richlist\"> Monero zengin listesi </a> mevcut olamaz.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbsecure => 'Dağıtılmış bir eşler arası mutabakat ağı kullanılarak, her işlem kriptografik olarak güvence altına alınır. Bireysel hesaplar, oluşturulduğunda görüntülenen ve hesabı yedeklemek için yazılabilen 25 kelimelik bir anımsatıcı tohuma sahiptir. Bir cüzdan oluştururken parola zorunludur ve hesap dosyaları, çalınmaları durumunda değersiz olmalarını sağlamak için bir parola ile şifrelenir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbmonero250Sbuntraceable => 'Halka imzalardan (belirli kriptografi türlerinin özel bir özelliği) yararlanan Monero, izlenemeyen işlemlere olanak tanır. Bu, hangi fonların harcandığının belirsiz olduğu ve dolayısıyla bir işlemin belirli bir kullanıcıyla bağlantılı olma ihtimalinin son derece düşük olduğu anlamına gelir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbsubtitle => 'O madeni paranın analizine atlamak için bir logo seçin.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbno => 'Numara';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbnot8722Sbcompletely => 'Tam olarak değil';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbsometimes => 'Ara sıra';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbunsure => 'emin değilim';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtable250Sbyes => 'Evet';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sboverview250Sbtitle => 'genel bakış';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtitle => 'Madeni para analizi';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbtxs8722Sbare8722Sbsecure => 'İşlemler kriptografik olarak güvenlidir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbdecentralized250Sbtext => '<p>\n                          Zcash bir şirkettir ve şu anda <a href=\"https://z.cash/blog/funding.html\"> bir kurucu ödülü olarak tüm ZEC madenciliğinin %20\'sini almaktadır</a>.\n                        </p>\n\n                        <p>\n                          Zcash, bir <b>Güvenilir Kurulum</b> gerektiriyordu. Bu, sistemin dürüst bir şekilde kurulduğuna güvenmeniz gerektiği anlamına gelir. Dürüstçe kurulmadıysa, <a href=\"https://blog.okturtles.com/2016/03/the-zcash-catch/\"> kimsenin bilgisi olmadan </a> sınırsız miktarda ZEC oluşturulabilir. Bu, bilgisayar korsanını zengin yapar ve ZEC\'in değerini düşürür. Güvenilir Kurulumun dürüstçe yürütülüp yürütülmediğini bilmenin bir yolu yoktur. Onları sözlerine inandırmalıyız. Bu, sisteme neredeyse tüm diğer kripto para birimlerine karşı olan bir insan başarısızlık noktası getirir. İnsanlara değil, kripto para birimlerinde yalnızca matematiğe ve doğrulanabilir kaynak koduna güvenmeniz gerekir. <a href=\"https://www.gnu.org/proprietary/proprietary-back-doors.en.html\"> Microsoft</a>, <a href=\"http://www.digitaltrends.com/computing/apple-vs-fbi-backdoor-to-data-already-exists/\"> Apple</a> gibi neredeyse tüm büyük yazılım şirketlerinde ve hatta hükümetlerde gördüğümüz gibi, onlara güvenilmemelidir.\n                        </p>\n\n                        <p>\n                          Zcash Güvenilir Kurulumuna <a href=\"https://github.com/zcash/mpc/blob/master/README.md\"> </a> katılan bir Bitcoin Core geliştiricisi olan Peter Todd, &quot; <a href=\"https://twitter.com/petertoddbtc/status/793584540891643906\"> arka kapı </a> &quot; olarak adlandırdı.\n                        </p>\n\n                        <blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Zcash koşulsuz olarak sağlam değildir, mevcut teknolojiyle olamaz...güvenilir bir kurulum gerektirir&hellip;, kriptoyu zaman içinde yükseltmek için [Güvenilir Kurulum] prosedürünü yeniden yapması gerekecek, bu nedenle bu bir güvenlik açığıdır.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              Bitcoin Core geliştiricisi ve kriptografı Gregory Maxwell, Coinbase</a> için <a href=\"https://youtu.be/LHPYNZ8i1cU#t=29m30s\"> sunumunda.\n                            </p>\n                          </footer>\n                        </blockquote>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbfungible => 'Tüm işlemler özel olmadığından, bir kuruluşun belirli madeni paraları bloke etme veya kara listeye alma potansiyeli vardır, bu da onları diğerlerinden daha az değerli kılar. Aynı prensip Zcash için de geçerli olduğundan, aşağıdaki Bitcoin değiştirilebilirliğinin olmamasıyla ilgili nota bakın.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbquote => '<blockquote>\n                          <div class=\"quote\">\n                            <p>\n                              Ve bu arada, Zcash\'i başarılı bir şekilde WannaCry gibi suçlular için çok izlenebilir, ancak yine de tamamen gizli &amp; misli olabilir hale getirebileceğimizi düşünüyorum.\n                            </p>\n                          </div>\n\n                          <footer>\n                            <p>\n                              <b>Zooko Wilcox</b>, Zcash CEO\'su <a href=\"https://twitter.com/zooko/status/863202798883577856\"> tweetinde\n                              </a>\n                            </p>\n                          </footer>\n                        </blockquote>\n\n                        <p>\n                          Zcash \"fazla izlenebilir\" olabiliyorsa, o zaman tamamen özel veya takas edilebilir olamaz.\n                        </p>';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbprivate250Sbtext => 'Zcash işlemleri blok zincirlerinde görülebilir. Gizli işlemleri etkinleştiriyorlar, ancak <a href=\"http://stat.bloxy.info/superset/dashboard/zcash/\"> işlemlerin %1\'inden azı tamamen korumalı </a> . Gizli işlemler isteğe bağlı olduğundan ve varsayılan olmadığından (nadiren kullanıldığından bahsetmiyorum bile), <a href=\"http://weuse.cash/2016/06/09/btc-xmr-zcash/\"> gizli işlemler blok zincirinde öne çıkıyor</a>, dikkatleri kendilerine çekiyor.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcash250Sbuntraceable250Sbtext => 'Düzenli işlemler şeffaftır. Gizli işlemler, belirli koşullar altında kuşkusuz sağlam gizlilik garantilerine sahip olan zk-SNARKS\'ı kullanır. Asıl soru, bu koşulların karşılanıp karşılanmadığı ve korumalı yetenekleri kullanan çok az sayıda insan görüldüğünde, bu soru işareti olmaya devam ediyor.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbdecentralized250Sbtext => 'Zcoin, Dash masternode\'larına benzer şekilde hareket eden ve ağdaki diğer node\'lardan daha fazla güce sahip olan Znode\'ları uygulamıştır. Tüm düğümler eşit yaratılmadığından ve aralarındaki farklılaştırıcı faktör, bireyin sahip olduğu para miktarı olduğundan (Znode\'lar 1000 XZC\'ye mal olur), ağ yarı merkezidir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbfungiblity250Sbtext => 'Lelantus\'un son aşaması 2021\'de yayına girdikten sonra, zorunlu gizlilik uygulaması nedeniyle Zcoin\'in karşılanabilir olacağı varsayılmaktadır. Bu konuda Monero\'ya gerçek bir rakip olacak. Yine de...';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbnote => '<p><strong>Not:</strong> Zcoin, mevcut Sigma şemasından yeni çalışması Lelantus\'a dayanan yeni bir protokole geçiyor. Lelantus aşamalı olarak uygulanacaktır ve bu makale, öngörülen uygulama sürelerinin yanı sıra uygun karşılaştırmalar için tüm aşamaların tamamlandığını ve uygulandığını varsayacaktır.</p>\n<p>Zcoin\'e gelecekteki protokolüne göre yargılanma lüksünün verilmesinin nedeni, Zcoin\'in aktivasyon için genel zamanlamalara sahip bir yol haritasına sahip olması ve Zcash\'in \"varsayılan olarak gizlilik\" planlarının belirsiz olması ve olmaya devam etmesidir.[ X563X]';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbprivate250Sbtext => '<p>Zcoin (XZC) zengin bir listeye sahip olmayacak, dolayısıyla özel olacak. Varsayılan olarak, zorunlu gizliliğin 2021\'de hayata geçmesi bekleniyor. Uygulandıktan sonra, zengin bir liste oluşturmak mümkün olmayacak (ancak şu anda <a href=\"https://www.coinexplorer.net/XZC/richlist\">bir listeye sahipler</a>).</p> ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbanalysis250Sbzcoin250Sbuntraceablity250Sbtext => 'Lelantus\'un son aşaması 2021\'de hayata geçirildiğinde, Zcoin henüz piyasaya sürülmediği veya herhangi bir zaman aşımına uğramadığı için teorik saldırılar henüz keşfedilmemiş olsa da Zcoin izlenemez olmalıdır. Şu anda Zcoin, bir blok zinciri gezginine <a href=\"https://explorer.zcoin.io/\">Zcoin adresi</a> konulursa izlenebilir ve bakiyesini ve ilgili işlemleri görebilirsiniz.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentraized250Sbtext => 'Ağın tüm düğümleri (bir düğüm, madeni para blok zincirinin çalışan bir örneğidir) eşittir. İşlemler veya sistem üzerinde diğer düğümlerden daha fazla etkiye veya kontrole sahip olan düğümlerin üst sınıfı yoktur.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdecentralized250Sbtitle => 'merkezi olmayan';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbdescription => 'Monero neden en iyi gizlilik koini? Gizlilik merkezli paraların tümü %100 gizlilik, izlenemezlik, güvenlik ve takas edilebilirlik sağlayamaz. Monero\'nun diğer \"gizlilik\" madeni paralarına kıyasla tüm bu sorunları nasıl çözdüğünü öğrenin.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro8722Sb0 => 'Gizlilik merkezli paraların tümü, güvenilir olmayan bir kurulumla %100 merkezi olmayan bir parada %100 gizlilik, izlenemezlik, güvenlik ve takas edilebilirlik sağlayamaz. İşte bu özelliklerin neler olduğu ve neden önemli oldukları:';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtext => 'Tüm madeni paralar eşittir ve aynı değere sahiptir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbfungible250Sbtitle => 'Karşılanabilir';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtext => 'Mali durumunuz herkes tarafından görülemez. Madeni paranın blok zincirine bakan bir kişi, ne kadar paranız olduğunu göremez.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbprivate250Sbtitle => 'Özel';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtext => 'Tüm işlemler şifrelenir ve paranızı tutan cüzdan şifrelenir.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbsecure250Sbtitle => 'Güvenli';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceability250Sbtext => 'Madeni paralar, blok zinciri analizi veya blok zinciri izleme yoluyla izlenemez.';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbintro250Sbuntraceable250Sbtitle => 'izlenemez';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbsummary => '<h2>Özet</h2>\n <p> Bize göre, güvenilir bir kurulum gerektirmeyen özel, güvenli, izlenemez, takas edilebilir, merkezi olmayan bir kripto para birimi arıyorsanız, Monero net bir seçimdir. Başka herhangi bir şey gizliliğinizi ve güvenliğinizi riske atar. Ama sadece bizim fikrimizi almayın. Kendi araştırmanızı yapın ve kendiniz görün. Monero\'nun aşağıdakiler gibi gizliliğe ve izlenemezliğe bağlı kuruluşlar tarafından onaylandığını ve kullanıldığını göz önünde bulundurun:\n                  </p>\n\n                  <ul class=\"disc\">\n                    <li>\n                      <a href=\"https://www.reddit.com/r/Monero/comments/4xqrzd/sigaint_launches_tor_monero_node_as_its_operators/\"> SIGAINT </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://puri.sm/posts/purism-collaborates-with-cryptocurrency-monero-to-enable-mobile-payments/\"> Pürizm </a>\n                    </li>\n\n                    <li>\n                      <a href=\"https://shop.wikileaks.org/donate#db9\"> Wikileaks </a>\n                    </li>\n\n                    <li>\n                      AlphaBay Market (AB), Temmuz 2017\'de kapatıldı. AB\'ye karşı <a href=\"https://assets.documentcloud.org/documents/3898109/AlphaBay-Cazes-Forfeiture-Complaint.pdf\"> Federal Hak Mahrumiyeti Şikayeti </a> şunu gösteriyor:\n                      <ul class=\"disc\">\n                        <li>\n                          <b> Monero, tek özel ve izlenemez kripto para birimidir:\n                          </b>\n                          <br />\n                          &quot;Toplamda, CAZES\'in cüzdanlarından ve bilgisayar aracıları Bitcoin, Ethereum, Moreno [sic] ve Zcash\'te yaklaşık 8.800.000 \$\'ın kontrolünü ele geçirdi ve şu şekilde ayrıldı: 1.605.0503851 Bitcoin, 8.309.271639 Ethereum, 3.691.98 Zcash, <em>ve bir bilinmeyen miktarda Monero.</em>&quot; (20. sayfanın altı ve 21. sayfanın üstü, vurgular eklenmiştir) </li>\n                        <li>\n                          <b>\n                            Bitcoin işlemleri özel değildir ve izlenebilir:\n                          </b>\n                          <br />\n                          &quot;Federal ajanlar, AlphaBay\'den kaynaklanan bir dizi Bitcoin işleminin CAZES ve eşi tarafından tutulan dijital para hesaplarına ve nihayetinde banka hesaplarına ve diğer maddi varlıklara kadar izini sürdükten sonra varantları aldı.&quot; (s. 17, satır 24-) 26)\n                        </li>\n                      </ul>\n                    </li>\n                  </ul>\n\n                  <div class=\"notice info\">\n                    <p>\n                      LocalMonero herhangi bir yasa dışı faaliyeti savunmaz veya teşvik etmez.\n                    </p>\n                  </div>  ';

  @override
  String get knowledge250Sbwhy8722Sbmonero250Sbtitle => 'Monero Neden Dash, Zcash, Zcoin (Lelantus İle Bile), Grin ve Wasabi Gibi Bitcoin Karıştırıcılarından Daha İyi (Mayıs 2020\'de Güncellendi)';

  @override
  String get knowledge250Sbwired250Sb0250Sbtext => '<p>Hem gizlilik hem de kripto para birimi alanlarında, yanlış bilgilendirme genellikle kol geziyor. <a target=\"_blank\" href=\"/knowledge/monero-myths-debunked\" class=\"next-link\">Monero</a> hakkında on beş yaygın yanlış veya modası geçmiş varsayımı özetleyen bir makalemiz var, ancak Monero şüphecileri tarafından sıklıkla alıntılanan ve dolaşan belirli bir makaleyi ele almak için zaman ayırmak istiyoruz.</p>\n\n<p>Wired yayını, 27 Mart 2018\'de <a target=\"_blank\" href=\"https://www.wired.com/story/monero-privacy/\" class=\"next-link\">bir makale</a> yayımladı. Monero Blok Zincirinde İzlenebilirlik”.</p>\n\n<p>Kağıt, açık çıkar çatışması olan kişiler tarafından birlikte yazılmış olsa da (okuyun: onlar Zcash\'in danışmanıdır ve Zcash\'te hisseleri vardır), makale, topluluğun zaten bildiği şeyleri doğruladığı için Monero topluluğu tarafından kısmen iyi karşılandı. ve en erken dört yıl önce yayınlanan kendi Monero Araştırma Laboratuvarı makalelerinde (<a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0001.pdf\" class=\"next-link\">MRL-0001</a> ve <a target=\"_blank\" href=\"https://web.getmonero.org/resources/research-lab/pubs/MRL-0004.pdf\" class=\"next-link\">MRL-0004</a>) hakkında yazılmıştır. Bununla birlikte, başta çıkar çatışması, sorunların zaten biliniyor olması, tartışılması ve - bazı durumlarda - çözülmesi ve o sırada Monero\'nun gizlilik garantilerinin büyük ölçüde yanlış tanımlanması gibi çeşitli hayal kırıklıkları da vardı. Topluluk, çalışmanın ön baskısı hakkında yorum yaptı ve tavsiyelerinin çoğu son makaleye kadar ulaştı.</p>\n\n<p>Ama tam olarak yanlış nitelendirilen neydi? Monero\'nun bir yılı aşkın süredir gazetede tartışılan kusurlara sahip olmaması. 2017 öncesi işlemler gerçekten de bir tür gizlilik sızıntısına karşı savunmasızdı, ancak yayınlandığı sırada Monero endişelerin çoğunu gidermişti. Yazarlara adil olmak gerekirse, Monero\'nun çarelerini küçük bir dereceye kadar tartışıyorlar, ancak o sırada kripto para birimi medya döngüsü üzerindeki etkisini etkilemek için yeterli değil. Kablolu makalesi bu nedenle.</p>\n\n<p>Söz konusu Wired makalesini bir dönem yazısı olarak ve o dönemde ne kadar doğru ya da yanlış olduğunu inceleyebilirken, Monero\'nun gizlilik garantilerinin zayıf olmasının gerekçesi olarak bugün hala paylaşılıyor olması aslında bir analize davet ediyor. parçanın şimdiki zamanda nasıl durduğuna dair. Bu daveti memnuniyetle kabul ediyoruz.</p>\n\n<p>Makalenin hızlı bir şekilde okunması, \"[Bulgular] bugün gizlice Monero harcamaya çalışan kimseyi endişelendirmemeli\" gibi birkaç sansasyonel satır ve araştırmayı \'yeni\' olarak öne süren makalenin tüm tonu, büyük ölçüde yayına dayalıdır. Akademik makalenin kendisinde, bu tartışmaların yalnızca 2014\'ten beri yapılmakla kalmayıp, aynı zamanda topluluğun toplanma çağrısının insanların Monero satın almaması ve bu çok deneyseldi.</p>\n\n<p>Peki ya eleştirilerin kendisi? Gerçek şu ki, bir mahremiyet madeni parası olarak Monero ile ilgili pek çok sorun ya artık Monero için geçerli değil ya da blok zincir tabanlı kripto para birimleri kategorisi olarak mahremiyet madeni paralarıyla ilgili ortak endişeler. Bunları ele almaya başlayalım.</p>\n\n<p>Monero\'ya yönelik en sık alıntılanan eleştirilerden biri, blok zincirinin kalıcılığı ve değişmezliği nedeniyle, gelecekteki bir teknoloji mahremiyeti bozacaksa, Monero\'nun tüm geçmiş işlemlerinin açığa çıkacağıdır. Başka bir deyişle, gizliliğinizin üzerinde bir saat vardır.</p>\n\n<p>Bunu yeterince vurgulayamayız. Kelimenin tam anlamıyla, şaşırtma ve mahremiyet için zincir üstü yöntemler kullanan her gizlilik parasının bu kusuru vardır ve yine de genellikle Monero\'ya karşı kullanılır (ironik bir şekilde, birçok kez aynı sorunla mahremiyet paralarıyla rekabet ederek) ve bu makalede de kullanılıyor. Bu eleştiriye verilen yanıt bazıları için şaşırtıcı olabilir, ancak Monero, mahremiyete çok yönlü bir yaklaşıma sahip olduğu için aslında diğer gizlilik koinlerinden daha az savunmasız olabilir.</p>\n\n<p>Monero, çıktıları (göndericileri), miktarları ve alıcıları sırasıyla üç farklı teknoloji, halka imzalar, RingCT ve gizli adresler aracılığıyla gizler. Bunların arasında halka imzalar en zayıf olanıdır ve hem günümüz buluşsal yöntemlerine hem de kuramsal, geleceğin mahremiyetini bozan teknolojilere karşı en hassas olanıdır. Bu, Monero topluluğu tarafından yıllardır biliniyor ve halka imza şemasını tamamen iyileştirmek veya değiştirmek için aktif araştırmalar devam ediyor.</p>\n\n<p>Ancak, halka imza tamamen kırılsa bile yalnızca gerçek çıktı ortaya çıkar. Gönderen DEĞİL (bireyde olduğu gibi), ancak çıktı. Bir çıktıyı bir kimlikle birleştirmek imkansız değildir, ancak daha fazla meta veri ve kaynak gerektirir. RingCT ve gizli adresin AÇIKLANMAYACAĞI gerçeğiyle birleştiğinde, etki daha da azalır.</p>\n\n<p>Wired makalesinin, yorum yapması için Riccardo \"fluffypony\" Spagni\'ye ulaştıkları bölümde yukarıdaki bilgileri hafifçe tartıştığını belirtmek gerekir, ancak bunun için ayrılan süre kısa ve neredeyse el sallıyor gibi görünüyor bu önemli bilgi. Anlama eksikliği, özellikle modern günümüzde makaleyi ister istemez paylaşan insanlarla bu konuları tartışmaya çalışırken belirgindir.</p>\n\n<p>Ele alınması çok daha zor olan bir başka eleştiri de, dış dünyanın Monero\'yu nasıl gördüğü ve bunun Monero çevresindeki topluluğun madeni parayı nasıl gördüğüyle nasıl ilişkili olduğu. Buna bir örnek olarak, okuyucuların makalenin başlığından daha uzağa bakmalarına gerek yoktur: \"Dark Web\'in En Sevilen Para Birimi Göründüğünden Daha Az Takip Edilemez\".</p>\n\n<p>Monero topluluğunda önemli miktarda zaman geçiren herhangi bir kişi, Monero topluluğunun, pazarlama veya benimseme çabalarının zararına bile olsa, gerçek gizliliği elde etmenin ne kadar zor olduğunu göstermek için büyük çaba sarf ettiğini doğrulayabilir. Topluluk, madeni parayı ve eksikliklerini doğru bir şekilde tartışan bol miktarda kaynak sağlarsa, bir noktada cehalet, %100 özel olmak için ihtiyaç duydukları tek şeyin madeni para olduğuna inanan kullanıcının hatası haline gelir.</p>\n\n<p>Bu noktada, Monero topluluğunun hem mahremiyetini hem de buradaki zayıflıklar ve müteakip iyileştirmeler konusundaki dürüstlüğünü ciddiye aldığı açık olmalıdır. Söz konusu makale gibi makaleler, Monero\'daki bu yenilikçi ruhu tamamen kaçırıyor. Monero\'yu, yalnızca kâr düşüncesiyle ve eğitimsiz yatırımcı özentilerini avlamak için görkemli iddialarda bulunan diğer kripto para birimleri sürüsüne benzetiyor.</p>\n\n<p>Gerçek bundan daha farklı olamazdı. Monero, zayıflıklarının son derece farkındadır, onları geliştirmek, gevşek eklemleri sıkılaştırmak ve dünyaya herkes tarafından kullanılabilecek özel, takas edilebilir bir kripto para birimi verme gibi çok gerçek ama çok zor bir hedefe ulaşmak için inşa etmeye devam etmeye çalışır. hepsini adil, merkezi olmayan ve topluluk odaklı bir şekilde yapın. Belki de sansasyonelleştirmeyi ve makale paylaşımını bir kenara bırakıp rakipleri terfi ettirmenin zamanı gelmiştir. Belki de başka bir hikaye anlatmanın zamanı gelmiştir.</p>';

  @override
  String get knowledge250Sbwired250Sbdescription => 'Hem mahremiyet hem de kripto para birimi alanlarında, yanlış bilgilendirme genellikle çok yaygındır. Burada, Monero şüphecileri tarafından sıklıkla atıfta bulunulan ve dolaşan Wired makalesini ele alıyoruz.';

  @override
  String get knowledge250Sbwired250Sbtitle => 'Wired Magazine Monero Hakkında Yanılıyor, İşte Nedeni';

  @override
  String get left8722Sbdrawer250Sbabout => 'Hakkında';

  @override
  String get left8722Sbdrawer250Sbbuy8722Sbmonero => 'Monero satın al';

  @override
  String get left8722Sbdrawer250Sbdashboard => 'Gösterge Paneli';

  @override
  String get left8722Sbdrawer250Sbfaq => 'SSS';

  @override
  String get left8722Sbdrawer250Sbforums => 'Forumlar';

  @override
  String get left8722Sbdrawer250Sbgetting8722Sbstarted => 'Başlarken';

  @override
  String get left8722Sbdrawer250Sbpost8722Sbnew8722Sbad => 'ilan ver';

  @override
  String get left8722Sbdrawer250Sbrevuo250Sblabel => 'Monero Standardı: Monero Haberleri';

  @override
  String get left8722Sbdrawer250Sbsell8722Sbmonero => 'Monero Sat';

  @override
  String get left8722Sbdrawer250Sbsupport => 'Destek';

  @override
  String get login250Sberror8722Sb0 => 'Yanlış kullanıcı adı/şifre/tek kullanımlık şifre!';

  @override
  String get login250Sberror8722Sb1 => 'Kullanıcı adı ve parolada izin verilmeyen karakterler veya geçersiz uzunluk var';

  @override
  String get login250Sberror8722Sb10 => 'Sisteme giriş hatası';

  @override
  String get login250Sberror8722Sb2 => 'Kullanıcı adında izin verilmeyen karakterler veya geçersiz uzunluk var';

  @override
  String get login250Sberror8722Sb3 => 'Parolada izin verilmeyen karakterler veya geçersiz uzunluk var';

  @override
  String get login250Sberror8722Sb4 => 'Alanlar boş bırakılamaz';

  @override
  String get login250Sberror8722Sb5 => 'Tek kullanımlık şifre 6 haneli olmalıdır';

  @override
  String get login250Sberror8722Sb8 => 'İzin verilmeyen değerler';

  @override
  String get login250Sberror8722Sb98722Sbtext => 'Çok fazla giriş denemesi! Lütfen biraz bekleyin.';

  @override
  String get login250Sberror8722Sb98722Sbtitle => 'Giriş denemeleri aşıldı';

  @override
  String get login250Sberror8722Sbgeneric => 'Hata!';

  @override
  String get login250Sbremember8722Sbme => 'Beni hatırla';

  @override
  String login250Sbreset(Object link) {
    return 'Parolanızı mı unuttunuz? $link';
  }

  @override
  String get login250Sbreset8722Sblink => 'Burada sıfırlayın.';

  @override
  String login250Sbsame8722Sbcredentials8722Sbtip(Object front_type_url) {
    return 'Oturum açmak için $front_type_url kimlik bilgilerinizi kullanabilirsiniz.';
  }

  @override
  String login250Sbsignup(Object link) {
    return 'Henüz bir hesabınız yok mu? $link';
  }

  @override
  String get login250Sbsignup8722Sblink => 'Üye olmak';

  @override
  String get login250Sbtitle => 'Giriş yapmak';

  @override
  String get login250Sbusername => 'Kullanıcı adı';

  @override
  String get login250Sbusername8722Sbtip => '3-16 karakter. İzin verilen karakterler: a-z, A-Z, 0-9, -, _';

  @override
  String get method250Sbalipay => 'alipay';

  @override
  String get method250Sball8722Sbonline8722Sboffers => 'Tüm çevrimiçi teklifler';

  @override
  String get method250Sbcash => 'Nakit (yerel)';

  @override
  String get method250Sbcash8722Sbat8722Sbatm => 'ATM\'de Nakit';

  @override
  String get method250Sbcash8722Sbby8722Sbmail => 'posta ile nakit';

  @override
  String get method250Sbcash8722Sbdeposit => 'Nakit yatırmak';

  @override
  String get method250Sbcash8722Sbon8722Sbdelivery => 'Kapıda ödeme';

  @override
  String get method250Sbcashiers8722Sbcheck => 'kasiyer çeki';

  @override
  String get method250Sbcreditcard => 'Kredi kartı';

  @override
  String get method250Sbcryptocurrency => 'Kripto para';

  @override
  String get method250Sbgift8722Sbcard => 'Hediye Kartı Kodu';

  @override
  String get method250Sbgift8722Sbcard8722Sbamazon => 'Amazon Hediye Kartı Kodu';

  @override
  String get method250Sbgift8722Sbcard8722Sbapple => 'Apple Store Hediye Kartı Kodu';

  @override
  String get method250Sbgift8722Sbcard8722Sbebay => 'Ebay Hediye Kartı Kodu';

  @override
  String get method250Sbgift8722Sbcard8722Sbglobal => 'Hediye Kartı Kodu (Küresel)';

  @override
  String get method250Sbgift8722Sbcard8722Sbitunes => 'iTunes Hediye Kartı Kodu';

  @override
  String get method250Sbgift8722Sbcard8722Sbstarbucks => 'Starbucks Hediye Kartı Kodu';

  @override
  String get method250Sbgift8722Sbcard8722Sbsteam => 'Steam Hediye Kartı Kodu';

  @override
  String get method250Sbgift8722Sbcard8722Sbwalmart => 'Walmart Hediye Kartı Kodu';

  @override
  String get method250Sbinternational8722Sbwire8722Sbswift => 'Uluslararası Havale (SWIFT)';

  @override
  String get method250Sbmobile8722Sbtop8722Sbup => 'Mobil yükleme';

  @override
  String get method250Sbnational8722Sbbank => 'Ulusal banka havalesi';

  @override
  String get method250Sbother => 'Diğer çevrimiçi ödeme';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet => 'Diğer Çevrimiçi Cüzdan';

  @override
  String get method250Sbother8722Sbonline8722Sbwallet8722Sbglobal => 'Diğer Çevrimiçi Cüzdan (Küresel)';

  @override
  String get method250Sbother8722Sbpre8722Sbpaid8722Sbdebit => 'Diğer Ön Ödemeli Banka Kartı';

  @override
  String get method250Sbsepa => 'SEPA (AB) banka havalesi';

  @override
  String get method250Sbspecific8722Sbbank => 'Belirli bir banka ile transferler';

  @override
  String get method250Sbwechat => 'sohbet';

  @override
  String get method250Sbyandex => 'Yandex Para';

  @override
  String get method250Sbyoomoney => 'YooMoney';

  @override
  String get morph250Sbcheckbox250Sbfaq8722Sblink => 'Bu nasıl çalışıyor?';

  @override
  String get morph250Sbdeposit250Sbaddress8722Sbinput250Sbhelper => 'Bu adres, ChangeNow ticareti sırasında herhangi bir terslik olması durumunda para iadesi için kullanılacaktır.';

  @override
  String morph250Sbdeposit250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return 'Geri ödeme $cryptocurrencyName adresi';
  }

  @override
  String morph250Sbdeposit250Sbbutton(Object cryptocurencyName) {
    return 'Bana para yatırma $cryptocurencyName adresini göster!';
  }

  @override
  String get morph250Sberror250Sbtitle => 'ChangeNow ticareti oluşturulurken hata oluştu!';

  @override
  String get morph250Sbservice8722Sbdown => 'ChangeNow\'un XMR hizmeti geçici olarak kullanılamıyor. Daha sonra tekrar deneyin.';

  @override
  String morph250Sbwithdrawal250Sbaddress8722Sbinput250Sbtext(Object cryptocurrencyName) {
    return '{assetName} adresi alınıyor';
  }

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmax => 'Maksimum';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbmin => 'Asgari';

  @override
  String get morph250Sbwithdrawal250Sblimits8722Sbtitle => 'Bu ChangeNow ticareti için limitler:';

  @override
  String new8722Sbad250Sbdisabled8722Sbtype8722Sbselector250Sbnotice(Object amount_required) {
    return 'Yetersiz bakiye. Gerekli: $amount_required.';
  }

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sblabel => 'Yalnızca doğrulanmış e-postası olan kullanıcılar için';

  @override
  String get new8722Sbad250Sbemail8722Sbverified250Sbtip => '\"Coinlocker\" ile sorun yaşıyorsanız kullanışlıdır';

  @override
  String new8722Sbad250Sboptions250Sbad8722Sbcreation8722Sbmode250Sbcoins(Object assetName) {
    return 'Ticaret $assetName';
  }

  @override
  String get new8722Sbad250Sbreview250Sbemail8722Sbverified => 'Yalnızca doğrulanmış e-postası olan kullanıcılar için';

  @override
  String get nojs250Sbdashboard250Sbsave8722Sbvacations8722Sbbtn => 'Tatilleri kaydet';

  @override
  String get nojs250Sberror250Sblogin250Sbunauthorized => 'Yanlış kullanıcı adı/şifre/tek kullanımlık şifre!';

  @override
  String get nojs250Sberror250Sbserver => 'İstekle ilgili bir sorun oluştu. Lütfen sayfayı yenileyin ve tekrar deneyin. Sorun devam ederse, lütfen desteğimizle iletişime geçin.';

  @override
  String nojs250Sberror250Sbvalidation250Sbaddress(Object assetName) {
    return 'Lütfen geçerli bir $assetName adresi girin.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbamount => 'Lütfen geçerli bir miktar girin.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbcaptcha => 'Captcha başarısız oldu. Lütfen tekrar deneyin';

  @override
  String get nojs250Sberror250Sbvalidation250Sbconfirm8722Sbpassword => 'Girilen şifreler eşleşmedi.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbemail => 'Lütfen geçerli bir e-posta girin.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackMsg => 'Geri bildirim mesajı maksimum 256 karakter olmalıdır.';

  @override
  String get nojs250Sberror250Sbvalidation250SbfeedbackType => 'Lütfen izin verilen geri bildirim türlerinden birini seçin: \"güven\", \"olumlu\", \"nötr\", \"olumsuz\" veya \"bloke\".';

  @override
  String get nojs250Sberror250Sbvalidation250Sbgeneric8722Sbstring => 'Lütfen metni belirtilen sınırlar içinde olacak şekilde değiştirin.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbhomepage => 'Tam geçerli bir URL olmalıdır (ör. \'https://\' vb. dahil)';

  @override
  String get nojs250Sberror250Sbvalidation250Sbintroduction => '65536 karakterden uzun olmayan bir dizi olmalıdır.';

  @override
  String get nojs250Sberror250Sbvalidation250Sbotp => 'OTP 6 haneli bir değer olmalıdır';

  @override
  String get nojs250Sberror250Sbvalidation250Sbpassword => 'Şifre 8-72 karakter uzunluğunda olmalıdır';

  @override
  String get nojs250Sberror250Sbvalidation250Sbreputation8722Sbimport8722Sbplatform8722Sbusername => 'Kullanıcı adı 1-30 karakter uzunluğunda bir dizi olmalıdır.';

  @override
  String nojs250Sberror250Sbvalidation250Sbtos(Object appName) {
    return 'Sitemizi kullanmak için lütfen $appName Hizmet Kullanım Koşullarını okuyun ve kabul edin.';
  }

  @override
  String get nojs250Sberror250Sbvalidation250Sbusername => 'Kullanıcı adı 3-16 karakter uzunluğunda olmalıdır. İzin verilen karakterler: a-z, A-Z, 0-9, -, _';

  @override
  String get nojs250Sbfilter250Sblocal8722Sblabel => 'YEREL';

  @override
  String get nojs250Sbfilter250Sbonline8722Sblabel => 'İNTERNET ÜZERİNDEN';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbfunctions => 'Şu işlevleri kullanabilirsiniz (iç içe olabilir): <strong>min(), max(), floor(), tavan(), avg()</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sboperators => 'Aşağıdaki işleçleri kullanabilirsiniz: <strong>+ - * /</strong>';

  @override
  String get nojs250Sbformula250Sbinstructions250Sbpunctuation => 'Şu noktalama işaretlerini kullanabilirsiniz: <strong>( ) . ,</strong>';

  @override
  String get nojs250Sbformula250Sbtickers250Sblabel => 'Mevcut tüm piyasa şeritleri';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbbtn => 'Formülü kontrol et';

  @override
  String get nojs250Sbformula250Sbvalidator250Sbinstruction => 'Fiyat formülünüzü kontrol etmek için bu aracı kullanın. <br /> NOT: Formülünüzün beklendiği gibi çalıştığını onayladıktan sonra, formülünüzü yukarıdaki asıl forma kopyalamanız gerekir. Bu araç yalnızca formülün geçerliliğini kontrol etmek içindir.';

  @override
  String get nojs250Sbformula250Sbvalidator250Sblabel => 'Formül doğrulama aracı';

  @override
  String nojs250Sbmorph8722Sbwithdrawal(Object cryptocurrencyName) {
    return 'Tahkim teminatını bir $cryptocurrencyName cüzdanına çekmek istiyorum';
  }

  @override
  String get nojs250Sbmorph8722Sbwithdrawal250Sbbutton8722Sblabel => 'Başlamak';

  @override
  String nojs250Sbmorph8722Sbwithdrawal250Sbnotice(Object assetSymbol, Object cryptocurrencyName) {
    return 'Bir $cryptocurrencyName cüzdanına $assetSymbol tahkim teminatını çekme';
  }

  @override
  String nojs250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Konumunuzun koordinatlarını almak için $value hizmetini kullanabilirsiniz.';
  }

  @override
  String get nojs250Sbsettings250Sbsave8722Sbtelegram8722Sbid250Sbbutton8722Sblabel => 'Telegram Kimliğini Kaydet';

  @override
  String get nojs250Sbtrade250Sbchat250Sbrefresh => 'Yenile';

  @override
  String note250Sbbutton(Object username) {
    return '$username üzerine bir not ekleyin';
  }

  @override
  String note250Sbcreated(Object at) {
    return '$at oluşturuldu';
  }

  @override
  String get note250Sbinput250Sbplaceholder => 'Bu, kendi referansınız için özel bir nottur, bu kullanıcı veya başka herhangi bir kullanıcı tarafından görülemez.';

  @override
  String note250Sbtitle(Object username) {
    return '$username ile ilgili notunuz (sadece siz görebilirsiniz)';
  }

  @override
  String note250Sbupdated(Object at) {
    return 'düzenlendi $at';
  }

  @override
  String notice250Sbnon8722Sbcustodial(Object appName) {
    return 'Tamamen gözetim dışı ticaret anlaşmaları artık aktif! Herhangi bir sorunuz varsa veya herhangi bir sorunla karşılaşırsanız <a href=\"https://t.me/$appName\" target=\"_blank\" class=\"next-link\">bize bildirin</a>. Kaçırdıysanız, <a href=\"/blog/announcements/fully-non-custodial-trade-settlements\" target=\"_blank\" class=\"next-link\">güncelleme hakkında ayrıntılı bilgiyi buradan okuyabilirsiniz.</a>';
  }

  @override
  String get notification250Sbmarked8722Sball8722Sbread => 'Tüm bildirimleri okundu olarak işaretle';

  @override
  String notification250Sbmessage(Object tradeId, Object username) {
    return '$username\'ten $tradeId ticaretinde yeni bir mesajınız var.';
  }

  @override
  String get notification250Sbno8722Sbnotifications => 'Henüz bildiriminiz yok';

  @override
  String get notification250Sbread => 'Bildirimleri oku';

  @override
  String notification250Sbtrade8722Sbcancelled(Object tradeId, Object username) {
    return '$tradeId ticareti $username tarafından iptal edildi';
  }

  @override
  String notification250Sbtrade8722Sbcomplete(Object tradeId, Object username) {
    return '$username ile $tradeId işleminiz tamamlandı';
  }

  @override
  String notification250Sbtrade8722Sbdisputed(Object tradeId, Object username) {
    return '$tradeId ticaretine $username itiraz etti';
  }

  @override
  String notification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete(Object username, Object tradeId) {
    return '$username ticarette ödemeyi tamamladı $tradeId';
  }

  @override
  String notification250Sbtrade8722Sbrequest(Object tradeId, Object username) {
    return '$username kullanıcısından $tradeId yeni bir teklifiniz var';
  }

  @override
  String get notification250Sbunread => 'Okunmamış bildirimler';

  @override
  String get otp8722Sbtip8722Sb08722Sb0 => 'İki faktörlü kimlik doğrulamayı etkinleştirdiyseniz, 6 haneli tek seferlik şifrenizi buraya girin.';

  @override
  String get otp8722Sbtip8722Sb08722Sb1 => 'Tek kullanımlık şifremi nerede bulabilirim?';

  @override
  String get otp8722Sbtip8722Sb1 => '2FA mobil uygulamasından aldığınız 6 haneli tek seferlik şifrenizi buraya girin.';

  @override
  String get otp8722Sbtitle8722Sb0 => 'Tek seferlik parola (etkinleştirilmişse)';

  @override
  String get otp8722Sbtitle8722Sb1 => 'Tek seferlik şifre';

  @override
  String get password => 'Şifre';

  @override
  String get password8722Sbreset250Sbbtn => 'Şifre değiştir';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword => 'Yeni şifreyi onayla';

  @override
  String get password8722Sbreset250Sbconfirm8722Sbnew8722Sbpassword8722Sbtip => 'Lütfen yeni şifrenizi onaylayın';

  @override
  String get password8722Sbreset250Sberror => 'İsteğinizle ilgili bir hata oluştu';

  @override
  String get password8722Sbreset250Sbnew8722Sbpassword => 'Yeni Şifre';

  @override
  String get password8722Sbreset250Sbsubtitle => 'Şifreyi değiştirdikten sonra, yeni şifrenizi kullanarak tekrar giriş yapmanız gerekecektir.';

  @override
  String get password8722Sbreset250Sbsuccess => 'Başarı!';

  @override
  String get password8722Sbreset250Sbsuccess8722Sbtip => 'Şimdi giriş sayfasına yönlendirileceksiniz.';

  @override
  String get password8722Sbreset250Sbtitle => 'Şifre değiştir';

  @override
  String get password8722Sbtip => '8-72 karakter.';

  @override
  String get post8722Sbad250Sbamount8722Sbtitle => 'Tutar';

  @override
  String get post8722Sbad250Sbcountry250Sbtitle => 'Ülke';

  @override
  String get post8722Sbad250Sbcurrency250Sbtitle => 'Para birimi';

  @override
  String get post8722Sbad250Sbdetails => 'Detaylar';

  @override
  String get post8722Sbad250Sberror250Sbcorrect8722Sberrors => 'Lütfen vurgulanan hataları düzeltin';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbback8722Sbbtn => 'Geri';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbbtn => 'Geri';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle => 'form hatası';

  @override
  String get post8722Sbad250Sberror250Sbdialog8722Sbtitle8722Sbtoo8722Sbmany8722Sbads => 'çok fazla reklam';

  @override
  String post8722Sbad250Sberror250Sbfirst8722Sbtime8722Sblimit8722Sbnot8722Sbvalid(Object assetSymbol, Object min_asset_amount, Object max_asset_amount) {
    return 'Lütfen ilk seferde geçerli $assetSymbol sınır değeri girin. Yalnızca $min_asset_amount ve $max_asset_amount arasındaki sayılara izin verilir.';
  }

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbamounts8722Sbnot8722Sbvalid => 'Lütfen geçerli bir miktar değeri limiti girin. Yalnızca 1 ile 1000000000000 arasındaki tam sayılara izin verilir.';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbcontent => 'Çok fazla reklam oluşturmaya çalışıyorsunuz';

  @override
  String get post8722Sbad250Sberror250Sblimit8722Sbrequests8722Sbtitle => 'çok fazla istek';

  @override
  String get post8722Sbad250Sberror250Sbmargin8722Sbnot8722Sbvalid => 'Lütfen geçerli marj değeri girin. Yalnızca -100 ile 1000 arasındaki sayılara izin verilir.';

  @override
  String get post8722Sbad250Sberror250Sbmax8722Sbamount8722Sbnot8722Sbvalid => 'Lütfen geçerli maksimum tutar değeri girin. Yalnızca 0,000000000001 ile 10000000000000 arasındaki sayılara izin verilir.';

  @override
  String post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance(Object appName) {
    return 'Minimum işlem tutarı mevcut bakiyenizden düşük olamaz. Minimum tutarı düşürmeyi veya $appName cüzdanınıza para yatırmayı deneyin.';
  }

  @override
  String get post8722Sbad250Sberror250Sbmin8722Sbamount8722Sbnot8722Sbvalid => 'Lütfen geçerli minimum tutar değeri girin. Yalnızca 0,000000000001 ile 10000000000000 arasındaki sayılara izin verilir.';

  @override
  String get post8722Sbad250Sberror250Sbnetwork => 'Ağ hatası';

  @override
  String get post8722Sbad250Sberror250Sbpayment8722Sbwindow8722Sbnot8722Sbvalid => 'Lütfen geçerli ödeme aralığı değeri girin. Yalnızca 15 ile 90 arasındaki tam sayılara izin verilir.';

  @override
  String get post8722Sbad250Sberror250Sbprice8722Sbnot8722Sbvalid => 'Lütfen geçerli fiyat değeri giriniz. Yalnızca 0,000000000001 ile 10000000000000 arasındaki sayılara izin verilir.';

  @override
  String get post8722Sbad250Sberror250Sbrequire8722Sbfeedback8722Sbnot8722Sbvalid => 'Lütfen geri bildirim puanı değeri gerektirecek geçerli bir sınır girin. Yalnızca 0 ile 100 arasındaki tam sayılara izin verilir.';

  @override
  String get post8722Sbad250Sberror250Sbwallet8722Sbbalance => 'Cüzdan bakiyesi, bu reklam türü için gereken minimum değerin altında';

  @override
  String post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit(Object assetSymbol) {
    return 'İlk zaman sınırı ($assetSymbol)';
  }

  @override
  String get post8722Sbad250Sbfirst8722Sbtime8722Sbxmr8722Sblimit8722Sbtip => 'İsteğe bağlı. Daha önce işlem yapmadığınız kullanıcılar için maksimum işlem tutarını sınırlayın. Asgari 0.';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sbdescription => 'Bu reklamı yalnızca güvenilir olarak işaretlediğiniz kullanıcılar için erişilebilir hale getirir';

  @override
  String get post8722Sbad250Sbfor8722Sbtrusted8722Sbswitch8722Sblabel => 'Yalnızca güvenilir kullanıcılar için';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts => 'Tutarları sınırla';

  @override
  String get post8722Sbad250Sblimit8722Sbfiat8722Sbamounts8722Sbtip => 'İsteğe bağlı. Alım satım tutarlarını belirli virgülle ayrılmış tamsayılarla, örneğin 20,50,100 ile sınırlayın. Fiat para biriminde (USD/EUR/vb). Kuponlar, hediye kartları vb. için kullanışlıdır.';

  @override
  String get post8722Sbad250Sblocation250Sbtitle => 'Konum';

  @override
  String post8722Sbad250Sblogged8722Sbout8722Sbnotice(Object logIn, Object signUp) {
    return 'Yeni ilan vermek için lütfen $logIn veya $signUp';
  }

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sblog8722Sbin => 'giriş yapmak';

  @override
  String get post8722Sbad250Sblogged8722Sbout8722Sbnotice8722Sbsign8722Sbup => 'üye olmak';

  @override
  String get post8722Sbad250Sbmax8722Sbamount => 'En yüksek miktar';

  @override
  String get post8722Sbad250Sbmax8722Sbamount8722Sbtip => 'İsteğe bağlı. Bir ticarette maksimum işlem limiti.';

  @override
  String get post8722Sbad250Sbmin8722Sbamount => 'Minimum miktar';

  @override
  String get post8722Sbad250Sbmin8722Sbamount8722Sbtip => 'İsteğe bağlı. Bir ticarette minimum işlem limiti';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore => 'Minimum geri bildirim puanı';

  @override
  String get post8722Sbad250Sbmin8722Sbfeedback8722Sbscore8722Sbtip => 'İsteğe bağlı. 0 ile 100 arasında bir işlem talep etmek için gereken minimum kullanıcı geri bildirim puanı.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail => 'Ödeme yöntemi detayı';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbdetail8722Sbtip => 'İsteğe bağlı. Ödeme yönteminin banka havalesi olması durumunda bankanın adı gibi, reklam listesinde gösterilecek ödeme yöntemiyle ilgili kısa bir ayrıntı belirtin. Maksimum 64 karakter.';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo => 'Ödeme yöntemi bilgisi';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod8722Sbinfo8722Sbtip8722Sb0 => 'İşlem sırasında gösterilecek ödeme yöntemi bilgilerini belirtin. Maksimum 4096 karakter. Ödeme yöntemi bilgilerinizi biçimlendirmek için işaretlemeyi kullanabilirsiniz (resimlere izin verilmez).';

  @override
  String get post8722Sbad250Sbpayment8722Sbmethod250Sbtitle => 'Ödeme şekli';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow => 'Ödeme penceresi (dakika)';

  @override
  String get post8722Sbad250Sbpayment8722Sbwindow8722Sbtip => 'Dakika cinsinden ödeme penceresi süresi. Minimum 15. Maksimum 90. Hiçbiri sağlanmazsa varsayılan olarak 90\'a ayarlar.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed => 'Sabit fiyat';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbin(Object currency) {
    return '$currency\'te sabit fiyat';
  }

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip(Object assetSymbol, Object currency) {
    return '$currency\'te 1 $assetSymbol fiyatı. Bu fiyat siz manuel olarak değiştirmediğiniz sürece değişmeyecektir.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfixed8722Sbprice8722Sbtip250Sbnojs => 'Seçilen reklam para biriminde 1 madeni para için fiyat. Bu fiyat siz manuel olarak değiştirmediğiniz sürece değişmeyecektir.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating => 'değişken fiyat';

  @override
  String post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip(Object assetName) {
    return 'Ticaret açıkken döviz kurunun piyasada dalgalanmasını sağlayın. İşlem fiyatı kesinleşme anında belirlenir. Tahkim teminatı için ayrılan $assetName miktarına fazladan %15\'lik bir rezerv eklendiğini unutmayın. Fazla tutar, işlem tamamlandıktan sonra iade edilecektir.';
  }

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbfloating8722Sbtip250Sbnojs => 'Ticaret açıkken döviz kurunun piyasada dalgalanmasını sağlayın. Alım satım fiyatı, alım satımın sonuçlandığı tarihte belirlenir. Tahkim bağına ayrılan seçili kripto para birimi varlık miktarına fazladan %15\'lik bir rezervin eklendiğini unutmayın. Fazla miktar, işlem bittikten sonra iade edilecektir.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin => '% olarak marj';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmargin250Sbtip => 'Marj, fiyatınız ile piyasa fiyatı arasındaki farktır. %0 piyasa fiyatıdır. Piyasa fiyatının üzerine çıkmak için pozitif değeri ve piyasa fiyatının altına inmek için negatif değeri kullanın.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbmarket => 'Market fiyatı';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbradio250Sbformula => 'Fiyat formülü (gelişmiş)';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtip => 'Piyasa fiyatı, piyasa fiyatı değiştikçe reklamınızın fiyatının da değişeceği anlamına gelir. Sabit fiyat, piyasa dalgalanmalarına rağmen fiyatınızın siz manuel olarak değiştirene kadar aynı kalacağı anlamına gelir. Daha karmaşık fiyatlandırma mekanizmaları oluşturmak için fiyat formülünü (gelişmiş) kullanın.';

  @override
  String get post8722Sbad250Sbprice8722Sbtype250Sbtitle => 'Fiyat giriş türü';

  @override
  String get post8722Sbad250Sbprice250Sbtitle => 'Fiyat';

  @override
  String get post8722Sbad250Sbpublish8722Sbbtn => 'reklam yayınla';

  @override
  String get post8722Sbad250Sbrestrictions => 'Kısıtlamalar';

  @override
  String get post8722Sbad250Sbreview => 'İlanınızı gözden geçirin';

  @override
  String get post8722Sbad250Sbreview250Sbad8722Sbtype => 'reklam türü';

  @override
  String get post8722Sbad250Sbreview250Sbmargin => 'kenar boşluğu';

  @override
  String get post8722Sbad250Sbreview250Sbminutes => 'dakika';

  @override
  String get post8722Sbad250Sbreview250Sbno => 'hayır';

  @override
  String get post8722Sbad250Sbreview250Sbyes => 'evet';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb0(Object termsOfservice, Object guides) {
    return 'Bir reklam oluşturmadan önce lütfen $termsOfservice ve $guides sayfalarımızı okuyun.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbguides => 'rehberler';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb08722Sbterms8722Sbof8722Sbservice => 'Kullanım Şartları';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb0 => 'Tamamlanan her ticaret, reklamverenlere toplam ticaret tutarının %1\'ine (tahkim koruma ücreti) mal olur.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Yayınlanmış bir $assetSymbol satış reklamının görünür olması için $appName tahkim tahvili cüzdanınızda en az $minimumXmrAmount $assetSymbol olmalıdır.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb1250Sbagoradesk8722Sbnojs(Object minimumXmrAmount, Object assetSymbol, Object appName) {
    return 'Yayınlanmış bir $assetSymbol satış veya $assetSymbol satış çağrısı veya $assetSymbol satış satın alma reklamının görünür olması için $appName cüzdanınızda en az $minimumXmrAmount $assetSymbol olmalıdır.';
  }

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb2(Object maximumNumberOfAds) {
    return 'Her kullanıcının en fazla $maximumNumberOfAds reklam oluşturmasına izin verilir.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb3 => 'Fiyatlandırmada açık bir hata olmadığı sürece, bir ticaret açıldığında fiyat nihaidir.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4(Object assetName) {
    return 'Başkası adına $assetName alıp satmanıza (komisyonculuk) izin verilmez.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb4250Sbnojs => 'Başkası adına kripto para birimi almanıza veya satmanıza (komisyonculuk) izin verilmez.';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb5 => 'Yalnızca kendi adınıza kayıtlı olan ödeme hesaplarını kullanabilirsiniz (üçüncü taraf ödemeleri yoktur!).';

  @override
  String get post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb6 => 'Ödeme detaylarınızı ilanda veya ticaret sohbetinde vermelisiniz.';

  @override
  String post8722Sbad250Sbrules8722Sbtext8722Sb18722Sb7(Object appName) {
    return 'Tüm iletişim $appName üzerinde gerçekleşmelidir.';
  }

  @override
  String get post8722Sbad250Sbrules8722Sbtitle => 'Reklam kuralları ve gereksinimleri';

  @override
  String post8722Sbad250Sbsettlement8722Sbaddress250Sbtip(Object appName) {
    return 'Gerekli. Madeni paraların gönderileceği adresiniz. Dahili bir $appName adresi olamaz.';
  }

  @override
  String post8722Sbad250Sbstep8722Sb1(Object step_number) {
    return 'Adım $step_number';
  }

  @override
  String get post8722Sbad250Sbstep8722Sb2 => 'Adım 2';

  @override
  String get post8722Sbad250Sbstep8722Sb3 => 'Aşama 3';

  @override
  String get post8722Sbad250Sbstep8722Sb4 => 'Adım 4';

  @override
  String get post8722Sbad250Sbstep8722Sb5 => 'Adım 5';

  @override
  String get post8722Sbad250Sbstep8722Sb6 => 'Adım 6';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbfull => 'Tam formu göster';

  @override
  String get post8722Sbad250Sbswitch8722Sbform8722Sbtoggle250Sbshow8722Sbstep => 'Adım görünümünü göster';

  @override
  String get post8722Sbad250Sbterms => 'ticaret şartları';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb0 => 'İlanın ticaret şartları, maksimum 4096 karakter. Reklamınızın terimlerine stil vermek için işaretlemeyi kullanabilirsiniz (resimlere izin verilmez).';

  @override
  String get post8722Sbad250Sbterms8722Sbtip8722Sb1 => 'İşaretleme nasıl kullanılır?';

  @override
  String get post8722Sbad250Sbtitle => 'Bir reklam oluştur';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity => 'Maksimum tutar likiditesini takip edin';

  @override
  String get post8722Sbad250Sbtrack8722Sbmax8722Sbamount8722Sbliquidity8722Sbtip => 'Bu seçenek, bu reklamın likiditesini maks. işlem limiti. Alıcılar bu tutarın üzerinde işlem açıp tamamlayamazlar. Örnek: İzleme likiditesi açıkken ve maks. Bir alıcı maksimum 20 USD\'lik bir işlem açtığında işlem limiti 100 USD olarak ayarlanır. işlem limiti otomatik olarak 80 USD\'ye düşürülür. Alıcı işlemi iptal ederse 100 USD\'ye döner, işlem tamamlanırsa 80 USD\'de kalır.';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbbuy(Object assetName) {
    return 'Nakit karşılığında $assetName satın alın (yerel olarak)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sblocal8722Sbsell(Object assetName) {
    return 'Nakit karşılığında $assetName satın (yerel olarak)';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbbuy(Object assetName) {
    return '$assetName\'i çevrimiçi satın alın';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbonline8722Sbsell(Object assetName) {
    return '$assetName çevrimiçi satın';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbsubtitle => 'İstiyorum...';

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip(Object assetName, Object appName) {
    return 'Ne tür bir ticaret reklamı oluşturmak istiyorsunuz? $assetName satmak istiyorsanız, $appName tahkim tahvili cüzdanınızda $assetName bulunduğundan emin olun.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs(Object appName) {
    return 'Ne tür bir ticaret reklamı oluşturmak istiyorsunuz? Monero satmak istiyorsanız, $appName tahkim bonosu cüzdanınızda Monero olduğundan emin olun.';
  }

  @override
  String post8722Sbad250Sbtrade8722Sbtype250Sbtip250Sbnojs57Sbagoradesk(Object appName) {
    return 'Ne tür bir ticaret reklamı oluşturmak istiyorsunuz? Kripto para birimi satmak istiyorsanız, $appName tahkim tahvili cüzdanınızda ilgili kripto para birimine sahip olduğunuzdan emin olun.';
  }

  @override
  String get post8722Sbad250Sbtrade8722Sbtype250Sbtitle => 'ticaret türü';

  @override
  String price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs(Object asset) {
    return '$asset çift';
  }

  @override
  String get price8722Sbformula8722Sbinterface250Sbtickers250Sbasset8722Sbpairs250Sbother8722Sbasset => 'Başka';

  @override
  String get read8722Sbmore => 'Devamını oku';

  @override
  String get recaptcha250Sbno8722Sbgoogle8722Sbmessage => 'Google Hizmetlerinin tarayıcınızda engellendiğini fark ettik. Bazı site işlemleri için Google\'ın reCAPTCHA\'sını kullandığımızdan, Google\'ın hizmetlerine (ör. VPN, proxy veya bir Tor tarayıcı kullanarak) ulaşmanın bir yolunu bulmanız gerekecektir.';

  @override
  String get receipt250Sbchat8722Sbmessages => 'mesajlaşma';

  @override
  String get receipt250Sbchat8722Sbmessages8722Sbnone => 'Mesaj yok';

  @override
  String get receipt250Sbdetails250Sbopened => 'Açıldı';

  @override
  String get receipt250Sbno8722SbaccountInfo => 'Sağlanan ödeme yöntemi bilgisi yok';

  @override
  String receipt250Sbtitle(Object appName, Object id) {
    return '$appName — Ticaret Kimliği: $id';
  }

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtip => 'Farklı bir kullanıcı adı ile tekrar deneyebilirsiniz';

  @override
  String get reputation8722Sbimport250Sbdenied250Sbtitle => 'reddedildi';

  @override
  String get reputation8722Sbimport250Sbinitial250Sbtitle => 'Başlatılmadı';

  @override
  String get reputation8722Sbimport250Sbpending250Sbtitle => 'Askıda olması';

  @override
  String get reputation8722Sbimport250Sbstats250Sbfeedback => 'geri bildirim';

  @override
  String get reputation8722Sbimport250Sbstats250Sbregistered => 'kayıtlı';

  @override
  String reputation8722Sbimport250Sbstats250Sbtitle(Object platform) {
    return '$platform itibar';
  }

  @override
  String get reputation8722Sbimport250Sbstats250Sbtrades => 'ticaret';

  @override
  String get reputation8722Sbimport250Sbstats250Sbvolume => 'Ses';

  @override
  String reputation8722Sbimport250Sbstep250Sbcode250Sbmessage(Object platform) {
    return 'Bu kodu herkese açık $platform profilinizde bir yere ekleyin. Kodu doğruladıktan sonra kaldırabilirsiniz.';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbmessage250Sblbc => 'Bu kodu LocalBitcoins profilinize kişisel web sayfanız olarak ekleyin ve sonuna \".com\" ekleyin. Kodu doğruladıktan sonra kaldırabilirsiniz.';

  @override
  String get reputation8722Sbimport250Sbstep250Sbcode250Sbtitle => 'kodu ekle';

  @override
  String get reputation8722Sbimport250Sbstep250Sbfinal250Sbtitle => 'doğrulama için bekleyin';

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbinput250Sblabel(Object platform) {
    return '$platform kullanıcı adınız';
  }

  @override
  String reputation8722Sbimport250Sbstep250Sbusername250Sbmessage(Object platform) {
    return '$platform üzerindeki kullanıcı adınız nedir?';
  }

  @override
  String get reputation8722Sbimport250Sbstep250Sbusername250Sbtitle => 'Kullanıcı adı seç';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbmessage => 'Profilinizi doğrulamamız için biraz bekleyin.';

  @override
  String get reputation8722Sbimport250Sbstepper250Sbfinal250Sbtitle => 'Neredeyse!';

  @override
  String get reputation8722Sbimport250Sbunconfirmed250Sbtitle => 'doğrulanmamış';

  @override
  String get reputation8722Sbimport250Sbverified250Sbtitle => 'doğrulandı';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbedit => 'İçe aktarma bilgilerini düzenle';

  @override
  String get reputation8722Sbimport250Sbwizard8722Sbtoggle250Sbinitial => 'Bağlantı hesabı';

  @override
  String get request8722Sbpassword8722Sbreset250Sbbtn => 'Sıfırlama mektubu gönder';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail => 'E-posta adresiniz';

  @override
  String get request8722Sbpassword8722Sbreset250Sbemail8722Sbtip => 'Hesabınıza bağlı doğrulanmış e-postayı girin. Parola sıfırlama talimatlarını içeren bir mektup göndereceğiz';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb1 => 'Bu e-postayla ilişkili bir hesabımız yok.';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb2 => 'Bu e-posta doğrulanmadı';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb3 => 'Hata';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtext => 'Parolanızı yeniden sıfırlamadan önce lütfen bekleyin';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb58722Sbtitle => 'çok fazla istek';

  @override
  String get request8722Sbpassword8722Sbreset250Sberror8722Sb6 => 'Şifre sıfırlama hatası';

  @override
  String get request8722Sbpassword8722Sbreset250Sbletter8722Sbsent => 'Bu e-posta bir hesapla doğrulandıysa bir mektup alacaksınız.';

  @override
  String get request8722Sbpassword8722Sbreset250Sbtitle => 'Şifreyi yenile';

  @override
  String get right8722Sbdrawer250Sbaffiliate => 'Ortaklık Programı';

  @override
  String get right8722Sbdrawer250Sbcancelled => 'İptal edilen işlemler';

  @override
  String get right8722Sbdrawer250Sbcompleted => 'Tamamlanan işlemler';

  @override
  String get right8722Sbdrawer250Sbdashboard => 'Açık işlemler ve reklamlar';

  @override
  String get right8722Sbdrawer250Sblogout => 'Çıkış Yap';

  @override
  String get right8722Sbdrawer250Sbprofile => 'Profil';

  @override
  String get right8722Sbdrawer250Sbsettings => 'Ayarlar';

  @override
  String get right8722Sbdrawer250Sbwallet => 'Cüzdan';

  @override
  String get sanction250Sbaction8722Sbnotice => 'Hesabınızda aşağıdaki kısıtlama nedeniyle bu eylemi gerçekleştirmeniz yasaklanmıştır:';

  @override
  String get sanction250Sbban250Sblabel => 'yasaklandı';

  @override
  String get sanction250Sbexpires => 'süresi doluyor';

  @override
  String get sanction250Sblabel250Sbtrading8722Sbsuspension => 'Ticaret askıya alındı';

  @override
  String get sanction250Sbreason => 'Sebep';

  @override
  String get sanction250Sbsanctioned8722Sbat => 'Dan beri';

  @override
  String get sanction250Sbuser => 'kullanıcı';

  @override
  String get sanction250Sbwallet8722Sbfreeze250Sblabel => 'Cüzdan donduruldu, alım satım askıya alındı';

  @override
  String search250Sball8722Sbmethods(Object code) {
    return 'Tüm $code yöntemleri';
  }

  @override
  String get search250Sbamount => 'Tutar';

  @override
  String get search250Sbbtn => 'Arama';

  @override
  String get search250Sbbuy8722Sbtab => 'Satın almak';

  @override
  String get search250Sbcoordinates250Sblat => 'Enlem';

  @override
  String get search250Sbcoordinates250Sblon => 'Boylam';

  @override
  String search250Sbheading8722Sblocal8722Sbbuy(Object assetName, Object location) {
    return '$assetName\'i {country} cinsinden nakit karşılığında satın';
  }

  @override
  String search250Sbheading8722Sblocal8722Sbsell(Object assetName, Object location) {
    return '{country} ile $assetName satın alın';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbbuy(Object assetName, Object country, Object usingMethod) {
    return '$country $usingMethod\'de $assetName\'i çevrimiçi satın';
  }

  @override
  String search250Sbheading8722Sbonline8722Sbsell(Object assetName, Object country, Object usingMethod) {
    return '$country $usingMethod\'te $assetName\'i çevrimiçi satın alın';
  }

  @override
  String search250Sbheading8722Sbusing8722Sbmethod(Object method) {
    return '$method kullanarak';
  }

  @override
  String get search250Sblocation8722Sbplaceholder => 'Bulunduğunuz yeri yazın...';

  @override
  String search250Sbno8722Sbgoogle8722Sbtext(Object value) {
    return 'Google Hizmetlerinin tarayıcınızda engellendiğini fark ettik. Sorun değil, ancak bunları yakınınızdaki yerel fırsatları bulmak için kullanıyoruz. Bu, koordinatlarınızı manuel olarak girmeniz gerekeceği anlamına gelir. Bu konuda size yardımcı olması için $value gibi hizmetleri kullanabilirsiniz.';
  }

  @override
  String get search250Sbno8722Sbgoogle8722Sbtext8722Sbhere => 'Bu';

  @override
  String search250Sbno8722Sbresults(Object country) {
    return '$country\'te seçilen kriterlere göre sonuç yok... henüz. ';
  }

  @override
  String get search250Sbno8722Sbresults8722Sb1 => 'Farklı ödeme yöntemi, farklı tutar veya hiç ödeme yapmadan deneyin. ';

  @override
  String search250Sbno8722Sbresults8722Sb2(Object postAnad) {
    return 'Alternatif olarak, burada $postAnad\'e ilk ulaşan siz olun!';
  }

  @override
  String get search250Sbno8722Sbresults8722Sbpost8722Sban8722Sbad => 'ilan ver';

  @override
  String search250Sbpopular8722Sbmethods(Object code) {
    return '🔥 Popüler $code yöntemleri';
  }

  @override
  String get search250Sbsell8722Sbtab => 'Satmak';

  @override
  String get seo250Sbheadline8722Sb1 => 'Gizlilik hakkınızı koruyun - Monero satın alın.';

  @override
  String get seo250Sbheadline8722Sb157Sbagoradesk => 'Kimlik doğrulaması olmadan çevrimiçi Bitcoin satın almak ve satmak için en iyi kripto para birimi değişimi.';

  @override
  String get seo250Sbheadline8722Sb2 => 'Dünya çapında veya yerel olarak insanlara Monero satın - topluluğu destekleyin ve kripto para birimi ile para kazanın.';

  @override
  String get seo250Sbheadline8722Sb257Sbagoradesk => 'Gerçek bir LocalBitcoins ve Paxful alternatifi.';

  @override
  String get seo250Sbtext8722Sb1 => 'Gizliliğin ihlali konusunda endişeleriniz varsa - yatırım yapmak için en iyi kripto para birimi XMR\'dir. Monero, tasarım gereği gizlilik düşünülerek geliştirilmiş izlenemez bir madeni paradır.\n<br/>\nMonero\'yu nereden satın alabilirim? LocalMonero, XMR topluluğundaki en büyük, en güvenilir ve köklü P2P Monero borsasıdır. KYC çekimiz yok - PayPal, kredi kartı, hediye kartı, posta yoluyla nakit veya nakit para ile kimlik doğrulaması olmadan anonim olarak Monero satın alabilir veya bitcoin\'i Monero\'ya dönüştürebilirsiniz - platformumuz her türlü ödeme yöntemini destekler.';

  @override
  String get seo250Sbtext8722Sb157Sbagoradesk => 'Bitcoin\'e nasıl yatırım yapacağınızı mı merak ediyorsunuz? AgoraDesk\'te bitcoin satın almak hiç bu kadar kolay olmamıştı - en sevdiğiniz çevrimiçi ödeme yöntemini kullanarak bir kişiden anında BTC satın alın: PayPal, kredi/banka kartı veya banka havalesi, hediye kartları, Venmo veya diğerleri.\n<br/>\nYakınınızdaki bitcoinleri nakit olarak satın almak istiyorsanız, yerel olarak bitcoin satmak isteyen birini bulabilirsiniz - ticaret platformu, BTC\'nin nakit olarak satın alınmasını ve satılmasını destekler. Posta yoluyla nakit kullanarak bitcoin bile satın alabilirsiniz.';

  @override
  String get seo250Sbtext8722Sb2 => 'LocalMonero, XMR satmak için en iyi yerdir - ister madencilik ödülleriniz olsun,\nMonero fiyat arbitrajı veya sadece topluluğa hizmet etmenin değerini görürsünüz. Tahkim tahvili koruma sistemi ve güvenli Monero tahkim tahvili cüzdanımız size sağlam bir XMR alım satım deneyimi sunar - böylece XMR\'yi USD, EUR, AUD, GBP veya başka herhangi bir yerel para birimine gönül rahatlığıyla çevirebilirsiniz.';

  @override
  String get seo250Sbtext8722Sb257Sbagoradesk => 'Kripto arbitrajı ile para kazanmak isteyen bir bitcoin tüccarı mısınız? BTC\'yi USD\'ye veya başka bir yerel para birimine çevirmek isteyen bir madenci mi?\n<br/>\nAgoraDesk, gizliliğinize ve güvenliğinize saygı duyan, aynı zamanda bitcoinlerinizi bozdurma konusunda size sorunsuz ve hızlı bir deneyim sağlayan bir <a href=\"/localbitcoins-alternative\" style=\"color: #0b4f6c\"> LocalBitcoins alternatifidir </a>.';

  @override
  String get settings250Sb2fa250Sbbackup8722Sbcode => 'Yedek kodunuz:';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbbtn => '2FA\'yı devre dışı bırak';

  @override
  String get settings250Sb2fa250Sbdisable8722Sberror => 'Yanlış şifre veya tek seferlik şifre.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsubtitle => '2FA\'yı devre dışı bırakmak için şifrenizi ve tek kullanımlık şifrenizi girin.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbsuccess => 'Başarı! 2FA devre dışı.';

  @override
  String get settings250Sb2fa250Sbdisable8722Sbtitle => 'İki faktörlü kimlik doğrulamayı devre dışı bırakın';

  @override
  String get settings250Sb2fa250Sbenable => 'İki faktörlü kimlik doğrulamayı etkinleştir';

  @override
  String get settings250Sb2fa250Sbenable8722Sbbtn => '2FA\'yı etkinleştir';

  @override
  String get settings250Sb2fa250Sbenable8722Sbenter8722Sbpass => '2FA\'yı etkinleştirmek için şifrenizi girin.';

  @override
  String get settings250Sb2fa250Sbnetwork8722Sberror => 'İstekle ilgili bir sorun oluştu! Sayfayı yenilemeyi deneyin ve isteği tekrarlayın.';

  @override
  String get settings250Sb2fa250Sbnot8722Sbenabled8722Sbyet => '2FA\'nız henüz etkinleştirilmedi! Etkinleştirmek için tek seferlik şifreyi girmeniz gerekir.';

  @override
  String get settings250Sb2fa250Sbrtfm => 'İki faktörlü kimlik doğrulama etkinleştirme kılavuzunu okuyun';

  @override
  String get settings250Sb2fa250Sbstatus => '2FA durumunuz:';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbdisabled => 'ENGELLİ';

  @override
  String get settings250Sb2fa250Sbstatus8722Sbenabled => 'ETKİNLEŞTİRİLMİŞ';

  @override
  String get settings250Sb2fa250Sbstep8722Sbfour => '<strong> QR kodunun altındaki kutuya 2FA mobil uygulamanız tarafından verilen </strong> kodunu girin ve <strong> \'2FA\'yı Doğrula\' düğmesine</strong> basın.';

  @override
  String settings250Sb2fa250Sbstep8722Sbone(Object downloadA2faapp, Object andotp, Object anyOther2faapp, Object totp) {
    return 'Cihazınız için $totp\'i destekleyen $andotp veya $anyOther2faapp gibi $downloadA2faapp.';
  }

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbany8722Sbother8722Sb2fa8722Sbapp => 'başka herhangi bir 2FA uygulaması';

  @override
  String get settings250Sb2fa250Sbstep8722Sbone8722Sbdownload8722Sba8722Sb2fa8722Sbapp => 'Bir 2FA uygulaması indirin';

  @override
  String get settings250Sb2fa250Sbstep8722Sbthree => 'Mobil cihazınızda 2FA uygulamasını başlatın. Uygulamada barkod tarama işlevini bulun ve <strong> bu sayfada görüntülenen QR kodunu </strong> tarayın.';

  @override
  String settings250Sb2fa250Sbstep8722Sbtwo(Object appName) {
    return '<strong> Yedek kodunuzu </strong> (yukarıda yeşil) bir kağıda yazın ve güvenli bir yerde saklayın. Telefonunuzu kaybederseniz ihtiyacınız olacak veya hesabınız kilitlenecek. Bu kodu kaybetmeniz durumunda $appName size yardımcı olamayacaktır.';
  }

  @override
  String get settings250Sb2fa250Sbsubtitle => 'İki faktörlü kimlik doğrulama etkin olduğunda, her giriş yaptığınızda veya para çektiğinizde tek seferlik bir kod girmeniz gerekir.';

  @override
  String get settings250Sb2fa250Sbsuccess => 'Başarı!';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbtext => 'Hesabınızda iki faktörlü kimlik doğrulama ayarlandı.';

  @override
  String get settings250Sb2fa250Sbsuccess8722Sbwarn => 'Bu, yedek kodunuzu yazmak için son şansınız!';

  @override
  String get settings250Sb2fa250Sbtitle => 'İki faktörlü kimlik doğrulama (2FA)';

  @override
  String get settings250Sb2fa250Sbverify8722Sbbtn => '2FA\'yı doğrulayın';

  @override
  String get settings250Sb2fa250Sbwarning => 'Gelişmiş güvenlik için hesabınızda 2FA\'yı etkinleştirmenizi önemle tavsiye ederiz.';

  @override
  String get settings250Sb2fa250Sbwarning250Sbenable => 'Olanak vermek';

  @override
  String get settings250Sb2fa250Sbwrong8722Sbotp => 'Tek seferlik yanlış şifre.';

  @override
  String get settings250Sbapi8722Sbkey250Sbcopy8722Sbtooltip => 'Panoya kopyala';

  @override
  String get settings250Sbapi8722Sbkey250Sbdelete8722Sbtooltip => 'Etkin anahtarı silin ve geçerliliğini yitirin';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbbutton => 'oluştur';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbcaption => 'Bir anahtar oluşturmak, önceden oluşturulmuş API anahtarını da geçersiz kılacaktır.';

  @override
  String get settings250Sbapi8722Sbkey250Sbgenerate250Sbtitle => 'Yeni API anahtarı oluştur';

  @override
  String get settings250Sbapi8722Sbkey250Sblabel => 'API anahtarı';

  @override
  String settings250Sbapi8722Sbkey250Sblabel250Sbcaption(Object apiDocs) {
    return 'Özel API uç noktalarını kullanabilmek için API anahtarınızı \"Yetkilendirme\" başlığı olarak ayarlamanız gerekir. Anahtarın süresi 5 yıl içinde doluyor. $apiDocs\'te daha fazla ayrıntı bulun.';
  }

  @override
  String get settings250Sbapi8722Sbkey250Sblabel250Sbcaption250Sbapi8722Sbdocs8722Sblink => 'API belgeleri';

  @override
  String get settings250Sbbasic8722Sbinfo8722Sbtitle => 'Temel kullanıcı bilgileri';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtip => 'Size jeton satmak isteyen hiç kimse reklamlarınızı görmeyecek veya onlar üzerinde işlem açmayacaktır.';

  @override
  String get settings250Sbbuying8722Sbvacation8722Sbtitle => 'tatil satın almak';

  @override
  String get settings250Sbchange8722Sbemail250Sbbtn => 'Değişim e-posta';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew => 'Yeni E-posta';

  @override
  String get settings250Sbchange8722Sbemail250Sbnew8722Sbtip => 'E-postanızı doğrulamak için bir doğrulama mektubu gönderilecek';

  @override
  String get settings250Sbchange8722Sbemail250Sbnone => 'E-posta sağlanmadı';

  @override
  String settings250Sbchange8722Sbemail250Sbsubtitle(Object email) {
    return 'Mevcut e-posta: $email';
  }

  @override
  String get settings250Sbchange8722Sbemail250Sbtitle => 'E-postayı değiştir/doğrula';

  @override
  String get settings250Sbchange8722Sbemail250Sbunverified => 'Doğrulanmamış';

  @override
  String get settings250Sbchange8722Sbemail250Sbverified => 'doğrulandı';

  @override
  String get settings250Sbchange8722Sbpassword8722Sbwrong => 'Yanlış mevcut şifre';

  @override
  String get settings250Sbchange8722Sbpassword250Sbbtn => 'Şifre değiştir';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm => 'Yeni şifreyi onayla';

  @override
  String get settings250Sbchange8722Sbpassword250Sbconfirm8722Sbtip => 'Lütfen yeni şifrenizi onaylayın';

  @override
  String get settings250Sbchange8722Sbpassword250Sbnew => 'Yeni Şifre';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold => 'eski Şifre';

  @override
  String get settings250Sbchange8722Sbpassword250Sbold8722Sbtip => 'Devam etmek için lütfen mevcut şifrenizi girin';

  @override
  String get settings250Sbchange8722Sbpassword250Sbsubtitle => 'Şifreyi değiştirdikten sonra, yeni şifrenizi kullanarak tekrar giriş yapmanız gerekecektir.';

  @override
  String get settings250Sbchange8722Sbpassword250Sbtitle => 'Şifre değiştir';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbbutton => 'Hesabı sil';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdescription => 'Bu, tüm hesap verilerinizi siler ve anonimleştirir. Hesabınız tamamen silinecek - bu işlem geri alınamaz.';

  @override
  String get settings250Sbdelete8722Sbaccount250Sbdialog250Sbwarning => 'Hesabınız tamamen silinecek - devam etmek istediğinizden emin misiniz? Bu geri alınamaz.';

  @override
  String get settings250Sbemail8722Sbalready8722Sblinked => 'Bu e-posta başka bir kullanıcıya bağlı';

  @override
  String get settings250Sberror250Sbemail8722Sbchange8722Sbtitle => 'E-posta değiştirme hatası';

  @override
  String get settings250Sbgeneric8722Sberror => 'Bir şeyler yanlış gitti! Lütfen tekrar deneyin.';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail => 'E-posta gelen kutunuzda bizden bir mektup görmüyorsanız';

  @override
  String get settings250Sbhavent8722Sbreceived8722Sbemail8722Sbbtn => 'Doğrulama mektubu göndermek için buraya tıklayın';

  @override
  String get settings250Sbhomepage => 'Anasayfa';

  @override
  String settings250Sbhomepage8722Sbtip(Object example_url) {
    return 'Herkese açık profilinizde gösterilir. Yalnızca geçerli URL kabul edilir (ör. https://$example_url)';
  }

  @override
  String settings250Sbno8722Sbemail8722Sbwarn(Object appName) {
    return 'Hesabınızda doğrulanmış bir e-posta seti yok. Parolanızı kaybederseniz, $appName parolanızı sıfırlamanıza yardımcı olamaz.';
  }

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sblong => 'Yeni ticaret mesajı alındığında e-posta bildirimleri gönder (saatte bir kez)';

  @override
  String get settings250Sbnotifications250Sbemail8722Sbmessage8722Sbshort => 'Yeni ticaret mesajı (saatte bir kez)';

  @override
  String get settings250Sbnotifications250Sbemail250Sbtitle => 'E-posta Bildirimleri';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sblong => 'Bir işlem tamamlandığında e-posta bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbshort => 'İşlem tamamlandı';

  @override
  String get settings250Sbnotifications250Sbescrow8722Sbrelease8722Sbtip => 'Bir işlem tamamlandığında e-posta bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sblong => 'Yeni ticari ilgili kişiler için e-posta bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbshort => 'Yeni ticaret bağlantıları';

  @override
  String get settings250Sbnotifications250Sbnew8722Sboffers8722Sbtip => 'Yeni kişi istekleri için e-posta bildirimleri gönder';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sblong => 'Yeni çevrimiçi ödemeler için e-posta bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbshort => 'Yeni çevrimiçi ödemeler';

  @override
  String get settings250Sbnotifications250Sbnew8722Sbpayments8722Sbtip => 'İşlemlerinizdeki yeni çevrimiçi ödemeler için e-posta bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sblong => 'Hassas bilgileri e-posta bildirimlerinden devre dışı bırakın';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbshort => 'Hassas bilgileri devre dışı bırak';

  @override
  String get settings250Sbnotifications250Sbsensitive8722Sbtip => 'E-postalar sizden sadece siteye giriş yapmanızı isteyecek, gerçek bildirimler burada olacaktır.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdialog8722Sbtitle => 'Mobil Telgraf Bildirimleri';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbbtn => 'Telegram bildirimlerini devre dışı bırak';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbdisable8722Sbconfirm8722Sbtext => 'Bu, Telegram\'daki bildirimleri devre dışı bırakacaktır. Telegram Bildirim Kimliğinizi girerek Telegram bildirimlerini tekrar etkinleştirebilirsiniz.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbgeneric => 'Bir şeyler yanlış gitti. Lütfen sayfayı yenilemeyi ve isteği tekrarlamayı deneyin.';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sberror250Sbid8722Sbalready8722Sblinked => 'Bu Telegram Kimliği başka bir kullanıcıya bağlı';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sblong => 'Bir işlem tamamlandığında Telegram bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbescrow8722Sbshort => 'İşlem tamamlandı';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbhow8722Sbto(Object appName) {
    return '$appName Telegram mobil bildirimlerini nasıl açarım?';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbid => 'Telgraf Bildirim Kimliği';

  @override
  String settings250Sbnotifications250Sbtelegram250Sbid8722Sbtip(Object appName) {
    return '$appName Bildirim Botu tarafından size verilen Telegram Bildirim Kimliği';
  }

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sblong => 'İşlemlerdeki yeni sohbet mesajları için Telegram bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbmessages8722Sbshort => 'Ticarette sohbet mesajları';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sblong => 'Yeni çevrimiçi ödemeler için Telegram bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbshort => 'Yeni çevrimiçi ödemeler';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbpayments8722Sbtip => 'İşlemlerinizde yeni çevrimiçi ödemeler için Telegram bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtitle => 'Telgraf Bildirimleri';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sblong => 'Yeni ticaret talepleri için Telegram bildirimleri gönderin';

  @override
  String get settings250Sbnotifications250Sbtelegram250Sbtrade8722Sbrequests8722Sbshort => 'Yeni ticaret talepleri';

  @override
  String get settings250Sbnotifications250Sbtitle => 'Bildirimler';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications => 'Web bildirimlerini etkinleştir';

  @override
  String get settings250Sbnotifications250Sbweb8722Sbnotifications8722Sbtip => 'Tarayıcı penceresinin dışında harici bildirimler alacaksınız';

  @override
  String get settings250Sbpersonal8722Sbinfo => 'Kişisel tanıtım';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtip => 'Herkese açık profilinizde gösterilir. Maksimum 65536 karakter. Stil için markdown kullanabilir.';

  @override
  String get settings250Sbpersonal8722Sbinfo8722Sbtitle => 'Kişisel bilgi';

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbimported8722Sbby8722Sbother8722Sbuser => 'Bu hesabın itibarı zaten başka bir kullanıcı tarafından içe aktarıldı. Belki kullanıcı adında bir yazım hatası yaptınız veya yanlış platformu seçtiniz?';

  @override
  String settings250Sbreputation8722Sbimport250Sberror250Sblbc8722Sbinvalid8722Sbusername(Object link) {
    return 'LocalBitcoins profiliniz herkese açık değil, oturumunuz kapalıyken kendi LocalBitcoins profilinizi açmayı deneyerek kendiniz test edebilirsiniz: $link. Herkese açık olmayan profilleri içe aktaramayız. Bunu çözmek için LocalBitcoins desteğiyle iletişime geçmeyi deneyin, ancak bunu yapmadan önce LocalBitcoins girişinizden kodu kaldırın.';
  }

  @override
  String get settings250Sbreputation8722Sbimport250Sberror250Sbplatform8722Sberror => 'Bir şeyler yanlış gitti. Kullanıcı adının doğru olduğundan ve doğru platformu seçtiğinizden emin olun. Doğruysa, 5 dakika sonra tekrar deneyin. Bu hala yardımcı olmazsa, bir destek bileti açın.';

  @override
  String get settings250Sbresend8722Sbletter8722Sbdialog250Sbtitle => 'Lütfen CAPTCHA\'yı doldurun';

  @override
  String get settings250Sbresend8722Sbletter250Sbsent => 'Mektup gönderildi!';

  @override
  String get settings250Sbsaved => 'Kaydedildi!';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtip => 'Madeni paralarınızı satın almak isteyen hiç kimse reklamlarınızı görmeyecek veya üzerlerinde işlem açmayacaktır.';

  @override
  String get settings250Sbselling8722Sbvacation8722Sbtitle => 'Tatil satmak';

  @override
  String get settings250Sbtab250Sb2fa8722Sblong => '2FA';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sblong => 'Değişim e-posta';

  @override
  String get settings250Sbtab250Sbchange8722Sbemail8722Sbshort => 'E-posta';

  @override
  String get settings250Sbtab250Sbchange8722Sbpassword8722Sblong => 'Şifre';

  @override
  String get settings250Sbtab250Sbimport8722Sbreputation => 'İtibarı içe aktar';

  @override
  String settings250Sbtab250Sbimport8722Sbreputation250Sbdescription(Object appName) {
    return 'İtibarınızı başka bir P2P platformundan $appName\'e aktarabilirsiniz. Diğer platformdaki profilinizde bir yere bir kod yerleştirmeniz gerekecek ve ardından bunu doğrulayacağız. Platform başına bir hesap bağlayabilirsiniz.';
  }

  @override
  String get settings250Sbtab250Sbnotifications250Sblong => 'Bildirimler';

  @override
  String get settings250Sbtab250Sbuser8722Sbsettings8722Sblong => 'Kişiye özel';

  @override
  String get settings250Sbtitle => 'Hesap ayarları';

  @override
  String get settings250Sbvacation8722Sbtitle => 'Tatil';

  @override
  String get settings250Sbwrong8722Sbpassword => 'Yanlış şifre';

  @override
  String get settlement8722Sbaddress => 'Hesap cüzdanı adresi';

  @override
  String get signup8722Sbsuccess250Sbletter8722Sbsent => 'E-postanıza bir doğrulama mektubu gönderildi.';

  @override
  String get signup8722Sbsuccess250Sblogin => 'Şimdi ana sayfaya yönlendirileceksiniz.';

  @override
  String get signup8722Sbsuccess250Sbtitle => 'Başarılı Kayıt!';

  @override
  String signup250Sbagree8722Sbto8722Sbtos(Object terms) {
    return '$terms\'i okudum ve kabul ettim';
  }

  @override
  String signup250Sbagree8722Sbto8722Sbtos8722Sbterms(Object appName) {
    return '$appName hizmet şartları';
  }

  @override
  String get signup250Sbbtn => 'Kayıt ol';

  @override
  String get signup250Sbconfirm8722Sbpass => 'Şifreyi Onayla';

  @override
  String get signup250Sbemail => 'E-posta isteğe bağlı)';

  @override
  String get signup250Sbemail8722Sbtip => 'Monero ticareti yapmak için e-postanızı girmeniz gerekmez, ancak bu olmadan parolanızı kurtaramayız veya size e-posta bildirimleri gönderemeyiz. E-postanız, tek kullanımlık e-posta sağlayıcılarından oluşan üçüncü taraf bir veri tabanına göre kontrol edilecektir.';

  @override
  String get signup250Sbemail8722Sbtip57Sbagoradesk => 'Kripto para ticareti yapmak için e-postanızı girmeniz gerekmez, ancak bu olmadan parolanızı kurtaramayız veya size e-posta bildirimleri gönderemeyiz. E-postanız, tek kullanımlık e-posta sağlayıcılarından oluşan üçüncü taraf bir veri tabanına göre kontrol edilecektir.';

  @override
  String get signup250Sberror8722Sb28722Sbdialog8722Sbtitle => 'Kayıt Hatası';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtext => 'Lütfen geçerli bilgiler giriniz.';

  @override
  String get signup250Sberror8722Sbdialog8722Sbtitle => 'form hatası';

  @override
  String signup250Sblogin(Object link) {
    return 'Zaten hesabınız var mı? $link';
  }

  @override
  String get signup250Sblogin8722Sblink => 'Giriş yapmak.';

  @override
  String get signup250Sbtitle => 'Üye olmak';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext(Object terms) {
    return 'Kayıt olmak için lütfen $terms\'i okuyun ve kabul edin.';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbagree => 'Kabul etmek';

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtext8722Sbdisagree => 'Aynı fikirde olmamak';

  @override
  String signup250Sbtos8722Sbdialog8722Sbtext8722Sbterms(Object appName) {
    return '$appName hizmet şartları';
  }

  @override
  String get signup250Sbtos8722Sbdialog8722Sbtitle => 'Kullanım Şartları';

  @override
  String get sso250Sblogout8722Sbportal => 'Oturumunuz kapatılıyor...';

  @override
  String sso250Sbunverified8722Sbemail8722Sbtext(Object settingsPage) {
    return 'Devam etmek için e-posta adresinizi doğrulamanız gerekiyor. Bunu $settingsPage\'te yapabilirsiniz.';
  }

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtext8722Sbsettings8722Sbpage => 'ayarlar sayfası';

  @override
  String get sso250Sbunverified8722Sbemail8722Sbtitle => 'Doğrulanmamış E-posta';

  @override
  String get start250Sb2fa => 'İki faktörlü kimlik doğrulama';

  @override
  String start250Sbbuy8722Sbonline(Object assetName) {
    return '$assetName çevrimiçi olarak nasıl satın alınır';
  }

  @override
  String get start250Sbbuy8722Sbonline57Sbagoradesk => 'Çevrimiçi kripto para birimleri nasıl satın alınır?';

  @override
  String get start250Sblearn8722Sbmore => 'Daha fazla bilgi edin';

  @override
  String start250Sblocal(Object assetName) {
    return 'Nakit karşılığında $assetName nasıl alınır veya satılır';
  }

  @override
  String get start250Sblocal57Sbagoradesk => 'Nakit karşılığında kripto para birimleri nasıl alınır veya satılır';

  @override
  String start250Sbsettings(Object appName) {
    return '$appName ayarları';
  }

  @override
  String start250Sbtitle(Object appName) {
    return '$appName kılavuzları: Monero nasıl alınır veya satılır';
  }

  @override
  String start250Sbtrade(Object assetName) {
    return 'Ticarete giriş $assetName';
  }

  @override
  String get start250Sbtrade57Sbagoradesk => 'Kripto para ticaretine giriş';

  @override
  String get statistics250Sbno8722Sbdata => 'Veri yok';

  @override
  String get statistics250Sbticker8722Sb12hr => '12 saat:';

  @override
  String get statistics250Sbticker8722Sb1hr => '1 saat:';

  @override
  String get statistics250Sbticker8722Sb24hr => '24 saat:';

  @override
  String get statistics250Sbticker8722Sb6hr => '6 saat:';

  @override
  String statistics250Sbticker8722Sbapi8722Sbtitle(Object appName) {
    return '$appName Ortalama Fiyat Göstergesi API\'sı';
  }

  @override
  String get statistics250Sbticker8722Sbsubtitle => 'Yalnızca verileri mevcut olan para birimleri gösterilir';

  @override
  String statistics250Sbticker8722Sbtitle(Object assetSymbol) {
    return 'Tamamlanan işlemlere göre ortalama fiyat/$assetSymbol';
  }

  @override
  String get statistics250Sbtitle => 'İstatistik';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbconvert(Object currencyCode) {
    return 'USD\'den $currencyCode\'e Dönüştür';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbnone => '\'Veri yok\' mesajını göster';

  @override
  String statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbtitle(Object currencyCode) {
    return '$currencyCode için veri yoksa...';
  }

  @override
  String get statistics250Sbwidget250Sbinstructions250Sbno8722Sbdata250Sbusd => 'USD cinsinden fiyatı göster';

  @override
  String get stepper250Sbback8722Sbbtn => 'Geri';

  @override
  String get stepper250Sbnext8722Sbbtn => 'Sonraki';

  @override
  String get support250Sbdescription => 'Bilet açarak, e-posta göndererek veya Telegram üzerinden ulaşarak destek alabilirsiniz.';

  @override
  String get support250Sbemail250Sbbutton => 'Bir e-posta göndermek';

  @override
  String support250Sbemail250Sbdescription(Object email) {
    return '$email e-posta gönderebilirsiniz';
  }

  @override
  String get support250Sbemail250Sbtitle => 'E-posta';

  @override
  String get support250Sbmatrix250Sbbutton => 'Matrix\'teki Mesaj';

  @override
  String get support250Sbmatrix250Sbdescription => 'Matrix üzerinden bize mesaj atabilirsiniz.';

  @override
  String get support250Sbsubtitle => 'Bize ulaşın - kullanıcılarımıza yardım etmeyi seviyoruz! Yanıt sürelerimiz genellikle hızlıdır, aşağıdaki yöntemlerle destek alabilirsiniz:    ';

  @override
  String get support250Sbtelegram250Sbbutton => 'Telegram\'da Mesaj';

  @override
  String get support250Sbtelegram250Sbdescription => 'Bize Telegram\'dan mesaj atabilirsiniz.';

  @override
  String get support250Sbticket250Sbbutton => 'bilet aç';

  @override
  String get support250Sbticket250Sbdescription => 'Destek portalımızda bir bilet oluşturabilirsiniz';

  @override
  String get support250Sbticket250Sbtitle => 'Bilet';

  @override
  String get support250Sbtitle => 'Destek almak';

  @override
  String get trade8722Sbnoun => 'Ticaret';

  @override
  String get trade250Sbamount8722Sbminus8722Sbfee250Sblabel => 'Tutar eksi ücret:';

  @override
  String get trade250Sbamount8722Sbplus8722Sbfee250Sblabel => 'Tutar artı ücret:';

  @override
  String trade250Sbamount8722Sbto8722Sbpay(Object amount) {
    return 'Ödemeniz gereken tutar: $amount.';
  }

  @override
  String trade250Sbamount8722Sbto8722Sbreceive(Object amount) {
    return 'Alıcının ödemesi gereken tutar: $amount.';
  }

  @override
  String trade250Sbbuyer8722Sbhasnt8722Sbcompleted8722Sbpayment8722Sbtext(Object minutes) {
    return 'Alıcı henüz ödemeyi tamamlandı olarak işaretlemedi ve siz işlemi iptal etmeden önce ödemeyi yapmak için $minutes dakikası var. Ödemeyi aldığınızda işlemi sonlandırın.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb0 => 'Şu anda, siz <strong> ödemeyi </strong> \'Ödedim\' düğmesine basarak onaylamazsanız, satıcı işlemi iptal edebilir.';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb1(Object minutes) {
    return 'Satıcı, ödemenin güvenli olduğu $minutes dakika boyunca işlemi iptal edemez.';
  }

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb2 => 'Ödeme yaptıktan sonra \'Ödedim\' düğmesine basarak <strong> ödemeyi tamamlandı </strong> olarak işaretlemeniz gerekir, aksi takdirde satıcı, ödeme penceresi süresi dolduğunda işlemi iptal edebilir.';

  @override
  String get trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb3 => 'Satıcının ödemenizi onaylaması bekleniyor';

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb4(Object time) {
    return '$time\'de ödemeyi tamamlandı olarak işaretlediniz.';
  }

  @override
  String trade250Sbbuyer8722Sbinstruction8722Sbstep8722Sbtwo8722Sbtext8722Sb5(Object username, Object assetSymbol) {
    return '$username ödemeyi onayladığında, $assetSymbol ödeme cüzdanınıza gönderilecektir.';
  }

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning => 'İşlemi açarken verilen adres yanlışsa, işlemi doğru adresle yeniden açmanız gerekir, aksi takdirde madeni paralar geri alınamayacak şekilde kaybolabilir.';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle => 'adresi göster';

  @override
  String get trade250Sbbuyer8722Sbsettlement8722Sbaddress8722Sbwarning250Sbtoggle8722Sbsettlement => 'Hedef adresi göster';

  @override
  String get trade250Sbcancel8722Sbtrade8722Sbbtn => 'İşlemi iptal et';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtext => 'Lütfen bir anlaşmazlık başlatmak istediğinizi onaylayın.';

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbdispute8722Sbtitle => 'Anlaşmazlığı onaylayın';

  @override
  String trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtext(Object username) {
    return 'Siz, $username, ödemeyi tamamladığınızı beyan ediyorsunuz.';
  }

  @override
  String get trade250Sbdialog8722Sbconfirm8722Sbpayment8722Sbtitle => 'Ödemeyi Onayla';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbbtn => 'Onaylamak';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtext => 'Lütfen işlemi iptal etmek istediğinizi onaylayın';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbcancel8722Sbtitle => 'İptal İşlemini Onayla';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtext => 'Lütfen tahkim teminatı korumasını etkinleştirmek istediğinizi onaylayın';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbescrow8722Sbtitle => 'Tahkim bağı korumasını etkinleştirmeyi onaylayın';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbnot8722Sbpaid8722Sbtext => 'Alıcı henüz ödemeyi tamamlandı olarak işaretlemedi! İşlemi şimdi tamamlamak istediğinizden emin misiniz?';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext => 'Lütfen ödemeyi aldığınızı ve işlemi tamamlamak istediğinizi onaylayın.';

  @override
  String get trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbmonero8722Sbtext8722Sbwarning => 'Dikkat olmak! Bir işlemi yalnızca ödemeyi aldığınızdan emin olduğunuzda sonlandırın. Bir ticareti erken sonuçlandırmak için satıcıları kandırmaya çalışan dolandırıcılar olmuştur.';

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease8722Sbtitle(Object amount, Object username) {
    return '$amount ticaretinin $username ile sonuçlandırılması';
  }

  @override
  String trade250Sbdialog250Sbconfirm8722Sbrelease250Sboffset8722Sbnotice(Object appName) {
    return 'Bu parola, gözetim dışı yerleşim cüzdanını oluşturmak ve işlemi imzalamak için mahsup olarak kullanılır. Bu şifreyi kaybederseniz $appName cüzdanı kurtaramaz.';
  }

  @override
  String trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtext(Object appName) {
    return 'Lütfen işlemi $appName cüzdanınızdan finanse etmek istediğinizi onaylayın.';
  }

  @override
  String get trade250Sbdialog250Sbfunding8722Sbconfirm8722Sbtitle => 'Finansmanı onaylayın';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtext => 'Bir işlemi finanse etmek için yetersiz bakiye';

  @override
  String get trade250Sbdialog250Sbfunding8722Sberror8722Sbtitle => 'Finansman hatası!';

  @override
  String get trade250Sbdispute8722Sbbtn => 'Bir anlaşmazlık başlat';

  @override
  String trade250Sbdispute8722Sbtext(Object appName) {
    return 'Ticaretle ilgili bir anlaşmazlık varsa, bir anlaşmazlık başlatabilirsiniz. Bundan sonra, $appName destek ekibi bu ticaretin sohbeti aracılığıyla sizinle iletişime geçecektir.';
  }

  @override
  String get trade250Sbenable8722Sbescrow8722Sbbtn => 'Tahkim bağını etkinleştir';

  @override
  String get trade250Sberror250Sb247 => 'Yaptırımlar nedeniyle hesabınızın çekilmesi yasaktır';

  @override
  String get trade250Sberror250Sb248 => 'İşlem tutarı, uzlaşmayla ilgili ücretleri karşılamaya yeterli değil. Lütfen daha sonra ücretler düştüğünde tekrar deneyin veya işlemi daha büyük bir miktar için yeniden açın ve bu işlemi iptal edin.';

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0(Object appName) {
    return '$appName yalnızca ticaret için tahkim bonosu koruması etkinleştirildiyse koruma sunabilir';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1(Object appName) {
    return 'Etkinleştirildiğinde, yalnızca alıcı ve $appName personeli anlaşmayı iptal edebilir';
  }

  @override
  String trade250Sbescrow8722Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName tahkim bonosu koruma şartları ve bilgileri';
  }

  @override
  String get trade250Sbfeedback250Sbblock => 'Kullanıcıyı engelle';

  @override
  String trade250Sbfeedback250Sbleave8722Sbfeedback8722Sbon(Object username) {
    return '$username hakkında geri bildirim bırakın';
  }

  @override
  String get trade250Sbfeedback250Sbnegative => 'Olumsuz';

  @override
  String get trade250Sbfeedback250Sbneutral => 'Doğal';

  @override
  String get trade250Sbfeedback250Sbpositive => 'Pozitif';

  @override
  String get trade250Sbfeedback250Sbtip => 'Geribildirim, yalnızca siz ve ticaret ortağınız arasındaki toplam ticaret hacmi 100 USD eşdeğerinin üzerindeyse görünür olacaktır.';

  @override
  String get trade250Sbfeedback250Sbtrust => 'Güvenilir';

  @override
  String trade250Sbfeedback250Sbupdate8722Sbfeedback8722Sbon(Object username) {
    return '$username ile ilgili geri bildirimi güncelleyin';
  }

  @override
  String trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtip(Object username) {
    return 'İsteğe bağlı. Alıcının profil sayfasında geri bildirimin yanında görüntülenecek $username hakkında bir mesaj bırakın. Maksimum 256 karakter.';
  }

  @override
  String get trade250Sbfeedback250Sbyour8722Sbmessage8722Sbtitle => 'Geri bildirim mesajınız';

  @override
  String trade250Sbfloating8722Sbprice8722Sbtext(Object assetName, Object floating) {
    return '$assetName miktarı, piyasa fiyatıyla birlikte $floating.';
  }

  @override
  String get trade250Sbfloating8722Sbprice8722Sbtext8722Sbfloating => 'yüzer';

  @override
  String get trade250Sbfund8722Sbtrade8722Sbbtn => 'Bu ticareti finanse et';

  @override
  String get trade250Sbi8722Sbhave8722Sbpaid8722Sbbtn => 'ben ödedim';

  @override
  String trade250Sbinfo250Sbfee250Sblabel(Object appName) {
    return '%1 $appName ücret:';
  }

  @override
  String trade250Sbinfo250Sbtrade8722Sbad(Object ad_type) {
    return 'Ticari reklam ($ad_type)';
  }

  @override
  String get trade250Sbleave8722Sbfeedback8722Sbbtn => 'Geribildirim bırak';

  @override
  String get trade250Sblocal250Sbbuyer250Sbescrowed => 'Satıcı, bu ticarette tahkim bonosu korumasını etkinleştirmiştir, yani satıcı bu ticareti iptal edemez.';

  @override
  String get trade250Sblocal250Sbbuyer250Sbnot8722Sbescrowed => 'Satıcı, bu ticarette tahkim bonosu korumasını etkinleştirmedi, yani satıcı her an ticareti iptal edebilir. Sohbet üzerinden tahkim teminatı talebinde bulunabilirsiniz.';

  @override
  String trade250Sblocal250Sbbuyer250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode, doğrulama kodunuzdur. Satıcı bunu ancak ticareti tamamladıktan sonra bilecektir. Bunu bir yere yazabilir ve bir cihaz kullanmanıza gerek kalmadan, buluştuğunuzda ödemenizi aldıktan sonra satıcının paraları gerçekten gönderdiğini doğrulamak için kullanabilirsiniz.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbtitle => 'Satıcının ticareti finanse etmesini beklemek';

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbbuyer250Sbwait8722Sbfor8722Sbfunding(Object appName) {
    return 'Satıcının bu ticaret miktarını karşılamak için $appName cüzdanına daha fazla jeton yatırmasını bekleyin.';
  }

  @override
  String trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbfund8722Sbthe8722Sbtrade(Object amount, Object appName) {
    return 'Bu ticareti finanse etmek için $appName cüzdanınızda en az $amount olması gerekir.';
  }

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbpress8722Sbfund8722Sbbtn => 'Gerekli miktarı yatırdıktan sonra, işlemi finanse etmek için düğmeye basın.';

  @override
  String get trade250Sblocal250Sbstep8722Sb0250Sbseller250Sbtitle => 'ticarete fon sağlamak';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbbuyer250Sbtitle => 'Toplantıyı düzenleyin ve ödemeyi yapın';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbrelease8722Sbafter8722Sbpayment => 'Ödemeyi aldıktan sonra işlemi sonlandırın. Nakit parayı kabul etmeden ve işlemi tamamlamadan önce orijinal olup olmadığını kontrol ettiğinizden emin olun. Ödemenin tamamen sizin elinizde olduğundan emin olduktan sonra kesinleştirin.';

  @override
  String get trade250Sblocal250Sbstep8722Sb1250Sbseller250Sbtitle => 'Toplantıyı düzenleyin ve ödemeyi alın';

  @override
  String get trade250Sblocal250Sbstep8722Sb2250Sbbuyer250Sbcompleted => 'İşlem şimdi tamamlandı, paralar cüzdanınızda!';

  @override
  String trade250Sblocal250Sbstep8722Sb2250Sbseller250Sbverification8722Sbcode(Object verificationCode) {
    return '$verificationCode doğrulama kodudur. Bunu alıcıya söyleyebilirsiniz, böylece alıcı bir cihaz kullanmasına gerek kalmadan işlemi tamamladığınızı doğrulayabilir.';
  }

  @override
  String get trade250Sbmark8722Sbpaid => 'Ödeme yaptığınızda, \'Ödedim\' düğmesine basın. Bu, satıcının ticareti iptal etmesini engelleyecektir. Gerçekten ödeme yapmadıysanız bu düğmeye basmayın.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbdetails => 'Ödeme ayrıntıları belirtilmedi. Bunları sohbette tartışın.';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbpaying8722Sbparty => 'Ticaret ortağınıza sohbette ödeme ayrıntılarını sorun ve ödemeyi yapın. <strong>Daha önce işlem yaptıysanız, bu işlem sohbetinde satıcıyla teyit etmeden önceki bir işlemde satıcı tarafından size verilen hesaba ödemeyi göndermeyin.</strong>';

  @override
  String get trade250Sbno8722Sbpayment8722Sbinfo250Sbreceiving8722Sbparty => 'Ticaret ortağınıza sohbette ödeme ayrıntılarınızı bildirin.';

  @override
  String get trade250Sbpay => 'Aşağıda gösterilen ödeme ayrıntılarına göre ödeme yapın. Herhangi bir sorunuz varsa, sohbette satıcıya sorun.';

  @override
  String get trade250Sbpayment8722Sbdetails => 'ödeme detayları';

  @override
  String trade250Sbprice(Object price, Object currency, Object assetSymbol) {
    return 'Fiyat: $price $currency / $assetSymbol';
  }

  @override
  String get trade250Sbreceipt250Sbbtn => 'Makbuzu görüntüle';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbchat => 'sohbet mesajlarını dahil et';

  @override
  String get trade250Sbreceipt250Sbinclude8722Sbinfo => 'Ödeme yöntemi bilgilerini dahil et';

  @override
  String get trade250Sbreceipt250Sbtitle => 'Yazdırılabilir makbuzu görüntüleyin';

  @override
  String get trade250Sbrelease8722Sbmonero8722Sbbtn => 'Sonuçlandırmak';

  @override
  String get trade250Sbseller8722Sbcan8722Sbcancel => 'Alıcı, ödeme penceresi içinde ödemeyi tamamlayamadığından, artık <strong> işlemi iptal edebilirsiniz</strong>.';

  @override
  String get trade250Sbsettlement8722Sbfees8722Sbnotice => 'Alım satımın sonuçlandırılmasıyla ilgili ağ işlem ücretleri, alım satım tutarından düşülecektir, yani gösterilen miktardan biraz daha azını alacaksınız.';

  @override
  String trade250Sbstatus250Sbcancelled8722Sbtext(Object linebreak, Object time) {
    return 'Bu ticaret $linebreak  $time tarihinde iptal edildi.';
  }

  @override
  String get trade250Sbstatus250Sbcancelled8722Sbtitle => 'İptal edildi';

  @override
  String trade250Sbstatus250Sbclosed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Bu ticaret bir yönetici $linebreak  tarafından $time\'de kapatıldı.';
  }

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtext8722Sb1 => 'Ticaret ne sonuçlandırıldı ne de iptal edildi.';

  @override
  String get trade250Sbstatus250Sbclosed8722Sbtitle => 'Kapalı';

  @override
  String trade250Sbstatus250Sbcompleted8722Sbtext(Object linebreak, Object time) {
    return 'Bu ticaret $linebreak  $time\'de tamamlandı.';
  }

  @override
  String get trade250Sbstatus250Sbcompleted8722Sbtitle => 'Tamamlanmış';

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb0(Object linebreak, Object time) {
    return 'Bu takasa $linebreak  $time tarihinde itiraz edildi.';
  }

  @override
  String trade250Sbstatus250Sbdisputed8722Sbtext8722Sb1(Object appName) {
    return 'Lütfen bir $appName yöneticisinin sohbete katılmasını ve işlemin sonucuna karar vermesini bekleyin.';
  }

  @override
  String get trade250Sbstatus250Sbdisputed8722Sbtitle => 'tartışmalı';

  @override
  String get trade250Sbstatus250Sbescrowed => 'tahkim bonosu ile korunmaktadır';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb0 => 'Tahkim bağı koruması etkinleştirildi.';

  @override
  String trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb1(Object appName) {
    return 'İşlemi yalnızca alıcı ve $appName personeli iptal edebilir.';
  }

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtext8722Sb2 => 'Satıcı, ödeme penceresi süresi dolduğunda işlemi iptal edebilir';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbescrowed8722Sbtitle => 'Finanse edilmiş, tahkim bonosu ile korunan';

  @override
  String get trade250Sbstatus250Sbfunded8722Sbnot8722Sbescrowed8722Sbtitle => 'Finanse edilmiş, tahkim bonosu ile korunmamış';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaccordion8722Sbsummary => 'Ödeme detayları';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbaddress => 'Adres';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbarbitrated => 'Bir yönetici tarafından tahkim edildi';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbbuyer8722Sbtx250Sbtitle => 'Alıcının takas cüzdanına transfer';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbcheck8722Sbyour8722Sbwallet => 'Alıcı cüzdanınızı kontrol ettiğinizde işlemi göreceksiniz!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbguide8722Sblink => 'Cüzdanımı tohumdan nasıl geri yüklerim?';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbmnemonic8722Sbseed => 'Gözetim dışı cüzdanınız anımsatıcı tohum';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing => 'İşleme';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbdescription => 'Hesaplaşma işleniyor. <br /> Lütfen bekleyin, yapmanız gereken bir şey yok.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprocessing250Sbtime8722Sbestimation => 'Bu 10-60 dakika sürebilir.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbbuyer => 'Alıcının takas cüzdanına havale bekleniyor...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbawaiting8722Sbto8722Sbseller => 'Satıcının gözetim dışı cüzdanına aktarım bekleniyor...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbconfirming8722Sbto8722Sbseller => 'Satıcının gözetim dışı cüzdanına aktarım onaylanıyor...';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbbuyer => 'Tamamlandı! Alıcı cüzdanınızı kontrol ettiğinizde işlemi göreceksiniz!';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbdone250Sbseller => 'Tamamlandı! Alıcı şimdi işlemi alıcı cüzdanda görmelidir.';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbeta8722Sbminutes => 'dakika';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbexplorer8722Sbbtn => 'gezgini aç';

  @override
  String trade250Sbstatus250Sbsettlement250Sbprogress250Sbstepper250Sbtotal8722Sbeta(Object eta) {
    return 'Tahmini kalan süre: ≈ $eta dk';
  }

  @override
  String get trade250Sbstatus250Sbsettlement250Sbproof => 'Yerleşim kanıtı';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbseller8722Sbtx250Sbtitle => 'Satıcının gözetim dışı cüzdanına transfer';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbshow8722Sbproof => 'Ödeme kanıtını göster';

  @override
  String get trade250Sbstatus250Sbsettlement250Sbtx8722Sbkey => 'işlem anahtarı';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbescrowed => 'Finansmansız, tahkim bonosu ile korunuyor';

  @override
  String get trade250Sbstatus250Sbunfunded8722Sbnot8722Sbescrowed => 'Finansmansız, tahkim bonosu ile korunmayan';

  @override
  String get trade250Sbstep250Sbprocessing8722Sbsettlement => 'Hesaplaşma işleniyor, madeni paralar cüzdanınıza aktarılıyor. Lütfen bekleyin, yapmanız gereken bir şey yok.';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy(Object username, Object ad, Object time) {
    return '$username, $ad\'inize $time\'te yanıt verdi';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbad => 'yerel satın alma reklamı';

  @override
  String trade250Sbsubtitle8722Sblocal8722Sbbuy8722Sbseller(Object username, Object ad, Object time) {
    return '$username $ad\'e $time yanıt verdiniz';
  }

  @override
  String get trade250Sbsubtitle8722Sblocal8722Sbsell8722Sbbuyer => 'yerel satış reklamı';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbbuy8722Sbadvertisement => 'çevrimiçi satın alma reklamı';

  @override
  String get trade250Sbsubtitle8722Sbonline8722Sbsell8722Sbadvertisement => 'çevrimiçi satış reklamı';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb0 => 'Alıcının herhangi bir cihaza ihtiyacı yoktur - işlemin başarılı olduğunu doğrulama koduyla onaylayın';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb1 => 'Satıcı, bir akıllı telefon veya dizüstü bilgisayar kullanarak işlemi tamamlayabilir';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb2 => 'Kesinleşmiş işlem geri alınamaz';

  @override
  String get trade250Sbterms8722Sband8722Sbinfo8722Sbtext8722Sb5 => 'Lütfen çevrimiçi ödeme yöntemlerini kullanmayın! Bunun için çevrimiçi işlemleri kullanın';

  @override
  String trade250Sbterms8722Sband8722Sbinfo8722Sbtitle(Object appName) {
    return '$appName yerel nakit işlemleri şartları ve bilgileri';
  }

  @override
  String trade250Sbterms8722Sbtitle(Object username) {
    return '$username ile ticaret şartları';
  }

  @override
  String trade250Sbtitle8722Sbid(Object id) {
    return 'Ticaret Kimliği: $id';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return 'Nakit parayla $amountFiat $currency karşılığında $amountXmr $assetSymbol satın almak';
  }

  @override
  String trade250Sbtitle8722Sblocal8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency) {
    return '$amountXmr $assetSymbol\'i $amountFiat $currency karşılığında nakit olarak satmak';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbbuy(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return '$method kullanarak $amountFiat $currency için $amountXmr $assetSymbol satın alma';
  }

  @override
  String trade250Sbtitle8722Sbonline8722Sbsell(Object amountXmr, Object assetSymbol, Object amountFiat, Object currency, Object method) {
    return '$method kullanarak $amountFiat $currency için $amountXmr $assetSymbol satışı';
  }

  @override
  String get trade250Sbtitle250Sbbuying => 'Alış';

  @override
  String get trade250Sbtitle250Sbexpiry => 'Sözleşme uzunluğu:';

  @override
  String get trade250Sbtitle250Sbselling => 'Satış';

  @override
  String get trade250Sbupdate8722Sbfeedback8722Sbbtn => 'Geri bildirimi güncelle';

  @override
  String trade250Sbwarning250Sbimpersonation(Object appName) {
    return 'Personeli taklit etmeye çalışan dolandırıcılara dikkat edin! <br /> $appName yöneticileri size asla bir işlemi tamamlamanızı söylemez. <br /> Personel mesajlarının arka planı kırmızıdır.';
  }

  @override
  String get trades8722Sbtable250Sbstatus250Sbnot8722Sbpaid => 'Ödenmeyen';

  @override
  String get trades8722Sbtable250Sbstatus250Sbpaid => 'Paralı';

  @override
  String get try8722Sbagain => 'Tekrar deneyin';

  @override
  String get user250Sbaccount8722Sbcreated => 'Hesap oluşturuldu:';

  @override
  String user250Sbads250Sblocal8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return '$assetName\'i nakit olarak $user\'e sat';
  }

  @override
  String user250Sbads250Sblocal8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return '$user\'ten nakit parayla $assetName satın alın';
  }

  @override
  String user250Sbads250Sbonline8722Sbbuy8722Sbtitle(Object assetName, Object user) {
    return '$assetName\'i çevrimiçi olarak $user\'e satın';
  }

  @override
  String user250Sbads250Sbonline8722Sbsell8722Sbtitle(Object assetName, Object user) {
    return '$assetName\'i çevrimiçi olarak $user\'ten satın alın';
  }

  @override
  String user250Sbblock8722Sbbtn(Object username) {
    return '$username\'i Engelle';
  }

  @override
  String user250Sbblock8722Sbstatus(Object username) {
    return '$username\'i engelliyorsunuz';
  }

  @override
  String get user250Sbblock8722Sbstatus8722Sbdescription => 'Reklamlarınıza yanıt veremezler. Reklamları, arama sonuçlarınızdan gizlenir.';

  @override
  String get user250Sbblock250Sbwill8722Sbhide8722Sbads => 'Bir kullanıcıyı engellemek, reklamlarını arama sonuçlarınızdan gizler';

  @override
  String get user250Sbcache8722Sbdisclaimer => 'Saatte bir güncellenir';

  @override
  String user250Sbfeedback8722Sbmore(Object user) {
    return '$user hakkında daha fazla geri bildirim görün';
  }

  @override
  String get user250Sbfeedback8722Sbscore => 'Geribildirim Skoru:';

  @override
  String get user250Sbfeedback8722Sbtitle => 'Geri bildirim';

  @override
  String get user250Sbhave8722Sbtraded => 'Bu kullanıcıyla işlem yaptınız';

  @override
  String get user250Sbhavent8722Sbtraded => 'Henüz bu kullanıcıyla işlem yapmadınız';

  @override
  String get user250Sbinformation => 'Bilgi';

  @override
  String get user250Sblast8722Sbseen => 'Görülen';

  @override
  String get user250Sblast8722Sbseen250Sbjust8722Sbnow => 'Şu anda';

  @override
  String get user250Sbmedian8722Sbdays => 'günler';

  @override
  String get user250Sbmedian8722Sbhours => 'saat';

  @override
  String get user250Sbmedian8722Sbminutes => 'dakika';

  @override
  String get user250Sbmedian8722Sbnot8722Sbknown => 'Bilinmeyen';

  @override
  String get user250Sbmedian8722Sbseconds => 'saniye';

  @override
  String get user250Sbmedian8722Sbtitle => 'Tipik ticaretin sonuçlanma süresi:';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb1 => 'Geri bildirimin yansıtılması bir saat kadar sürer.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sb2 => 'Geribildirim yalnızca, aranızda işlem gören koinlerin toplam <strong>piyasa değeri</strong> (teklifte belirlenen fiyatla değil, CoinGecko fiyatıyla hesaplanan) 100 USD eşdeğerinden fazlaysa gösterilir.';

  @override
  String get user250Sbno8722Sbfeedback250Sbwhy250Sbtitle => 'Geri bildirimim nerede?';

  @override
  String get user250Sbnumber8722Sbof8722Sbpartners => 'Ticaret ortakları:';

  @override
  String get user250Sbnumber8722Sbof8722Sbtrades => 'İşlemler:';

  @override
  String get user250Sbthis8722Sbis8722Sbyou => 'Bu sensin';

  @override
  String user250Sbtrust8722Sbbtn(Object username) {
    return 'Güven $username';
  }

  @override
  String user250Sbtrust8722Sbstatus(Object username) {
    return '$username\'e güveniyorsunuz';
  }

  @override
  String get user250Sbtrust8722Sbstatus8722Sbdescription => 'Yalnızca güvenilir kullanıcılar için oluşturduğunuz reklamlara yanıt verebilecekler';

  @override
  String user250Sbunblock8722Sbbtn(Object username) {
    return '$username engellemesini kaldır';
  }

  @override
  String user250Sbuntrust8722Sbbtn(Object username) {
    return '$username\'e güvenme';
  }

  @override
  String user250Sbupdate8722Sbfeedback8722Sbtitle(Object username) {
    return '$username ile ilgili geri bildirimi güncelleyin';
  }

  @override
  String get validation250Sberror250Sbad8722Sbid => 'Geçersiz kimlik!';

  @override
  String get validation250Sberror250Sbattachment8722Sbid => 'Geçersiz ek kimliği';

  @override
  String get validation250Sberror250Sbcountry8722Sbcode => 'Geçersiz ülke kodu!';

  @override
  String get validation250Sberror250Sbiso86018722Sbtimestamp => 'ISO 8601 biçiminde geçerli bir UTC tarihi olmalıdır: https://en.wikipedia.org/wiki/ISO_8601';

  @override
  String get validation250Sberror250Sbnotification8722Sbid => 'geçersiz bildirim kimliği';

  @override
  String get validation250Sberror250Sbpage => 'Sayfa bir sayı olmalıdır';

  @override
  String get validation250Sberror250Sbtrade8722Sbid => 'Geçersiz ticari kimlik';

  @override
  String get verify8722Sbemail250Sberror => 'E-posta doğrulamasında bir hata oluştu';

  @override
  String get verify8722Sbemail250Sbsuccess => 'E-posta başarıyla doğrulandı!';

  @override
  String get wallet250Sbclipboard8722Sbvirus8722Sbwarning => '<strong> Yapıştırdığınız adresin kopyaladığınız adresle aynı olduğundan emin olun! </strong> Panoya kopyalanan adresi saldırganın adresi</a> ile değiştiren <a style=\"text-decoration:underline;font-size:inherit;color:inherit\" href=\"https://reddit.com/r/Monero/comments/mcvuxc/beware_crypto_stealing_malware/\" target=\"_blank\">kötü amaçlı yazılım tarafından bazı kullanıcıların paraları çalındı.';

  @override
  String get wallet250Sbdownload8722Sbcsv8722Sbbtn => 'CSV\'yi indir';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh => 'Yüksek';

  @override
  String get wallet250Sbfee250Sbbtc250Sbhigh250Sblabel => 'Birkaç blok içinde onaylanacağı tahmin edilen yüksek ücret';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow => 'Düşük';

  @override
  String get wallet250Sbfee250Sbbtc250Sblow250Sblabel => 'Bir hafta içinde onaylanacağı tahmin edilen düşük ücret';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium => 'Orta';

  @override
  String get wallet250Sbfee250Sbbtc250Sbmedium250Sblabel => 'Bir gün içinde onaylanacağı tahmin edilen orta ücret';

  @override
  String get wallet250Sbfee250Sbbtc250Sbradio8722Sbtitle => 'ücret seviyesini seçin';

  @override
  String get wallet250Sbfee250Sbxmr250Sblow => 'Düşük';

  @override
  String get wallet250Sbfee250Sbxmr250Sbstandard => 'Standart';

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbblock(Object blockHeight) {
    return 'Fonların kilidi $blockHeight bloğunda açılacak';
  }

  @override
  String wallet250Sbfunds8722Sbunlock8722Sbtime8722Sbtime(Object time) {
    return 'Fonların kilidi $time tarihinde açılacak';
  }

  @override
  String get wallet250Sbfunds8722Sbunlocked => 'kilidi açıldı';

  @override
  String get wallet250Sbinternal8722Sbtransfer => 'İç transfer';

  @override
  String get wallet250Sbnojs250Sbsend250Sbsend8722Sbbalance8722Sbbtn => 'Tüm bakiyeyi gönder';

  @override
  String get wallet250Sbpassword8722Sbtip => 'Devam etmek için lütfen mevcut şifrenizi girin. 8-72 karakter.';

  @override
  String wallet250Sbpriority250Sbfee(Object amount, Object asset) {
    return 'ücret: $amount $asset';
  }

  @override
  String get wallet250Sbpriority250Sblow => 'Düşük';

  @override
  String get wallet250Sbpriority250Sbstandard => 'Standart';

  @override
  String wallet250Sbreceive250Sbaddress(Object assetName) {
    return 'Para yatırma $assetName adresiniz:';
  }

  @override
  String get wallet250Sbreceive250Sbcopied => 'Panoya kopyalandı!';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbamount => 'Tutar';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbconfirmations => 'Onaylar:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbdate => 'Tarih:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbid => 'İşlem Kimliği:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus => 'Kilitli durum:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sblocked8722Sbstatus8722Sbunlocked => 'kilidi açıldı';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbnote => 'Not:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus => 'Durum:';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbstatus8722Sbpending => 'Askıda olması';

  @override
  String get wallet250Sbreceive250Sbdetails8722Sbdialog250Sbtitle => 'Para yatırma detayları';

  @override
  String wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbamount(Object assetSymbol) {
    return 'Miktar $assetSymbol';
  }

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sblong => 'Onaylar';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbconfirmations8722Sbshort => 'Konf.';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdate => 'Tarih';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbdetails8722Sbbtn => 'Detaylar';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtable250Sbstatus => 'Durum';

  @override
  String get wallet250Sbreceive250Sbincoming8722Sbdeposits8722Sbtitle => 'Gelen mevduatlar';

  @override
  String get wallet250Sbreceive250Sbno8722Sbincoming => 'Bekleyen mevduatlarınız burada gösterilecek';

  @override
  String wallet250Sbreceive250Sbqr(Object appName, Object assetSymbol) {
    return '$appName $assetSymbol adresinizin QR gösterimi';
  }

  @override
  String wallet250Sbreceive250Sbtitle(Object assetName) {
    return '$assetName al';
  }

  @override
  String get wallet250Sbselect8722Sball8722Sbbalance => 'Mevcut tüm bakiye';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived(Object assetName) {
    return '$assetName cinsinden alınan miktar';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip(Object assetName) {
    return 'Bu, alıcı $assetName adresinden alınacak $assetName miktarıdır.';
  }

  @override
  String get wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbreceived8722Sbtip250Sbfee8722Sbon8722Sbtop => 'Bu tutarın üzerine şebeke işlem ücreti eklenecektir.';

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn(Object assetName) {
    return '$assetName içinde düşülecek tutar';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip(Object assetSymbol, Object appName, Object assetName) {
    return 'Bu, $assetName işlem ağı ücreti dahil $appName $assetName cüzdanınızdan düşülecek tahmini $assetSymbol miktarıdır.';
  }

  @override
  String wallet250Sbsend250Sbamount8722Sbto8722Sbbe8722Sbwithdrawn8722Sbtip250Sbonly8722Sbfor8722Sbexternal(Object assetName, Object appName) {
    return 'Yalnızca harici bir $assetName cüzdanına gönderilen işlemler için geçerlidir. $appName cüzdanları arasındaki dahili işlemler tamamen ücretsizdir.';
  }

  @override
  String wallet250Sbsend250Sbavailable8722Sbbalance(Object amount, Object assetSymbol) {
    return '$amount $assetSymbol\'e kadar gönderebilirsiniz';
  }

  @override
  String get wallet250Sbsend250Sbcontinue8722Sbbtn => 'Devam et';

  @override
  String get wallet250Sbsend250Sbdialog250Sbconfirm8722Sbtitle => 'Tahkim teminatının geri çekilmesini onaylayın';

  @override
  String wallet250Sbsend250Sblocal8722Sbwallet(Object appName) {
    return '$appName cüzdan adresi';
  }

  @override
  String get wallet250Sbsend250Sbpriority250Sbfaq8722Sblink => 'Bu nedir?';

  @override
  String get wallet250Sbsend250Sbpriority250Sbtitle => 'İşlem önceliğini seçin';

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress(Object assetName) {
    return '$assetName adresi alınıyor';
  }

  @override
  String wallet250Sbsend250Sbreceiving8722Sbaddress8722Sbtip(Object assetName) {
    return 'Yalnızca geçerli $assetName adresleri kabul edilir';
  }

  @override
  String wallet250Sbsend250Sbsend8722Sbbtn(Object assetName) {
    return '$assetName gönder';
  }

  @override
  String get wallet250Sbsend250Sbsuccess => 'Başarı!';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb0 => 'Monero işlemlerinin gönderilmesi normalde yaklaşık 30 ila 60 dakika sürer, bazen ağ yavaşsa birkaç saat sürebilir.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb057Sbagoradesk => 'Kripto para işlemlerinin gönderilmesi normalde yaklaşık 30 ila 60 dakika sürer, bazen ağ yavaşsa birkaç saat sürebilir.';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtext8722Sb1 => 'Bazen neden daha uzun sürdüğünü görün';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle => 'Bir Monero İşlemi Ne Kadar Sürer?';

  @override
  String get wallet250Sbsend250Sbtip8722Sb08722Sbtitle57Sbagoradesk => 'Bir Kripto Para İşlemi Ne Kadar Sürer?';

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext(Object appName) {
    return '$appName cüzdanı bir web cüzdanıdır - giden Monero adresleri hesabınıza bağlı değildir. Bir satıcıdan geri ödeme talep ediyorsanız, lütfen geri ödemeyi alıcı adresinize göndermelerini isteyin.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb18722Sbtext57Sbagoradesk(Object appName) {
    return '$appName cüzdanı bir web cüzdanıdır - giden kripto para birimi adresleri, hesabınıza bağlı değildir. Bir satıcıdan geri ödeme talep ediyorsanız, lütfen geri ödemeyi alıcı adresinize göndermelerini isteyin.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle => 'Monero İadeleri ve Ödemeler';

  @override
  String get wallet250Sbsend250Sbtip8722Sb18722Sbtitle57Sbagoradesk => 'Kripto Para İadeleri ve Ödemeler';

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext(Object appName) {
    return '$appName cüzdanından gönderirken, bir Monero ağ ücreti ayrılır ve bakiyenizden düşülür. Diğer $appName kullanıcılarının cüzdanlarıyla yapılan işlemler ücretsizdir.';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee(Object assetName) {
    return 'Geçerli giden $assetName ağ ücretleri';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext8722Sbfee8722Sbrates(Object assetName) {
    return 'Geçerli giden $assetName ağ ücreti oranları';
  }

  @override
  String wallet250Sbsend250Sbtip8722Sb28722Sbtext57Sbagoradesk(Object appName) {
    return '$appName cüzdanından gönderirken, bir ağ ücreti ayrılır ve bakiyenizden düşülür. Diğer $appName kullanıcılarının cüzdanlarıyla yapılan işlemler ücretsizdir.';
  }

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle => 'Giden Monero Ücretleri';

  @override
  String get wallet250Sbsend250Sbtip8722Sb28722Sbtitle57Sbagoradesk => 'Giden Kripto Para Birimi Ücretleri';

  @override
  String wallet250Sbsend250Sbtitle(Object assetName) {
    return '$assetName gönder';
  }

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbdeposit => 'Başka bir para birimi yatırmak istiyorum';

  @override
  String get wallet250Sbswap250Sbcheckbox250Sbwithdraw => 'Başka bir para birimi almak istiyorum';

  @override
  String wallet250Sbswap250Sbconfirmation250Sbtitle(Object partner) {
    return '$partner işleminiz';
  }

  @override
  String wallet250Sbswap250Sbconnection8722Sberror(Object partner) {
    return '$partner\'e bağlanırken bir şeyler ters gitti, lütfen daha sonra tekrar deneyin.';
  }

  @override
  String wallet250Sbswap250Sbcontinue8722Sbon(Object partner) {
    return '$partner üzerinde devam edin';
  }

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbdeposit => 'Ben göndermek istiyorum...';

  @override
  String get wallet250Sbswap250Sbcurrencies250Sbwithdrawal => 'almak istiyorum...';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress => 'bu adrese:';

  @override
  String wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbhelper(Object partner, Object asset, Object appName) {
    return 'İşleminizi aldıktan sonra $partner, $asset\'i $appName cüzdanınıza gönderecek';
  }

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbsend => 'Göndermek';

  @override
  String get wallet250Sbswap250Sbdeposit250Sbconfirmation250Sbaddress250Sbto8722Sbthis => ' bu adrese:';

  @override
  String wallet250Sbswap250Sbdeposits250Sbhelper(Object asset) {
    return '$asset ağı tarafından onaylandıktan sonra işlemi alan cüzdanda göreceksiniz (≈10-60 dakika)';
  }

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbmaxAmount => 'Maksimum para yatırma tutarı';

  @override
  String get wallet250Sbswap250Sblimits250Sbdeposit250SbminAmount => 'Minimum para yatırma tutarı';

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbnojs8722Sbdescription(Object asset, Object currencyCode) {
    return 'Değişimi ne kadar $asset göndermek istediğinize göre mi yoksa ne kadar $currencyCode almak istediğinize göre hesaplamak isteyip istemediğinizi seçin. Sizin için en iyi teklifleri bulmak için kullanacağız.';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbreceive(Object currencyCode) {
    return '{assetName} al';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount8722Sbtype8722Sbselector250Sbsend(Object asset) {
    return '{assetName} gönder';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbreceive(Object currencyCode) {
    return 'Almak istediğiniz $currencyCode miktarı';
  }

  @override
  String wallet250Sbswap250Sbnative250Sbamount250Sbdescription250Sbamount8722Sbtype8722Sbsend(Object asset) {
    return 'Göndermek istediğiniz $asset miktarı';
  }

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbinvalid8722Sbamount => 'geçersiz miktar';

  @override
  String get wallet250Sbswap250Sbnative250Sberror250Sbno8722Sboffers => 'Uygun teklif bulamadık... miktarı ayarlamayı deneyin.';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbtitle => 'Bir teklif seçin';

  @override
  String get wallet250Sbswap250Sbnative250Sboffers250Sbview8722Sbad8722Sbbutton => 'reklamı görüntüle';

  @override
  String get wallet250Sbswap250Sbnative250Sbtrade8722Sbbutton => 'Ticaret';

  @override
  String wallet250Sbswap250Sbpowered8722Sbby(Object partner) {
    return '$partner tarafından desteklenmektedir';
  }

  @override
  String wallet250Sbswap250Sbprovide8722Sbemail(Object partner) {
    return '$partner\'e iletişim e-postamı ver';
  }

  @override
  String get wallet250Sbswap250Sbsave8722Sblink => 'Bu bağlantıyı kaydettiğinizden emin olun, ticareti takip etmenin tek yolu bu!';

  @override
  String get wallet250Sbswap250Sbsend8722Sbbtn => 'Paraları gönderin!';

  @override
  String get wallet250Sbswap250Sbstatus250Sbavailable => 'Durum: mevcut';

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal(Object asset) {
    return 'Tahmini gönderilen $asset';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbasset8722Sbinput250Sbwithdrawal250Sbhelper(Object asset, Object appName, Object assetName, Object currency) {
    return '$assetName işlem ağı ücreti dahil yukarıdaki $currency miktarını almak için $appName $assetName cüzdanınızdan düşülecek tahmini $asset miktarı. Ağ ücreti dalgalanmaları nedeniyle biraz değişebilir.';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbdeposit(Object currency) {
    return 'Ne kadar $currency göndermek istiyorsunuz?';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal(Object currency) {
    return 'Tahmini alınan $currency';
  }

  @override
  String wallet250Sbswap250Sbswap8722Sbcurrency8722Sbinput250Sbwithdrawal250Sbhelper(Object currency, Object partner) {
    return 'Alacağınız tahmini $currency miktarı. Değiştirmek için aşağıdaki girişi kullanın. $partner döviz kuru dalgalanmaları nedeniyle biraz değişebilir.';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbhelper(Object time, Object partner, Object currency) {
    return 'Rahatlayın, $time dakika bekleyin, $partner size $currency\'i gönderecek';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle(Object asset, Object partner) {
    return ' $asset\'i $partner\'e gönderdik';
  }

  @override
  String wallet250Sbswap250Sbwithdrawal250Sbsuccess250Sbtitle250Sball8722Sbset(Object partner) {
    return '$partner ticareti için her şey hazır!';
  }

  @override
  String wallet250Sbtab250Sbreceive8722Sblong(Object assetName) {
    return '$assetName al';
  }

  @override
  String get wallet250Sbtab250Sbreceive8722Sbshort => 'Almak';

  @override
  String wallet250Sbtab250Sbsend8722Sblong(Object assetName) {
    return '$assetName gönder';
  }

  @override
  String get wallet250Sbtab250Sbsend8722Sbshort => 'Göndermek';

  @override
  String get wallet250Sbtab250Sbtx8722Sblong => 'İşlemler';

  @override
  String get wallet250Sbtab250Sbtx8722Sbshort => 'txs';

  @override
  String get wallet250Sbtitle => 'Cüzdan';

  @override
  String get wallet250Sbtx250Sbaffiliate => 'Ortaklık programı komisyon ödemesi';

  @override
  String wallet250Sbtx250Sbfee(Object assetName) {
    return '$assetName ağ işlem ücreti.';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbtrade(Object id) {
    return 'Ticaretten alındı $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbreceive8722Sbuser(Object username) {
    return '$username kullanıcısından alındı';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbtrade(Object id) {
    return 'Ticarete gönderildi $id';
  }

  @override
  String wallet250Sbtx250Sbinternal8722Sbsend8722Sbuser(Object username) {
    return '$username kullanıcısına gönderildi';
  }

  @override
  String get wallet250Sbtx250Sbpending8722Sbsend => 'bekleyen gönderme';

  @override
  String wallet250Sbtx250Sbrebate(Object code) {
    return 'Ücret iadesi. Kupon kodu: $code.';
  }

  @override
  String wallet250Sbtx250Sbreceive(Object assetName) {
    return 'Alınan. $assetName ağ işlem kimliği:';
  }

  @override
  String wallet250Sbtx250Sbreserve(Object assetName, Object id) {
    return '$assetName ticaret rezervi $id';
  }

  @override
  String wallet250Sbtx250Sbreserve8722Sbreturn(Object assetName, Object id) {
    return '$assetName ticaretten rezerv getirisi $id';
  }

  @override
  String get wallet250Sbtx250Sbsend => 'A gönderildi';

  @override
  String wallet250Sbtx250Sbsend8722Sbid(Object assetName) {
    return '$assetName ağ işlem kimliği:';
  }

  @override
  String get wallet250Sbtxs250Sbdetails8722Sbdialog250Sbtitle => 'Ödeme detayları';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails => 'Detaylar';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbdetails250Sbplaceholder => 'Tx ID, adres, ticari ID, kullanıcı adı vb.';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbfrom => 'İtibaren';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtitle => 'İşlemleri filtrele';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbto => 'İle';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype => 'Tip';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbaffiliate => 'bağlı kuruluş komisyonu';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sball => 'Her türlü';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbcoupon => 'Kupon indirimi';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbfee => 'Ağ ücreti';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbreceive => 'Dahili alma';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbinternal8722Sbsend => 'Dahili gönderme';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbpending => 'bekleyen gönderme';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreceive => 'Almak';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve => 'Ticaret rezervi';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbreserve8722Sbreturn => 'Ticaret rezervi dönüşü';

  @override
  String get wallet250Sbtxs250Sbfilter250Sbtype250Sbsend => 'Göndermek';

  @override
  String wallet250Sbtxs250Sbtable250Sbamount(Object assetSymbol) {
    return 'Miktar $assetSymbol';
  }

  @override
  String get wallet250Sbtxs250Sbtable250Sbdate => 'Tarih';

  @override
  String get wallet250Sbtxs250Sbtable250Sbdescription => 'Tanım';

  @override
  String wallet250Sbtxs250Sbtable250Sbreceived(Object assetSymbol) {
    return '$assetSymbol alındı';
  }

  @override
  String wallet250Sbtxs250Sbtable250Sbsent(Object assetSymbol) {
    return '$assetSymbol gönderildi';
  }

  @override
  String wallet250Sbtxs250Sbtip8722Sbtext(Object latestVersion, Object assetName) {
    return 'Açıklamada blockchain gezginine bağlantı içeren bir işlem kimliği görüyorsanız, işleminiz başarıyla yayınlandı demektir. Lütfen cüzdanınızın tamamen senkronize olduğundan ve $assetName cüzdanının $latestVersion\'ini kullandığınızdan emin olun.';
  }

  @override
  String get wallet250Sbtxs250Sbtip8722Sbtext8722Sblatest8722Sbversion => 'En son sürüm';

  @override
  String wallet250Sbtxs250Sbtip8722Sbtitle(Object appName) {
    return 'İpucu: $appName\'ten para çektiniz ve cüzdanınızda görmüyor musunuz?';
  }

  @override
  String get wallet250Sbtxs250Sbtitle => 'Cüzdan işlemleri';

  @override
  String wallet250Sbupdate8722Sbsoft8722Sbwarn(Object update) {
    return 'Monero yazılımının yeni versiyonu çıktı! Cüzdan yazılımınızı $update yapmayı unutmayın, aksi takdirde işlem gönderip alamazsınız.';
  }

  @override
  String get wallet250Sbupdate8722Sbsoft8722Sbwarn8722Sbupdate => 'Güncelleme';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sband8722Sbfee8722Sbnext => 'Tutarı ve ücret seviyesini bir sonraki adımda seçeceksiniz';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbnext => 'Miktarı bir sonraki adımda seçeceksiniz';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sblabel => 'Almak';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbreceive250Sbsecondary8722Sblabel => 'Alınacak tutarı girin (ücretsiz)';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sblabel => 'Göndermek';

  @override
  String get wallet250Sbwithdraw250Sbamount8722Sbtype250Sbsend250Sbsecondary8722Sblabel => 'Düşülecek tutarı girin (ücretli)';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sblabel => 'Ücretsiz yükseltme';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbfree8722Sbupgrade8722Sbtooltip => 'Para çekme işlemlerini toplu olarak yapma şeklimiz nedeniyle, para çekme işleminizi daha yüksek bir ücret oranıyla göndermek aslında daha ucuzdur. Zevk almak!';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees => 'Ağ ücretleri';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbhigh => 'Hızlı';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sblow => 'Yavaş';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbnetwork8722Sbfees250Sbmedium => 'Orta';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbsend8722Sbmax => 'Maksimum gönder';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbamount => 'Tutar';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbrecipient => 'alıcı';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation8722Sbdialog250Sbstepper250Sbsummary => 'Özet';

  @override
  String get wallet250Sbwithdraw250Sbconfirmation250Sbwallet8722Sbowner => 'Para çekme işlemini onaylayarak, çekmekte olduğunuz cüzdanın size ait olduğunu da onaylamış olursunuz.';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbnew8722Sbfee => 'Yeni para çekme ücreti';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbold8722Sbfee => 'Eski para çekme ücreti';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbreceive8722Sbamount => 'Alma tutarı';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbsend8722Sbamount => 'Düşülecek tutar';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbdecreased => 'Para çekme ücreti düşürüldü';

  @override
  String get wallet250Sbwithdraw250Sbfee8722Sbchange8722Sbdialog250Sbtitle8722Sbincreased => 'Para çekme ücreti arttı';

  @override
  String get wallet250Sbwithdraw250Sbnojs250Sbchange8722Sbaddress8722Sbbtn => 'Adres değiştir';

  @override
  String wallet250Sbwithdrawal250Sbamount8722Sbinput250Sblabel(Object asset) {
    return 'Tutar ({assetSymbol})';
  }

  @override
  String wallet250Sbwithdrawal250Sbconfirmation250Sbfee(Object fee, Object currency) {
    return '+ ağ ücreti (≈ $fee $currency)';
  }

  @override
  String get wallet250Sbwithdrawal250Sberror250Sbtoo8722Sbsmall => 'Para çekme için talep edilen tutar, mümkün olan minimum miktardan daha azdır.';

  @override
  String get wallet250Sbwithdrawal250Sbnetwork8722Sbfee => 'Ağ ücreti';

  @override
  String get warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb0 => '<strong>NOT:</strong> Bu ödeme yöntemi, <strong>yüksek riskli</strong>, çünkü <strong>geri çevrilebilir</strong> ve bu nedenle dolandırıcılar tarafından sıklıkla kullanılıyor.';

  @override
  String warn250Sbhigh8722Sbrisk8722Sbmethod8722Sb1(Object method, Object linebreak) {
    return 'Gerekli özeni gösterseniz ve yalnızca saygın kullanıcılarla ticaret yapsanız bile, bir $method ihtilaf durumuna düşmeyeceğinizi garanti edemezsiniz. İşte şansınızı artırmak için yapabileceğiniz bir şey: $linebreak  1. Kullanıcıdan 2 fotoğraflı kimlik taraması isteyin (yani pasaport ve ehliyet), $method hesap adının kimlikle eşleştiğinden emin olun. $linebreak  2. Kullanıcıdan size $method e-posta hesabından bir e-posta göndermesini söyleyin (hatta e-postaya Ticaret Kimliği ve ticaretle ilgili bir şeyler eklemelerini bile söyleyin).$linebreak  3. Şunlar için çok yüksek primler alın: $method işlemleri. Örneğin, %25 ve üstü. Bu şekilde, $method işlemlerinizin 5\'te 1\'i dolandırıcılık ise (eşit işlem tutarları verildiğinde) korunursunuz. $linebreak  4. Yüksek ticaret miktarlarına karşı dikkatli olun. Önce bir tüccarla daha düşük miktarda işlem yapmaya çalışın. $linebreak ';
  }

  @override
  String get warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb0 => 'Bu reklam, belirttiğiniz minimum tutar mevcut maksimum tutardan düşük olduğu için gizlenmiştir.';

  @override
  String warning250Sbmin8722Sbamount8722Sbless8722Sbthan8722Sbbalance8722Sb1(Object assetName) {
    return 'Bu tüccar tatilde veya $assetName müsait değil. Lütfen daha sonra tekrar kontrol edin veya diğer tekliflere bakın.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance(Object asset, Object minRequiredbalance, Object amountXmr, Object localmoneroWallet) {
    return 'Tahkim bonosu cüzdan bakiyeniz $minRequiredbalance\'ten düşük olduğu için tüm satış $asset reklamlarınız genel aramadan gizlendi. Satış ilanlarınızın görünür hale gelmesi için lütfen tahkim teminatınıza $localmoneroWallet en az $amountXmr yatırın.';
  }

  @override
  String warning250Sbnot8722Sbenough8722Sbbalance8722Sblocalmonero8722Sbwallet(Object appName) {
    return '$appName cüzdan';
  }

  @override
  String get web8722Sbnotification250Sbmessage => 'Yeni bir mesajınız var.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcancelled => 'Bir ticaret iptal edildi.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbcomplete => 'Bir ticaret tamamlandı.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbdisputed => 'İşlemlerinizden birine itiraz edildi.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbpayment8722Sbmarked8722Sbcomplete => 'Ödeme tamamlandı olarak işaretlendi.';

  @override
  String get web8722Sbnotification250Sbtrade8722Sbrequest => 'Yeni bir ticaret teklifiniz var.';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbattach8722Sbcode8722Sbcheckbox => 'Bağlı kuruluş tavsiye kodumu widget\'a ekle';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sblogged8722Sbout => 'Widget\'a bağlı kuruluş tavsiye kodu eklemek için oturum açın';

  @override
  String get widget8722Sbinstructions250Sbaffiliate8722Sbnot8722Sbenabled => 'Widget\'a tavsiye kodu eklemek için bağlı kuruluş programını etkinleştirin';

  @override
  String widget8722Sbinstructions250Sbinstructions(Object assetName) {
    return 'Kendi web siteniz için bir $assetName sokak fiyatı widget\'ı almak üzere aşağıdan istediğiniz para birimini seçin ve aşağıdaki kodu kendi web sayfanıza yapıştırın:';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbaffiliate(Object assetName) {
    return '$assetName Sokak Fiyatı Widget\'ı (bağlı kuruluş kodunuzla birlikte)';
  }

  @override
  String widget8722Sbinstructions250Sbtitle8722Sbno8722Sbaffiliate(Object assetName) {
    return '$assetName Sokak Fiyatı Widget\'ı';
  }

  @override
  String get ads => 'reklamlar';

  @override
  String get unknown_error => 'Bilinmeyen hata';

  @override
  String get ads_choose_ad_type => 'reklam türü seçin';

  @override
  String get ads_ad_type => 'reklam türü';

  @override
  String get ads_choose_ad_cryptocurrency => 'Kripto para birimini seçin';

  @override
  String get ads_choose_price_type => 'Fiyat türünü seçin';

  @override
  String get ads_which_type_to_choose => 'Hangi tip seçilir?';

  @override
  String get enter_margin => 'Kenar boşluğunu girin';

  @override
  String get what_is_margin => 'Marj nedir?';

  @override
  String get price_formula_examples => 'Fiyat formülü örnekleri';

  @override
  String get see_examples => 'Örneklere bakın';

  @override
  String get see_example => 'Örneğe bakın';

  @override
  String get final_price_in => 'son fiyat';

  @override
  String get show_formula_controls => 'Formül denetimlerini göster';

  @override
  String get market_rates => 'Piyasa Oranları';

  @override
  String get set_trade_limits => 'Ticaret limitlerini belirleyin (isteğe bağlı):';

  @override
  String get restrict_limit_amounts_to => 'Sınır tutarlarını şu kadarla sınırla:';

  @override
  String get restrict_limit_amounts => 'Limit miktarlarını kısıtla';

  @override
  String get what_does_it_mean => 'Bunun anlamı ne?';

  @override
  String ads_enter_amount(Object currency) {
    return 'Tutarı girin $currency';
  }

  @override
  String ads_enter_comma_sep_amounts(Object currency) {
    return 'Virgülle ayrılmış tutarları girin $currency';
  }

  @override
  String ads_first_trade_max_limit(Object currency) {
    return 'İlk ticaret maksimum limiti $currency';
  }

  @override
  String get ads_specify_trade_details => 'Ticaret ayrıntılarını belirtin (isteğe bağlı):';

  @override
  String get ads_payment_method_details => 'Ödeme yöntemi ayrıntıları';

  @override
  String get ads_payment_method_details_64 => 'İlan listesinde gösteriliyor. Maksimum 64 karakter.';

  @override
  String get ads_maximum_64 => 'Maksimum 64 karakter';

  @override
  String get ads_payment_method_info_trade => 'Ödeme yöntemi bilgisi';

  @override
  String get ads_payment_method_info_trade_4096 => 'Ticaret sırasında gösterilir. Maksimum 4096 karakter.';

  @override
  String get ads_specify_restrictions => 'Kısıtlamaları belirtin (isteğe bağlı):';

  @override
  String get maximum_4096 => 'Maksimum 4096 karakter';

  @override
  String get enter_number_0_100 => '0 ile 100 arasında bir sayı girin';

  @override
  String get enter_number_15_90 => '15-90 arasında bir sayı girin';

  @override
  String get enter_amount_min_0 => 'Miktarı girin (en az 0)';

  @override
  String get currency => 'Para birimi:';

  @override
  String get payment_method => 'Ödeme şekli:';

  @override
  String get restrict_amounts_to => 'Miktarları şu şekilde kısıtla:';

  @override
  String get payment_method_details => 'Ödeme yöntemi ayrıntıları:';

  @override
  String get review => 'Gözden geçirmek';

  @override
  String get publish => 'Yayınla';

  @override
  String get enter_your_settlement_wallet_address => 'Yerleşim cüzdanı adresinizi girin:';

  @override
  String ads_enter_verify_address(Object appName) {
    return 'Madeni paraların gönderileceği adresinizi girin ve doğrulayın. Dahili bir $appName adresi olamaz.';
  }

  @override
  String get what_is_settlement_fee_level => 'Uzlaşma ücreti düzeyi nedir?';

  @override
  String get settlement_fee_level_selector_explanation => 'Bu seçici, işlemi cüzdanınıza gönderirken hangi ağ ücreti seviyesinin kullanılacağını seçmenize olanak tanır. Hangi ücret düzeyini istediğinizden emin değilseniz orta ücreti seçin.';

  @override
  String get ads_payment_window => 'Ödeme penceresi süresi (dakika)';

  @override
  String get ads_payment_window_short => 'Ödeme penceresi';

  @override
  String get ads_havent_posted => 'Henüz hiç reklam yayınlamadınız.';

  @override
  String get no_trades => 'Henüz işleminiz yok.';

  @override
  String get no_feedbacks => 'Geri bildirim yok.';

  @override
  String get ad_settings => 'reklam ayarları';

  @override
  String get settings_saved => 'Ayarlar kaydedildi';

  @override
  String get preferences => 'Tercihler';

  @override
  String get about_this_ad => 'Bu ilan hakkında';

  @override
  String get price => 'Fiyat';

  @override
  String get activity => 'Aktivite';

  @override
  String get chat => 'Sohbet';

  @override
  String get market => 'Pazar';

  @override
  String get help => 'Yardım';

  @override
  String sell_asset(Object asset) {
    return '$asset Sat';
  }

  @override
  String buy_asset(Object asset) {
    return '$asset satın al';
  }

  @override
  String get trader_profile => 'tüccarın profili';

  @override
  String get trader_info => 'Tüccar bilgisi';

  @override
  String get trading_tips => 'Ticaret İpuçları';

  @override
  String get clear_all => 'Hepsini temizle';

  @override
  String get apply => 'Uygulamak';

  @override
  String get enter_amount => 'Miktarı girin';

  @override
  String get any_payment_method => 'Herhangi Bir Ödeme Yöntemi';

  @override
  String get see_more_feedback => 'Daha fazla geri bildirim görün';

  @override
  String get see_more_ads => 'Daha fazla reklam görün';

  @override
  String feedback_title(Object user) {
    return '$user hakkında geri bildirim';
  }

  @override
  String get active_ads => 'Aktif reklamlar';

  @override
  String get you_sell => 'sen sat';

  @override
  String get you_buy => 'sen satın al';

  @override
  String get you_receive => 'Aldığınız';

  @override
  String get you_pay => 'Öde';

  @override
  String get export_csv => 'CSV\'yi dışa aktar';

  @override
  String get copy => 'Kopyala';

  @override
  String sell_via(Object asset, Object provider) {
    return '$asset\'i $provider üzerinden sat';
  }

  @override
  String buy_via(Object asset, Object provider) {
    return '$provider aracılığıyla $asset satın alın';
  }

  @override
  String sell_to(Object user) {
    return '$user\'e sat';
  }

  @override
  String buy_from(Object user) {
    return '$user\'ten satın alın';
  }

  @override
  String must_be_at_least(Object num, Object currency) {
    return 'En az $num $currency olmalıdır';
  }

  @override
  String must_be_less(Object num, Object currency) {
    return 'Daha az olmalı $num $currency';
  }

  @override
  String send_all(Object asset) {
    return 'Hepsini gönder $asset';
  }

  @override
  String about_transactions(Object asset) {
    return '$asset işlemleri hakkında';
  }

  @override
  String get trade_id => 'Ticaret Kimliği';

  @override
  String get view_trade => 'Ticareti görüntüle';

  @override
  String get receiving => 'alma';

  @override
  String get paying => 'ödeme';

  @override
  String get rate => 'Oran';

  @override
  String get enter_your_password => 'Şifrenizi girin';

  @override
  String get good_seller => 'İyi satıcı';

  @override
  String get cancel => 'İptal';

  @override
  String get delete => 'Silmek';

  @override
  String get important => 'Önemli';

  @override
  String get feedback_updated_successfully => 'Geri bildirim başarıyla güncellendi.';

  @override
  String get pay => 'Ödemek';

  @override
  String get send_trade_request => 'ticaret isteği gönder';

  @override
  String get start_trading => 'Ticarete başlamak';

  @override
  String get api_error_13 => 'İstekte bir şeyler ters gitti. Büyük olasılıkla bir doğrulama sorunudur. İstek parametrelerinizi kontrol edin ve bu hala doğru görünmüyorsa, lütfen desteğimizle iletişime geçin.';

  @override
  String get api_error_49 => 'Parola değiştirme isteğinde sağlanan eski parola, mevcut parolayla eşleşmiyor';

  @override
  String get api_error_60 => 'E-postayı değiştirmek için sağlanan şifre yanlış';

  @override
  String get api_error_61 => 'Bu e-posta zaten başka bir hesaba bağlı';

  @override
  String get api_error_73 => 'Para çekme talebi sırasında verilen şifre yanlış';

  @override
  String get api_error_74 => 'Talep edilen tutarda para çekme işlemini gerçekleştirmek için yeterli bakiye yok';

  @override
  String get api_error_75 => 'Mevcut olmayan bir dahili adrese para çekmeye çalışmak';

  @override
  String get api_error_76 => 'Para çekme talebinde bulunan hesapla aynı hesaba para çekmeye çalışmak';

  @override
  String get api_error_77 => 'Talep edilen tutar için dahili transfer gerçekleştirmek için yeterli bakiye yok';

  @override
  String get api_error_103 => 'Posteri satış tatilinde olan reklam için takas talep ediliyor';

  @override
  String get api_error_105 => 'Takas talep edilen reklamın posterinde emaneti finanse etmek için yeterli bakiye yok';

  @override
  String get api_error_107 => 'maxAmount ayarlamadan likiditeyi izlemeye çalışmak';

  @override
  String get api_error_137 => 'Yanlış parola sağlarken 2FA\'yı kaydetmeye çalışmak';

  @override
  String get api_error_138 => 'Yanlış OTP sağlarken 2FA\'yı doğrulamaya çalışmak';

  @override
  String get api_error_139 => '2FA\'yı devre dışı bırakmaya çalışırken parola veya OTP yanlış';

  @override
  String get api_error_140 => 'Cüzdandan para çekmeye çalışırken OTP yanlış';

  @override
  String get api_error_146 => 'Halihazırda etkinleştirilmiş olan hesap için ortaklık programı etkinleştirilmeye çalışılıyor';

  @override
  String get api_error_170 => 'Para çekme için talep edilen miktar, verilen kripto para birimi için mümkün olan minimum miktardan daha az.';

  @override
  String get api_error_171 => 'Para çekme talebinde bulunurken verilen geçersiz adres';

  @override
  String get api_error_173 => 'Yeni bir hesap için aynı anda çok fazla işlem açmaya çalışmak';

  @override
  String get api_error_178 => 'Mevcut olmayan bir kullanıcı için kupon kullanılmaya çalışılıyor';

  @override
  String get api_error_179 => 'Var olmayan kuponu kullanmaya çalışmak';

  @override
  String get api_error_180 => 'Süresi dolmuş kuponu kullanmaya çalışmak';

  @override
  String get api_error_181 => 'Yalnızca kayıt sırasında kullanılmasına izin verilen kuponu kullanmaya çalışmak';

  @override
  String get api_error_182 => 'Bu kullanıcı tarafından zaten kullanılmış olan kuponu kullanmaya çalışmak';

  @override
  String get api_error_183 => 'Stokta olmayan kuponu kullanmaya çalışmak';

  @override
  String get api_error_184 => 'Şu anda aktif bir kupon varken kuponu kullanmaya çalışmak';

  @override
  String get api_error_204 => 'Mevcut olmayan hesap için itibar içe aktarma kodu talep edilmeye çalışılıyor';

  @override
  String get api_error_205 => 'Halihazırda kendisi için oluşturulmuş bir doğrulama koduna sahip olan bir platform için itibar içe aktarma işlemi için doğrulama kodu oluşturulmaya çalışılıyor';

  @override
  String get api_error_206 => 'İtibarın halihazırda içe aktarıldığı bir platform için itibarın içe aktarılması için doğrulama kodu oluşturulmaya çalışılıyor';

  @override
  String get api_error_207 => 'Mevcut olmayan kullanıcı için itibar içe aktarma doğrulama kodu yerleşimi onaylanmaya çalışılıyor';

  @override
  String get api_error_208 => 'İtibar içe aktarma akışının 1. adımında olmayan kullanıcı için itibar içe aktarma doğrulama kodu yerleşimi onaylanmaya çalışılıyor';

  @override
  String get api_error_209 => 'İtibar içe aktarma doğrulama kodu yerleşimini onaylamaya çalışırken LocalBitcoins hatası. Kullanıcı adı yanlış olabilir veya profil görünmüyor olabilir.';

  @override
  String get api_error_210 => 'İtibar içe aktarma doğrulama kodu yerleşimini onaylamaya çalışırken Paxful hatası Kullanıcı adı yanlış olabilir veya profil görünmüyor olabilir';

  @override
  String get api_error_225 => 'İtibar kodu yerleşimini onaylamaya çalışırken LocalBitcoins API\'si \"Geçersiz kullanıcı\" hatasını döndürüyor';

  @override
  String get api_error_226 => 'Hesabı silmeye çalışırken yanlış şifre';

  @override
  String get api_error_238 => 'Harici Bitcoin çekme işlemi için ücret düzeyi belirtilmedi';

  @override
  String get api_error_239 => 'Bir ticareti serbest bırakmaya çalışırken yanlış şifre';

  @override
  String get api_error_243 => 'Dahili AgoraDesk adresi takas işlemleri için kullanılamaz. Devam etmek için lütfen AgoraDesk harici bir XMR adresi girin.';

  @override
  String get api_error_254 => 'Son 10 dakika içinde aynı adrese ve tutara para çekme işlemi göndermeye çalışmak';

  @override
  String get api_error_260 => 'Var olmayan bir kullanıcı hakkında not göndermeye çalışmak';

  @override
  String get api_error_261 => 'Kendi hesabınıza bir not göndermeye çalışmak';

  @override
  String get api_error_262 => 'Var olmayan bir kullanıcı hakkında not almaya çalışmak';

  @override
  String get api_error_263 => 'Kendi hesabınıza bir not almaya çalışmak';

  @override
  String get api_error_264 => 'Var olmayan bir kullanıcıyla ilgili not silinmeye çalışılıyor';

  @override
  String get api_error_265 => 'Kendi hesabınızdaki bir notu silmeye çalışmak';

  @override
  String get api_error_267 => 'Var olmayan bir kullanıcı notunu silmeye çalışmak';

  @override
  String get api_error_403 => 'Bu eylemi gerçekleştirmek için yetkiniz yok';

  @override
  String get api_error_4000 => 'İnternet bağlantısı yok.';

  @override
  String get api_error_4001 => 'Bağlantı zaman aşımı, lütfen internet bağlantısını kontrol edin.';

  @override
  String get api_error_45 => 'İsteğinizde hem \"ilk_zaman_limit_varlığı\" hem de \"ilk_zaman_limit_TICKER\" olamaz. Bunlardan birini çıkarın (değiştirilebilirler).';

  @override
  String get api_error_46 => 'İstek, YA bir \"msg\" parametresine sahip bir uygulama/json istek gövdesi VEYA \"document\" parametresi altında listelenen görüntü dosyasına sahip bir multipart/form-data istek gövdesi içermelidir';

  @override
  String get api_error_47 => 'Bu kullanıcı adına sahip kullanıcı zaten var';

  @override
  String get api_error_48 => 'Bu e-postaya sahip kullanıcı zaten var';

  @override
  String get api_error_50 => 'E-posta seti olmayan bir kullanıcıya e-posta göndermeye çalışmak';

  @override
  String get api_error_51 => 'E-posta doğrulaması için sağlanan belirteç, var olmayan bir kullanıcıya verildi';

  @override
  String get api_error_52 => 'E-posta doğrulaması için sağlanan belirteç geçersiz';

  @override
  String get api_error_53 => 'Belirteçteki e-posta, veritabanındaki mevcut e-posta ile eşleşmiyor';

  @override
  String get api_error_54 => 'Parola sıfırlama için sağlanan belirteç, veritabanında bulunmayan bir e-postaya verilir.';

  @override
  String get api_error_55 => 'Parola sıfırlama için sağlanan belirteç geçersiz';

  @override
  String get api_error_56 => 'Veritabanında olmayan bir e-postaya parola sıfırlama e-postası göndermeye çalışmak';

  @override
  String get api_error_57 => 'Parola sıfırlama için sağlanan belirteç, sıfırlama belirteci değil';

  @override
  String get api_error_58 => 'Doğrulanmamış bir e-postaya sahip bir kullanıcıya parola sıfırlama e-postası göndermeye çalışmak';

  @override
  String get api_error_59 => 'Doğrulanmamış bir e-postaya sahip bir kullanıcı için parola sıfırlamaya çalışılıyor';

  @override
  String get api_error_62 => 'Hesap genel veri talebi için sağlanan kullanıcı adına sahip bir hesap yok';

  @override
  String get api_error_63 => 'Yasak türde bir dosya yüklenmeye çalışılıyor';

  @override
  String get api_error_64 => 'Var olmayan bir bildirimi okundu olarak işaretlemeye çalışmak';

  @override
  String get api_error_65 => 'Okunmuş bir bildirimi okundu olarak işaretlemeye çalışmak';

  @override
  String get api_error_66 => 'Var olmayan ticaret için sohbet eki yüklenmeye çalışılıyor';

  @override
  String get api_error_67 => 'Var olmayan bir ticarete sohbet mesajı göndermeye çalışılıyor';

  @override
  String get api_error_68 => 'Var olmayan ticaretin sohbet mesajı listesi alınmaya çalışılıyor';

  @override
  String get api_error_69 => 'Var olmayan sohbet mesajı alınmaya çalışılıyor';

  @override
  String get api_error_70 => 'Var olmayan hesabın cüzdan adresi alınmaya çalışılıyor';

  @override
  String get api_error_71 => 'Var olmayan bir hesabın işlemlerini almaya çalışmak';

  @override
  String get api_error_72 => 'Var olmayan bir hesabın parasını çekmeye çalışmak';

  @override
  String get api_error_78 => 'Geçersiz bir parametre kombinasyonuyla get reklamları oluşturmaya çalışmak';

  @override
  String get api_error_79 => 'İstenen reklam kimliği mevcut değil';

  @override
  String get api_error_80 => 'Reklam güncelleme/oluşturma isteğinde hem enlem hem de boylam ayarlanmadı';

  @override
  String get api_error_81 => 'Reklam yayınlarken fiyat formülü belirlemedim';

  @override
  String get api_error_82 => 'Çevrimiçi bir reklam için enlem ve boylam ayarı yapılmaya çalışılıyor';

  @override
  String get api_error_83 => 'ONLINE_SELL/CALL_SELL/PUT_BUY\'a özgü özellikleri farklı bir reklam türü olarak ayarlamaya çalışmak';

  @override
  String get api_error_84 => 'ONLINE_BUY/CALL_BUY/PUT_SELL\'e özgü özellikleri farklı bir reklam türü olarak ayarlamaya çalışmak';

  @override
  String get api_error_85 => 'LOCAL_SELL\'e özgü özellikleri farklı bir reklam türüne ayarlamaya çalışıyor';

  @override
  String get api_error_86 => 'Reklam oluştururken/güncellerken geçerli olmayan bir ülke veya ödeme yöntemi veya para birimi ayarlamaya çalışmak';

  @override
  String get api_error_87 => 'Reklam oluştururken/güncellerken o ülke için geçersiz olan bir ödeme yöntemi belirlemeye çalışmak';

  @override
  String get api_error_88 => 'Reklam oluştururken/güncellerken o ödeme yöntemi için geçersiz olan bir para birimi ayarlamaya çalışmak';

  @override
  String get api_error_89 => 'Boylam/enlem ayarı yapılmadan bir LOCAL_* reklam oluşturmaya çalışılıyor';

  @override
  String get api_error_90 => 'Var olmayan bir kullanıcının işlemlerine erişmeye çalışmak.';

  @override
  String get api_error_91 => 'Var olmayan bir kullanıcının belirtecini kullanarak hesabın genel verilerine erişmeye çalışmak';

  @override
  String get api_error_92 => 'Var olmayan kullanıcı için bildirimler alınmaya çalışılıyor';

  @override
  String get api_error_93 => 'Var olmayan bir kullanıcı için bekleyen mevduatları almaya çalışmak';

  @override
  String get api_error_94 => 'Var olmayan kullanıcı için geri bildirim puanı alınmaya çalışılıyor';

  @override
  String get api_error_95 => 'Var olmayan bir kullanıcı için reklam almaya çalışılıyor';

  @override
  String get api_error_96 => 'Bir ticaret oluşturmaya çalışan var olmayan kullanıcı';

  @override
  String get api_error_97 => 'Var olmayan bir reklam için ticaret oluşturmaya çalışmak';

  @override
  String get api_error_98 => 'Posteri olmayan bir reklam için ticaret yaratmaya çalışmak';

  @override
  String get api_error_99 => 'İlk ticaret oluşturulurken first_time_limit_asset tarafından izin verilenden daha yüksek bir miktar talep edilmeye çalışılıyor';

  @override
  String get api_error_100 => 'Ticaret oluşturma için 0.0000000001 XMR\'den daha az talep edilemez';

  @override
  String get api_error_101 => 'Talep edilen miktar, ticaret oluştururken reklamın minimum_amount değerinden az';

  @override
  String get api_error_102 => 'Talep edilen miktar, ticaret oluştururken reklamın max_amount_available değerinden fazla';

  @override
  String get api_error_104 => 'Posteri satın alma tatilinde olan reklam için takas talep ediliyor';

  @override
  String get api_error_106 => 'İşlem talebinde bulunan kişinin, işlem talebini finanse etmek için yeterli bakiyesi yok';

  @override
  String get api_error_108 => 'minAmount, maxAmount\'a eşit veya daha büyük olamaz';

  @override
  String get api_error_109 => 'Ticaret oluştururken talep edilen tutar, reklamın maksimum Tutarından fazla';

  @override
  String get api_error_110 => 'Takas talebinde bulunan kişi, gönderenin gerektirdiğinden daha düşük geri bildirim puanına sahip';

  @override
  String get api_error_111 => 'Talep edilen tutar, kabul edilen tutarlardan biri değil, bkz. limit_to_fiat_amounts';

  @override
  String get api_error_112 => 'Kendi yayınladığınız bir ilan için takas talebinde bulunamazsınız';

  @override
  String get api_error_113 => 'Reklam güncellenirken PaymentWindowMinutes <15 veya >90 olarak ayarlanamıyor';

  @override
  String get api_error_114 => 'Reklam oluştururken PaymentWindowMinutes <15 veya >90 olarak ayarlanamıyor';

  @override
  String get api_error_115 => 'İstenen kimliğe göre ticaret mevcut değil';

  @override
  String get api_error_116 => 'Takas talep eden kullanıcı mevcut değil';

  @override
  String get api_error_117 => 'Döviz kurunun talep edildiği para birimi mevcut değil';

  @override
  String get api_error_118 => 'Ticaret finansmanı talep eden kullanıcı mevcut değil';

  @override
  String get api_error_119 => 'Var olmayan bir ticareti finanse etmeye çalışmak';

  @override
  String get api_error_120 => 'İşlem emanetini talep eden kullanıcı mevcut değil';

  @override
  String get api_error_121 => 'Var olmayan bir ticareti emanet etmeye çalışmak';

  @override
  String get api_error_122 => 'Değişken bir LOCAL_SELL ticaretini finanse etmek için yeterli fon yok';

  @override
  String get api_error_123 => 'Değişken olmayan bir LOCAL_SELL ticaretini finanse etmek için yeterli fon yok';

  @override
  String get api_error_124 => 'Bir LOCAL_SELL fonlanırken hata oluştu';

  @override
  String get api_error_125 => 'İşlemin iptal edilmesini talep eden kullanıcı mevcut değil';

  @override
  String get api_error_126 => 'Var olmayan bir işlemi iptal etmeye çalışmak';

  @override
  String get api_error_127 => 'İşlemin ödemesini talep eden kullanıcı mevcut değil';

  @override
  String get api_error_128 => 'Ücretli olmayan bir işlemi işaretlemeye çalışmak';

  @override
  String get api_error_129 => 'İşlemin serbest bırakılmasını talep eden kullanıcı mevcut değil';

  @override
  String get api_error_130 => 'Var olmayan bir ticareti serbest bırakmaya çalışmak';

  @override
  String get api_error_131 => 'Ticari anlaşmazlığı talep eden kullanıcı mevcut değil';

  @override
  String get api_error_132 => 'Var olmayan bir ticarete itiraz etmeye çalışmak';

  @override
  String get api_error_133 => 'Var olmayan bir kullanıcıdan geri bildirim almaya çalışmak';

  @override
  String get api_error_134 => 'Kullanıcı zaten izin verilen maksimum sayıda reklama sahipken bir reklam oluşturmaya çalışmak';

  @override
  String get api_error_135 => 'Bir şekilde maxAmount, traceMaxAmount true olarak ayarlanırken null olarak ayarlanır';

  @override
  String get api_error_136 => 'Bakiyesi gereken minimum bakiyeden az olan bir reklam yayınlamaya çalışılıyor.';

  @override
  String get api_error_141 => 'İzin verilen minimum tutardan daha düşük bir tutar için işlem oluşturmaya çalışmak';

  @override
  String get api_error_142 => 'Reklam oluştururken minAmount\'tan daha düşük bir yasal para limiti belirlemeye çalışılıyor';

  @override
  String get api_error_143 => 'Reklam oluşturulurken maxAmount\'tan daha yüksek bir yasal para limiti belirlenmeye çalışılıyor';

  @override
  String get api_error_144 => 'Reklamı güncellerken minAmount\'tan daha düşük bir yasal para limiti belirlemeye çalışılıyor';

  @override
  String get api_error_145 => 'Reklamı güncellerken maxAmount\'tan daha yüksek bir yasal para limiti belirlemeye çalışılıyor';

  @override
  String get api_error_147 => 'Bağlı kuruluş programı etkin olmayan kullanıcı için bağlı kuruluş verileri alınmaya çalışılıyor';

  @override
  String get api_error_148 => 'Zaten ayarlanmış olan bir telgraf kimliğini ayarlamaya çalışılıyor';

  @override
  String get api_error_149 => 'Harici para çekme için öncelik belirtilmedi';

  @override
  String get api_error_150 => 'İstekte bulunan kullanıcının reklam afişi tarafından engellendiği bir reklamda ticaret başlatmaya çalışmak';

  @override
  String get api_error_151 => 'Talepte bulunan kullanıcının reklam afişi tarafından güvenilmediği bir reklamda ticaret başlatmaya çalışmak';

  @override
  String get api_error_152 => 'Zaten kapalı olan bir işlemi iptal etmeye çalışmak';

  @override
  String get api_error_153 => 'Zaten kapalı olan bir işlemi serbest bırakmaya çalışmak';

  @override
  String get api_error_154 => 'Var olmayan bir hesap için işlem talep etmeye çalışmak';

  @override
  String get api_error_155 => 'Var olmayan bir kullanıcı için güvenilir kullanıcıların listesi alınmaya çalışılıyor';

  @override
  String get api_error_156 => 'Var olmayan bir kullanıcı için engellenen kullanıcıların listesi alınmaya çalışılıyor';

  @override
  String get api_error_157 => 'Seçenek olmayan bir reklam için seçeneğe özgü özellikler ayarlanmaya çalışılıyor';

  @override
  String get api_error_158 => 'Seçeneğe özgü özellikleri ayarlamadan bir seçenek reklamı oluşturmaya çalışmak';

  @override
  String get api_error_159 => 'İşlemin prim ödemesini işaretlemek isteyen kullanıcı mevcut değil';

  @override
  String get api_error_160 => 'Var olmayan bir ticaret için ödenen primi işaretlemeye çalışmak';

  @override
  String get api_error_161 => 'Seçeneği kullanmak isteyen kullanıcı mevcut değil';

  @override
  String get api_error_162 => 'Var olmayan bir ticaret için opsiyonu kullanmaya çalışmak';

  @override
  String get api_error_163 => 'İşlemin prim ödemesini onaylamak isteyen kullanıcı mevcut değil';

  @override
  String get api_error_164 => 'Var olmayan bir ticaret için ödenen primi onaylamaya çalışmak';

  @override
  String get api_error_165 => 'Net takas ile ticaret yapmak isteyen kullanıcı mevcut değil';

  @override
  String get api_error_166 => 'Var olmayan bir ticareti net takasla uygulamaya çalışmak';

  @override
  String get api_error_167 => 'Mevcut piyasa fiyatı, bir CALL ticaretini netleştirirken uygulama fiyatından küçük veya ona eşittir. Ticaret, piyasa standartlarına göre kârsızdır, bu nedenle netleştirilemez. Gerekirse normal yerleşimi kullanın.';

  @override
  String get api_error_168 => 'İşlem teminat ödemesini onaylamak isteyen kullanıcı mevcut değil';

  @override
  String get api_error_169 => 'Var olmayan bir ticaret için ödenen teminatı doğrulamaya çalışmak';

  @override
  String get api_error_172 => 'Öğenin reklam para birimiyle aynı olduğu bir reklam yayınlamaya çalışmak';

  @override
  String get api_error_174 => 'Parasız PUT ticareti yapmaya çalışmak';

  @override
  String get api_error_175 => 'Kayıt sırasında mevcut olmayan kuponu kullanmaya çalışmak';

  @override
  String get api_error_176 => 'Kayıt sırasında süresi dolmuş bir kuponu kullanmaya çalışmak';

  @override
  String get api_error_177 => 'Kayıt sırasında stokta olmayan bir kuponu kullanmaya çalışmak';

  @override
  String get api_error_185 => 'Var olmayan kullanıcı için kupon almaya çalışılıyor';

  @override
  String get api_error_186 => 'Reklamları kimliğe göre alırken 50\'den fazla reklam almaya çalışmak';

  @override
  String get api_error_187 => 'Kimliğe göre reklam alırken boş bir kimlik listesi verilmeye çalışılıyor';

  @override
  String get api_error_188 => 'Reklamları kimliğe göre alırken, istenen reklam kimliklerinden hiçbiri geçerli bir kimlik değil';

  @override
  String get api_error_189 => 'Reklamları kimliğe göre alırken istenen reklamlardan hiçbiri mevcut değil';

  @override
  String get api_error_190 => 'Kimliğe göre işlem alırken boş bir kimlik listesi vermeye çalışmak';

  @override
  String get api_error_191 => 'Kimliğe göre alım satım alırken 50\'den fazla reklam almaya çalışmak';

  @override
  String get api_error_192 => 'İstenen işlem kimliklerinden hiçbiri, kimliğe göre işlem alırken geçerli bir kimlik değil';

  @override
  String get api_error_193 => 'Kimliğe göre alım satım yapılırken talep edilen alım satımların hiçbiri mevcut değil';

  @override
  String get api_error_194 => 'Mevcut olmayan kullanıcı için genel API belirteci oluşturulmaya çalışılıyor';

  @override
  String get api_error_195 => 'Genel API jetonunu almaya çalışırken yanlış şifre';

  @override
  String get api_error_196 => 'Var olmayan bir kullanıcı için son mesajları almaya çalışılıyor';

  @override
  String get api_error_197 => 'İzin verilen aralığın dışında \"sonra\" zaman damgasına sahip ticari sohbet mesajları alınmaya çalışılıyor';

  @override
  String get api_error_198 => 'İzin verilen aralığın dışında \"sonra\" zaman damgasına sahip hesaba ait son sohbet mesajları alınmaya çalışılıyor';

  @override
  String get api_error_199 => 'Mevcut olmayan kullanıcı için genel API belirteci alınmaya çalışılıyor';

  @override
  String get api_error_200 => 'Genel API belirteci olmayan kullanıcı için genel API belirtecinin süresi dolmaya ve silinmeye çalışılıyor';

  @override
  String get api_error_201 => 'Mevcut olmayan reklam için fiyat formülü güncellenmeye çalışılıyor';

  @override
  String get api_error_202 => 'İzin verilen aralığın dışında \"sonra\" zaman damgasına sahip hesap işlemleri alınmaya çalışılıyor';

  @override
  String get api_error_203 => 'Mevcut olmayan hesap için itibar içe aktarma verileri alınmaya çalışılıyor';

  @override
  String get api_error_211 => 'Mevcut olmayan kullanıcı için itibar içe aktarmayı onaylamaya çalışılıyor';

  @override
  String get api_error_212 => 'İtibar içe aktarma akışının 2. adımında olmayan kullanıcı için itibar içe aktarma işlemi onaylanmaya çalışılıyor';

  @override
  String get api_error_213 => 'Var olmayan bir kullanıcı için itibar içe aktarımı reddedilmeye çalışılıyor';

  @override
  String get api_error_214 => 'İtibar içe aktarma akışının 2. adımında olmayan kullanıcı için itibar içe aktarma işlemi reddedilmeye çalışılıyor';

  @override
  String get api_error_215 => 'En popüler ödeme yöntemlerini isterken hem ülke_kodu hem de para birimi_kodu belirtilmeye çalışılıyor';

  @override
  String get api_error_216 => 'Var olmayan bir ülke kodu için en popüler ödeme yöntemleri talep edilmeye çalışılıyor';

  @override
  String get api_error_217 => 'Mevcut olmayan bir para birimi_kodu için en popüler ödeme yöntemleri talep edilmeye çalışılıyor';

  @override
  String get api_error_218 => 'Talepte bulunan kullanıcının doğrulanmış bir e-postası olmadığı halde, doğrulanmış bir e-posta gerektiren bir reklamda işlem açmaya çalışmak';

  @override
  String get api_error_219 => 'Tek kullanımlık bir e-posta sağlayıcısından gelen bir e-posta ile kaydolmaya çalışmak';

  @override
  String get api_error_220 => 'Hesap e-postasını, tek kullanımlık bir e-posta sağlayıcısından gelen bir e-postayla değiştirmeye çalışmak';

  @override
  String get api_error_221 => 'Var olmayan bir kullanıcı için okunan tüm bildirimleri işaretlemeye çalışmak';

  @override
  String get api_error_222 => 'Halihazırda içe aktarılmış olan bir dış platform hesabı için itibar kodu talep edilmeye çalışılıyor';

  @override
  String get api_error_223 => 'doğrulamaMsg boşken, doğrulamaGerekli\'yi doğru olarak belirterek reklamı güncellemeye çalışılıyor';

  @override
  String get api_error_224 => 'Doğrulama Msg\'si belirtilerek reklam güncellenmeye çalışılıyor, ancak reklam doğrulama gerektirmiyor ve reklam güncelleme isteği de doğrulamaGerekli olarak doğru olarak ayarlanmıyor';

  @override
  String get api_error_227 => 'Var olmayan bir kullanıcıyı cezalandırmaya çalışmak';

  @override
  String get api_error_228 => 'Mevcut olmayan bir yönetici hesabına sahip kullanıcıya yaptırım uygulanmaya çalışılıyor';

  @override
  String get api_error_229 => 'Var olmayan bir kullanıcıdan bir yaptırımı kaldırmaya çalışmak';

  @override
  String get api_error_230 => 'Mevcut olmayan bir yönetici hesabına sahip bir kullanıcının yaptırımını kaldırmaya çalışmak';

  @override
  String get api_error_231 => 'Herhangi bir yaptırımı olmayan bir kullanıcının yaptırımını kaldırmaya çalışmak';

  @override
  String get api_error_232 => 'Şu anda bir yaptırım nedeniyle işlem yapması yasak olan bir kullanıcıyla işlem açmaya çalışmak';

  @override
  String get api_error_233 => 'Var olmayan kimliğe sahip geri bildirim kaldırılmaya çalışılıyor';

  @override
  String get api_error_234 => 'Halihazırda kaldırılmış olan geri bildirimi kaldırmaya çalışmak';

  @override
  String get api_error_235 => 'Var olmayan bir ticaretten anlaşmazlık durumunu kaldırmaya çalışmak';

  @override
  String get api_error_236 => 'İtiraz edilmemiş bir ticaretten ihtilaf durumunu kaldırmaya çalışmak';

  @override
  String get api_error_237 => 'İşlem açılış uç noktasını yönetici olarak çağırırken ve openAsUsername parametresini belirtirken mevcut olmayan bir kullanıcı olarak işlem açmaya çalışmak';

  @override
  String get api_error_240 => 'SATIŞ türü bir reklama yanıt verirken alıcı tarafından sağlanan geçersiz adres';

  @override
  String get api_error_241 => 'SATIŞ tipi bir reklama yanıt verirken dahili bir adres sağlamaya çalışan alıcı (dahili adreslere ticari anlaşma amacıyla izin verilmez)';

  @override
  String get api_error_242 => 'SATIN AL tipi bir reklam oluştururken alıcı tarafından sağlanan geçersiz adres';

  @override
  String get api_error_244 => 'SATIN AL türü bir reklamı güncellerken alıcı tarafından sağlanan geçersiz adres';

  @override
  String get api_error_245 => 'SATIN AL türü bir reklamı güncellerken dahili bir adres sağlamaya çalışan alıcı (dahili adreslere ticari anlaşma amacıyla izin verilmez)';

  @override
  String get api_error_246 => 'Alıcı yerleşim adresini belirtmeyen SATIN AL türü bir reklamdan işlem başlatmaya çalışmak';

  @override
  String get api_error_247 => 'Yaptırımlar nedeniyle çekilmesi yasak olan bir hesaptan bir işlemi serbest bırakmaya çalışmak';

  @override
  String get api_error_248 => 'İşlem miktarı uzlaşma ile ilgili ücretleri karşılamaya yetmediğinde bir işlemi serbest bırakmaya çalışmak';

  @override
  String get api_error_249 => 'Güncelleme isteğinde buyerSettlementAddress parametresini ayarlamadan buyerSettlementAddress ayarlanmamış SATIN AL türü bir reklamı güncellemeye çalışmak';

  @override
  String get api_error_250 => 'BTC için para çekme ücreti talep edilirken verilen geçersiz adres';

  @override
  String get api_error_251 => 'BTC SATIŞ türü bir reklama yanıt vererek bir işlem açarken ücret düzeyi sağlanmaz';

  @override
  String get api_error_252 => 'BTC SATIN AL türü bir reklam oluştururken ücret düzeyi sağlanmıyor';

  @override
  String get api_error_253 => 'Bir ücret düzeyi belirlenmemiş BTC AL türü bir reklam güncellenirken ücret düzeyi sağlanmıyor';

  @override
  String get api_error_255 => 'İzin verilen aralığın dışında \"sonra\" zaman damgasına sahip bildirimler alınmaya çalışılıyor';

  @override
  String get api_error_256 => 'Halihazırda var olan bir push bildirim jetonunu kaydetmeye çalışılıyor';

  @override
  String get api_error_257 => 'Geçerli olmayan bir anında iletme bildirim belirteci kaydedilmeye çalışılıyor';

  @override
  String get api_error_258 => 'Halihazırda 500 cihaz belirteci olan bir hesap için anında bildirim belirteci kaydetmeye çalışılıyor, bunu tekrar denemeden önce mevcut belirteçlerden birini silin';

  @override
  String get api_error_259 => 'Var olmayan veya bu kullanıcıya ait olmayan bir belirteç silinmeye çalışılıyor';

  @override
  String get account => 'Hesap';

  @override
  String get login => 'Giriş yapmak';

  @override
  String get skip => 'Atlamak';

  @override
  String get pin_setup => 'PIN\'i ayarla';

  @override
  String get pin_enter_continue => 'Devam etmek için PIN\'i girin';

  @override
  String get pin_enter => 'PIN girin';

  @override
  String get pin_enter_to_confirm_transaction => 'İşlemi onaylamak için PIN\'i girin';

  @override
  String get pin_you_can_use => 'Uygulamanın kilidini açmak için bu PIN\'i kullanabilirsiniz.';

  @override
  String get pin_confirm => 'PIN\'i onaylayın';

  @override
  String get pin_current => 'şuanki PIN';

  @override
  String get pin_set => 'PIN kodunu ayarla';

  @override
  String get pin_do_not_match => 'PIN\'ler eşleşmiyor';

  @override
  String get pin_second_as_first => 'İkinci kez girdiğiniz PIN, ilki ile eşleşmiyor.';

  @override
  String get pin_wrong_current => 'Yanlış geçerli PIN';

  @override
  String get pin_please_input_correct => 'Lütfen doğru geçerli PIN\'i girin.';

  @override
  String get enter_email => 'E-posta girin';

  @override
  String get convert => 'Dönüştürmek';

  @override
  String get recent_transactions => 'Son İşlemler';

  @override
  String get transactions_30_days => 'Son 30 gündeki işlemler';

  @override
  String get forgot_password => 'Parolanızı mı unuttunuz?';

  @override
  String get password_have_changed => 'Şifre değişti.';

  @override
  String get i_want_to_buy => 'satın almak istiyorum';

  @override
  String get error_password_reset_token_invalid => 'Parola sıfırlama için sağlanan belirteç geçersiz';

  @override
  String get error_password_reset_unverified_email => 'Doğrulanmamış bir e-postaya sahip bir kullanıcı için parola sıfırlamaya çalışılıyor';

  @override
  String get i_want_to_buy_new => 'satın almak istiyorum';

  @override
  String get new_password => 'Yeni şifre (8-72 karakter)';

  @override
  String get i_want_to_sell => 'satmak istiyorum';

  @override
  String get log_in_to_start_trading => 'Ticarete başlamak için giriş yapın';

  @override
  String get why_do_you_need_my_email => 'E-postama neden ihtiyacın var?';

  @override
  String get view_all_transactions => 'Tüm işlemleri görüntüle';

  @override
  String get email_is_used_to => 'E-posta, parolanızı kurtarmak veya size e-posta bildirimleri göndermek için kullanılır. E-postanız, tek kullanımlık e-posta sağlayıcılarından oluşan üçüncü taraf bir veri tabanına göre kontrol edilecektir.';

  @override
  String get email_verified => 'E-posta doğrulandı.';

  @override
  String get email_verification_error => 'E-posta doğrulama hatası.';

  @override
  String get email_token_error => 'Belirteç veya e-posta yanlış. E-posta doğrulanmadı.';

  @override
  String get welcome_screen_about => 'Bitcoin ve Monero için yerel para birimi ticareti yapmak için güvenli ve kullanımı kolay kişiden kişiye platform.';

  @override
  String get view_in_block_explorer => 'Blok gezgininde görüntüle';

  @override
  String get welcome_pick_a_payment_method => 'Bir ödeme yöntemi seçin veya mevcut tüm teklifler arasından seçim yapın.';

  @override
  String get welcome_buy_press_buy => 'İşlemi başlatmak için SATIN AL\'a basın.';

  @override
  String get welcome_buy_follow_the_sellers => 'Ticaret sohbetinde satıcının talimatlarını takip edin!';

  @override
  String get welcome_sell_go_to_wallet => 'Cüzdanınıza gidin ve madeni paralarınızı yatırın.';

  @override
  String get welcome_sell_press_sell => 'Ticareti başlatmak için SAT\'a basın.';

  @override
  String get welcome_sell_follow_the_buyer => 'Alım satım sohbetinde alıcının talimatlarını takip edin!';

  @override
  String get get_started => 'Başlamak';

  @override
  String get send_to => 'Gönderildi';

  @override
  String get error_only_numbers_are_possible => 'Sadece sayılar mümkündür.';

  @override
  String get error_entered_greater_than_balance => 'Girilen değer bakiyeden büyük.';

  @override
  String get amount_to_receive => 'Alınacak miktar';

  @override
  String get amount_to_send => 'Gönderilecek tutar';

  @override
  String your_deposit_address(Object asset) {
    return '$asset para yatırma adresiniz';
  }

  @override
  String pending(Object num1, Object num2) {
    return 'Beklemede ($num1/$num2)';
  }

  @override
  String get preview => 'Ön izleme';

  @override
  String get close => 'Kapat';

  @override
  String get deposit => 'Depozito';

  @override
  String get share => 'Paylaşmak';

  @override
  String get edit => 'Düzenlemek';

  @override
  String get confirm_transaction => 'İşlemi onayla';

  @override
  String get transaction_fee => 'İşlem ücreti';

  @override
  String get show_qr_code => 'QR kodunu göster';

  @override
  String get security => 'Güvenlik';

  @override
  String get no_pending_deposits => 'Bekleyen mevduat yok';

  @override
  String get create_pin => 'PIN oluştur';

  @override
  String get change_pin => 'Pin\'i değiştir';

  @override
  String get remove_pin => 'PIN\'i kaldır';

  @override
  String get remove_pin_message_success => 'PIN kaldırıldı';

  @override
  String get you_will_receive => 'alacaksın';

  @override
  String get total_amount_to_send => 'Gönderilecek toplam tutar';

  @override
  String get enter_amount_to_receive_without_fee => 'Alınacak tutarı girin (ücretsiz)';

  @override
  String get enter_amount_to_receive_with_fee => 'Düşülecek tutarı girin (ücretli)';

  @override
  String get return_reserve_from_trade => 'Ticaretten dönüş rezervi';

  @override
  String get user_profile => 'Kullanıcı profili';

  @override
  String get personal_introduction => 'Kişisel tanıtım';

  @override
  String get trading_reputation_on_other_platforms => 'Diğer platformlarda ticaret itibarı';

  @override
  String get how_to_link_my_account => 'Hesabımı nasıl bağlarım?';

  @override
  String link_account(Object platform) {
    return '$platform hesabını bağla';
  }

  @override
  String what_is_your_username(Object platform) {
    return '$platform üzerindeki kullanıcı adınız nedir?';
  }

  @override
  String get enter_username => 'Kullanıcı adı girin';

  @override
  String get edit_personal_introduction => 'Kişisel tanıtımı düzenle';

  @override
  String get your_info => 'bilgileriniz';

  @override
  String get website => 'İnternet sitesi';

  @override
  String get are_you_sure => 'Emin misin?';

  @override
  String get no_trusted_users_yet => 'Henüz güvenilir kullanıcı yok.';

  @override
  String get no_blocked_users_yet => 'Henüz engellenen kullanıcı yok.';

  @override
  String get no_transactions_yet => 'Henüz işlem yok.';

  @override
  String get web_links => 'İnternet linkleri';

  @override
  String get tor_links => 'Tor bağlantıları';

  @override
  String get i2p_links => 'I2P bağlantıları';

  @override
  String get active_coupons => 'aktif kuponlar';

  @override
  String get expired_coupons => 'Süresi dolmuş kuponlar';

  @override
  String get hide_expired_coupons => 'Süresi dolmuş kuponları gizle';

  @override
  String get show_expired_coupons => 'Süresi dolmuş kuponları göster';

  @override
  String get terms_and_conditions => 'Şartlar ve koşullar';

  @override
  String get current_email => 'Geçerli e-posta';

  @override
  String get remove_email => 'E-postayı kaldır';

  @override
  String get email_not_received_content => 'Doğrulama e-postasını almadıysanız, lütfen \"Spam\" klasörünüzü kontrol edin veya';

  @override
  String get email_not_received_link => 'e-postayı tekrar göndermek için buraya tıklayın.';

  @override
  String get email_confirm_delete => 'E-posta silmeyi onayla';

  @override
  String get email_deleted => 'E-posta silindi.';

  @override
  String email_confirmation_we_ve_sent_an_email(Object email) {
    return '$email\'e bir e-posta gönderdik. E-posta adresinizi doğrulamak için e-postadaki bağlantıya tıklayın.';
  }

  @override
  String app_staff(Object appName) {
    return '$appName personel';
  }

  @override
  String get current_password => 'Mevcut Şifre';

  @override
  String get save_your_backup_code => 'Yedek kodunuzu kaydedin';

  @override
  String get your_backup_code => 'Yedek kodunuz';

  @override
  String get set_up_2fa => '2FA\'yı kurun';

  @override
  String get download_2fa => 'Bir 2FA uygulaması indirin. Aşağıdaki kodu kopyalayın ve 2FA uygulamanıza yapıştırın.';

  @override
  String get paste_code => 'Kodu yapıştır';

  @override
  String get code_valid => 'Kod geçerli';

  @override
  String get verifying_the_code => 'Kod doğrulanıyor...';

  @override
  String get language => 'Dil';

  @override
  String get my_profile => 'Benim profilim';

  @override
  String get choose_ad_default_region => 'Reklam varsayılan bölgesini seçin';

  @override
  String get knowledge_base => 'Bilgi tabanı';

  @override
  String get report_this_ad => 'Bu reklamı bildir';

  @override
  String get cash_only => 'Sadece nakit';

  @override
  String get dispute_started => 'anlaşmazlık başladı';

  @override
  String get payment_info => 'Ödeme bilgisi';

  @override
  String get trade_ad => 'Ticaret reklamı';

  @override
  String get ask_delete_ad => 'Bu reklamı silmek istediğinizden emin misiniz?';

  @override
  String get general => 'Genel';

  @override
  String get final_price => 'Son fiyat';

  @override
  String get use_price_formula_to_calculate => 'Hesaplamak için fiyat formülünü kullanın';

  @override
  String get enter_price_formula => 'Fiyat formülünü girin';

  @override
  String get trade_limits => 'Ticaret limitleri (isteğe bağlı)';

  @override
  String get trade_details => 'Ticaret detayları (isteğe bağlı)';

  @override
  String get reply => 'Cevap vermek';

  @override
  String get trade_loading_failed => 'Ticaret yüklenemedi, lütfen bağlantıyı kontrol edin.';

  @override
  String get dark_theme => 'Koyu tema';

  @override
  String search__no_results(Object country) {
    return '$country\'te seçilen kriterlere göre sonuç yok... henüz. ';
  }

  @override
  String get affiliate__explain_is_reg => 'Üyelik, herhangi bir kullanıcı sizin referans kodunuzla bir bağlantıdan siteye girdikten sonra kaydolduğunda kaydedilir.';

  @override
  String get affiliate__ref_code_title => 'Tavsiye kodunuz';

  @override
  String affiliate__users__text(Object number) {
    return 'Şu anda $number kullanıcıları için bir satış ortağı olarak kayıtlısınız ve bunlar tarafından yapılan tüm işlemlerden komisyon kazanacaksınız.';
  }

  @override
  String affiliate__terms__text___agoradesk(Object appName) {
    return '• Ülke listesi veya ödeme yöntemi listesi gibi herhangi bir sayfaya veya $appName üzerindeki herhangi bir şeye bağlantı verebilirsiniz.\n• Affiliate link kaydınız üzerinden siteye gelen ve işlem yapan kullanıcılardan kripto para kazanacaksınız.\n• Ödemeler $appName cüzdanınıza ilgili kripto para birimleri cinsinden günlük olarak yapılacaktır.\n• Komisyonlar, kullanıcının kaydından itibaren bir yıl süreyle ödenecektir. Komisyon, yeni kullanıcının $appName karşılığında elde ettiği gelire bağlıdır (ticaret ücretleri).\n• Yanıltıcı reklamlar gibi herhangi bir faul oyunu yasaktır.\n• Spam yapmak yasaktır. Spam, forumlarda/reddit\'te abonelikten çıkmış özel veya genel mesajlar, abonelikten çıkmış toplu posta vb. göndermeyi içerir.\n• Ortakları yakalamak için bir web sitesine gizli iframe\'ler eklemek yasaktır. Yalnızca bağlı kuruluş iframe\'lerine veya web sayfasına doğrudan bağlantılara izin verilir.\n• $appName herhangi bir bağlı kullanıcıyı herhangi bir zamanda devre dışı bırakma hakkına sahiptir. Şartları ihlal ederseniz, ortaklık programınız sonlandırılacaktır.';
  }

  @override
  String affiliate__example__text(Object assetName, Object appName, Object assetSymbol) {
    return '$appName üzerinde kayıtlı $assetName alıcısı ve satıcısı olmak üzere iki kullanıcı alırsınız ve bunlar 100 $assetSymbol değerinde bir ticaret yaparlar. Her iki katılımcıdan da $appName işlem ücretlerinden %20 komisyon, toplamda $appName ücretinin %40\'ı kadar komisyon kazanırsınız.\n\nKazanılan toplamınız 0,4 $assetSymbol. Yalnızca işlem sürecimizden geçen kesinleşmiş satışlar önemlidir. Ödemeler günlük olarak yapılır.\n\n$appName desteği, herhangi bir sorunuzda size yardımcı olmaya fazlasıyla isteklidir.';
  }

  @override
  String get affiliate__enable_btn => 'Bağlı kuruluş programını etkinleştir';

  @override
  String affiliate__enabled(Object ref_code, Object appName) {
    return 'Ortaklık programınız etkinleştirildi ve {refCode} ortaklık etiketinizi herhangi bir $appName URL\'sine ekleyerek komisyon kazanabilirsiniz.';
  }

  @override
  String reputation_import__step__username__input__label(Object platform) {
    return '$platform kullanıcı adınız';
  }

  @override
  String reputation_import__step__code__message(Object platform) {
    return 'Bu kodu herkese açık $platform profilinizde bir yere ekleyin. Kodu doğruladıktan sonra kaldırabilirsiniz.';
  }

  @override
  String settings__homepage_tip(Object example_url) {
    return 'Herkese açık profilinizde gösterilir. Yalnızca geçerli URL kabul edilir (ör. https://$example_url)';
  }

  @override
  String get settings__personal_info_tip => 'Herkese açık profilinizde gösterilir. Maksimum 65536 karakter. Stil için markdown kullanabilir.';

  @override
  String get settings__personal_info_tip_1 => 'Herkese açık profilinizde gösterilir. Maksimum 65536 karakter.';

  @override
  String get coupons__coupon__type_here => 'Kuponunuzu buraya yazın';

  @override
  String get trade__mark_pay_according => ' Aşağıda gösterilen ödeme ayrıntılarına göre ödeme yapın. Herhangi bir sorunuz varsa, sohbette satıcıya sorun.';

  @override
  String get dashboard__trade__status__open => 'Açık';

  @override
  String get wallet__available_balance => 'Kalan bakiye';

  @override
  String get trade__dialog__confirm_release_monero_text_password => 'Bu parola, gözetim dışı yerleşim cüzdanını oluşturmak ve işlemi imzalamak için mahsup olarak kullanılır. Bu şifreyi kaybederseniz LocalMonero\'nun cüzdanı kurtarmasının hiçbir yolu olmayacaktır.';

  @override
  String get dont_have_an_account_yet => 'Henüz bir hesabınız yok mu?';

  @override
  String get app_trades => 'ticaret';

  @override
  String get app_unlimited => 'Sınırsız';

  @override
  String get app_guides => 'Kılavuzlar';

  @override
  String get app_edit_this_ad => 'Bu reklamı düzenle';

  @override
  String get app_you_can_use_markdown => 'Reklamınızın terimlerine stil vermek için işaretlemeyi kullanabilirsiniz (resimlere izin verilmez).';

  @override
  String get app_no_trades_to_export => 'İhracat takası yoktur.';

  @override
  String app_settings_2fa_step_two(Object appName) {
    return 'Yedekleme kodunuzu (yukarıda yeşil ile) bir kağıda yazın ve güvenli bir yerde saklayın. Telefonunuzu kaybederseniz ihtiyacınız olacak veya hesabınız kilitlenecek. Bu kodu kaybetmeniz durumunda $appName size yardımcı olamayacaktır.';
  }

  @override
  String get ad_post_ad_rules_text_0 => 'Bir reklam oluşturmadan önce lütfen sayfamızı okuyun. ';

  @override
  String app_trade_warning_impersonation(Object appName) {
    return 'Personeli taklit etmeye çalışan dolandırıcılara dikkat edin!\n${appName} yöneticileri size asla bir işlemi tamamlamanızı söylemez.\nPersonel mesajlarının arka planı kırmızıdır.';
  }

  @override
  String app_buy_sell(Object val) {
    return '{buyOrsell} için ne kadar diliyorsun?';
  }

  @override
  String app_buyer_marked_as_paid(Object val) {
    return '$val, işlemi ödendi olarak işaretledi';
  }

  @override
  String app_buy_crypto_from(Object val) {
    return '$val\'ten kripto satın alın';
  }

  @override
  String app_sell_crypto_to(Object val) {
    return '$val\'e kripto sat';
  }

  @override
  String app_trades_with(Object val) {
    return '$val ile yapılan işlemleri görün';
  }

  @override
  String app_able_to_cancel(Object val1, Object val2) {
    return '($val1, siz ödendi olarak işaretlemediğiniz sürece $val2 dakika içinde iptal edebilecektir)';
  }

  @override
  String app_able_to_cancel_now(Object val) {
    return '($val artık siz ödendi olarak işaretlemediğiniz sürece iptal edebilir)';
  }

  @override
  String app_buying_from(Object asset, Object amount, Object username) {
    return '$username\'ten $asset $amount Satın Alma';
  }

  @override
  String app_selling_to(Object asset, Object amount, Object username) {
    return '$asset $amount\'i $username\'e Satış';
  }

  @override
  String app_for_sum(Object val) {
    return '$val için';
  }

  @override
  String get app_buy_crypto => 'şuradan kripto satın al:';

  @override
  String get app_sell_crypto => 'kripto sat';

  @override
  String get app_intall_trade_title => 'Bu ticareti görüntülemek için lütfen AgoraDesk\'i yükleyin';

  @override
  String get app_intall_ad_title => 'Bu reklamı görüntülemek için lütfen AgoraDesk\'i yükleyin';

  @override
  String get app_intall_trade_body => 'Bu, Bitcoin tabanlı bir ticarettir, görüntülemek için AgoraDesk uygulamamız gerekir.';

  @override
  String get app_intall_ad_body => 'Bu, Bitcoin tabanlı bir reklamdır, görüntülenmesi için AgoraDesk uygulamamız gerekir.';

  @override
  String get app_trade_option_payment_receiver_cancel_notice => 'Parayı aldığınızdan %100 emin olmadan asla bir işlemi sonlandırmayın. Dolandırıcılar, erken sonuçlandırmanız için sizi kandırmaya çalışacak.';

  @override
  String get app_cancel_trade_message => 'Bir hata mı yaptınız yoksa başka bir tüccar mı denemek istiyorsunuz? Parayı zaten transfer ettiyseniz ve şimdi iptal etmek istiyorsanız, ödemenizin iadesini ticaret ortağınızla kendiniz görüşmeniz gerekir. Paranızı geri aldığınızdan emin olmadığınız sürece asla iptal etmeyin.';

  @override
  String get app_all_feedback => 'Tüm geri bildirimler';

  @override
  String get app_camera => 'Kamera';

  @override
  String get app_clear => 'Temizlemek';

  @override
  String get app_ad_deleted => 'reklam silindi';

  @override
  String get app_verifiacetion_code_to_seller => 'Bu, doğrulama kodunuzdur. Alıcının, cihazı kullanmasına gerek kalmadan işlemi tamamladığınızı doğrulayabilmesi için bunu alıcıya söyleyebilirsiniz.';

  @override
  String get app_verification_code => 'Doğrulama kodu';

  @override
  String get app_ad => 'reklam';

  @override
  String get app_with => 'ile birlikte';

  @override
  String get app_edited => 'düzenlendi';

  @override
  String get app_permanent => 'Kalıcı';

  @override
  String get app_error_saving => 'Kaydetme sırasında hata. Değişiklikler kaydedilmedi.';

  @override
  String get app_manage_ads => 'Reklamları yönet';

  @override
  String get app_vacation_enabled => 'tatil etkin';

  @override
  String get app_trade_created => 'Ticaret oluşturuldu';

  @override
  String get app_session_expired => 'Oturum süresi doldu';

  @override
  String get app_anonymous_crash_diagnostics => 'Anonim kilitlenme teşhisi';

  @override
  String get app_restart_now => 'Şimdi yeniden başlat';

  @override
  String get app_postpone => 'Ertelemek';

  @override
  String get app_biometric_authentication => 'Biyometrik kimlik doğrulama';

  @override
  String get app_biometric_authentication_message => 'Biyometrik kimlik doğrulamayı etkinleştirmek için lütfen bir PIN kodu ayarlayın.';

  @override
  String get app_anonymous_crash_diagnostics_restart => 'Anonim kilitlenme teşhisi devre dışı bırakıldı ve siz uygulamayı yeniden başlattıktan sonra gönderilmeyecek.';

  @override
  String get app_trading_partners => 'Ticaret ortakları';

  @override
  String get app_trade_status_settlement_processing_description => 'Hesaplaşma işleniyor. Lütfen bekleyin, yapmanız gereken bir şey yok.';

  @override
  String get app_buyer_settlement_fee_level_description => 'Ticaret anlaşması sırasında kullanılacak bir ücret düzeyi seçin. Burada gösterilen değerler, cari oran tahminleridir ve ticaret anlaşması sırasında uygulananlardan farklı olabilir. İşlem tutarı, işlemi seçilen ücret seviyesiyle kapatmak için çok düşükse, takas sırasında otomatik olarak daha düşük bir ücret seviyesi seçilecektir.';

  @override
  String get app_change_vacation_settings => 'Tatil ayarlarını değiştirin.';

  @override
  String get app_gallery => 'Galeri';

  @override
  String get app_via => 'aracılığıyla';

  @override
  String get app_one_percent => '%1 ücret';

  @override
  String get app_final_amount => 'Son miktar';

  @override
  String app_note_label(Object val) {
    return '{username} ile ilgili notunuz (sadece siz görebilirsiniz)';
  }

  @override
  String app_note_add(Object val) {
    return '{username} üzerine bir not ekleyin';
  }

  @override
  String app_update_new_version_available(Object val) {
    return 'Yeni sürüm $val mevcut.';
  }

  @override
  String get app_update_now => 'Şimdi güncelle';

  @override
  String get app_update_ingnor_until_next => 'Bir sonraki güncellemeye kadar yoksay';

  @override
  String get app_update_ignore_always => 'Her zaman görmezden gel';

  @override
  String get app_tooltip_visibility => 'Görünürlüğü değiştirmek için dokunun';

  @override
  String get app_tooltip_long_press_ad => 'Grup düzenlemeyi etkinleştirmek için reklama uzun basın';

  @override
  String get app_join_telegram => 'Telegram grubuna katıl';

  @override
  String get app_join_matrix => 'Matrix grubuna katılın';

  @override
  String get app_display_password => 'Şifreyi göster';

  @override
  String get app_hide_password => 'Şifreyi gizle';

  @override
  String get app_trade_has_been_cancelled => 'Ticaret iptal edildi.';

  @override
  String app_last_seen(Object val) {
    return 'Son görülme $val';
  }

  @override
  String get app_open_additional_filters => 'Ek filtreler aç';

  @override
  String get app_select_asset => 'varlık seçin';

  @override
  String get app_select_trade_type => 'ticaret türünü seçin';

  @override
  String get app_paste => 'Yapıştırmak';

  @override
  String get app_scan_qr_code => 'QR kodunu tarayın';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sbagoradesk => 'Kimlik doğrulaması olmadan anonim olarak Bitcoin satın alın veya satın. Nakit veya çevrimiçi. Güvenli, hızlı, kolay.\n\nBitcoin\'e nasıl yatırım yapacağınızı mı merak ediyorsunuz? AgoraDesk\'te bitcoin satın almak hiç bu kadar kolay olmamıştı - en sevdiğiniz çevrimiçi ödeme yöntemini kullanarak bir kişiden anında BTC satın alın: PayPal, kredi/banka kartı veya banka havalesi, hediye kartları, Venmo veya diğerleri. Yakınınızdaki bitcoinleri nakit olarak satın almak istiyorsanız, yerel olarak bitcoin satmak isteyen birini bulabilirsiniz - ticaret platformu, BTC\'nin nakit olarak alınmasını ve satılmasını destekler. Posta yoluyla nakit kullanarak bitcoin bile satın alabilirsiniz.\n\n- Güvenli ve Sorunsuz Ticaret\nTıpkı LocalBitcoins gibi, herhangi bir yerde, herhangi bir ödeme yöntemini, herhangi bir para birimini destekliyoruz. Ödeme yöntemlerini kaldırmıyoruz ve LocalBitcoins\'in aksine yüz yüze nakit alım satımlarını tamamen destekliyoruz. Tüm işlemlerimiz bir tahkim bonosu ile korunmaktadır. Alım satım başlamadan önce fonların tahkimde tutulmasını zorunlu kılmamız sayesinde, platformun popülerliği ve satıcılar için tekrar müşteriler için gerekli olan alıcı için sorunsuz ve güvenli bir deneyim sağlıyoruz.\n\n- KYC/AML veya Kimlik Doğrulaması yok\nAgoraDesk, orijinal LocalBitcoins\'i bu kadar popüler yapan basitliği ve anlaşılırlığı korumaya kendini adamıştır. KYC/AML kullanmıyoruz ve kullanmayı da düşünmüyoruz.\n\n- Topluluk tarafından güvenilir\nPlatformumuz dört yılı aşkın bir süredir faaliyet gösteriyor, 2018\'deki Büyük Kripto Para Piyasası Çöküşünden sağ çıktı ve topluluk odaklı özenli hizmeti sayesinde son derece şüpheci kripto para birimi topluluğunun en güvenilir isimlerinden biri haline geldi.\n\n- Güvenli, Açık Kaynak, Gizlilik Odaklı, Sansüre Dayanıklı\nUygulamamız ücretsiz ve açık kaynaklıdır, bu da hiçbir güvenlik açığı veya gizlilik sızıntısı olmadığından emin olmak için birçok gözün uygulamanın koduna bakmasını sağlar. Uygulamamızın açık kaynak olması, belirli bir uygulama deposu uygulamayı sansürlese bile herkesin uygulamamıza erişmesine izin verir. Uygulamamız, Google\'ın tamamen engellendiği telefonlarda bile çalışır. Gizliliğinize o kadar değer veriyoruz ki, kayıt olurken bir e-posta vermenizi bile istemiyoruz.\n\nKaynak kodu: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nSorun izleyici: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Yıldız Desteği\nDestek ekibimiz hızlı, duyarlı ve her zaman memnun etmeye hevesli. 24 saat içinde yanıtlanmayan bir destek biletimiz hiç olmadı. Sosyal medya aracılığıyla her zaman kolayca ulaşılabilir durumdayız, eleştirilerinizi dikkatle dinliyor ve iyi kullanıcı önerilerini rekor sürede hayata geçiriyoruz.\n\nDesteğimize şu adresten ulaşabilirsiniz: https://agoradesk.com/support\n\n- Adil Ücretler\nTahkim tahvili cüzdanımıza/cüzdanımıza Bitcoin yatırdığınızda veya çekerken fahiş ücretler almıyoruz. Para yatırma ücreti yoktur ve para çekme ücreti, normal bir işlemde ödeyeceğiniz ücrete çok yakındır.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: kolayca Bitcoin satın alın';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: kolayca XMR satın alın';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbdescription250Sblocalmonero => 'Kimlik doğrulaması olmadan Monero satın alın veya satın. Nakit veya çevrimiçi. Güvenli, hızlı, kolay.\n\nLocalMonero, XMR topluluğundaki en büyük, en güvenilir ve köklü P2P ticaret platformudur. KYC kontrolümüz yok - PayPal, kredi kartı, hediye kartı, posta yoluyla nakit ile kimlik doğrulaması olmadan anonim olarak Monero satın alabilir veya Bitcoin, Ether, USDT veya başka herhangi bir kripto parayı Monero\'ya dönüştürebilirsiniz - platformumuz her türlü ödeme yöntemini destekler.\n\n- Güvenli ve Sorunsuz Ticaret\nHerhangi bir ödeme yöntemini, herhangi bir para birimini, her yerde destekliyoruz. Ödeme yöntemlerini kaldırmıyoruz ve yüz yüze nakit alım satımlarını tamamen destekliyoruz. Tüm işlemlerimiz bir tahkim bonosu ile korunmaktadır. Alım satım başlamadan önce fonların tahkimde tutulmasını zorunlu kılmamız sayesinde, platformun popülerliği ve satıcılar için tekrar müşteriler için gerekli olan alıcı için sorunsuz ve güvenli bir deneyim sağlıyoruz.\n\n- KYC/AML veya Kimlik Doğrulaması yok\nLocalMonero, ticaret deneyiminizin basitliğini ve anlaşılırlığını korumaya kendini adamıştır. KYC/AML kullanmıyoruz ve kullanmayı da düşünmüyoruz.\n\n- Topluluk tarafından güvenilir\nPlatformumuz dört yılı aşkın bir süredir faaliyet gösteriyor, 2018\'deki Büyük Kripto Para Piyasası Çöküşünden sağ çıktı ve topluluk odaklı özenli hizmeti sayesinde son derece şüpheci Monero topluluğunun en güvenilir isimlerinden biri haline geldi.\n\n- Güvenli, Açık Kaynak, Gizlilik Odaklı, Sansüre Dayanıklı\nUygulamamız ücretsiz ve açık kaynaklıdır, bu da hiçbir güvenlik açığı veya gizlilik sızıntısı olmadığından emin olmak için birçok gözün uygulamanın koduna bakmasını sağlar. Uygulamamızın açık kaynak olması, belirli bir uygulama deposu uygulamayı sansürlese bile herkesin uygulamamıza erişmesine izin verir. Uygulamamız, Google\'ın tamamen engellendiği telefonlarda bile çalışır. Gizliliğinize o kadar değer veriyoruz ki, kayıt olurken bir e-posta vermenizi bile istemiyoruz.\nKimlik doğrulaması olmadan Monero satın alın veya satın. UYARI: BU UYGULAMA ŞU ANDA AÇIK BETA\'DA!\n\nKaynak kodu: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nSorun izleyici: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Yıldız Desteği\nDestek ekibimiz hızlı, duyarlı ve her zaman memnun etmeye hevesli. 24 saat içinde yanıtlanmayan bir destek biletimiz hiç olmadı. Sosyal medya aracılığıyla her zaman kolayca ulaşılabilir durumdayız, eleştirilerinizi dikkatle dinliyor ve iyi kullanıcı önerilerini rekor sürede hayata geçiriyoruz.\n\nDesteğimize şu adresten ulaşabilirsiniz: https://localmonero.co/support\n\n- Adil Ücretler\nTahkim tahvili cüzdanımıza/cüzdanımıza Monero yatırdığınızda veya çekerken fahiş ücretler almıyoruz. Para yatırma ücreti yoktur ve para çekme ücreti, normal bir işlemde ödeyeceğiniz ücrete çok yakındır.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sblocalmonero => 'LocalMonero: buy XMR privately';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sblocalmonero => 'Kimlik doğrulaması olmadan Monero satın alın veya satın. Nakit veya çevrimiçi. Güvenli, hızlı, kolay.\n\nLocalMonero, XMR topluluğundaki en büyük, en güvenilir ve köklü P2P ticaret platformudur. KYC kontrolümüz yok - PayPal, kredi kartı, hediye kartı, posta yoluyla nakit ile kimlik doğrulaması olmadan anonim olarak Monero satın alabilir veya Bitcoin, Ether, USDT veya başka herhangi bir kripto parayı Monero\'ya dönüştürebilirsiniz - platformumuz her türlü ödeme yöntemini destekler.\n\n- Güvenli ve Sorunsuz Ticaret\nHerhangi bir ödeme yöntemini, herhangi bir para birimini, her yerde destekliyoruz. Ödeme yöntemlerini kaldırmıyoruz ve yüz yüze nakit alım satımlarını tamamen destekliyoruz. Tüm işlemlerimiz bir tahkim bonosu ile korunmaktadır. Alım satım başlamadan önce fonların tahkimde tutulmasını zorunlu kılmamız sayesinde, platformun popülerliği ve satıcılar için tekrar müşteriler için gerekli olan alıcı için sorunsuz ve güvenli bir deneyim sağlıyoruz.\n\n- KYC/AML veya Kimlik Doğrulaması yok\nLocalMonero, ticaret deneyiminizin basitliğini ve anlaşılırlığını korumaya kendini adamıştır. KYC/AML kullanmıyoruz ve kullanmayı da düşünmüyoruz.\n\n- Topluluk tarafından güvenilir\nPlatformumuz dört yılı aşkın bir süredir faaliyet gösteriyor, 2018\'deki Büyük Kripto Para Piyasası Çöküşünden sağ çıktı ve topluluk odaklı özenli hizmeti sayesinde son derece şüpheci Monero topluluğunun en güvenilir isimlerinden biri haline geldi.\n\n- Güvenli, Açık Kaynak, Gizlilik Odaklı, Sansüre Dayanıklı\nUygulamamız ücretsiz ve açık kaynaklıdır, bu da hiçbir güvenlik açığı veya gizlilik sızıntısı olmadığından emin olmak için birçok gözün uygulamanın koduna bakmasını sağlar. Uygulamamızın açık kaynak olması, belirli bir uygulama deposu uygulamayı sansürlese bile herkesin uygulamamıza erişmesine izin verir. Uygulamamız, Google\'ın tamamen engellendiği telefonlarda bile çalışır. Gizliliğinize o kadar değer veriyoruz ki, kayıt olurken bir e-posta vermenizi bile istemiyoruz.\n\nKaynak kodu: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nSorun izleyici: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Yıldız Desteği\nDestek ekibimiz hızlı, duyarlı ve her zaman memnun etmeye hevesli. 24 saat içinde yanıtlanmayan bir destek biletimiz hiç olmadı. Sosyal medya aracılığıyla her zaman kolayca ulaşılabilir durumdayız, eleştirilerinizi dikkatle dinliyor ve iyi kullanıcı önerilerini rekor sürede hayata geçiriyoruz.\n\nDesteğimize şu adresten ulaşabilirsiniz: https://localmonero.co/support\n\n- Adil Ücretler\nTahkim tahvili cüzdanımıza/cüzdanımıza Monero yatırdığınızda veya çekerken fahiş ücretler almıyoruz. Para yatırma ücreti yoktur ve para çekme ücreti, normal bir işlemde ödeyeceğiniz ücrete çok yakındır.';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbtitle250Sbagoradesk => 'AgoraDesk: Anonim olarak BTC satın alın';

  @override
  String get app250Sbgoogle8722Sbplay8722Sbstore8722Sbdescription250Sbagoradesk => 'Kimlik doğrulaması olmadan Bitcoin satın alın veya satın. Nakit veya çevrimiçi.\n\nBitcoin\'e nasıl yatırım yapacağınızı mı merak ediyorsunuz? AgoraDesk\'te bitcoin satın almak hiç bu kadar kolay olmamıştı - en sevdiğiniz çevrimiçi ödeme yöntemini kullanarak bir kişiden anında BTC satın alın: PayPal, kredi/banka kartı veya banka havalesi, hediye kartları, Venmo veya diğerleri. Yakınınızdaki bitcoinleri nakit olarak satın almak istiyorsanız, yerel olarak bitcoin satmak isteyen birini bulabilirsiniz - ticaret platformu, BTC\'nin nakit olarak alınmasını ve satılmasını destekler. Posta yoluyla nakit kullanarak bitcoin bile satın alabilirsiniz.\n\n- Güvenli ve Sorunsuz Ticaret\nTıpkı LocalBitcoins gibi, herhangi bir yerde, herhangi bir ödeme yöntemini, herhangi bir para birimini destekliyoruz. Ödeme yöntemlerini kaldırmıyoruz ve LocalBitcoins\'in aksine yüz yüze nakit alım satımlarını tamamen destekliyoruz. Tüm işlemlerimiz bir tahkim bonosu ile korunmaktadır. Alım satım başlamadan önce fonların tahkimde tutulmasını zorunlu kılmamız sayesinde, platformun popülerliği ve satıcılar için tekrar müşteriler için gerekli olan alıcı için sorunsuz ve güvenli bir deneyim sağlıyoruz.\n\n- KYC/AML veya Kimlik Doğrulaması yok\nAgoraDesk, orijinal LocalBitcoins\'i bu kadar popüler yapan basitliği ve anlaşılırlığı korumaya kendini adamıştır. KYC/AML kullanmıyoruz ve kullanmayı da düşünmüyoruz.\n\n- Topluluk tarafından güvenilir\nPlatformumuz dört yılı aşkın bir süredir faaliyet gösteriyor, 2018\'deki Büyük Kripto Para Piyasası Çöküşünden sağ çıktı ve topluluk odaklı özenli hizmeti sayesinde son derece şüpheci kripto para birimi topluluğunun en güvenilir isimlerinden biri haline geldi.\n\n- Güvenli, Açık Kaynak, Gizlilik Odaklı, Sansüre Dayanıklı\nUygulamamız ücretsiz ve açık kaynaklıdır, bu da hiçbir güvenlik açığı veya gizlilik sızıntısı olmadığından emin olmak için birçok gözün uygulamanın koduna bakmasını sağlar. Uygulamamızın açık kaynak olması, belirli bir uygulama deposu uygulamayı sansürlese bile herkesin uygulamamıza erişmesine izin verir. Uygulamamız, Google\'ın tamamen engellendiği telefonlarda bile çalışır. Gizliliğinize o kadar değer veriyoruz ki, kayıt olurken bir e-posta vermenizi bile istemiyoruz.\n\nKaynak kodu: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss\nSorun izleyici: https://github.com/AgoraDesk-LocalMonero/agoradesk-app-foss/issues\n\n- Yıldız Desteği\nDestek ekibimiz hızlı, duyarlı ve her zaman memnun etmeye hevesli. 24 saat içinde yanıtlanmayan bir destek biletimiz hiç olmadı. Sosyal medya aracılığıyla her zaman kolayca ulaşılabilir durumdayız, eleştirilerinizi dikkatle dinliyor ve iyi kullanıcı önerilerini rekor sürede hayata geçiriyoruz.\n\nDesteğimize şu adresten ulaşabilirsiniz: https://agoradesk.com/support\n\n- Adil Ücretler\nTahkim tahvili cüzdanımıza/cüzdanımıza Bitcoin yatırdığınızda veya çekerken fahiş ücretler almıyoruz. Para yatırma ücreti yoktur ve para çekme ücreti, normal bir işlemde ödeyeceğiniz ücrete çok yakındır.';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sblocalmonero => 'kripto para,anonim,özel,monero,xmr,p2p';

  @override
  String get app250Sbapple8722Sbapp8722Sbstore8722Sbkeywords250Sbagoradesk => 'kripto para,bitcoin,monero,BTC,XMR,anonim,özel';

  @override
  String get app_report_this_user => 'Bu kullanıcıyı rapor et';

  @override
  String get app_open_dropdown => 'Açılır menüyü aç';

  @override
  String get error250Sbsignup250Sb175 => 'Kayıt sırasında mevcut olmayan kuponu kullanmaya çalışmak';

  @override
  String get error250Sbsignup250Sb176 => 'Kayıt sırasında süresi dolmuş bir kuponu kullanmaya çalışmak';

  @override
  String get error250Sbsignup250Sb177 => 'Kayıt sırasında stokta olmayan bir kuponu kullanmaya çalışmak';

  @override
  String get nojs250Sbpassword8722Sbreset250Sbsuccess => 'Şifre sıfırlama mektubu gönderildi! Gelen kutunu kontrol et.';

  @override
  String get ad8722Sbpage250Sbterms8722Sbdialog250Sbagree8722Sbcontinue => 'Şartları kabul edin ve devam edin';

  @override
  String get logout250Sbtitle => 'Çıkış Yap';

  @override
  String get coupons250Sbcode8722Sbapply => 'Kupon kodu uygula';

  @override
  String post8722Sbad250Sbtrade8722Stype250Sbonline8722Sbuy(Object assetName) {
    return '$assetName\'i çevrimiçi satın alın';
  }

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_buy => 'arama seçeneği satın al';

  @override
  String get coupons250Sbcoupon250Sbdescription250Sbtypes250Sbcall_sell => 'çağrı seçeneği satış';
}
